<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Device_history extends Model
{
    protected $table = 'device_history';
    protected $fillable = [
        'id_user',
        'id_device',
        'serijski_broj', 
        'id_klijent',
        'id_opticki_klijent',
        'id_supernova_klijent',
        'id_bakar_klijent',
        'id_rune',
        'vraceni',
        'return_user',
        'adjusted_date',
        'adjusted_return_date',
        'deleted'
    ];

    public function deviceLog($id, $field){
        $query = DB::table('device_history as dh')
                ->leftJoin('users as u', 'u.id', '=', 'dh.id_user')
                ->leftJoin('users as ru', 'ru.id', '=', 'dh.return_user')
                ->leftJoin('uredjaji as d', 'd.id', '=', 'dh.id_device')
                ->select('u.ime', 'u.prezime', 'd.uredjaj', 'dh.serijski_broj', 'dh.created_at', 'vraceni', 'adjusted_date', 'adjusted_return_date', 'dh.return_user', 'ru.ime as return_name',
                        'ru.prezime as return_surname', 'deleted')
                ->where($field, '=', $id);

        return $query->get()->toArray();
    }

    public function logSearch($serial, $array=true){
        $query = DB::table('device_history as dh')
            ->leftJoin('uredjaji as d', 'd.id', '=', 'dh.id_device')
            ->leftJoin('klijent as k', 'k.id', '=', 'dh.id_klijent')
            ->select('k.id', 'k.ime', 'k.prezime', 'd.uredjaj', 'dh.serijski_broj', 'dh.created_at', 'vraceni', 'k.tis_id', 'k.jmbg')
            ->where('dh.serijski_broj', '=', $serial);

        if ($array)
            return $query->get()->toArray();
        else
            return $query->get();
    }

    public function logUpdate($serial, $returnDate, $returnUser){
        DB::table('device_history')
        ->where('serijski_broj', '=', $serial)
        ->update(['vraceni' => 1, 'adjusted_return_date' => $returnDate, 'return_user' => $returnUser]);
    }
}
