<?php
/**f-ja krati karaktere koje neki citaci citaju i povecava slova
 * @param $serial
 * @return bool|string
 */
function serialTrim($serial){
    if (substr($serial,0, 3) == 'SN:')
        return substr($serial,3);
    elseif (substr($serial,0, 3) == 'sn:')
        return substr($serial,3);
    else
        return strtoupper($serial);
}

/**
 * rasporedjivanje slika po folderima po kvartalu
 */
function quartal(){
    $month = intval(date('m'));

    if ($month <= 3)
        $quarter = 1;
    elseif($month > 3 && $month <= 6)
        $quarter = 2;
    elseif($month > 6 && $month <= 9)
        $quarter = 3;
    elseif($month > 9 && $month <= 12)
        $quarter = 4;

    return date('Y').'-'.$quarter.'q';
}

function random_color(){
    return '#' . str_pad(dechex(mt_rand(0, 0xFFFFFF)), 6, '0', STR_PAD_LEFT);
}

function database_date($date){
    if ($date)
        return date('Y-m-d', strtotime($date));
    else
        return null;
}

function database_date_time($date, $time){
    if ($date && $time)
        return date('Y-m-d', strtotime($date)).' '.$time.':'.date('s');
    else
        return null;
}

function create_folder($folder){
    if (!file_exists($folder)){
        mkdir($folder, 0755, true);
    }
}

function checkTimeFormat($time){
    if (preg_match("/^(?:2[0-3]|[01][0-9]):[0-5][0-9]$/", $time) == 1)
        return true;
    else
        return false;
}

function timeDuration($startDate, $endDate){
    $startDate = date_create($startDate);
    $endDate = date_create($endDate);
    $interval = date_diff($startDate, $endDate);
    $duration = $interval->format('%m meseci %d dana %h sati');
    return $duration;
}

function timeDifference($time1, $time2){
    $start = new DateTime($time1);
    $end = new DateTime($time2);
    $interval = $end->diff($start);
    $diff = sprintf("%02d", $interval->format('%h')).':'.sprintf("%02d", $interval->format('%i'));
    return $diff;
}

function workingDaysCount($startDate, $endDate){
    $start = new DateTime($startDate);
    $end = new DateTime($endDate);

    $end->modify('+1 day');
    $count = 0;

    while($start < $end){
        //check if not sunday
        if($start->format('w') != 0){
            $count++;
        }
        $start->modify('+1 day');
    }
    return $count;
}
