<?php

namespace App\Http\Controllers;

use App\Models\Areas;
use App\Roles;
use App\User;
use App\Traits\Util;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class GmController extends Controller
{
    private function checkpoint(){
        if(in_array(Util::userId(),explode(',',env('GMs')))){
            return true;
        }
        else{
            return false;
        }
    }
    public function gm_users(){
        if(!$this->checkpoint()){
            return back()->with('error', 'StA CeS Be OvDe????');
        }
        $uMod = new User();
        $users = $uMod->allUsers();
        $forPayment = User::all()->where('is_active', '=', 1)->where('id', '<', '1001');
        $bannedUsers = User::all()->where('is_active', '=', 0);
        $freeId = User::lastActiveId()+1;
        return view('gm.users', [
            'users' => $users,
            'bannedUsers' => $bannedUsers,
            'usersCount' => count($users),
            'bannedCount' => count($bannedUsers),
            'forPayment' => count($forPayment),
            'freeId' => $freeId
        ]);
    }

    public function gm_user_edit(User $user){
        if(!$this->checkpoint()){
            return back()->with('error', 'StA CeS Be OvDe????');
        }
        $areas = Areas::all();
        $roles = Roles::where('id', '!=', 1001)->get();
        return view ('gm.edit', [
            'user' => $user,
            'roles' => $roles,
            'areas' => $areas
        ]);
    }

    public function gm_user_update(User $user, Request $request){
        if(!$this->checkpoint()){
            return back()->with('error', 'StA CeS Be OvDe????');
        }
        $username = $request->input('username');
        $name = $request->input('name');
        $surname = $request->input('surname');
        $password = $request->input('password');
        $email = $request->input('email');
        $isActive = $request->input('is_active');
        $roleId = $request->input('role_id');
        $area = $request->input('area');

        $request->validate([
            'role_id' => 'required',
            'email' => 'required|email',
            'username' => 'required',
            'name' => 'required',
            'surname' => 'required',
            'is_active' => 'required',
        ]);

        if ($password) {
            User::where('id', $user->id)->update([
                'username' => $username,
                'ime' => $name,
                'prezime' => $surname,
                'password' => Hash::make($password),
                'email' => $email,
                'role_id' => $roleId,
                'is_active' => $isActive,
                'area_id' => $area
            ]);
        }
        else {
            User::where('id', $user->id)->update([
                'username' => $username,
                'ime' => $name,
                'prezime' => $surname,
                'email' => $email,
                'role_id' => $roleId,
                'is_active' => $isActive,
                'area_id' => $area
            ]);
        }

        return redirect()->route('gm_users');
    }

    public function gm_user_create(){
        if(!$this->checkpoint()){
            return back()->with('error', 'StA CeS Be OvDe????');
        }
        $roles = Roles::where('id', '!=', 1001)->get();
        $freeId = User::lastActiveId()+1;
        return view('gm.create', [
            'roles' => $roles,
            'freeId' => $freeId
        ]);
    }

    public function gm_user_store(Request $request){
        if(!$this->checkpoint()){
            return back()->with('error', 'StA CeS Be OvDe????');
        }
        $username = $request->input('username');
        $name = $request->input('name');
        $surname = $request->input('surname');
        $password = $request->input('password');
        $email = $request->input('email');
        $isActive = $request->input('is_active');
        $id = (int)$request->input('id');
        $roleId = (int)$request->input('role_id');

        $request->validate([
            'id' => 'required',
            'role_id' => 'required',
            'email' => 'required|email',
            'username' => 'required',
            'name' => 'required',
            'surname' => 'required',
            'password' => 'required',
            'is_active' => 'required',
        ]);

        User::create([
            'id' => $id,
            'username' => $username,
            'ime' => $name,
            'prezime' => $surname,
            'password' => Hash::make($password),
            'email' => $email,
            'role_id' => $roleId,
            'is_active' => $isActive
        ]);

        return redirect()->route('gm_users');

    }
}
