<?php

namespace App\Http\Controllers;

use App\Razlozi_intervencije;
use App\Statusi_intervencije;
use App\Klijenti_optika;
use App\Models\Origin;
use App\Traits\Util;
use App\Klijent;
use App\Models\Client_types;
use App\Models\DataTransfer;
use App\Statusi;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class GroupEntryController extends Controller
{
    public function index(){
        $ids = json_decode(session('ids_dth'));
        $statusi = Statusi::all();
        $interventionStatuses = Statusi_intervencije::all();
        $interventionReasons = Razlozi_intervencije::all();
        $fitters = Util::monteri();
        return view('groupEntry.index', [
            'ids' => $ids,
            'statusi' => $statusi,
            'interventionStatuses' => $interventionStatuses,
            'interventionReasons' => $interventionReasons,
            'fitters' => $fitters
        ]);
    }

    public function add(Request $request){
        $param = $request->input('param');
        $data = $request->input('data');
        $ids = json_decode(session('ids_dth'));
        if ($ids) {
            switch($param){
                case 'fitter' :
                    foreach ($ids as $id) {
                        Klijent::where('id', $id)->update([
                            'id_user' => $data
                        ]);
                    }
                    return back()->with('success', __('Fitter').' '.__('successfully added'));
                    break;
                case 'fitter_reclamation' :
                    foreach ($ids as $id) {
                        Klijent::where('id', $id)->update([
                            'id_user_reklamacije' => $data
                        ]);
                    }
                    return back()->with('success', __('Reclamation fitter').' '.__('successfully added'));
                    break;
                case 'status' :
                    foreach ($ids as $id) {
                        Klijent::where('id', $id)->update([
                            'id_status' => $data
                        ]);
                    }
                    return back()->with('success', __('Status').' '.__('successfully added'));
                    break;
                case 'intervention-status' :
                    foreach ($ids as $id) {
                        Klijent::where('id', $id)->update([
                            'id_status_intervencije' => $data
                        ]);
                    }
                    return back()->with('success', __('Intervention status').' '.__('successfully added'));
                    break;
                case 'intervention-reason' :
                    foreach ($ids as $id) {
                        Klijent::where('id', $id)->update([
                            'id_razlog_reklamacije' => $data
                        ]);
                    }
                    return back()->with('success', __('Intervention reason').' '.__('successfully added'));
                    break;
                case 'reclamation-date' :
                    foreach ($ids as $id) {
                        Klijent::where('id', $id)->update([
                            'datum_reklamacije' => database_date($data)
                        ]);
                    }
                    return back()->with('success', __('Reclamation date').' '.__('successfully added'));
                    break;
                case 'payment' :
                    if($data == 'true')
                        $forPayment = 1;
                    else
                        $forPayment = 0;
                    foreach ($ids as $id) {
                        Klijent::where('id', $id)->update([
                            'for_payment' => $forPayment
                        ]);
                    }
                    return back()->with('success', __('Data').' '.__('successfully added'));
                    break;
                default :
                    return back()->with('error', __('Error'));
            }
        }
        else
            return back()->with('errors', __('Session is empty'));
    }

    public function clear_session(Request $request){
        $param = $request->input('param');
        if($param == 'msat')
            Session::forget('ids_dth');
        elseif($param == 'optics')
            Session::forget('ids_optics');
        elseif($param == 'rune')
            Session::forget('ids_rune');
        elseif($param == 'de_sites')
            Session::forget('ids_de_sites');
        return back()->with('success', __('Session is empty'));
    }

    public function data_transfer(){
        $clientTypes = Client_types::all();
        return view('groupEntry.data_transfer', ['clientTypes' => $clientTypes]);
    }

    public function transfer(Request $request){
        $fromId = $request->input('from_id');
        $toId = $request->input('to_id');
        $devices = $request->input('devices');
        $equipment = $request->input('equipment');
        $returnedDevices = $request->input('returned_devices');
        $comments = $request->input('comments');
        $images = $request->input('images');
        $clientType = $request->input('client_type');

        $request->validate(['client_type' => 'required']);

        $dataTransfer = new DataTransfer();
        $transfer = $dataTransfer->data_transfer($fromId, $toId, $clientType, $devices, $equipment, $returnedDevices, $comments, $images);
        if(!$transfer)
            return back()->with('success', __('Data successfully transferred'));
        else
            return back()->with('error', $transfer);
    }

    public function group_entry_optics(){
        $ids = json_decode(session('ids_optics'));
        $fitters = Util::monteri();
        $origin = Origin::all();
        return view('groupEntry.optics', ['ids' => $ids, 'fitters' => $fitters, 'origin' => $origin]);
    }

    public function group_action_optics(Request $request){
        $param = $request->input('param');
        $data = $request->input('data');
        $ids = json_decode(session('ids_optics'));
        if ($ids) {
            switch($param){
                case 'fitter' :
                    foreach ($ids as $id) {
                        Klijenti_optika::where('id', $id)->update([
                            'id_user' => $data
                        ]);
                    }
                    return back()->with('success', __('Fitter successfully added'));
                    break;
                case 'origin' :
                    foreach ($ids as $id) {
                        Klijenti_optika::where('id', $id)->update([
                            'origin_id' => $data
                        ]);
                    }
                    return back()->with('success', __('Origin successfully added'));
                    break;
                default :
                    return back()->with('error', __('Error'));
            }
        }
        else
            return back()->with('errors', __('Session is empty'));
    }

}
