<?php

namespace App\Http\Controllers;

use App\Models\Hw_final_statuses;
use Illuminate\Http\Request;

class HwFinalStatusController extends Controller
{
    public function index()
    {
        $statuses = Hw_final_statuses::all();
        return view('hwFinalStatus.index', ['statuses' => $statuses]);
    }

    public function create()
    {
        return view('hwFinalStatus.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'status' => 'required'
        ]);
        $status = Hw_final_statuses::create([
            'status' => trim($request->input('status')),
            'default' => 0
        ]);

        if ($status){
            return redirect()->route('hw_final_status.index')->with('success', __("Data successfully added"));
        }
    }

    public function show(Hw_final_statuses $hw_final_status)
    {
        return view('hwFinalStatus.show', ['status' => $hw_final_status]);
    }

    public function edit(Hw_final_statuses $hw_final_status)
    {
        $status = Hw_final_statuses::find($hw_final_status->id);

        return view('hwFinalStatus.edit', ['status' => $status]);
    }

    public function update(Request $request, Hw_final_statuses $hw_final_status)
    {
        $request->validate([
            'status' => 'required'
        ]);
        $statusUpdate = Hw_final_statuses::where('id', $hw_final_status->id)->update([
            'status'=>trim($request->input('status')),
            'default'=>0
        ]);

        if ($statusUpdate){
            return redirect()->route('hw_final_status.show', ['hw_final_status' => $hw_final_status->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    public function destroy(Request $request)
    {
        $findStatus = Hw_final_statuses::find($request->input('id_status'));

        try {
            $findStatus->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        } catch (\Illuminate\Database\QueryException $e) {
            return back()->withInput()->with('error', __("Data cannot be deleted"));
        }


        return back()->withInput()->with('error', __("Data cannot be deleted"));
    }
}
