<?php

namespace App\Http\Controllers;

use App\Models\Kir_vertical_works;
use App\Models\Units;
use Illuminate\Http\Request;

class KirVerticalWorksController extends Controller
{
    private function units(){
        return Units::all();
    }
    public function index()
    {
        $wcModel = new Kir_vertical_works();
        $works = $wcModel->h_works();
        return view('kirVerticalWorks.index', ['works' => $works]);
    }

    public function create()
    {
        return view('kirVerticalWorks.create', ['units' => $this->units()]);
    }

    public function store(Request $request)
    {
        $request->validate([
            'code' => 'required',
            'work' => 'required',
            'price' => 'nullable|numeric'
        ]);
        $workCreate = Kir_vertical_works::create([
            'code' => trim($request->input('code')),
            'work' => trim($request->input('work')),
            'unit_id' => $request->input('unit'),
            'price' => $request->input('price'),
            'fixed' => $request->input('fixed')
        ]);

        if ($workCreate){
            return redirect()->route('kir_vertical_work.index')->with('success', __("Data successfully added"));
        }
    }

    public function show(Kir_vertical_works $kir_vertical_work)
    {
        $wModel = new Kir_vertical_works();
        $work = $wModel->workData($kir_vertical_work->id);
        return view('kirVerticalWorks.show', ['work' => $work]);
    }

    public function edit(Kir_vertical_works $kir_vertical_work)
    {
        $wModel = new Kir_vertical_works();
        $work = $wModel->workData($kir_vertical_work->id);

        return view('hwVerticalWorks.edit', ['work' => $work, 'units' => $this->units()]);
    }

    public function update(Request $request, Kir_vertical_works $kir_vertical_work)
    {
        $request->validate([
            'code' => 'required',
            'work' => 'required',
            'price' => 'nullable|numeric'
        ]);
        $workUpdate = Kir_vertical_works::where('id', $kir_vertical_work->id)->update([
            'code' => trim($request->input('code')),
            'work' => trim($request->input('work')),
            'unit_id' => $request->input('unit'),
            'price' => $request->input('price'),
            'fixed' => $request->input('fixed')
        ]);

        if ($workUpdate){
            return redirect()->route('kir_vertical_work.show', ['kir_vertical_work' => $kir_vertical_work->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    public function destroy(Request $request)
    {
        $findWork = Kir_vertical_works::find($request->input('id_work'));

        try{
            $findWork->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Data cannot be deleted"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
