<?php

namespace App\Http\Controllers;

use App\Models\Image_types;
use App\Models\Installation_image_types;
use App\Models\Files;
use App\Models\Montage_prices;
use App\Models\Origin;
use App\Models\Report_marks;
use App\Models\Supervisor_comments;
use App\Models\Worker_equipment;
use App\Device_history;
use App\Change_history;
use App\Montirani_uredjaji;
use App\Oprema;
use App\Oprema_klijent;
use App\Pomocnici;
use App\Razlozi_vracanja;
use App\Tip_montaze;
use App\Statusi_intervencije;
use App\Statusi;
use App\Traits\Util;
use App\Uredjaji;
use App\Images_documents;
use App\User;
use App\Videos;
use App\Napomene;
use App\Images;
use App\Klijenti_optika;
use App\Klijenti_prodaja;
use App\Vraceni_uredjaji;
use Illuminate\Http\Request;
use Intervention\Image\ImageManager as Img;

class KlijentiOptikaController extends Controller
{
    private function hasImage($id, $type){
        $image = Images::where('id_opticki_klijent', $id)->where('type_id', $type)->first();
        if($image)
            return true;
        else
            return false;
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $isAdmin = Util::isAdmin();
        $cliMod = new Klijenti_optika();
        if (!$isAdmin)
            $klijenti = $cliMod->klijentiPregled(Util::userId());
        else
            $klijenti = $cliMod->klijentiAdmin();

        session(['search_route' => false]);
        return view('klijentiOptika.index', [
            'klijenti' => $klijenti,
            'search'=>false,
            'isAdmin' => $isAdmin,
            'isSuperAdmin'=>Util::isSuperAdmin()
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $statusi = Statusi::all();
        $statusiIntervencije = Statusi_intervencije::all();
        $monteri = Util::monteri();
        $tipovi_montaze = Tip_montaze::all();
        $origin = Origin::all();
        return view('klijentiOptika.create', [
            'statusi' => $statusi,
            'statusiIntervencije' => $statusiIntervencije,
            'monteri' => $monteri,
            'isAdmin' => Util::isAdmin(),
            'isMonter' => Util::isMonter(),
            'tipoviMontaze' => $tipovi_montaze,
            'origin' => $origin
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'ime' => 'required',
            'prezime' => 'required',
            'extra_stb' => 'nullable|numeric'
        ]);

        // if(Util::hasTisDuplicates(1, $request->input("tis_id")))
        //     return back()->withInput()->with('error', 'TIS ID mora da bude jedinstven. Ovaj se već nalazi kod klijenta.');

        $datumOdustajanja = null;
        $datumMontaze = null;
        $datumZakazivanja = null;
        $datumOdlaganja = null;
        $datumIntervencije = null;
        $datumReklamacije = null;
        $datumZahteva = null;
        if ($request->input('datum_montaze'))
            $datumMontaze = date('Y-m-d', strtotime($request->input('datum_montaze')));
        if ($request->input('datum_odustajanja'))
            $datumOdustajanja = date('Y-m-d', strtotime($request->input('datum_odustajanja')));
        if ($request->input('datum_zakazivanja'))
            $datumZakazivanja = date('Y-m-d', strtotime($request->input('datum_zakazivanja')));
        if ($request->input('datum_odlaganja'))
            $datumOdlaganja = date('Y-m-d', strtotime($request->input('datum_odlaganja')));
        if ($request->input('datum_intervencije'))
            $datumIntervencije = date('Y-m-d', strtotime($request->input('datum_intervencije')));
        if ($request->input('datum_reklamacije'))
            $datumReklamacije = date('Y-m-d', strtotime($request->input('datum_reklamacije')));
        if ($request->input('datum_zahteva'))
            $datumZahteva = date('Y-m-d', strtotime($request->input('datum_zahteva')));


        if ($datumZakazivanja && $request->input('vreme'))
            $datumZakazivanja = date('Y-m-d', strtotime($datumZakazivanja)).' '.$request->input('vreme').':'.date('s');
        if ($datumOdlaganja && $request->input('vreme2'))
            $datumOdlaganja = date('Y-m-d', strtotime($datumOdlaganja)).' '.$request->input('vreme2').':'.date('s');

        $points = (float)str_replace(',','.',$request->input('broj_bodova'));
        if($points == 0)
            $points = null;

        $klijent = Klijenti_optika::create([
            'ime' => $request->input('ime'),
            'prezime' => $request->input('prezime'),
            'tel1' => $request->input('tel1'),
            'tel2' => $request->input('tel2'),
            'tel3' => $request->input('tel3'),
            'tis_id' => $request->input('tis_id'),
            'adresa' => $request->input('adresa'),
            'zahtev' => $request->input('direction'),
            'zahtev_uneo' => $request->input('zahtev_uneo'),
            'podrucje' => $request->input('project'),
            'broj_bodova' => $points,
            'prodavac' => $request->input('prodavac'),
            'datum_montaze' => $datumMontaze,
            'id_tip_montaze' => $request->input('tip_montaze')[0],
            'datum_odustajanja' => $datumOdustajanja,
            'razlog_odustajanja' => $request->input('razlog_odustajanja'),
            'id_status' => $request->input('status')[0],
            'id_status_intervencije' => $request->input('status_intervencije')[0],
            'datum_intervencije' => $datumIntervencije,
            'origin_id' => $request->input('origin'),
            'datum_zakazivanja' => $datumZakazivanja,
            'datum_odlaganja' => $datumOdlaganja,
            'datum_zahteva' => $datumZahteva,
            'id_user' => $request->input('user')[0],
            'id_user_reklamacije' => $request->input('monter_reklamacije')[0],
            'datum_reklamacije' => $datumReklamacije,
            'created_by'=>Util::userId(),
            'extra_stb' => $request->input('extra_stb')
        ]);

        if ($request->input('napomena')) {
            Napomene::create([
                'napomena' => $request->input('napomena'),
                'id_user' => Util::userId(),
                'id_opticki_klijent' => $klijent->id
            ]);
        }

        $klijentModel = new Klijenti_optika();
        if (!Util::isAdmin()) {
            $klijenti = $klijentModel->klijentiPregled(Util::userId());
        }
        else
            $klijenti = $klijentModel->klijentiAdmin();

        if ($klijent){
            Change_history::create([
              'id_user' => Util::userId(),
              'id_opticki_klijent' => $klijent->id
            ]);
            return redirect()->route('klijentiOptika.index', [
                'klijenti' => $klijenti,
                'isAdmin' => Util::isAdmin(),
                'isSuperAdmin' => Util::isSuperAdmin()
            ])->with('success', __("Data successfully added"));
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Klijenti_optika  $klijenti_optika
     * @return \Illuminate\Http\Response
     */
    public function show(Klijenti_optika $klijentiOptika)
    {
        $user = auth()->user();
        $klijentModel = new Klijenti_optika();
        $klijent = $klijentModel->klijentPodaci($klijentiOptika->id);
        $imageModel = new Images();
        $images = $imageModel->slikeZaOptickogKlijenta($klijent->id);
        $imgDocModel = new Images_documents();
        $imgDocs = $imgDocModel->dokumentiZaOptickogKlijenta($klijent->id);
        $videoModel = new Videos();
        $videos = $videoModel->videoZaOptickogKlijenta($klijent->id);
        $napModel = new Napomene();
        $napomene = $napModel->napomeneOptika($klijent->id);
        $chModel = new Change_history();
        $history = $chModel->historyOptika($klijent->id);
        $montiraniModel = new Montirani_uredjaji();
        $montirani = $montiraniModel->montiraniOptikaList($klijent->id);
        $equipModel = new Oprema_klijent();
        $equipment = $equipModel->equipmentOptika($klijent->id);
        $vraceniModel = new Vraceni_uredjaji();
        $vraceni = $vraceniModel->vraceniList('id_opticki_klijent', $klijent->id);
        $devLogModel = new Device_history();
        $deviceLog = $devLogModel->deviceLog($klijent->id, 'id_opticki_klijent');

        $commentModel = new Supervisor_comments();
        $supervisorComments = $commentModel->comments($klijentiOptika->id);
        $files = Files::where('optic_client_id', $klijentiOptika->id)->get();

        return view('klijentiOptika.show', [
            'klijent' => $klijent,
            'id_user' => $user->id,
            'role_id' => $user->role_id,
            'images' => $images,
            'imgDocs' => $imgDocs,
            'napomene'=>$napomene,
            'videos' => $videos,
            'history' => $history,
            'montirani' => $montirani,
            'equipment' => $equipment,
            'vraceni' => $vraceni,
            'deviceLog' => $deviceLog,
            'supervisorComments' => $supervisorComments,
            'isAdmin' => Util::isAdmin(),
            'files' => $files,
            'isSuperAdmin' => Util::isSuperAdmin()
        ]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Klijenti_optika  $klijenti_optika
     * @return \Illuminate\Http\Response
     */
    public function edit(Klijenti_optika $klijentiOptika)
    {
        if (Util::isAdmin())
            $statusi = Statusi::all();
        else
            $statusi = Statusi::all()->whereIn('id', [2,4,5,21]);
            
        $statusiIntervencije = Statusi_intervencije::all();
        $klijent = Klijenti_optika::find($klijentiOptika->id);
        $monteri = Util::monteri();

        $imageModel = new Images();
        $images = $imageModel->slikeZaOptickogKlijenta($klijent->id);
        $imgDocModel = new Images_documents();
        $imgDoc = $imgDocModel->dokumentiZaOptickogKlijenta($klijent->id);
        $videoModel = new Videos();
        $videos = $videoModel->videoZaOptickogKlijenta($klijent->id);
        $napModel = new Napomene();
        $napomene = $napModel->napomeneOptika($klijent->id);
        $tipovi_montaze = Tip_montaze::all();
        $uredjaji = Uredjaji::devicesByType(config('app.dev_type_optika'));
        $montiraniModel = new Montirani_uredjaji();
        $montirani = $montiraniModel->montiraniOptikaList($klijent->id);
        $vraceniModel = new Vraceni_uredjaji();
        $vraceni = $vraceniModel->vraceniList('id_opticki_klijent', $klijent->id);
        $equipModel = new Oprema_klijent();
        $equipment = $equipModel->equipmentOptika($klijent->id);
        if(Util::isAdmin()){
            $oprema = Oprema::all();
        }
        else {
            $storageModel = new Worker_equipment();
            $oprema = $storageModel->mont_client_equipment(Util::userId());
        }


        $monterIzvestaj = User::find($klijentiOptika->id_user);
        if($monterIzvestaj)
            $monterIzvestaj = $monterIzvestaj->ime.' '.$monterIzvestaj->prezime;


        $reasonModel = new Razlozi_vracanja();
        $returnReasons = $reasonModel->return_reasons();

        $report = Report_marks::find($klijentiOptika->report_id);
        $commentModel = new Supervisor_comments();
        $supervisorComments = $commentModel->comments($klijentiOptika->id);

        $files = Files::where('optic_client_id', $klijentiOptika->id)->get();

        $imageTypes = Installation_image_types::all();
        $origin = Origin::all();
        $helpers = Pomocnici::all();

        return view('klijentiOptika.edit', [
            'klijent' => $klijent,
            'statusi'=>$statusi,
            'statusiIntervencije'=>$statusiIntervencije,
            'isAdmin'=>Util::isAdmin(),
            'images'=>$images,
            'imgDocs'=> $imgDoc,
            'napomene'=>$napomene,
            'userId'=>Util::userId(),
            'isSuperAdmin'=>Util::isSuperAdmin(),
            'monteri'=>$monteri,
            'videos'=>$videos,
            'tipovi_montaze' => $tipovi_montaze,
            'oprema' => $oprema,
            'uredjaji' => $uredjaji,
            'montirani' => $montirani,
            'equipment' => $equipment,
            'razlozi' => $returnReasons,
            'vraceni' => $vraceni,
            'monterIzvestaj' => $monterIzvestaj,
            'report' => $report,
            'supervisorComments' => $supervisorComments,
            'files' => $files,
            'imageTypes' => $imageTypes,
            'origin' => $origin,
            'helpers' => $helpers
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Klijenti_optika  $klijenti_optika
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Klijenti_optika $klijentiOptika)
    {
        require '../vendor/autoload.php';
        $this->validate($request, [
            'ime' => 'required',
            'prezime' => 'required',
            'document' => 'mimes:xlsx,xls,pdf',
            'extra_stb' => 'nullable|numeric'
        ]);

        $document = $request->file('document');
        if($document){
            $originalFile = $document->getClientOriginalName();
            $filename = strtotime(date('d.m.Y. H:i:s')).'_'.$originalFile;
            $folder = 'uploads/documents/'.quartal();
            create_folder($folder);
            $document->move($folder, $filename);
            Files::create([
                'file_url' => '/'.$folder.'/'.$filename,
                'optic_client_id' => $klijentiOptika->id,
                'filename' => $originalFile
            ]);
        }

        // if(Util::hasTisDuplicates(1, $request->input("tis_id")))
        //     return back()->withInput()->with('error', 'TIS ID mora da bude jedinstven. Ovaj se već nalazi kod klijenta.');

        $datumOdustajanja = null;
        $datumMontaze = null;
        $datumZakazivanja = null;
        $datumOdlaganja = null;
        $datumIntervencije = null;
        $datumReklamacije = null;
        $datumZahteva = null;
        if ($request->input('datum_montaze'))
            $datumMontaze = date('Y-m-d', strtotime($request->input('datum_montaze')));
        if ($request->input('datum_odustajanja'))
            $datumOdustajanja = date('Y-m-d', strtotime($request->input('datum_odustajanja')));
        if ($request->input('datum_zakazivanja'))
            $datumZakazivanja = date('Y-m-d', strtotime($request->input('datum_zakazivanja')));
        if ($request->input('datum_odlaganja'))
            $datumOdlaganja = date('Y-m-d', strtotime($request->input('datum_odlaganja')));
        if ($request->input('datum_intervencije'))
            $datumIntervencije = date('Y-m-d', strtotime($request->input('datum_intervencije')));
        if ($request->input('datum_reklamacije'))
            $datumReklamacije = date('Y-m-d', strtotime($request->input('datum_reklamacije')));
        if ($request->input('datum_zahteva'))
            $datumZahteva = date('Y-m-d', strtotime($request->input('datum_zahteva')));

        if ($datumZakazivanja && $request->input('vreme'))
            $datumZakazivanja = date('Y-m-d', strtotime($datumZakazivanja)).' '.$request->input('vreme').':'.date('s');
        if ($datumOdlaganja && $request->input('vreme2'))
            $datumOdlaganja = date('Y-m-d', strtotime($datumOdlaganja)).' '.$request->input('vreme2').':'.date('s');

        $status = $request->input('status');

        $points = (float)str_replace(',','.',$request->input('broj_bodova'));
        if($points == 0)
            $points = null;

        if($request->input('terrain'))
            $onTerrain = 1;
        else
            $onTerrain = null;

        $helper = $request->input('helper');

        if (Util::isAdmin()) {
            $klijentUpdate = Klijenti_optika::where('id', $klijentiOptika->id)->update([
                'ime' => $request->input('ime'),
                'prezime' => $request->input('prezime'),
                'tel1' => $request->input('tel1'),
                'tel2' => $request->input('tel2'),
                'tel3' => $request->input('tel3'),
                'tis_id' => $request->input('tis_id'),
                'adresa' => $request->input('adresa'),
                'zahtev' => $request->input('direction'),
                'zahtev_uneo' => $request->input('zahtev_uneo'),
                'podrucje' => $request->input('project'),
                'broj_bodova' => $points,
                'prodavac' => $request->input('prodavac'),
                'datum_montaze' => $datumMontaze,
                'id_tip_montaze' => $request->input('tip_montaze'),
                'datum_odustajanja' => $datumOdustajanja,
                'razlog_odustajanja' => $request->input('razlog_odustajanja'),
                'id_status' => $status,
                'id_status_intervencije' => $request->input('status_intervencije')[0],
                'origin_id' => $request->input('origin'),
                'datum_intervencije' => $datumIntervencije,
                'datum_zahteva' => $datumZahteva,
                'id_user' => $request->input('user')[0],
                'id_user_reklamacije' => $request->input('monter_reklamacije')[0],
                'datum_reklamacije' => $datumReklamacije,
                'updated_by'=>Util::userId(),
                'helper' => $helper,
                'on_terrain' => $onTerrain,
                'extra_stb' => $request->input('extra_stb')
            ]);
            if ($klijentUpdate){
                if($klijentiOptika->id_klijent_prodaja && $datumMontaze){
                    Klijenti_prodaja::where('id', $klijentiOptika->id_klijent_prodaja)->update([
                        'montage_date' => $datumMontaze
                    ]);
                }
                if ($status == 1)
                    Klijenti_optika::where('id', $klijentiOptika->id)->update(['datum_zakazivanja' => $datumZakazivanja]);
                if ($status == 2)
                    Klijenti_optika::where('id', $klijentiOptika->id)->update(['datum_odlaganja' => $datumOdlaganja]);
            }
        }
        else {
            $request->validate([
                'extra_stb' => 'required|numeric',
                'tip_montaze' => 'required'
            ]);

            if($helper == 0)
                $helper = null;
            $reklamator = $klijentiOptika->id_user_reklamacije;
            if ($status == 5 && !$reklamator){
                //fitter can check mounted if he uploads certain image types. 
                if($status != $klijentiOptika->id_status){
                    $montageType = $request->input('tip_montaze');
                    $extraStb = $request->input('extra_stb');
                    $imageErrors = array();
                    $errorsString = '';
                    $types1and2 = [1,2,4,5,6,7];
                    $types3 = [4,7,8,9,10];
                    switch($montageType){
                        case 1 :
                        case 2 :
                            foreach($types1and2 as $i){
                                if(!$this->hasImage($klijentiOptika->id, $i)){
                                    //if extra stb is larger than 0, trasa utp-a is required type
                                    if($i==4){
                                        if($extraStb > 0)
                                            $imageErrors[] = Installation_image_types::find($i)->type;
                                    }
                                    else {
                                        $imageErrors[] = Installation_image_types::find($i)->type;
                                    }
                                }
                            }
                        break;
                        case 3 :
                            foreach($types3 as $i){
                                if(!$this->hasImage($klijentiOptika->id, $i)){
                                    //if extra stb is larger than 0, trasa utp-a is required type
                                    if($i==4){
                                        if($extraStb > 0)
                                            $imageErrors[] = Installation_image_types::find($i)->type;
                                    }
                                    else {
                                        $imageErrors[] = Installation_image_types::find($i)->type;
                                    }
                                }
                            }
                        break;
                        case 4 :
                            if(!$this->hasImage($klijentiOptika->id, 5))
                                $imageErrors[] = Installation_image_types::find(5)->type;
                        break;
                    }
                    if($imageErrors){
                        foreach($imageErrors as $ierror){
                            $errorsString .= $ierror.' '.__('is required type of picture')." </br>";
                        }
                        return back()->with('error', $errorsString);
                    }
                    $datumMontaze = date('Y-m-d');
                    $datumOdustajanja = null;
                }
            }

            if ($status == 4 && !$reklamator){
                $datumOdustajanja = date('Y-m-d');
                $datumMontaze = null;
            };
            $izmeniStatus = false;
            if(in_array($status, [2,4,5,21]))
                $izmeniStatus = true;
            //monter nema sve statuse, tako da ukoliko ne unese jedan od dva moguca, ne menja se status u bazi
            if ($izmeniStatus){
                if(!$datumMontaze && $status == 5)
                    $datumMontaze = date('Y-m-d');
                if(!$datumOdustajanja && $status == 4)
                    $datumOdustajanja = date('Y-m-d');
                $klijentUpdate = Klijenti_optika::where('id', $klijentiOptika->id)->update([
                    'datum_montaze' => $datumMontaze,
                    'id_tip_montaze' => $request->input('tip_montaze'),
                    'datum_odustajanja' => $datumOdustajanja,
                    'razlog_odustajanja' => $request->input('razlog_odustajanja'),
                    'id_status' => $status,
                    'id_status_intervencije' => $request->input('status_intervencije')[0],
                    'datum_intervencije' => $datumIntervencije,
                    'datum_zahteva' => $datumZahteva,
                    'datum_reklamacije' => $datumReklamacije,
                    'updated_by'=>Util::userId(),
                    'helper' => $helper,
                    'on_terrain' => $onTerrain,
                    'extra_stb' => $request->input('extra_stb')
                ]);
                if ($klijentUpdate){
                    if($klijentiOptika->id_klijent_prodaja && $datumMontaze){
                        Klijenti_prodaja::where('id', $klijentiOptika->id_klijent_prodaja)->update([
                            'montage_date' => $datumMontaze
                        ]);
                    }
                    if ($status == 1)
                        Klijenti_optika::where('id', $klijentiOptika->id)->update(['datum_zakazivanja' => $datumZakazivanja]);
                    if ($status == 2)
                        Klijenti_optika::where('id', $klijentiOptika->id)->update(['datum_odlaganja' => $datumOdlaganja]);
                }
            }
            else {
                $klijentUpdate = Klijenti_optika::where('id', $klijentiOptika->id)->update([
                    'datum_montaze' => $datumMontaze,
                    'id_tip_montaze' => $request->input('tip_montaze')[0],
                    'datum_odustajanja' => $datumOdustajanja,
                    'razlog_odustajanja' => $request->input('razlog_odustajanja'),
                    'id_status_intervencije' => $request->input('status_intervencije')[0],
                    'datum_intervencije' => $datumIntervencije,
                    'datum_zahteva' => $datumZahteva,
                    'datum_reklamacije' => $datumReklamacije,
                    'updated_by'=>Util::userId(),
                    'helper' => $helper,
                    'on_terrain' => $onTerrain,
                    'extra_stb' => $request->input('extra_stb')
                ]);
                if ($klijentUpdate){
                    if($klijentiOptika->id_klijent_prodaja && $datumMontaze){
                        Klijenti_prodaja::where('id', $klijentiOptika->id_klijent_prodaja)->update([
                            'montage_date' => $datumMontaze
                        ]);
                    }
                    if ($status == 1)
                        Klijenti_optika::where('id', $klijentiOptika->id)->update(['datum_zakazivanja' => $datumZakazivanja]);
                    if ($status == 2)
                        Klijenti_optika::where('id', $klijentiOptika->id)->update(['datum_odlaganja' => $datumOdlaganja]);
                }
            }

        }
        if ($klijentUpdate){
            Change_history::create([
              'id_user' => Util::userId(),
              'id_opticki_klijent' => $klijentiOptika->id
            ]);
            if ($request->input('napomena')) {
                Napomene::create([
                    'napomena' => $request->input('napomena'),
                    'id_user' => Util::userId(),
                    'id_opticki_klijent' => $klijentiOptika->id
                ]);
            }
             /*---------------images*---------------*/
        $pictures = $request->file('pictures');
        $img = new Img();
        $folder = 'uploads/images/'.quartal();
        if (!file_exists($folder)){
            mkdir($folder, 0755, true);
        }

        if($pictures){
            $imageType = $request->input('image_type');
            $this->validate($request, [
                'pictures.*' => 'image|mimes:jpeg,png,jpg,gif',
                'image_type' => 'required'
            ]);
            foreach($pictures as $file){
                $extension = $file->getClientOriginalExtension();
                $filename = date('Y-m-d').'-'.rand(1,100).'montaza'.rand(1,100000).'.'.$extension;
                $fileInt = $img->make($file->getRealPath());
                $fileInt->save($folder.'/'.$filename, 50);
                Images::create([
                    'image_url' => '/'.$folder.'/'.$filename,
                    'id_opticki_klijent' => $klijentiOptika->id,
                    'type_id' => $imageType
                ]);
            }
        }

        $videoFile = $request->file('video');
        if ($request->hasFile('video')){
            $extension = $videoFile->getClientOriginalExtension();
            $filename = date('Y-m-d').'-'.rand(1,100).'montaza'.rand(1,100000).'.'.$extension;
            $videoFile->move('uploads/videos/', $filename);
            Videos::create([
                'video_url' => '/uploads/videos/'.$filename,
                'id_opticki_klijent' => $klijentiOptika->id
            ]);
        }
            return redirect()->route('klijentiOptika.show', ['klijentiOptika' => $klijentiOptika->id])->with('success', __("Data successfully changed"));
        }
        //redirect
        return back()->withInput();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Klijenti_optika  $klijenti_optika
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request)
    {
        $findKlijent = Klijenti_optika::find($request->input('id_klijent'));

        $imagesModel = new Images();
        $dokumentModel = new Images_documents();
        $videoModel = new Videos();
        $images = $imagesModel->slikeZaOptickogKlijenta($request->input('id_klijent'));
        $dokumenti = $dokumentModel->dokumentiZaOptickogKlijenta($request->input('id_klijent'));
        $videos = $videoModel->videoZaOptickogKlijenta($request->input('id_klijent'));

        if ($findKlijent->delete()){
            foreach ($images as $img){
                $file = ltrim($img->image_url,'/');
                if (file_exists($file)){
                    unlink($file);
                }
            }
            foreach ($dokumenti as $doc){
                $file = ltrim($doc->image_url,'/');
                if (file_exists($file)){
                    unlink($file);
                }
            }
            foreach ($videos as $vid){
                $file = ltrim($vid->video_url,'/');
                if (file_exists($file)){
                    unlink($file);
                }
            }
            return redirect()->route('klijentiOptika.index')->with('success', __("Data successfully deleted"));
        }

        return back()->withInput()->with('klijentiOptika', __("Data cannot be deleted"));
    }

    public function report_update(Request $request){
        $idOpticalClient = $request->input('id_optical_client');
        $facilityEnterance = $request->input('facility_enterance');
        $internalCabling = $request->input('internal_cabling');
        $signalLevel = $request->input('signal_level');
        $couplingCOndition = $request->input('coupling_condition');
        $behavior = $request->input('behavior');
        $customerSatisfaction = $request->input('customer_satisfaction');
        $reportId = $request->input('report_id');
        $supervisorComment = $request->input('supervisor_comment');

        $isInserted = Report_marks::find($reportId);

        if($isInserted){
            Report_marks::where('id', $reportId)->update([
                'facility_enterance' => $facilityEnterance,
                'internal_cabling' => $internalCabling,
                'signal_level' => $signalLevel,
                'coupling_condition' => $couplingCOndition,
                'behavior' => $behavior,
                'customer_satisfaction' => $customerSatisfaction,
                'edited_by' => Util::userId(),
            ]);
        }
        else {
            $report = Report_marks::create([
                'facility_enterance' => $facilityEnterance,
                'internal_cabling' => $internalCabling,
                'signal_level' => $signalLevel,
                'coupling_condition' => $couplingCOndition,
                'behavior' => $behavior,
                'customer_satisfaction' => $customerSatisfaction,
                'edited_by' => Util::userId(),
                'created_by' => Util::userId()
            ]);
            Klijenti_optika::where('id', $idOpticalClient)->update([
                'report_id' => $report->id
            ]);
        }

        if ($supervisorComment){
            Supervisor_comments::create([
                'comment' => $supervisorComment,
                'id_optical_client' => $idOpticalClient,
                'id_user' => Util::userId()
            ]);
        }
        return redirect()->route('klijentiOptika.show', ['klijentiOptika' => $idOpticalClient])->with('success', __("Report added successfully"));
    }

    public function delete_supervisor_comment(Request $request){
        $findComment = Supervisor_comments::find($request->input('id_comment'));
        $idClient = $request->input('id_client');

        if ($findComment->delete()){
            if (array_key_exists('optics', $request->input()))
                return redirect()->route('klijentiOptika.edit', $idClient)->with('success', __("Comment successfully deleted"));
        }
        else {
            return redirect()->route('klijentiOptika.edit', $idClient)->with('error', __("Data cannot be deleted"));
        }
    }

    public function price_recalculation(){
        return view('klijentiOptika.recalculation');
    }

    public function recalculate(Request $request){
        $from = database_date($request->input('from'));
        $to = database_date($request->input('to'));
        $request->validate([
            'from' => 'required',
            'to' => 'required'
        ]);

        $muMod = new Montirani_uredjaji();

        $uredjaji = Uredjaji::all()->where('category_id', '=', 1);
        $klijentiOptika = Klijenti_optika::all()->where('datum_montaze', '>=', $from)->where('datum_montaze', '<=', $to);
        $koMod = new Klijenti_optika;
        foreach($klijentiOptika as $klijent) {
            foreach ($uredjaji as $uredjaj) {
                $price = Montage_prices::where('device_id', $uredjaj->id)->where('type', 2)->where('optics_type', $klijent->id_tip_montaze)->orderBy('id', 'DESC')->first();
                if (isset($price->price)) {
                    $price = $price->price;
                } else {
                    $price = 0;
                }
                $count = $muMod->mountedDevices($uredjaj->id, $klijent->id, 'id_opticki_klijent');
                if($uredjaj->id == 18 || $uredjaj->id == 23){
                    if($count > 1){
                        $koMod->priceUpdate($klijent->id, ($count-1)*$price);
                    }
                }
                else{
                    $koMod->priceUpdate($klijent->id, ($count)*$price);
                }
            }
        }
        return back()->with('success', __("Prices successfully recalculated"));
    }

}
