<?php

namespace App\Http\Controllers;

use App\Models\Origin;
use Illuminate\Http\Request;

class OriginController extends Controller
{
    public function index()
    {
        $origins = Origin::all();
        return view('origin.index', ['origins' => $origins]);
    }

    public function create()
    {
        return view('origin.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'origin' => 'required'
        ]);
        $create = Origin::create([
            'origin' => trim($request->input('origin'))
        ]);

        $origins = Origin::all();
        if ($create){
            return view('origin.index', ['origins' => $origins]);
        }
    }

    public function show(Origin $origin)
    {
        $cluster = Origin::find($origin->id);
        return view('origin.show', ['origin' => $origin]);
    }

    public function edit(Origin $origin)
    {
        return view('origin.edit', ['origin' => $origin]);
    }

    public function update(Request $request, Origin $origin)
    {
        $request->validate([
            'origin' => 'required'
        ]);
        $update = Origin::where('id', $origin->id)->update([
            'origin'=>trim($request->input('origin'))
        ]);

        if ($update){
            return redirect()->route('origin.show', ['origin' => $origin->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    public function destroy(Request $request)
    {
        $find = Origin::find($request->input('id_origin'));

        try{
            $find->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Item can't be deleted because it's in use"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
