<?php

namespace App\Http\Controllers;

use App\Paketi;
use Illuminate\Http\Request;

class PaketController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $paketi = Paketi::all();
        return view('paketi.index', ['paketi' => $paketi]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('paketi.create');

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'paket' => 'required'
        ]);
        $paket = Paketi::create([
            'naziv' => trim($request->input('paket'))
        ]);

        $paketi = Paketi::all();
        if ($paket){
            return view('paketi.index', ['paketi' => $paketi]);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Paketi  $paketi
     * @return \Illuminate\Http\Response
     */
    public function show(Paketi $paketi)
    {
        $paketiArr = Paketi::find($paketi->id);
        return view('paketi.show', ['paketiArr' => $paketiArr]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Paketi  $paketi
     * @return \Illuminate\Http\Response
     */
    public function edit(Paketi $paketi)
    {
        $paket = Paketi::find($paketi->id);

        return view('paketi.edit', ['paket' => $paket]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Paketi  $paketi
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Paketi $paketi)
    {
        $request->validate([
            'paket' => 'required',
            'price' => 'nullable|numeric'
        ]);
        $paketUpdate = Paketi::where('id', $paketi->id)->update([
            'naziv'=>trim($request->input('paket')),
            'price'=>$request->input('price')
        ]);

        if ($paketUpdate){
            return redirect()->route('paketi.show', ['paketi' => $paketi->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Paketi  $paketi
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request)
    {
        $findPaket = Paketi::find($request->input('id_paket'));

        try{
            $findPaket->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Data cannot be deleted"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
