<?php

namespace App\Http\Controllers;

use App\Models\Postpaid_tariffs;
use Illuminate\Http\Request;

class PostpaidTariffController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $postpaidTariffs = Postpaid_tariffs::all();
        return view('postpaidTariff.index', ['postpaidTariffs' => $postpaidTariffs]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('postpaidTariff.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'tariff' => 'required'
        ]);
        $create = Postpaid_tariffs::create([
            'tariff' => trim($request->input('tariff'))
        ]);

        if ($create){
            return redirect()->route('postpaid_tariff.index');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Postpaid_tariffs  $postpaid_tariff
     * @return \Illuminate\Http\Response
     */
    public function show(Postpaid_tariffs $postpaid_tariff)
    {
        return view('postpaidTariff.show', ['tariff' => $postpaid_tariff]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Postpaid_tariffs  $postpaid_tariff
     * @return \Illuminate\Http\Response
     */
    public function edit(Postpaid_tariffs $Postpaid_tariff)
    {
        $tariff = Postpaid_tariffs::find($Postpaid_tariff->id);

        return view('postpaidTariff.edit', ['tariff' => $tariff]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Postpaid_tariffs  $postpaid_tariff
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Postpaid_tariffs $postpaid_tariff)
    {
        $request->validate([
            'tariff' => 'required'
        ]);
        $update = Postpaid_tariffs::where('id', $postpaid_tariff->id)->update([
            'tariff'=>trim($request->input('tariff'))
        ]);

        if ($update){
            return redirect()->route('postpaid_tariff.show', ['postpaid_tariff' => $postpaid_tariff->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request)
    {
        $findTariff = Postpaid_tariffs::find($request->input('id_tariff'));

        try{
            $findTariff->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('error', __("Item can't be deleted because it's in use"));
        }
        return back()->withInput()->with('error', __("Data cannot be deleted"));
    }
}
