<?php

namespace App\Http\Controllers;

use App\Models\Hw_prices;
use App\Models\Montage_prices;
use App\Tip_montaze;
use App\Uredjaji;
use Illuminate\Http\Request;

class PricesController extends Controller
{
    public function hw_prices(){
        $prices = Hw_prices::orderBy('id', 'DESC')->get();
        return view('price.hw_prices', ['prices' => $prices]);
    }

    public function create_hw_price(){
        return view('price.hw_create_price');
    }

    public function store_hw_price(Request $request){
        $request->validate([
            'price' => 'required|numeric'
        ]);

        $price = $request->input('price');
        $create = Hw_prices::create([
            'price' => $price
        ]);

        if($create)
            return redirect()->route('hw_prices');
        else
            return back()->with('error', __('Error'));
    }

    public function dth_prices(){
        $prices = Montage_prices::where('type', 1)->orderBy('id', 'DESC')->get();
        return view('price.dth_prices', ['prices' => $prices]);
    }

    public function create_dth_price(){
        $devices = Uredjaji::all()->where('category_id', '=', 1);
        return view('price.dth_create_price', ['devices' => $devices]);
    }

    public function store_dth_price(Request $request){
        $request->validate([
            'price' => 'required|numeric',
            'device' => 'required'
        ]);

        $price = $request->input('price');
        $device = $request->input('device');
        $create = Montage_prices::create([
            'price' => $price,
            'device_id' => $device,
            'type' => 1
        ]);

        if($create)
            return redirect()->route('dth_prices');
        else
            return back()->with('error', __('Error'));
    }

    public function optics_prices(){
        $prices = Montage_prices::where('type', 2)->orderBy('id', 'DESC')->get();
        return view('price.optics_prices', ['prices' => $prices]);
    }

    public function create_optics_price(){
        $devices = Uredjaji::all()->where('category_id', '=', 1);
        $types = Tip_montaze::all();
        return view('price.optics_create_price', ['devices' => $devices, 'types' => $types]);
    }

    public function store_optics_price(Request $request){
        $request->validate([
            'price' => 'required|numeric',
            'type' => 'required',
            'device' => 'required'
        ]);

        $price = $request->input('price');
        $device = $request->input('device');
        $type = $request->input('type');
        $create = Montage_prices::create([
            'price' => $price,
            'device_id' => $device,
            'optics_type' => $type,
            'type' => 2
        ]);

        if($create)
            return redirect()->route('optics_prices');
        else
            return back()->with('error', __('Error'));
    }
}
