<?php

namespace App\Http\Controllers;

use App\Models\Providers;
use Illuminate\Http\Request;

class ProviderController extends Controller
{
    public function index()
    {
        $providers = Providers::all();
        return view('provider.index', ['providers' => $providers]);
    }

    public function create()
    {
        return view('provider.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'provider' => 'required'
        ]);
        $create = Providers::create([
            'provider' => trim($request->input('provider'))
        ]);

        $providers = Providers::all();
        if ($create){
            return view('provider.index', ['providers' => $providers]);
        }
    }

    public function show(Providers $provider)
    {
        return view('provider.show', ['provider' => $provider]);
    }

    public function edit(Providers $provider)
    {
        return view('provider.edit', ['provider' => $provider]);
    }

    public function update(Request $request, Providers $provider)
    {
        $request->validate([
            'provider' => 'required'
        ]);
        $update = Providers::where('id', $provider->id)->update([
            'provider'=>trim($request->input('provider'))
        ]);

        if ($update){
            return redirect()->route('provider.show', ['provider' => $provider->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }

    public function destroy(Request $request)
    {
        $find = Providers::find($request->input('id_provider'));

        try{
            $find->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Item can't be deleted because it's in use"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));
    }
}
