<?php

namespace App\Http\Controllers;

use App\Klijent_copy;
use App\Klijenti_optika_copy;
use App\Magacin;
use App\Models\Cities;
use App\Models\Image_types;
use App\Models\Montage_prices;
use App\Napomene;
use App\Otpremljena_roba;
use App\Revers_roba;
use App\Models\States;
use App\Models\Areas;
use App\Models\Construction_status;
use App\Models\Currency;
use App\Models\Contractors;
use App\Models\Equipment_categories;
use App\Models\Work_categories;
use App\Models\Equipment;
use App\Models\Construction_works;
use App\Klijent;
use App\Klijenti_bakar;
use App\Montirani_uredjaji;
use App\Klijenti_optika;
use App\Klijenti_prodaja;
use App\Klijenti_supernova;
use App\Models\Commissions;
use App\Models\De_construction_sites;
use App\Models\Fobos_rune;
use App\Models\Fobos_rune_comments;
use App\Models\Fobos_status_logs;
use App\Models\Hw_access_works;
use App\Models\Hw_work_categories;
use App\Models\Materials;
use App\Models\Pans;
use App\Models\Rune_comments;
use App\Models\Rune_optics;
use App\Models\Storage_equipment;
use App\Models\Storage_materials;
use App\Models\User_cluster;
use App\Models\Worker_materials;
use App\Oprema;
use App\Paketi;
use App\Uredjaji;
use App\User;
use Illuminate\Support\Facades\DB;


class ScriptsController extends Controller
{

    public function run(){
        // $this->fobosMontageTransfer();
        // $this->fobosPanTransfer();
        // $this->material_storage_import();
        return view('easteregg');
    }

    public function material_storage_import(){
        $filename = 'material';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->rangeToArray('A2:N44');
        foreach($sheetData as $data){
            $material = Materials::where('code', $data[0])->where('is_active', 1)->first();
            if($data[5]){
                Worker_materials::create([
                    'user_id' => 219,
                    'material_id' => $material->id,
                    'storage_id' => 32,
                    'quantity' => $data[5]
                ]);
            }
            if($data[6]){
                Worker_materials::create([
                    'user_id' => 116,
                    'material_id' => $material->id,
                    'storage_id' => 32,
                    'quantity' => $data[6]
                ]);
            }
            if($data[7]){
                Worker_materials::create([
                    'user_id' => 119,
                    'material_id' => $material->id,
                    'storage_id' => 32,
                    'quantity' => $data[7]
                ]);
            }
            if($data[8]){
                Worker_materials::create([
                    'user_id' => 93,
                    'material_id' => $material->id,
                    'storage_id' => 32,
                    'quantity' => $data[8]
                ]);
            }
            if($data[9]){
                Worker_materials::create([
                    'user_id' => 203,
                    'material_id' => $material->id,
                    'storage_id' => 32,
                    'quantity' => $data[9]
                ]);
            }
            if($data[10]){
                Worker_materials::create([
                    'user_id' => 171,
                    'material_id' => $material->id,
                    'storage_id' => 32,
                    'quantity' => $data[10]
                ]);
            }
            if($data[11]){
                Worker_materials::create([
                    'user_id' => 24,
                    'material_id' => $material->id,
                    'storage_id' => 32,
                    'quantity' => $data[11]
                ]);
            }
            if($data[12]){
                Worker_materials::create([
                    'user_id' => 18,
                    'material_id' => $material->id,
                    'storage_id' => 32,
                    'quantity' => $data[12]
                ]);
            }
        }
    }

    public function material_import(){
        $filename = 'material';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->rangeToArray('A2:B44');
        foreach($sheetData as $data){
            Materials::create([
                'code' => $data[0],
                'material' => $data[1]
            ]);
        }
    }

    public function warehouse_import(){
        $filename = 'warehouse';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->rangeToArray('B2:D77');
        foreach($sheetData as $data){
            $equipment = Oprema::where('code', $data[0])->where('is_active', 1)->first();
            if($equipment){ 
                Storage_equipment::create([
                    'mag_id' => 32,
                    'mont_equipment_id' => $equipment->id,
                    'package_number' => $data[1],
                    'quantity' => $data[2]
                ]);
            }
        }
    }

    public function fobosMontageTransfer(){
        $sites = De_construction_sites::all();
        foreach($sites as $site){
            $pan = Pans::where('pan', trim($site->pop))->first();
            if($pan)
                De_construction_sites::where('id', $site->id)->update(['pan_id' => $pan->id]);
        }
    }

    public function fobosPanTransfer(){
        $fobos = Fobos_rune::all();
        foreach($fobos as $f){
            $pan = Pans::where('pan', trim($f->pan))->first();
            if($pan)
                Fobos_rune::where('id', $f->id)->update(['pan_id' => $pan->id]);
        }
    }

    public function panImport(){
        $filename = 'pans';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->rangeToArray('A2:A806');
        foreach($sheetData as $data){
            Pans::create([
                'pan' => trim($data[0])
            ]);
        }
    }

    public function logRetro(){
        $filename = 'ku_status';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->rangeToArray('I2:N140');
        // dd($sheetData);
        foreach($sheetData as $data){
            $client = Fobos_rune::where('fobos_id', $data[0])->where('status_id', '=', 1)->get()->first();
            if($client){
                Fobos_status_logs::create([
                    'user_id' => $data[5],
                    'status_id' => $client->status_id,
                    'fobos_id' => $client->id,
                    'updated_at' => '2024-03-08 00:00:00',
                    'created_at' => '2024-03-08 00:00:00'
                ]);
            }
        }
    }

    public function logCreate(){
        $fobos = Fobos_rune::where('status_id', 1)->where('seller_id', '!=', null)->whereRaw('updated_at = created_at')->get();
        dd($fobos[0]);
        foreach($fobos as $f){
            Fobos_status_logs::create([
                'user_id' => $f->seller_id,
                'status_id' => $f->status_id,
                'fobos_id' => $f->id,
                'updated_at' => $f->updated_at,
                'created_at' => $f->created_at
            ]);
        }
    }

    public function equipment_import(){
        $filename = 'equipment';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->rangeToArray('A2:F67');
        // dd($sheetData);
        foreach($sheetData as $data){
            Oprema::create([
                'code' => $data[0],
                'naziv' => $data[1],
                'package' => $data[2]?1:null,
                'price' => $data[3],
                'id_category' => $data[4],
                'id_tip_opreme' => 2,
                'is_active' => 1
            ]);
        }
    }

    public function rune_uvoz(){
        $filename = 'rune_uvoz';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->rangeToArray('A2:O698');
        // dd($sheetData);
        foreach($sheetData as $data){
            Rune_optics::create([
                'cluster' => $data[0],
                'street' => $data[1],
                'home_no' => $data[2],
                'eta' => $data[3],
                'fobos_id' => $data[4],
                'tel1' => $data[5],
                'city' => $data[6],
                'settlement' => $data[7],
                'email' => $data[8],
                'status' => $data[9],
                'name' => $data[10],
                'surnaname' => $data[11],
                'address' => $data[12],
                'seller_id' => $data[13],
                'origin' => $data[14]
            ]);
        }
    }

    public function cjenik(){
        $filename = 'cjenik';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->rangeToArray('A6:D159');
        // dd($sheetData);
        foreach($sheetData as $data){
            if($data[0] == null){
                $category = Hw_work_categories::where('category', 'like', '%'.$data[1].'%')->get()->first();
            }
            if($category && $data[0]){
                Hw_access_works::create([
                    'code' => $data[0],
                    'work' => $data[1],
                    'category_id' => $category->id,
                    'unit_id' => $data[2],
                    'price' => $data[3]?$data[3]:0
                ]);
            }
        }
    }


    public function prodaja(){
        // $filename = 'prodaja';
        // $file = public_path()."/import_files/$filename.xlsx";
        // $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        // $spreadsheet = $reader->load($file);
        // $sheetData = $spreadsheet->getActiveSheet()->rangeToArray('A2:C6483');
        // $sheetData = $spreadsheet->getActiveSheet()->toArray();

        $IDS = [158521,120100,949420,192692,109198,100458,162860,167218,165460,164577,159582,157935,101173,949240,755341,755318,755301,755258,754742,174184,174243,948340,
        949848,174262,173316,173266,171028,169637,169628,167646,166851,165103,165215,160545,159784,160265,158477,158476,158426,158295,158282,158123,158033,158520,157595,
        158229,157541,157531,157748,157933,140201,140194,140178,119830,119819,119817,119634,119579,119439,112163,112015,111852,111479,110012,109211,101749,101463,101310,
        101232,101231,101086,100827,100820,100728,10477,100288,158224,754593,157307,170643,172193,157273,158222,112072,164253,119530,167702,754982,754565,754555,193031,
        174470,174447,174446,174451,174449,173214,173147,172918,170793,170546,169947,168149,165908,164973,159526,160178,165164,164366,161399,160754,16059,160955,159832,
        159739,159686,157403,157314,155714,155579,140152,140106,140083,140028,140257,119485,112268,111639,111083,111384,110038,109732,109391,101326,101297,101048,101031,
        100839,100824,100744,100726,100643,100433,100407,100390,100105,100097,949756,10131,100496,162865,159677,192702,174053,109183,167577,169470,755324,754849,160679,
        949698,174855,755351,755288,192989,192861,174051,167589,165390,160505,160951,160948,159699,160244,159861,159857,158481,158446,158300,158286,158538,158498,157623,
        158156,157872,157932,140180,140267,119765,119573,119425,111683,111665,110007,101435,101419,101291,101289,101265,100978,101176,101156,100127,157388,949221,155672,
        157319,193345,164376,170878,164257,948348,159683,164244,161001,156848,155425,755029,176033,175597,175071,193918,193921,13995,173290,173280,170968,170947,170408,
        170631,168086,167708,167160,165742,166292,164421,160903,160082,160025,160536,160166,159073,158747,157389,155739,155157,119892,114873,111826,111773,111548,111019,
        110124,109349,101840,101382,101374,101341,101040,101014,10076,100741,100647,100533,100933,100465,100460,100434,100373];

        foreach($IDS as $data){
            Fobos_rune::where('fobos_id', $data)->update([
                'status_id' => 1
            ]);
        }
    }

    private function import_construction_managers(){
        $all = Rune_optics::all();
        foreach($all as $opt){
            $find = User_cluster::where('cluster_id', $opt->cluster)->get()->first();
            if(isset($find->user_id)){
                Rune_optics::where('id', $opt->id)->update([
                    'construction_manager' => $find->user_id
                ]);
            }
        }
    }

    private function commissionData(){
        $comMod = new Commissions();
        $klijenti = Klijenti_prodaja::all();
        
        foreach($klijenti as $klijent){
            if($klijent->id_paket){
                $price = Paketi::find($klijent->id_paket)->price;
            }
            else{
                $price = 0;
            }
            $coefficient = $comMod->getCoefficient($klijent->id_paket, $klijent->id_vrsta_paketa);
            $commission = $price*$coefficient;
            Klijenti_prodaja::where('id', $klijent->id)->update(['commission' => $commission]);
        }
    }
    private function setMontageDate(){
        $msat = Klijent::where('id_klijent_prodaja', '!=', null)->get();
        $optika = Klijenti_optika::where('id_klijent_prodaja', '!=', null)->get();
        $supernova = Klijenti_supernova::where('id_klijent_prodaja', '!=', null)->get();
        $bakar = Klijenti_bakar::where('id_klijent_prodaja', '!=', null)->get();

        foreach($msat as $k){
            Klijenti_prodaja::where('id', $k->id_klijent_prodaja)->update(['montage_date' => $k->datum_montaze]);
        }
        foreach($optika as $k){
            Klijenti_prodaja::where('id', $k->id_klijent_prodaja)->update(['montage_date' => $k->datum_montaze]);
        }
        foreach($supernova as $k){
            Klijenti_prodaja::where('id', $k->id_klijent_prodaja)->update(['montage_date' => $k->datum_montaze]);
        }
        foreach($bakar as $k){
            Klijenti_prodaja::where('id', $k->id_klijent_prodaja)->update(['montage_date' => $k->datum_montaze]);
        }
    }

    private function obsolete_goods(){
        $goods = DB::table('revers_roba')->orderBy('serijski_broj', 'desc')->orderBy('id','desc')->get();
        foreach($goods as $key=>$good){
            if($key == 0)
                continue;
            if($good->serijski_broj == $goods[$key-1]->serijski_broj){
                Revers_roba::where('id',$good->id)->update([
                    'obsolete' => 1
                ]);
            }

        }
    }

    private function irregularities(){
        $revers = Revers_roba::all()->where('obsolete', '=', 0)->where('mounted', '=', 0);
        $irregularities = array();
        foreach($revers as $rev){
            $findSerials = Magacin::where('serijski_broj', $rev->serijski_broj)->get();
            if($findSerials->isEmpty())
                $irregularities[] = $rev->serijski_broj;
        }
        dd($irregularities);
    }

    private function wrongMag(){
        $magacin = Magacin::all();
        $irregularities = array();
        foreach($magacin as $mag){
            $findSerials = Revers_roba::where('serijski_broj', $mag->serijski_broj)->where('obsolete', 0)->where('mounted', 0)->get();
            if(!$findSerials->isEmpty()){
                if($mag->id_mag != $findSerials[0]->storage_id){
                    $irregularities[] = $mag->serijski_broj;
                }
            }
        }
        dd($irregularities);
    }

    private function mountedDevices($uredjaj, $klijent, $column){
        $query = DB::table('montirani_uredjaji as mu')
            ->selectRaw('COUNT(mu.id) as count')
            ->where('id_uredjaj', '=', $uredjaj)
            ->where($column, '=', $klijent)
        ;

        $result = $query->get();
        return $result[0]->count;
    }

    private function prices(){
        $uredjaji = Uredjaji::all();
        $klijenti = Klijent::all()->where('datum_montaze', '>=', '2022-06-01');
        $klijentiOptika = Klijenti_optika::all()->where('datum_montaze', '>=', '2022-06-01');
        $kMod = new Klijent;
        $koMod = new Klijenti_optika();
        foreach($klijenti as $klijent) {
            foreach ($uredjaji as $uredjaj) {
                $price = Montage_prices::where('device_id', $uredjaj->id)->where('type', 1)->orderBy('id', 'DESC')->first();
                if (isset($price->price)) {
                    $price = $price->price;
                } else {
                    $price = 0;
                }
                $count = $this->mountedDevices($uredjaj->id, $klijent->id, 'id_klijent');
                if($uredjaj->id == 2){
                    if($count > 1){
                        $kMod->priceUpdate($klijent->id, ($count-1)*$price);
                    }
                }
                else{
                    $kMod->priceUpdate($klijent->id, ($count)*$price);
                }
            }
        }
        foreach($klijentiOptika as $klijent) {
            foreach ($uredjaji as $uredjaj) {
                $price = Montage_prices::where('device_id', $uredjaj->id)->where('type', 2)->where('optics_type', $klijent->id_tip_montaze)->orderBy('id', 'DESC')->first();
                if (isset($price->price)) {
                    $price = $price->price;
                } else {
                    $price = 0;
                }
                $count = $this->mountedDevices($uredjaj->id, $klijent->id, 'id_opticki_klijent');
                if($uredjaj->id == 18 || $uredjaj->id == 23){
                    if($count > 1){
                        $koMod->priceUpdate($klijent->id, ($count-1)*$price);
                    }
                }
                else{
                    $koMod->priceUpdate($klijent->id, ($count)*$price);
                }
            }
        }
    }

    private function merge(){
        $klijenti = Klijent_copy::all();
        $klijentiOptika = Klijenti_optika_copy::all();
        foreach ($klijenti as $key=>$data){
            Klijent::create([
                'br_ugovora' => $data->br_ugovora,
                'ime' => $data->ime,
                'prezime' => $data->prezime,
                'jmbg' => $data->jmbg,
                'mrezna_grupa' => $data->mrezna_grupa,
                'tel1' => $data->tel1,
                'tel2' => $data->tel2,
                'tel3' => $data->tel3,
                'tis_id' => $data->tis_id,
                'datum_evidentiranja_tis' => $data->datum_evidentiranja_tis,
                'broj_lk' => $data->broj_lk,
                'datum_izdavanja_lk' => $data->datum_izdavanja_lk,
                'mesto_izdavanja_lk' => $data->mesto_izdavanja_lk,
                'adresa_prebivalista' => $data->adresa_prebivalista,
                'adresa_instalacije' => $data->adresa_instalacije,
                'paket' =>$data->paket,
                'vrsta_paketa' => $data->vrsta_paketa,
                'nov_servis' => $data->nov_servis,
                'dodatni_stb' => $data->dodatni_stb,
                'broj_bodova' => $data->broj_bodova,
                'izvodjac_prodavac' => $data->izvodjac_prodavac,
                'prodavac' => $data->prodavac,
                'izvodjac' => $data->izvodjac,
                'datum_montaze' => $data->datum_montaze,
                'for_payment' => $data->for_payment,
                'lnb' => $data->lnb,
                'stb1' => $data->stb1,
                'stb2' => $data->stb2,
                'adsl' => $data->adsl,
                'vdsl' => $data->vdsl,
                'mifi_imei' => $data->mifi_imei,
                'mifi_iccd' => $data->mifi_iccd,
                'datum_odustajanja' => $data->datum_odustajanja,
                'razlog_odustajanja' => $data->razlog_odustajanja,
                'napomena' => $data->napomena,
                'id_status' => $data->id_status,
                'id_status_intervencije' => $data->id_status_intervencije,
                'datum_intervencije' => $data->datum_intervencije,
                'datum_zakazivanja' => $data->datum_zakazivanja,
                'datum_odlaganja' => $data->datum_odlaganja,
                'datum_reklamacije' => $data->datum_reklamacije,
                'id_razlog_reklamacije' => $data->id_razlog_reklamacije,
                'id_tip_montaze' => $data->id_tip_montaze,
                'datum_dodavanja' => $data->datum_dodavanja,
                'datum_zahteva' => $data->datum_zahteva,
                'complaint' => $data->complaint,
                'on_terain' => $data->on_terain,
                'filed' => $data->filed,
                'company_id' => $data->company_id,
                'imported' => $data->imported,
                'updated_at' => $data->updated_at,
                'created_at' => $data->created_at
            ]);
        }

        foreach($klijentiOptika as $data){
            Klijenti_optika::create([
                'br_ugovora' => $data->br_ugovora,
                'ime' => $data->ime,
                'prezime' => $data->prezime,
                'zahtev_uneo' => $data->zahtev_uneo,
                'podrucje' => $data->podrucje,
                'tis_id' => $data->tis_id,
                'adresa' => $data->adresa,
                'tel1' => $data->tel1,
                'tel2' => $data->tel2,
                'tel3' => $data->tel3,
                'zahtev' => $data->zahtev,
                'prodavac' => $data->prodavac,
                'broj_bodova' => $data->broj_bodova,
                'id_status' => $data->id_status,
                'origin_id' => $data->origin_id,
                'datum_zahteva' => $data->datum_zahteva,
                'datum_zakazivanja' => $data->datum_zakazivanja,
                'datum_odlaganja' => $data->datum_odlaganja,
                'datum_reklamacije' => $data->datum_reklamacije,
                'datum_montaze' => $data->datum_montaze,
                'datum_odustajanja' => $data->datum_odustajanja,
                'datum_intervencije' => $data->datum_intervencije,
                'razlog_odustajanja' => $data->razlog_odustajanja,
                'id_status_intervencije' => $data->id_status_intervencije,
                'updated_at' => $data->updated_at,
                'created_at' => $data->created_at,
                'id_tip_montaze' => $data->id_tip_montaze,
                'imported' => $data->imported,
                'on_terrain' => $data->on_terrain,
                'extra_stb' => $data->extra_stb,
                'company_id' => $data->company_id
            ]);
        }
    }

    private function rune_final(){
        $filename = 'montaze_dopuna';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->toArray();
        foreach ($sheetData as $key=>$data){
            if($key == 0) continue;
            Rune_optics::where('fobos_id', $data[0])->update([
                'county' => $data[1],
                'city'=> $data[2],
                'settlement' => $data[3],
                'street' => $data[4],
                'home_no' => $data[5],
                'cluster' => $data[6],
                'pan' => $data[7],
                'x_coordinate' => $data[8],
                'y_coordinate' => $data[9]
            ]);
        
        }
    }

    private function fobos_import(){
        $filename = 'fobos_other';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->toArray();
        foreach ($sheetData as $key=>$data){
            if($key == 0) continue;
            $hasMontage = Rune_optics::where('fobos_id', $data[1])->get();
            if($hasMontage->isEmpty()){
                $find = Fobos_rune::where('fobos_id', '=', $data[1])->get()->first();
                if($find){
                    $create = Rune_optics::create([
                        'fobos_id' => $data[1],
                        'county' => $find->county,
                        'city' => $find->city,
                        'settlement' => $find->settlement,
                        'street' => $find->street,
                        'home_no' => $find->home_no,
                        'cluster' => $data[0],
                        'pan' => $find->pan,
                        'household' => $find->household,
                        'households' => $find->households,
                        'state' => $find->state,
                        'eta' => $find->eta,
                        'state_services' => $find->state_services,
                        'x_coordinate' => $find->x_coordinate,
                        'y_coordinate' => $find->y_coordinate,
                        'created_by' => 1001,
                        'seller_id' => $data[4],
                        'team_leader' => $data[3]
                    ]);
                }
                else{
                    $create = false;
                }
                
                if($create){
                    $comments = Fobos_rune_comments::all()->where('fobos_id', $find->id);
                    if(!$comments->isEmpty()){
                        foreach($comments as $com){
                            Rune_comments::create([
                                'comment' => $com->comment,
                                'user_id' => $com->user_id,
                                'client_id' => $create->id,
                                'created_at' => $com->created_at
                            ]);
                        }
                    }
                }
            }
        }
    }

    private function import_stuff(){
        $filename = 'rune_optics';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->toArray();
        foreach ($sheetData as $key=>$data){
            if($key == 0) continue;
            $id = Rune_optics::where('fobos_id', '=', $data[7])->get();
            if(!isset($id[0])) continue;
            Rune_optics::where('fobos_id', '=', $data[7])->update([
                'origin' => $data[0],
                'seller_id' => $data[1],
                'name' => $data[2],
                'surname' => $data[3],
                'address' => $data[4],
                'email' => $data[5],
                'tel1' => $data[6],
                'status' => $data[8],
            ]);


            if($data[9]){
                Rune_comments::create([
                    'comment' => $data[9],
                    'user_id' => 1,
                    'client_id' => $id[0]->id
                ]);
            }
        }
    }

    private function uvoz_milos(){
        $filename = 'uvoz_milos';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->toArray();
        foreach ($sheetData as $key=>$data){
            if ($key == 0)
                continue;
            if ($key == 23)
                break;

            $nameParts = explode(" ",preg_replace('/\s+/', ' ', $data[0]));

            if($data[8] == 'Biz Pronet Leskovac')
                $status = 5;
            else
                $status = 20;

            if(isset($nameParts[2]))
                $name = $nameParts[2].' '.$nameParts[1];
            else
                $name = $nameParts[1];

            $client = Klijent::create([
                'tis_id' => $data[1],
                'ime' => $name,
                'prezime' => $nameParts[0],
                'tel2' => $data[2],
                'mrezna_grupa' => $data[3],
                'adresa_instalacije' => $data[4].', '.$data[5].', '.$data[6].' / '.$data[7],
                'izvodjac' => $data[8],
                'id_status' => $status,
                'datum_reklamacije' => '2021-12-08',
                'id_razlog_reklamacije' => 6,
                'id_status_intervencije' => 1
            ]);

            if($client){
                Napomene::create([
                    'napomena' => 'DEMONTAZA (na zahtev korisnika 16). Obavezno popuniti, potpisati i slikati radni nalog.',
                    'complaint' => 1,
                    'id_klijent' => $client->id
                ]);
            }
        }
    }

    private function uvoz_milos2(){
        $filename = 'uvoz_milos_2';
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->toArray();
        foreach ($sheetData as $key=>$data){
            if ($key == 0)
            continue;
            
            $nameParts = explode(" ",preg_replace('/\s+/', ' ', $data[1]));
            $client = Klijent::create([
                'tis_id' => $data[0],
                'br_ugovora' => $data[0],
                'ime' => $nameParts[0],
                'prezime' => $nameParts[1],
                'adresa_instalacije' => $data[2],
                'tel2' => $data[3],
                'izvodjac' => $data[5],
                'id_status' => $data[6],
                'datum_reklamacije' => '2021-09-01',
                'id_razlog_reklamacije' => 6,
                'id_status_intervencije' => 1
            ]);

            if($client){
                Napomene::create([
                    'napomena' => 'DEMONTAZA: Obavezno popuniti, potpisati i slikati radni nalog',
                    'complaint' => 1,
                    'id_klijent' => $client->id
                ]);
            }
        }
    }

    private function optika_odustali(){
        $filename = 'optika_odustali';
        $status = 4;
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->toArray();
        foreach ($sheetData as $key=>$data){
            if ($key == 0)
                continue;

            if(!$data[5])
                continue;

            $findUser = User::find($data[0]);
            if($findUser){
                $userId = $findUser->id;
                $fitterText = null;
            }
            else{
                $userId = null;
                $fitterText = $data[0];
            }

            $nameParts = explode(" ",preg_replace('/\s+/', ' ', $data[5]));
            if($data[1])
                $appointmentDate = date('Y-m-d', strtotime(str_replace('/','.', $data[1])));
            else
                $appointmentDate = null;

            $client = Klijenti_optika::create([
                'zahtev_uneo' => $fitterText,
                'ime' => trim($nameParts[0]),
                'prezime' => trim($nameParts[1]),
                'tis_id' => $data[3],
                'adresa' => $data[4],
                'tel1' => $data[6],
                'zahtev' => $data[7],
                'tel2' => $data[8],
                'datum_odustajanja' => $appointmentDate,
                'id_user' => $userId,
                'id_status' => $status
            ]);

            if($client && $data[9]){
                Napomene::create([
                    'napomena' => $data[9],
                    'id_opticki_klijent' => $client->id
                ]);
            }
        }
    }

    private function optika_otkazani(){
        $filename = 'optika_otkazani';
        $status = 2;
        $file = public_path()."/import_files/$filename.xlsx";
        $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
        $spreadsheet = $reader->load($file);
        $sheetData = $spreadsheet->getActiveSheet()->toArray();
        foreach ($sheetData as $key=>$data){
            if ($key == 0)
                continue;

            if(!$data[5])
                continue;

            $findUser = User::find($data[0]);
            if($findUser){
                $userId = $findUser->id;
                $fitterText = null;
            }
            else{
                $userId = null;
                $fitterText = $data[0];
            }

            $nameParts = explode(" ",preg_replace('/\s+/', ' ', $data[5]));

            $client = Klijenti_optika::create([
                'zahtev_uneo' => $fitterText,
                'ime' => trim($nameParts[0]),
                'prezime' => trim($nameParts[1]),
                'tis_id' => $data[3],
                'adresa' => $data[4],
                'tel1' => $data[6],
                'zahtev' => $data[7],
                'tel2' => $data[8],
                'id_user' => $userId,
                'id_status' => $status
            ]);

            if($client && $data[9]){
                Napomene::create([
                    'napomena' => $data[9],
                    'id_opticki_klijent' => $client->id
                ]);
            }
        }
    }

    private function msat_montirani(){
        $excelFiles = ['x', 'y', 'z'];
        foreach($excelFiles as $br=>$filename) {
            $status = 5;
            $file = public_path() . "/import_files/$filename.xlsx";
            $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
            $spreadsheet = $reader->load($file);
            $sheetData = $spreadsheet->getActiveSheet()->toArray();
            $falseDates = array();
//            foreach($sheetData as $key => $data){
//                if(date('Y-m-d', strtotime(str_replace('/', '.', $data[1]))) == '1970-01-01' && $data[1])
//                    $falseDates[$filename][] = $data[1];
//                if(date('Y-m-d', strtotime(str_replace('/', '.', $data[8]))) == '1970-01-01' && $data[8])
//                    $falseDates[$filename][] = $data[8];
//                if(date('Y-m-d', strtotime(str_replace('/', '.', $data[21]))) == '1970-01-01' && $data[21])
//                    $falseDates[$filename][] = $data[21];
//                if(date('Y-m-d', strtotime(str_replace('/', '.', $data[29]))) == '1970-01-01' && $data[29])
//                    $falseDates[$filename][] = $data[29];
//            }
            foreach ($sheetData as $key => $data) {
                if ($key == 0)
                    continue;
                $deloviImena = explode(" ", preg_replace('/\s+/', ' ', $data[2]));
                $findUser = User::find($data[32]);
                if ($findUser) {
                    $userId = $findUser->id;
                    $fitterText = null;
                } else {
                    $userId = null;
                    $fitterText = $data[32];
                }

                if (!isset($deloviImena[1]))
                    $deloviImena[1] = '';

                $client = Klijent::create([
                    'br_ugovora' => $data[0],
                    'datum_dodavanja' => $data[1] ? date('Y-m-d', strtotime(str_replace('/', '.', $data[1]))) . ' ' . date('H:i:s') : null,
                    'datum_zahteva' => $data[1] ? date('Y-m-d', strtotime(str_replace('/', '.', $data[1]))) : null,
                    'ime' => trim($deloviImena[0]),
                    'prezime' => trim($deloviImena[1]),
                    'jmbg' => trim($data[3]),
                    'mrezna_grupa' => trim($data[4]),
                    'tel1' => $data[5],
                    'tis_id' => $data[6],
                    'broj_lk' => $data[7],
                    'datum_izdavanja_lk' => $data[8] ? date('Y-m-d', strtotime(str_replace('/', '.', $data[8]))) : null,
                    'mesto_izdavanja_lk' => $data[9],
                    'adresa_prebivalista' => $data[10],
                    'adresa_instalacije' => $data[11],
                    'tel2' => $data[12],
                    'paket' => $data[13],
                    'vrsta_paketa' => $data[14],
                    'nov_servis' => $data[15],
                    'dodatni_stb' => $data[16],
                    'broj_bodova' => $data[17],
                    'izvodjac_prodavac' => $data[18],
                    'prodavac' => $data[19],
                    'izvodjac' => $data[20],
                    'datum_montaze' => $data[21] ? date('Y-m-d', strtotime(str_replace('/', '.', $data[21]))) : null,
                    'datum_odustajanja' => $data[29] ? date('Y-m-d', strtotime(str_replace('/', '.', $data[29]))) : null,
                    'razlog_odustajanja' => $data[30],
                    'id_status' => $status,
                    'id_user' => $userId
                ]);

                if ($data[22]) {
                    Montirani_uredjaji::create([
                        'serijski_broj' => $data[22],
                        'id_uredjaj' => 1,
                        'id_klijent' => $client->id
                    ]);
                }
                if ($data[23]) {
                    Montirani_uredjaji::create([
                        'serijski_broj' => $data[23],
                        'id_uredjaj' => 2,
                        'id_klijent' => $client->id
                    ]);
                }
                if ($data[24]) {
                    Montirani_uredjaji::create([
                        'serijski_broj' => $data[24],
                        'id_uredjaj' => 2,
                        'id_klijent' => $client->id
                    ]);
                }
                if ($data[25]) {
                    Montirani_uredjaji::create([
                        'serijski_broj' => $data[25],
                        'id_uredjaj' => 3,
                        'id_klijent' => $client->id
                    ]);
                }
                if ($data[26]) {
                    Montirani_uredjaji::create([
                        'serijski_broj' => $data[26],
                        'id_uredjaj' => 4,
                        'id_klijent' => $client->id
                    ]);
                }
                if ($data[27]) {
                    Montirani_uredjaji::create([
                        'serijski_broj' => $data[27],
                        'id_uredjaj' => 5,
                        'id_klijent' => $client->id
                    ]);
                }
                if ($data[28]) {
                    Montirani_uredjaji::create([
                        'serijski_broj' => $data[28],
                        'id_uredjaj' => 6,
                        'id_klijent' => $client->id
                    ]);
                }
                if ($fitterText) {
                    Napomene::create([
                        'napomena' => 'Monter: ' . $fitterText,
                        'id_klijent' => $client->id
                    ]);
                }
            }
        }
//        dd($falseDates);
    }

    private function iz_magacina_u_otpremnicu(){
        $roba = Magacin::where('id_uredjaj', 10)->whereDate('created_at', '2021-04-23')->get();
        foreach ($roba as $r){
            Otpremljena_roba::create([
                'serijski_broj' => $r->serijski_broj,
                'id_otpremnice' => 1186,
                'id_uredjaj' => 10,
                'id_mag' => 1
            ]);

            Magacin::where('serijski_broj', $r->serijski_broj)->delete();
        }
    }

    private function alter(){
        $codes ='923HW0012011008836
                923HW0012011005251
                923HW0012011005260';

        $codesArr = explode("\r\n",  $codes);
        foreach($codesArr as $code){
            Magacin::create([
                'serijski_broj' => $code,
                'id_uredjaj' => 2,
                'id_mag' => 1,
                'id_magacioner' => 24
            ]);
        }
        echo "success";
    }

    private function device_import(){
        $lnb = file_get_contents(public_path()."/import_files/lnb.txt");
        $stb = file_get_contents(public_path()."/import_files/stb.txt");
        $lnbArray = preg_split('/\s+/', $lnb);
        $stbArray = preg_split('/\s+/', $stb);
        foreach ($lnbArray as $lnb){
            Magacin::create([
                'serijski_broj' => $lnb,
                'id_uredjaj' => 1,
                'id_mag' => 1,
                'id_magacioner' => 1
            ]);
        }

        foreach ($stbArray as $stb){
            Magacin::create([
                'serijski_broj' => $stb,
                'id_uredjaj' => 2,
                'id_mag' => 1,
                'id_magacioner' => 1
            ]);
        }

        echo 'done';
    }

    private function seeding(){
      $states = ['Srbija' => 'SRB', 'Bosna i Hercegovina'=>'BIH'];
       foreach($states as $state=>$short){
           States::create([
               'state' => $state,
               'state_short' => $short,
               'created_at' => date('Y-m-d H:i:s'),
               'updated_at' => date('Y-m-d H:i:s')
           ]);
       }

      $file = public_path().'/mesta.txt';
      $content = file_get_contents($file);
      $data = explode("\n", $content);
      foreach($data as $d){
          Cities::create([
              'city' => $d,
              'id_state' => 1,
              'created_at' => date('Y-m-d H:i:s'),
              'updated_at' => date('Y-m-d H:i:s')
          ]);
      }

       $imageTypes = ['privod', 'podorman', 'spratne kutije - otvorene', 'spratne kutije - zatvorene', 'kopanje', 'ir orman'];
       foreach($imageTypes as $type){
           Image_types::create([
               'type' => $type,
               'created_at' => date('Y-m-d H:i:s'),
               'updated_at' => date('Y-m-d H:i:s')
           ]);
       }

       $areas = ['Beograd', 'Niš'];
       foreach($areas as $area){
           Areas::create([
               'area' => $area,
               'created_at' => date('Y-m-d H:i:s'),
               'updated_at' => date('Y-m-d H:i:s')
           ]);
       }

       $statuses = ['realizovan', 'nije realizovan', 'odustao', 'odložen'];
       foreach($statuses as $status){
           Construction_status::create([
               'status' => $status,
               'created_at' => date('Y-m-d H:i:s'),
               'updated_at' => date('Y-m-d H:i:s')
           ]);
       }

       $currencies = ['dinar' => 'DIN', 'euro'=>'EUR'];
       foreach($currencies as $cur=>$short){
           Currency::create([
               'currency' => $cur,
               'currency_short' => $short,
               'created_at' => date('Y-m-d H:i:s'),
               'updated_at' => date('Y-m-d H:i:s')
           ]);
       }

       $contractors = ['Teledirekt', 'Teamenergo'];
       foreach($contractors as $contractor){
           Contractors::create([
               'contractor' => $contractor,
               'created_at' => date('Y-m-d H:i:s'),
               'updated_at' => date('Y-m-d H:i:s')
           ]);
       }

        

        $equipmentCategories = ['KABL OPTIČKI', 'SPOJNICE OPTIČKE SA PRIBOROM', 'ZAVRŠNE OPTIČKE KUTIJE', 'TKB ZAVRŠNA OPTIČKA KUTIJA'
            , 'R+M ZAVRŠNA OPTIČKA KUTIJA', 'FIBRE FAB ZAVRŠNA OPTIČKA KUTIJA', 'ADC-FL1000 ZAVRŠNA OPTIČKA KUTIJA', 'ZAVRŠNA OPTIČKA KUTIJA - OSTALO', 'PEČ PANELI',
            'INSTALACIONI IFC KABLOVI', 'PIGTEJLI', 'OPTIČKI RAZDELNICI KOMPLET - POZICIJE ZA PROJEKTOVANJE', 'RAZDELNIK OPTIČKI R&M'
            ,'RAZDELNIK OPTIČKI HUBER+SUHNER', 'RAZDELNIK OPTIČKI  NEXANS', 'RAZDELNIK OPTIČKI TKB', 'RAZDELNIK OPTIČKI CIP-MIKOS',
            'OMX 600/800 KABINETI I DODATNI MONTAŽNI MATERIJAL ', 'OMX 600/800 TERMINACIONI BLOKOVI', 'OMX 600/800 SPLICE MODUL I KASETE',
            'OMX 600/800 MENADŽMENT PANELI ZA EKSTRA DUŽINE PATCHCORD KABLOVA I DODATNI MONT.MAT.', 'FL2000 PATCH PANELI KOMPLETI',
            'FL2000 PRAZNI PATCH PANELI (SAMO TERMINACIJA)', 'FL2000 PRAZNI ODF PANELI (TERMINACIJA / SPLICE)', 'FL2000 REKOVI I DODATNI MONTAŽNI MATERIJAL',
            'ADAPTERI ZA  PANELE FL2000', 'FL2000 MENADŽMENT PANELI ZA EKSTRA DUŽINE PATCHCORD KABLOVA I DODATNI MONT.MAT.', 'FL2000 ODF KOMPLETI',
            'FL2000 6PAK ADAPTERI', 'FL2000 6PAK ADAPTERI SA PIGTAIL-OVIMA', 'FMT FIOKE SA MOGUĆNOŠĆU TERMINACIJE', 'FMT FIOKE SA MOGUĆNOŠĆU TERMINACIJE I SPLICE-A',
            'FMT FIOKE ZA SKLADIŠTENJE VIŠKA PATCHCORD KABLOVA', 'OSTALI MATERIJAL ZA OPTIČKE RAZDELNIKE', 'ULIČNI KABINETI ADC ZA OPTIČKE RAZDELNIKE',
            'STUBOVI', 'PSK OPREMA', 'ROV I KABLOVSKA KANALIZACIJA', 'MATERIJAL  KOJI  ISPORUČUJE  IZVOĐAČ'];
        foreach($equipmentCategories as $cat){
            Equipment_categories::create([
                'category' => $cat,
                'created_at' => date('Y-m-d H:i:s'),
                'updated_at' => date('Y-m-d H:i:s')
            ]);
        }

        $workCategories = [
          'PRIPREMNI RADOVI', 
          'ISKOP ROVA U TROTOARU (IV kategorija zemljišta)', 
          'ISKOP ROVA U KOLOVOZU (IV kategorija zemljišta)', 
          'ISKOP ROVA U ZEMLJANOJ POVRŠINI',
          'OSTALA RUŠENJA', 
          'OPRAVKA RUŠENIH POVRŠINA', 
          'POSEBNI GRADJEVINSKI RADOVI',
          'MINI ROV',
          'IZRADA OKANA',
          'POLAGANJE CEVI I IZRADA PRELAZA',
          'POLAGANJE BAKARNIH KABLOVA',
          'IZRADA NASTAVAKA NA BAKARNIM KABLOVIMA',
          'MONTAŽNI RADOVI NA BAKARNOJ PRISTUPNOJ MREŽI',
          'IZRADA IZVODA/PODIZVODA/UGRADNJA STUBOVA',
          'JTG', 
          'IZRADA UZEMLJENJA',
          'MERENJA NA BAKARNOJ MREŽI',
          'POLAGANJE OPTIČKIH KABLOVA I PE CEVI I MIKROCEVI',
          'MONTAŽNI RADOVI NA OPTIČKIM KABLOVIMA',
          'OPTO ELEKTRIČNA MERENJA',
          'IZRADA INSTALACIJA',
          'STRUKTURNO KABLIRANJE',
          'RADOVI  NA  NENORMIRANIM  POSLOVIMA',
          'OSTALI TROŠKOVI',
          'USLUGE DRUGIH'];
        foreach($workCategories as $cat){
            Work_categories::create([
                'category' => $cat,
                'created_at' => date('Y-m-d H:i:s'),
                'updated_at' => date('Y-m-d H:i:s')
            ]);
        }

        require '../vendor/autoload.php';
        for($i=1;$i<=39;$i++){
          $file = public_path()."/import_files/$i.xlsx";
          $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
          $spreadsheet = $reader->load($file);
          $sheetData = $spreadsheet->getActiveSheet()->toArray();
          foreach($sheetData as $data){
              Equipment::create([
                  'code' => $data[0],
                  'equipment' => $data[1],
                  'id_category' => $i
              ]);
          }
        }

        for($i=1;$i<=25;$i++){
          $file = public_path()."/import_files/r$i.xlsx";
          $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
          $spreadsheet = $reader->load($file);
          $sheetData = $spreadsheet->getActiveSheet()->toArray();
          foreach($sheetData as $data){
              Construction_works::create([
                  'code' => $data[0],
                  'work' => $data[1],
                  'id_category' => $i
              ]);
          }
        }

        echo 'done'; exit;

    }

    private function callback(){
        function exe($name, $callback) {
            $niz = ['deni', 'sasko', 'pedja', 'bize'];
            if (is_callable($callback)){
                array_push($niz, $name);
                call_user_func($callback, $niz);
            }
        }

        exe('petlidzan', function($smth){
            var_dump($smth);
        });
    }

    private function closure(){
        $niz = ['deni', 'sasko', 'pedja', 'bize'];
        $tauntingo = function() use ($niz){
            echo 'ce rabota bitch';
            foreach ($niz as $n)
                echo ' '.$n;
        };

        $tauntingo();
    }

    private function random_serials(){
        $randomString = 'ASDF25234TNLSFB0854698SFDS';

        for ($i=1; $i<= 200; $i++){
            $uredjaj = rand(1, 7);
            $serial = str_shuffle($randomString);
            Revers_roba::create([
                'serijski_broj' => $serial,
                'id_revers' => 1047,
                'id_uredjaj' => $uredjaj
            ]);
        }
    }

}
