<?php

namespace App\Http\Controllers;

use App\Models\Ticket_comments;
use App\Models\Tickets;
use App\Traits\Util;
use Illuminate\Http\Request;

class TicketController extends Controller
{
    public function hw_tickets(){
        session(['ticket_type' => 1]);
        $tMod = new Tickets();
        $tickets = $tMod->ticketsIndex(1);
        $isAdmin = Util::isSuperAdmin() || Util::isHuaweiAdmin();
        $cMod = new Ticket_comments();
        return view('tickets.tickets', [
            'tickets' => $tickets,
            'isAdmin' => $isAdmin,
            'cMod' => $cMod
        ]);
    }

    public function hw_create_ticket(){
        session(['ticket_type' => 1]);
        $users = Util::allActiveUsers();
        return view ('tickets.create_ticket',['users' => $users, 'type' => 1]);
    }

    public function construction_tickets(){
        session(['ticket_type' => 0]);
        $tMod = new Tickets();
        $tickets = $tMod->ticketsIndex(0);
        $isAdmin = Util::isSuperAdmin();
        $cMod = new Ticket_comments();
        return view('tickets.tickets', [
            'tickets' => $tickets,
            'isAdmin' => $isAdmin,
            'cMod' => $cMod
        ]);
    }

    public function construction_create_ticket(){
        session(['ticket_type' => 0]);
        $users = Util::allActiveUsers();
        return view ('tickets.create_ticket',['users' => $users, 'type' => 0]);
    }

    public function store_ticket(Request $request){
        $title = $request->input('title');
        $issue = $request->input('issue');
        $worker = $request->input('worker');
        $type = $request->input('type');
        $request->validate([
           'title' => 'required',
           'issue' => 'required'
        ]);
        $create = Tickets::create([
            'title' => $title,
            'issue' => $issue,
            'type' => $type,
            'created_by' => Util::userId(),
            'assigned_to' => $worker

        ]);
        if($create) {
            if($type == 0)
                return redirect()->route('construction_tickets')->with('success', __('Ticket successfully created'));
            elseif($type == 1)
                return redirect()->route('hw_tickets')->with('success', __('Ticket successfully created'));
        }
        else
            return back()->with('error', 'Error');
    }

    public function resolve(Request $request){
        $id = $request->input('resolve_id');
        $action = $request->input('action');
        if($action == 'resolve'){
            Tickets::where('id', $id)->update([
                'resolved' => 1,
                'resolved_by' => Util::userId(),
                'resolved_at' => date('Y-m-d H:i:s')
            ]);
        }
        else{
            Tickets::where('id', $id)->update([
                'resolved' => 0,
                'resolved_by' => null,
                'resolved_at' => null
            ]);
        }
    }

    public function ticket_comments($ticket_id){
        $cMod = new Ticket_comments();
        $comments = $cMod->comments($ticket_id);
        return view ('tickets.comments', ['comments' => $comments, 'ticket_id' => $ticket_id]);
    }

    public function create_ticket_comment(Request $request, $ticket_id){
        $comment = $request->input('comment');
        $request->validate(['comment' => 'required']);
        Ticket_comments::create([
            'comment' => $comment,
            'ticket_id' => $ticket_id,
            'created_by' => Util::userId()
        ]);

        return back()->with('success', __('Comment successfully added'));
    }

    public function delete_ticket(Request $request){
        $id = $request->input('delete_id');
        $find = Tickets::find($id);
        if($find->delete())
            return back()->with('success', __('Item successfully deleted'));
        else
            return back()->with('error', __('Error'));
    }

}
