<?php

namespace App\Http\Controllers;

use App\Uredjaji;
use Illuminate\Http\Request;

class ToolDeviceController extends Controller
{
    private function allDevices(){
        $devModel = new Uredjaji();
        $devices = $devModel->toolDevices(2);
        return $devices;
    }

    private function findDevice($id){
        $devModel = new Uredjaji();
        $device = $devModel->findDevice($id);
        return $device[0];
    }

    public function index()
    {
        return view('toolDevice.index', ['devices' => $this->allDevices()]);
    }

    public function create()
    {
        return view('toolDevice.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'device' => 'required'
        ]);
        $device = Uredjaji::create([
            'uredjaj' => trim($request->input('device')),
            'category_id' => 2
        ]);

        if ($device){
            return view('toolDevice.index', ['devices' => $this->allDevices()]);
        }
    }

    public function show(Uredjaji $toolDevice)
    {
        return view('toolDevice.show', ['device' => $this->findDevice($toolDevice->id)]);
    }

    public function edit(Uredjaji $toolDevice)
    {
        return view('toolDevice.edit', [
            'device' => $this->findDevice($toolDevice->id)
        ]);
    }

    public function update(Request $request, Uredjaji $toolDevice)
    {
        $request->validate([
            'device' => 'required'
        ]);
        $deviceUpdate = Uredjaji::where('id', $toolDevice->id)->update([
            'uredjaj'=>trim($request->input('device')),
            'category_id' => 2
        ]);

        if ($deviceUpdate){
            return redirect()->route('toolDevice.show', ['toolDevice' => $toolDevice->id])->with('success',  __("Data successfully changed"));
        }
        return back()->withInput();
    }

    public function destroy(Request $request)
    {
        $findDevice = Uredjaji::find($request->input('id_device'));

        try{
            $findDevice->delete();
            return back()->withInput()->with('success',  __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('errors', __("Item can't be deleted because it's in use"));
        }


        return back()->withInput()->with('errors', __("Data cannot be deleted"));

    }
}
