<?php

namespace App\Http\Controllers;

use App\Models\Uniform_types;
use App\Models\Uniforms;
use Illuminate\Http\Request;

class UniformController extends Controller
{

    public function index()
    {
        $uMod = new Uniforms();
        $uniforms = $uMod->index();
        return view('uniform.index', ['uniforms' => $uniforms]);
    }

    public function create()
    {
        $uniformTypes = Uniform_types::all();
        return view('uniform.create', ['uniformTypes' => $uniformTypes]);
    }

    public function store(Request $request)
    {
        $request->validate(['uniform' => 'required']);
        $create = Uniforms::create([
            'uniform' => trim($request->input('uniform')),
            'size' => trim($request->input('size')),
            'color' => trim($request->input('color')),
            'type_id' => $request->input('type')
        ]);
        if ($create){
            return redirect()->route('uniform.show', ['uniform' => $create->id])->with('success', __("Item successfully added"));
        }
    }

    public function show(Uniforms $uniform)
    {
        $uniformData = $uniform->uniformData($uniform->id);
        return view('uniform.show', ['uniform' => $uniformData]);
    }

    public function edit(Uniforms $uniform)
    {
        $uniformTypes = Uniform_types::all();
        return view('uniform.edit', ['uniform' => $uniform, 'uniformTypes' => $uniformTypes]);
    }

    public function update(Request $request, Uniforms $uniform)
    {
        $request->validate(['uniform' => 'required']);
        $update = Uniforms::where('id',$uniform->id)->update([
            'uniform' => trim($request->input('uniform')),
            'size' => trim($request->input('size')),
            'color' => trim($request->input('color')),
            'type_id' => $request->input('type')
        ]);
        if ($update){
            return redirect()->route('uniform.show', ['uniform' => $uniform->id])->with('success', __("Item successfully added"));
        }
    }

    public function destroy(Request $request)
    {
        $find = Uniforms::find($request->input('id_uniform'));

        try{
            $find->delete();
            return back()->withInput()->with('success', __("Item successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('error', __("Item can't be deleted because it's in use"));
        }

        return back()->withInput()->with('error', __("Deletion is not possible"));
    }
}
