<?php

namespace App\Http\Controllers;

use App\Models\Uniform_types;
use Illuminate\Http\Request;

class UniformTypeController extends Controller
{
    public function index()
    {
        $types = Uniform_types::all();
        return view('uniformTypes.index', ['types' => $types]);
    }

    public function create()
    {
        return view('uniformTypes.create');
    }

    public function store(Request $request)
    {
        $request->validate(['type' => 'required']);
        $create = Uniform_types::create([
            'type' => trim($request->input('type'))
        ]);
        if ($create){
            return redirect()->route('uniform_type.show', ['uniform_type' => $create->id])->with('success', __("Type successfully added"));
        }
    }

    public function show(Uniform_types $uniform_type)
    {
        $type = Uniform_types::find($uniform_type->id);
        return view('uniformTypes.show', ['type' => $type]);
    }

    public function edit(Uniform_types $uniform_type)
    {
        $type = Uniform_types::find($uniform_type->id);
        return view('uniformTypes.edit', ['type' => $type]);
    }

    public function update(Request $request, Uniform_types $uniform_type)
    {
        $request->validate(['type' => 'required']);
        $update = Uniform_types::where('id', $uniform_type->id)->update([
            'type' => $request->input('type')
        ]);

        if ($update){
            return redirect()->route('uniform_type.show', ['uniform_type' => $uniform_type->id])->with('success', __("Tool type successfully edited"));
        }
    }

    public function destroy(Request $request)
    {
        $find = Uniform_types::find($request->input('id_type'));

        try{
            $find->delete();
            return back()->withInput()->with('success', __("Item successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('error', __("Item can't be deleted because it's in use"));
        }

        return back()->withInput()->with('error', __("Deletion is not possible"));
    }
}
