<?php

namespace App\Http\Controllers;

use App\Models\Vehicle_owners;
use Illuminate\Http\Request;

class VehicleOwnersController extends Controller
{
    public function index()
    {
        $owners = Vehicle_owners::all();
        return view('vehicleOwners.index', ['owners' => $owners]);

    }

    public function create()
    {
        return view('vehicleOwners.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required'
           ]);
           $status = Vehicle_owners::create([
               'name' => trim($request->input('name'))
           ]);
    
           if ($status){
               return redirect()->route('vehicle_owners.index')->with('success', __("Data successfully added"));
           }
    }

    public function show(Vehicle_owners $vehicle_owner)
    {
        return view('vehicleOwners.show', ['owner' => $vehicle_owner]);
    }

    public function edit(Vehicle_owners $vehicle_owner)
    {
        return view('vehicleOwners.edit', ['owner' => $vehicle_owner]);
    }

    public function update(Request $request, Vehicle_owners $vehicle_owner)
    {
        $request->validate([
            'name' => 'required'
        ]);
        $update = Vehicle_owners::where('id', $vehicle_owner->id)->update([
            'name'=>trim($request->input('name'))
        ]);

        if ($update){
            return redirect()->route('vehicle_owners.show', ['vehicle_owner' => $vehicle_owner->id])->with('success', __("Data successfully changed"));
        }
        return back()->withInput();
    }
    public function destroy(Request $request)
    {
        $findOwner = Vehicle_owners::find($request->input('owner_id'));

        try{
            $findOwner->delete();
            return back()->withInput()->with('success', __("Data successfully deleted"));
        }
        catch (\Illuminate\Database\QueryException $e){
            return back()->withInput()->with('error', __("Data cannot be deleted"));
        }


        return back()->withInput()->with('error', __("Data cannot be deleted"));
    }
}
