<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class TeamLeader
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::check()){
            if($request->user()->is_active != 1)
                Auth::logout();
            if (in_array($request->user()->role_id, [1,2,6,15]))
                return $next($request);
            else
                return back()->with('error', __('This page can be accessed only by Admins and Team leaders'));
        }
        else{
            return redirect()->route('login');
        }
    }
}
