<?php

namespace App\Models;
use DB;


use Illuminate\Database\Eloquent\Model;

class Cities extends Model
{
    protected $fillable = ['city', 'id_state'];

    public function citiesIndex($cityId=null){
        $query = DB::table('cities as c')
            ->leftJoin('states as s', 's.id', '=', 'c.id_state')
            ->select('c.id', 'c.city', 's.state', 'c.id_state')
            ->orderBy('c.city', 'ASC');
        if($cityId)
            $query->where('c.id', '=', $cityId);
        $result = $query->paginate(50);
        if($cityId)
            return $result[0];
        else
            return $result;
    }

    public function getCityIdByName($city){
        $query = DB::table('cities as c')
            ->select('c.id')
            ->where('c.city', '=', $city);
        $result = $query->get();
        if($result->isEmpty())
            return null;
        else
            return $result[0]->id;
    }
}
