<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Const_teams extends Model
{
    protected $fillable = [
        'team',
        'column_leader'
    ];

    public function teams(){
        $query = DB::table('const_teams as t')
            ->leftJoin('users as u', 'u.id', '=', 't.column_leader')
            ->select('t.id', 't.team', 'u.ime', 'u.prezime');
        $result = $query->get();
        return $result;
    }

    public function workers($teamId){
        $query = DB::table('const_team_worker as ctw')
            ->leftJoin('users as u', 'u.id', '=', 'ctw.worker_id')
            ->select('u.id','u.ime', 'u.prezime', 'ctw.team_id', 'ctw.worker_id')
            ->where('ctw.team_id', '=', $teamId)
        ;
        $result = $query->get();
        return $result;
    }

    public function teamData($teamId){
        $query = DB::table('const_teams as t')
            ->leftJoin('users as u', 'u.id', '=', 't.column_leader')
            ->select('t.id', 't.team', 'u.ime', 'u.prezime')
            ->where('t.id', '=', $teamId);
        $result = $query->get();
        return $result[0];
    }

    public function workersLead($leaderId){
        $query = DB::table('const_team_worker as ctw')
            ->leftJoin('users as u', 'u.id', '=', 'ctw.worker_id')
            ->leftJoin('const_teams as t', 't.id', '=', 'ctw.team_id')
            ->select('u.id', 'u.ime as name', 'u.prezime as surname')
            ->where('t.column_leader', '=', $leaderId)
        ;
        $result = $query->get()->toArray();
        if($leaderId == null)
            return [];
        else
            return $result;
    }
}
