<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use DB;

class Construction_prices extends Model
{
    protected $fillable = [
        'price',
        'id_area',
        'id_currency',
        'id_equipment',
        'id_construction_work',
        'price_date'
    ];

    public function price($idArea, $idCurrency, $idEquipment=null, $idConstructionWork=null, $priceDate){
        $query = DB::table('construction_prices')
        ->select('price')
        ->where('id_area', '=', $idArea)
        ->where('id_currency', '=', $idCurrency)
        ->whereDate('price_date', '<=', date('Y-m-d', strtotime($priceDate)));
        if($idEquipment){
            $query->where('id_equipment', '=', $idEquipment);
        }
        if($idConstructionWork){
            $query->where('id_construction_work', '=', $idConstructionWork);
        }
        $query->orderBy('id', 'DESC')->limit(1);

        $result = $query->get();
        if($result->isEmpty()){
            return 0;
        }
        else {
            return $result[0]->price;
        }
        
    }
}
