<?php

namespace App\Models;

use App\Traits\Util;
use App\Change_history;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class DataTransfer extends Model
{
    private function checkClientExistence($clientType, $fromId, $toId){
        switch($clientType){
            case 1 :
                $table = 'klijent';
                break;
            case 2 :
                $table = 'klijenti_optika';
                break;
            case 3 :
                $table = 'klijenti_supernova';
                break;
            case 4 :
                $table = 'klijenti_bakar';
                break;
        }

        $client1 = DB::table($table)->where('id', '=', $fromId)->get();
        $client2 = DB::table($table)->where('id', '=', $toId)->get();
        if($client1->isEmpty() || $client2->isEmpty())
            return false;
        else
            return true;
    }
    public function data_transfer($fromId, $toId, $clientType, $devices=null, $equipment=null, $returnedDevices=null, $comments=null, $images=null){
        $clientExists = $this->checkClientExistence($clientType, $fromId, $toId);
        if(!$clientExists)
            return 'Ne postoji klijent sa zadatim ID-jem.';
        if($devices){
            switch($clientType){
                case 1 :
                    DB::table('montirani_uredjaji')->where('id_klijent', '=', $fromId)->update(['id_klijent' => $toId]);
                    break;
                case 2 :
                    DB::table('montirani_uredjaji')->where('id_opticki_klijent', '=', $fromId)->update(['id_opticki_klijent' => $toId]);
                    break;
                case 3 :
                    DB::table('montirani_uredjaji')->where('id_supernova_klijent', '=', $fromId)->update(['id_supernova_klijent' => $toId]);
                    break;
                case 4 :
                    DB::table('montirani_uredjaji')->where('id_bakar_klijent', '=', $fromId)->update(['id_bakar_klijent' => $toId]);
                    break;
            }
        }
        if($equipment){
            switch($clientType){
                case 1 :
                    DB::table('oprema_klijent')->where('id_klijent', '=', $fromId)->update(['id_klijent' => $toId]);
                    break;
                case 2 :
                    DB::table('oprema_klijent')->where('id_opticki_klijent', '=', $fromId)->update(['id_opticki_klijent' => $toId]);
                    break;
                case 3 :
                    DB::table('oprema_klijent')->where('id_supernova_klijent', '=', $fromId)->update(['id_supernova_klijent' => $toId]);
                    break;
                case 4 :
                    DB::table('oprema_klijent')->where('id_bakar_klijent', '=', $fromId)->update(['id_bakar_klijent' => $toId]);
                    break;
            }
        }
        if($returnedDevices){
            switch($clientType){
                case 1 :
                    DB::table('vraceni_uredjaji')->where('id_klijent', '=', $fromId)->update(['id_klijent' => $toId]);
                    break;
                case 2 :
                    DB::table('vraceni_uredjaji')->where('id_opticki_klijent', '=', $fromId)->update(['id_opticki_klijent' => $toId]);
                    break;
                case 3 :
                    DB::table('vraceni_uredjaji')->where('id_supernova_klijent', '=', $fromId)->update(['id_supernova_klijent' => $toId]);
                    break;
                case 4 :
                    DB::table('vraceni_uredjaji')->where('id_bakar_klijent', '=', $fromId)->update(['id_bakar_klijent' => $toId]);
                    break;
            }
        }
        if($comments){
            switch($clientType){
                case 1 :
                    DB::table('napomene')->where('id_klijent', '=', $fromId)->update(['id_klijent' => $toId]);
                    break;
                case 2 :
                    DB::table('napomene')->where('id_opticki_klijent', '=', $fromId)->update(['id_opticki_klijent' => $toId]);
                    break;
                case 3 :
                    DB::table('napomene')->where('id_supernova_klijent', '=', $fromId)->update(['id_supernova_klijent' => $toId]);
                    break;
                case 4 :
                    DB::table('napomene')->where('id_bakar_klijent', '=', $fromId)->update(['id_bakar_klijent' => $toId]);
                    break;
            }
        }
        if($images){
            switch($clientType){
                case 1 :
                    DB::table('images')->where('id_klijent', '=', $fromId)->update(['id_klijent' => $toId]);
                    DB::table('images_documents')->where('id_klijent', '=', $fromId)->update(['id_klijent' => $toId]);
                    break;
                case 2 :
                    DB::table('images')->where('id_opticki_klijent', '=', $fromId)->update(['id_opticki_klijent' => $toId]);
                    DB::table('images_documents')->where('id_opticki_klijent', '=', $fromId)->update(['id_opticki_klijent' => $toId]);
                    break;
                case 3 :
                    DB::table('images')->where('id_supernova_klijent', '=', $fromId)->update(['id_supernova_klijent' => $toId]);
                    DB::table('images_documents')->where('id_supernova_klijent', '=', $fromId)->update(['id_supernova_klijent' => $toId]);
                    break;
                case 4 :
                    DB::table('images')->where('id_bakar_klijent', '=', $fromId)->update(['id_bakar_klijent' => $toId]);
                    DB::table('images_documents')->where('id_bakar_klijent', '=', $fromId)->update(['id_bakar_klijent' => $toId]);
                    break;
            }
        }

        if($devices || $equipment || $returnedDevices || $comments || $images){
            switch($clientType){
                case 1 :
                    Change_history::create(['id_klijent' => $fromId, 'data_transfer' => 1, 'id_user' => Util::userId()]);
                    Change_history::create(['id_klijent' => $toId, 'data_transfer' => 1, 'id_user' => Util::userId()]);
                    break;
                case 2 :
                    Change_history::create(['id_opticki_klijent' => $fromId, 'data_transfer' => 1, 'id_user' => Util::userId()]);
                    Change_history::create(['id_opticki_klijent' => $toId, 'data_transfer' => 1, 'id_user' => Util::userId()]);
                    break;
                case 3 :
                    Change_history::create(['id_supernova_klijent' => $fromId, 'data_transfer' => 1, 'id_user' => Util::userId()]);
                    Change_history::create(['id_supernova_klijent' => $toId, 'data_transfer' => 1, 'id_user' => Util::userId()]);
                    break;
                case 4 :
                    Change_history::create(['id_bakar_klijent' => $fromId, 'data_transfer' => 1, 'id_user' => Util::userId()]);
                    Change_history::create(['id_bakar_klijent' => $toId, 'data_transfer' => 1, 'id_user' => Util::userId()]);
                    break;
            }
        }
    }
}
