<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class De_site_equipment extends Model
{
    protected $table = 'de_site_equipment';
    protected $fillable = ['equipment_id', 'site_id', 'worker_id', 'quantity'];

    public function equipment($site){
        $query = DB::table('de_site_equipment as dse')
            ->leftJoin('oprema as o', 'o.id', '=', 'dse.equipment_id')
            ->selectRaw('quantity, o.naziv, o.id, dse.created_at, dse.id as se_id')
            ->where('site_id', '=', $site);

        $result = $query->get();
        return $result;
    }

    public function siteEquipment($start, $end, $leader, $cluster, $pan, $provider){
        $query = DB::table('de_site_equipment as se')
            ->leftJoin("de_construction_sites as s", 's.id', '=', "se.site_id")
            ->leftJoin("oprema as e", 'e.id', '=', "se.equipment_id")
            ->selectRaw("SUM(se.quantity) as quantity, e.naziv as equipment")
            ->where('s.date', '>=', $start)
            ->where('s.date', '<=', $end)
            ->whereIn('s.leader', $leader)
        ;

        if($cluster){
            $query->where('s.cluster', '=', $cluster);
        }
        if($pan){
            $query->where('s.pan_id', '=', $pan);
        }
        if($provider){
            $query->where('s.provider', '=', $provider);
        }

        $query->groupBy("se.equipment_id");

        $result = $query->get();
        if($result->isEmpty())
            return null;
        else
            return $result;
    }

}
