<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class De_site_materials extends Model
{
    protected $fillable = [
        'material_id',
        'site_id',
        'quantity',
        'fitter_id'
    ];

    public function spentMaterial($id){
        $query = DB::table('de_site_materials as mr')
            ->leftJoin('materials as m', 'm.id', '=', 'mr.material_id')
            ->selectRaw('mr.quantity, m.material, m.id, mr.created_at, m.code')
            ->where('site_id', '=', $id);

        $result = $query->get();
        return $result;
    }

    public function siteMaterials($start, $end, $leader, $cluster, $pan, $provider){
        $query = DB::table('de_site_materials as mr')
            ->leftJoin("de_construction_sites as s", 's.id', '=', "mr.site_id")
            ->leftJoin("materials as m", 'm.id', '=', "mr.material_id")
            ->selectRaw("SUM(mr.quantity) as quantity, m.material")
            ->where('s.date', '>=', $start)
            ->where('s.date', '<=', $end)
            ->whereIn('s.leader', $leader)
        ;

        if($cluster){
            $query->where('s.cluster', '=', $cluster);
        }
        if($pan){
            $query->where('s.pan_id', '=', $pan);
        }
        if($provider){
            $query->where('s.provider', '=', $provider);
        }

        $query->groupBy("mr.material_id");

        $result = $query->get();
        if($result->isEmpty())
            return null;
        else
            return $result;
    }
}
