<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Demands extends Model
{
    protected $fillable = [
        'fitter',
        'storekeeper',
        'storage_id',
        'estimated_send_date',
        'status'
    ];

    public function demandsIndex($fitter=null){
        $query = DB::table('demands as d')
            ->leftJoin('demand_statuses as ds', 'ds.id', '=', 'd.status')
            ->leftJoin('users as u', 'u.id', '=', 'd.fitter')
            ->leftJoin('magz as m', 'm.id', '=', 'd.storage_id')
            ->select('d.id', 'd.estimated_send_date', 'd.created_at', 'ds.status', 'u.ime as name', 'u.prezime as surname', 'm.naziv as storage')
            ->orderBy('id', 'DESC')
        ;

        if($fitter){
            $query->where('d.fitter', '=', $fitter)->whereNotIn('d.status', [3,4,5]);
        }

        $result = $query->paginate(50);
        return $result;
    }
}
