<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Doc_works extends Model
{
    protected $fillable = [
        'code',
        'work',
        'unit_id',
        'price',
        'fixed'
    ];

    public function works(){
        $query = DB::table('doc_works')
            ->select('*');
            
        $result = $query->get();
        return $result;
    }

    /**
     * $code string
     * $name string
     * find id by code and name
     */
    public function workId($code, $name){
        $query = DB::table('doc_works')->select('id')->where('code', '=', $code);
        if($name){
            $query->orWhere('work', '=', $name);
        }
        $result = $query->get();
        if($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function doc_works(){
        $query = DB::table('doc_works as dw')
            ->leftJoin('units as u', 'u.id', '=', 'dw.unit_id')
            ->select('dw.code', 'dw.work', 'dw.id', 'u.unit', 'u.id as unit_id', 'fixed')
            ->orderBy('dw.work', 'ASC');

        $result = $query->paginate(50);
        return $result;
    }

    public function workData($id){
        $query = DB::table('doc_works as dw')
            ->leftJoin('units as u', 'u.id', '=', 'dw.unit_id')
            ->select('dw.code', 'dw.work', 'dw.id', 'u.unit', 'u.id as unit_id', 'fixed', 'unit_short', 'price')
            ->where('dw.id', '=', $id);

        $result = $query->get();
        return $result[0];
    }

    public function workIds(){
        $query = DB::table('doc_works')
            ->select('id')
            ->where('fixed', '!=', null)
            ->orderBy('code', 'ASC')
            ->orderBy('id', 'ASC');

        $result = $query->get();
        return $result;
    }
}
