<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Kir_access_works extends Model
{
    protected $fillable = ['code', 'work', 'unit_id', 'category_id', 'fixed', 'price'];

    public function works($idCategory){
        $query = DB::table('kir_access_works')
            ->select('*')
            ->where('category_id', '=', $idCategory);
            
        $result = $query->get();
        return $result;
    }

    /**
     * $code string
     * $name string
     * find id by code and name
     */
    public function workId($code, $name){
        $query = DB::table('kir_access_works')->select('id')->where('code', '=', $code);
        if($name){
            $query->orWhere('work', '=', $name);
        }
        $result = $query->get();
        if($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function h_works(){
        $query = DB::table('kir_access_works as hw')
            ->leftJoin('kir_work_categories as hc', 'hc.id', '=', 'hw.category_id')
            ->leftJoin('units as u', 'u.id', '=', 'hw.unit_id')
            ->select('hw.code', 'hw.work', 'hw.category_id', 'hc.category', 'hw.id', 'u.unit', 'u.id as unit_id', 'fixed')
            ->orderBy('hw.category_id', 'ASC')
            ->orderBy('hw.work', 'ASC');

        $result = $query->paginate(50);
        return $result;
    }

    public function workData($id){
        $query = DB::table('kir_access_works as hw')
            ->leftJoin('kir_work_categories as hc', 'hc.id', '=', 'hw.category_id')
            ->leftJoin('units as u', 'u.id', '=', 'hw.unit_id')
            ->select('hw.code', 'hw.work', 'hw.category_id', 'hc.category', 'hw.id', 'u.unit', 'u.id as unit_id', 'fixed', 'unit_short', 'price')
            ->where('hw.id', '=', $id);

        $result = $query->get();
        return $result[0];
    }

    public function workIds(){
        $query = DB::table('kir_access_works')
            ->select('id')
            ->where('fixed', '!=', null)
            ->orderBy('code', 'ASC')
            ->orderBy('id', 'ASC');

        $result = $query->get();
        return $result;
    }
}
