<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Kir_demands extends Model
{
    protected $fillable = ['worker', 'storage_id', 'created_by', 'sent'];

    public function freeId(){
        $result = DB::table('kir_demands')->select('id')->orderBy('id','DESC')->get()->first();
        if($result)
            return $result->id+1;
        else
            return 1;
    }

    public function demands($userId=null){
        $query = DB::table('kir_demands as d')
            ->leftJoin('users as w', 'w.id', '=', 'd.worker')
            ->leftJoin('users as c', 'c.id', '=', 'd.created_by')
            ->leftJoin('magz as m', 'm.id', '=', 'd.storage_id')
            ->select('w.ime as worker_name', 'w.prezime as worker_surname', 'c.ime as created_name', 'c.prezime as created_surname', 'm.naziv as warehouse', 
                    'd.sent', 'd.created_at', 'd.id');
        if($userId){
            $query->where('created_by', $userId);
        }
        $query->orderBy('d.id', 'DESC');

        return $query->paginate(20);
    }

    public function demandData($id){
        $query = DB::table('kir_demands as d')
            ->leftJoin('users as w', 'w.id', '=', 'd.worker')
            ->leftJoin('users as c', 'c.id', '=', 'd.created_by')
            ->leftJoin('magz as m', 'm.id', '=', 'd.storage_id')
            ->select('w.ime as worker_name', 'w.prezime as worker_surname', 'c.ime as created_name', 'c.prezime as created_surname', 'm.naziv as warehouse', 
                    'd.sent', 'd.created_at', 'd.id', 'm.id as warehouse_id')
            ->where('d.id', $id);

        return $query->first();
    }
}
