<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Kir_vertical_works extends Model
{
    protected $fillable = ['code', 'work', 'unit_id'];


    public function h_works(){
        $query = DB::table('kir_vertical_works as hw')
            ->leftJoin('units as u', 'u.id', '=', 'hw.unit_id')
            ->select('hw.code', 'hw.work', 'hw.id', 'u.unit', 'u.id as unit_id')
            ->orderBy('hw.work', 'ASC');

        $result = $query->paginate(50);
        return $result;
    }

    public function workData($id){
        $query = DB::table('kir_vertical_works as hw')
            ->leftJoin('units as u', 'u.id', '=', 'hw.unit_id')
            ->select('hw.code', 'hw.work', 'hw.id', 'u.unit_short', 'u.id as unit_id')
            ->where('hw.id', '=', $id);

        $result = $query->get();
        if($result->isEmpty())
            return $result;
        else
            return $result[0];
    }

    public function workIds(){
        $query = DB::table('kir_vertical_works')
            ->select('id')
            ->where('fixed', '!=', null)
            ->orderBy('code', 'ASC')
            ->orderBy('id', 'ASC');

        $result = $query->get();
        return $result;
    }
}