<?php

namespace App\Models;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;

class Material_logs extends Model
{
    protected $fillable = ['material_id', 'storekeeper', 'worker', 'storage_id', 'quantity'];

    public function logs($storageId){
        $query = DB::table('material_logs as ml')
        ->leftJoin('users as su', 'su.id', '=', 'ml.storekeeper')
        ->leftJoin('materials as m', 'm.id', '=', 'ml.material_id')
        ->leftJoin('users as wu', 'wu.id', '=', 'ml.worker')
        ->select('ml.quantity', 'su.ime as storekeeper_name', 'su.prezime as storekeeper_surname', 'm.material', 'wu.ime as worker_name', 
                'wu.prezime as worker_surname', 'ml.created_at')
        ->where('storage_id', '=', $storageId)
        ->orderBy('created_at', 'DESC');
        $result = $query->paginate(50);
        return $result;
    }

    public function worker_logs($worker){
        $query = DB::table('material_logs as ml')
        ->leftJoin('users as su', 'su.id', '=', 'ml.storekeeper')
        ->leftJoin('materials as m', 'm.id', '=', 'ml.material_id')
        ->leftJoin('users as wu', 'wu.id', '=', 'ml.worker')
        ->leftJoin('magz as mag', 'mag.id', '=', 'ml.storage_id')
        ->select('ml.quantity', 'su.ime as storekeeper_name', 'su.prezime as storekeeper_surname', 'm.material', 'wu.ime as worker_name', 
                'wu.prezime as worker_surname', 'ml.created_at', 'mag.naziv as warehouse')
        ->where('worker', '=', $worker)
        ->orderBy('created_at', 'DESC');
        $result = $query->paginate(50);
        return $result;
    }
}
