<?php

namespace App\Models;
use DB;

use Illuminate\Database\Eloquent\Model;

class Salaries extends Model
{
    protected $fillable = [
        'salary',
        'user_id', 
        'date_of_entry'
    ];

    public function salaries_for_user($userId){
        $query = DB::table('salaries as s')
            ->select('s.id', 's.salary', 's.date_of_entry')
            ->where('s.user_id', '=', $userId)
            ->orderBy('s.date_of_entry', 'DESC')
        ;
        $result = $query->get();

        return $result;
    }

    /**
     * @param $userId
     * @param $start (date)
     * @param $end  (date)
     * @return mixed
     *
     */
    public function salary_for_date($userId, $end){
        $query = DB::table('salaries as s')
            ->select('s.salary')
            ->where('s.user_id', '=', $userId)
            ->where('date_of_entry', '<=', $end)
            ->orderBy('s.date_of_entry', 'DESC')
            ->orderBy('s.created_at', 'DESC')
            ->limit(1);
        ;
        $result = $query->get();

        if($result->isEmpty())
            return 0;
        else
            return $result[0]->salary;
    }
}
