<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Site_equipment extends Model
{
    protected $table = 'site_equipment';
    protected $fillable = ['id_construction_site', 'id_equipment', 'quantity'];

    public function equipment($site){
        $query = DB::table('site_equipment as se')
            ->leftJoin('oprema as o', 'o.id', '=', 'se.id_equipment')
            ->selectRaw('o.naziv as equipment, SUM(se.quantity) as quantity, se.id_equipment, o.code')
            ->where('se.id_construction_site', '=', $site)
            ->groupBy('se.id_equipment')
            ->orderBy('o.id', 'ASC')
            ;

        $result = $query->get();
        return $result;
    }

    public function equipmentGroup($site, $category){
        $query = DB::table('site_equipment as se')
            ->leftJoin('equipment as e', 'e.id', '=', 'se.id_equipment')
            ->leftJoin('equipment_categories as ec', 'ec.id', '=', 'e.id_category')
            ->selectRaw('e.equipment, ec.category, e.id_category, SUM(se.quantity) as quantity, se.id_equipment, e.code')
            ->where('se.id_construction_site', '=', $site)
            ->where('e.id_category', '=', $category)
            ->groupBy('se.id_equipment')
            ->orderBy('ec.id', 'ASC')
            ->orderBy('e.id', 'ASC')
        ;

        $result = $query->get();
        return $result;
    }
    
}
