<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Storage_vehicle_equipment extends Model
{
    protected $table = 'storage_vehicle_equipment';
    protected $fillable = ['equipment_id', 'quantity', 'storage_id'];

    public function equipment_for_storage($id){
        $query = DB::table('storage_vehicle_equipment as sve')
            ->leftJoin('vehicle_equipment as ve', 've.id', '=', 'sve.equipment_id')
            ->select('sve.quantity', 've.equipment', 'sve.equipment_id')
            ->where('storage_id', '=', $id)
            ->where('sve.quantity', '>', 0)
            ->orderBy('ve.equipment', 'ASC');
        $result = $query->get();
        return $result;
    }

    public function specific_equipment($storageId, $equipmentId){
        $query = DB::table('storage_vehicle_equipment as sve')
            ->leftJoin('vehicle_equipment as ve', 've.id', '=', 'sve.equipment_id')
            ->select('sve.quantity', 've.equipment')
            ->where('sve.storage_id', '=', $storageId)
            ->where('sve.equipment_id', '=', $equipmentId)
            ->orderBy('ve.equipment', 'ASC');
        $result = $query->get();
        if ($result->isEmpty())
            return false;
        else
            return $result[0];
    }

    public function storage_update($storageId, $equipmentId, $quantity){
        $isEmpty = DB::table('storage_vehicle_equipment')
            ->where('storage_id', '=', $storageId)
            ->where('equipment_id', '=', $equipmentId)
            ->get()->isEmpty();
        
        if($isEmpty){
            Storage_vehicle_equipment::create([
                'storage_id' => $storageId,
                'equipment_id' => $equipmentId,
                'quantity' => $quantity
            ]);
        }
        else {
            DB::table('storage_vehicle_equipment')
            ->where('storage_id', '=', $storageId)
            ->where('equipment_id', '=', $equipmentId)
            ->increment('quantity', $quantity);
        }
            
    }
}
