<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Tickets extends Model
{
    protected $fillable = ['title', 'issue', 'type', 'created_by', 'resolved', 'resolved_by', 'resolved_at', 'assigned_to'];

    public function hasUnresolvedTickets($type){
         $result = DB::table('tickets')
             ->select('id')
             ->where('resolved', '=', 0)
             ->where('type','=', $type)
             ->limit(1)
             ->get()
         ;

         if($result->isEmpty())
             return false;
         else
             return true;
    }

    public function hasPersonalUnresolvedTickets($type,$user){
        $result = DB::table('tickets')
            ->select('id')
            ->where('resolved', '=', 0)
            ->where('type','=', $type)
            ->where('assigned_to', '=', $user)
            ->limit(1)
            ->get()
        ;

        if($result->isEmpty())
            return false;
        else
            return true;
    }

    public function ticketsIndex($type){
        $query = DB::table('tickets as t')
            ->leftJoin('users as cb', 'cb.id', '=', 't.created_by')
            ->leftJoin('users as rb', 'rb.id', '=', 't.resolved_by')
            ->leftJoin('users as at', 'at.id', '=', 't.assigned_to')
            ->select('title', 'issue', 'cb.ime as created_name', 'cb.prezime as created_surname', 'rb.ime as resolved_name', 'rb.prezime as resolved_surname',
                't.resolved', 't.id', 't.created_at', 't.resolved_at', 't.type', 'at.ime as assigned_name', 'at.prezime as assigned_surname')
            ->where('t.type','=', $type)
            ->orderBy('t.resolved', 'ASC')
            ->orderBy('t.id', 'DESC')
        ;

        $result = $query->paginate(50);
        return $result;
    }
}
