<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Tool_delivery_notes extends Model
{
    protected $fillable = [
        'fitter_id',
        'storekeeper_id',
        'taken_by'
    ];

    public function deliveryNotes(){
        $query = DB::table('tool_delivery_notes as dn')
            ->leftJoin('users as mon', 'dn.fitter_id', '=', 'mon.id')
            ->leftJoin('users as mag', 'dn.storekeeper_id', '=', 'mag.id')
            ->select('mon.ime as fitter_name', 'mon.prezime as fitter_surname', 'mag.ime as storekeeper_name', 'mag.prezime as storekeeper_surname', 'dn.taken_by', 'dn.created_at', 
                    'dn.id', 'mon.id as fitter_id')
            ->orderBy('dn.created_at', 'DESC')
        ;

        $result = $query->paginate(50);
        return $result;
    }
}
