<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Tool_logs extends Model
{
    protected $fillable = ['tool_id', 'storekeeper', 'worker', 'storage_id', 'quantity'];

    public function logs($storageId){
        $query = DB::table('tool_logs as tl')
        ->leftJoin('users as su', 'su.id', '=', 'tl.storekeeper')
        ->leftJoin('tools as t', 't.id', '=', 'tl.tool_id')
        ->leftJoin('users as wu', 'wu.id', '=', 'tl.worker')
        ->select('tl.quantity', 'su.ime as storekeeper_name', 'su.prezime as storekeeper_surname', 't.tool', 'wu.ime as worker_name', 
                'wu.prezime as worker_surname', 'tl.created_at')
        ->where('storage_id', '=', $storageId)
        ->orderBy('created_at', 'DESC');
        $result = $query->paginate(50);
        return $result;
    }
}
