<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Uniform_logs extends Model
{
    protected $fillable = ['uniform_id', 'storekeeper', 'worker', 'storage_id', 'quantity'];

    public function logs($storageId){
        $query = DB::table('uniform_logs as l')
            ->leftJoin('users as su', 'su.id', '=', 'l.storekeeper')
            ->leftJoin('uniforms as u', 'u.id', '=', 'l.uniform_id')
            ->leftJoin('users as wu', 'wu.id', '=', 'l.worker')
            ->select('l.quantity', 'su.ime as storekeeper_name', 'su.prezime as storekeeper_surname', 'u.uniform', 'wu.ime as worker_name',
                'wu.prezime as worker_surname', 'l.created_at', 'u.size', 'u.color')
            ->where('l.storage_id', '=', $storageId)
            ->orderBy('l.created_at', 'DESC');
        $result = $query->paginate(50);
        return $result;
    }
}
