<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Vehicle_cards extends Model
{
    protected $fillable = ['card_number', 'company_id', 'type_id'];

    public function cards(){
        $query = DB::table('vehicle_cards as vc')
        ->select('vc.id', 'vc.card_number', 'c.company', 'ct.type')
        ->leftJoin('companies as c', 'c.id', '=', 'vc.company_id')
        ->leftJoin('card_types as ct', 'ct.id', '=', 'vc.type_id')
        ->orderBy('company_id')
        ;
        return $query->get();
    }

    public function card_data($id){
        $query = DB::table('vehicle_cards as vc')
        ->select('vc.card_number', 'c.company', 'ct.type', 'c.id as company_id', 'ct.id as type_id', 'vc.id')
        ->leftJoin('companies as c', 'c.id', '=', 'vc.company_id')
        ->leftJoin('card_types as ct', 'ct.id', '=', 'vc.type_id')
        ->orderBy('company_id')
        ;
        if($id){
            $query->where('vc.id', '=', $id);
            return $query->first();
        }
        else{
            return $query->get();
        }
    }
}
