<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Vehicle_user extends Model
{
    protected $table = 'vehicle_user';
    protected $fillable = ['vehicle_id', 'user_id', 'rent_date', 'return_date', 'updated_by', 'color'];

    public function rent_list($vehicleId=null){
        $query = DB::table('vehicle_user as vu')
            ->leftJoin('vozila as v', 'v.id', '=', 'vu.vehicle_id')
            ->leftJoin('vehicle_owners as o', 'o.id', '=', 'v.owner_id')
            ->leftJoin('companies as c', 'c.id', '=', 'v.company_id')
            ->leftJoin('users as u', 'u.id', '=', 'vu.user_id')
            ->leftJoin('users as cu', 'cu.id', '=', 'vu.updated_by')
            ->select('v.marka', 'v.tip', 'v.reg_br', 'u.ime as name', 'u.prezime as surname', 'vu.rent_date', 'vu.return_date', 'vu.id', 'o.name as owner', 'c.company', 'cu.ime as editor_name', 'cu.prezime as editor_surname', 'vu.color');
        if($vehicleId){
            $query->where('vu.vehicle_id', '=', $vehicleId);
        }
        $query->orderBy('vu.rent_date', 'desc');
        $result = $query->paginate(50);
        return $result;
    }

    public function rent_data($id){
        $query = DB::table('vehicle_user as vu')
            ->leftJoin('vozila as v', 'v.id', '=', 'vu.vehicle_id')
            ->leftJoin('users as u', 'u.id', '=', 'vu.user_id')
            ->select('v.marka', 'v.tip', 'v.reg_br', 'u.ime as name', 'u.prezime as surname', 'vu.rent_date', 'vu.return_date', 'vu.id')
            ->where('vu.id', '=', $id)
        ;
        $result = $query->get();
        return $result[0];
    }

}
