<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Worker_storage_logs extends Model
{
    protected $fillable = ['equipment_id', 'mont_equipment_id', 'worker_id', 'storage_id', 'quantity', 'package_number', 'client_type', 'client_id'];

    public function logsMontage($workerId){
        $query = DB::table('worker_storage_logs as wsl')
            ->leftJoin("oprema as o", 'o.id', '=', "wsl.mont_equipment_id")
            ->leftJoin("tip_opreme as to", 'to.id', '=', "o.id_tip_opreme")
            ->leftJoin("magz as m", 'm.id', '=', "wsl.storage_id")
            ->leftJoin("client_types as ct", 'ct.id', '=', "wsl.client_type")
            ->select('wsl.quantity', 'o.naziv as equipment', 'wsl.created_at', 'client_id', 'ct.type as client_type_name', 'client_type', 'm.naziv as storage', 'to.tip as type', 'package_number')
            ->where('worker_id', '=', $workerId)
            ->where('wsl.mont_equipment_id', '!=', null)
            ->orderBy('created_at', 'DESC');
        $result = $query->paginate(50);
        return $result;
    }

    public function logsConstruction($workerId){
        $query = DB::table('worker_storage_logs as wsl')
            ->leftJoin("equipment as e", 'e.id', '=', "wsl.equipment_id")
            ->leftJoin("magz as m", 'm.id', '=', "wsl.storage_id")
            ->leftJoin("client_types as ct", 'ct.id', '=', "wsl.client_type")
            ->select('wsl.quantity', 'e.equipment', 'wsl.created_at', 'client_id', 'ct.type as client_type_name', 'client_type', 'm.naziv as storage')
            ->where('worker_id', '=', $workerId)
            ->where('wsl.equipment_id', '!=', null)
            ->orderBy('created_at', 'DESC');
        $result = $query->paginate(50);
        return $result;
    }

    public function clientLogData($clientType, $clientId){
        if($clientType) {
            switch ($clientType) {
                case 1 :
                    $table = 'klijent';
                    $type = 'montage';
                    break;
                case 2 :
                    $table = 'klijenti_optika';
                    $type = 'montage';
                    break;
                case 3 :
                    $table = 'klijenti_supernova';
                    $type = 'montage';
                    break;
                case 4 :
                    $table = 'klijenti_bakar';
                    $type = 'montage';
                    break;
                case 5 :
                    $table = 'construction_sites';
                    $type = 'construction';
                    break;
                case 6 :
                    $table = 'huawei';
                    $type = 'construction';
                    break;
            }
            $query = DB::table($table)->where('id', '=', $clientId);
            $result = $query->get();
            if ($result->isEmpty())
                return null;
            else {
                if($type == 'construction')
                    return $result[0]->name;
                else
                    return $result[0]->ime . ' ' . $result[0]->prezime;
            }
        }
        else {
            return null;
        }
    }
}
