<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use DB;

class Napomene extends Model
{
    protected $table = 'napomene';
    protected $fillable = [
        'napomena',
        'id_klijent',
        'id_user',
        'id_klijent',
        'id_opticki_klijent',
        'id_klijent_prodaja',
        'id_supernova_klijent',
        'id_bakar_klijent',
        'complaint'
    ];

    public function napomene($klijentId){
        $query = DB::table('napomene as n')
            ->leftJoin('users as u', 'u.id', '=', 'n.id_user')
            ->select('n.created_at', 'u.ime', 'u.prezime', 'n.napomena', 'n.id', 'n.complaint')
            ->where('id_klijent', '=', $klijentId)
        ;

        $result = $query->get();
        return $result;
    }

    public function napomeneOptika($klijentId){
        $query = DB::table('napomene as n')
            ->leftJoin('users as u', 'u.id', '=', 'n.id_user')
            ->select('n.created_at', 'u.ime', 'u.prezime', 'n.napomena', 'n.id')
            ->where('id_opticki_klijent', '=', $klijentId)
        ;

        $result = $query->get();
        return $result;
    }

    public function napomeneSupernova($klijentId){
        $query = DB::table('napomene as n')
            ->leftJoin('users as u', 'u.id', '=', 'n.id_user')
            ->select('n.created_at', 'u.ime', 'u.prezime', 'n.napomena', 'n.id')
            ->where('id_supernova_klijent', '=', $klijentId)
        ;

        $result = $query->get();
        return $result;
    }

    public function napomeneProdaja($klijentId){
        $query = DB::table('napomene as n')
            ->leftJoin('users as u', 'u.id', '=', 'n.id_user')
            ->select('n.created_at', 'u.ime', 'u.prezime', 'n.napomena', 'n.id')
            ->where('id_klijent_prodaja', '=', $klijentId)
        ;

        $result = $query->get();
        return $result;
    }

    public function napomeneAccepted($dth, $optika, $supernova, $bakar){
        $query = DB::table('napomene as n')
            ->leftJoin('users as u', 'u.id', '=', 'n.id_user')
            ->select('n.created_at', 'u.ime', 'u.prezime', 'n.napomena', 'n.id');
        if  ($dth)
            $query->where('id_klijent', '=', $dth);
        elseif($optika)
            $query->where('id_opticki_klijent', '=', $optika);
        elseif($supernova)
            $query->where('id_supernova_klijent', '=', $supernova);
        elseif($bakar)
            $query->where('id_bakar_klijent', '=', $bakar);
        else
            return null;

        $result = $query->get();
        return $result;
    }

    public function napomeneBakar($klijentId){
        $query = DB::table('napomene as n')
            ->leftJoin('users as u', 'u.id', '=', 'n.id_user')
            ->select('n.created_at', 'u.ime', 'u.prezime', 'n.napomena', 'n.id')
            ->where('id_bakar_klijent', '=', $klijentId)
        ;

        $result = $query->get();
        return $result;
    }

    public function napomenaSearch($text, $tipKlijenta){
        if ($tipKlijenta == 'msat'){
            $query = DB::table('klijent as k')
            ->leftJoin('napomene as n', 'k.id', '=', 'n.id_klijent')
            ->leftJoin('users as u', 'k.id_user', '=', 'u.id')
            ->leftJoin('statusi as s', 'k.id_status', '=', 's.id')
            ->leftJoin('users as mont', 'mont.id', '=', 'k.id_user_reklamacije')
            ->select('k.id', 'k.br_ugovora', 'k.ime', 'k.prezime', 'k.jmbg', 'k.tel1', 'k.tel2', 'k.tel3', 'u.ime as user_ime',
            'k.adresa_instalacije', 'u.prezime as user_prezime', 's.status', 'k.created_at', 'k.datum_zahteva', 'k.datum_zakazivanja',
            'k.datum_montaze', 'k.datum_odustajanja', 'k.mrezna_grupa', 'mont.ime as monter_int_ime', 'mont.prezime as monter_int_prezime', 'n.napomena');
        }
        elseif($tipKlijenta == 'optika') {
            $query = DB::table('klijenti_optika as k')
            ->leftJoin('napomene as n', 'k.id', '=', 'n.id_opticki_klijent')
            ->leftJoin('statusi as s', 's.id', '=', 'k.id_status')
            ->leftJoin('users as u', 'u.id', '=', 'k.id_user')
            ->leftJoin('users as mont', 'mont.id', '=', 'k.id_user_reklamacije')
            ->select('k.id', 'k.ime', 'k.prezime', 'k.tel1', 'k.tel2', 'k.tel3', 'u.ime as user_ime',
                'u.prezime as user_prezime', 's.status', 'k.created_at', 'k.datum_zahteva', 'k.datum_zakazivanja',
                'k.datum_montaze', 'k.datum_odustajanja', 'mont.ime as monter_int_ime', 'mont.prezime as monter_int_prezime');
        }
        elseif($tipKlijenta == 'supernova'){
            $query = DB::table('klijenti_supernova as k')
                ->leftJoin('napomene as n', 'k.id', '=', 'n.id_supernova_klijent')
                ->leftJoin('statusi as s', 's.id', '=', 'k.id_status')
                ->leftJoin('users as u', 'u.id', '=', 'k.id_user')
                ->leftJoin('users as mont', 'mont.id', '=', 'k.id_user_reklamacije')
                ->select('k.id', 'k.klijent_ime as ime', 'k.klijent_prezime as prezime', 'k.tel1', 'k.tel2', 'u.ime as user_ime',
                    'u.prezime as user_prezime', 's.status', 'k.datum_zakazivanja', 'k.datum_montaze', 'k.datum_odustajanja', 'mont.ime as monter_int_ime',
                    'mont.prezime as monter_int_prezime');
        }
        elseif($tipKlijenta == 'bakar'){
            $query = DB::table('klijenti_bakar as k')
                ->leftJoin('napomene as n', 'k.id', '=', 'n.id_bakar_klijent')
                ->leftJoin('statusi as s', 's.id', '=', 'k.id_status')
                ->leftJoin('users as u', 'u.id', '=', 'k.id_user')
                ->leftJoin('users as mont', 'mont.id', '=', 'k.id_user_reklamacije')
                ->select('k.id', 'k.ime', 'k.prezime', 'k.tel1', 'k.tel2', 'k.tel3', 'u.ime as user_ime',
                    'u.prezime as user_prezime', 's.status', 'k.created_at', 'k.datum_zahteva', 'k.datum_zakazivanja',
                    'k.datum_montaze', 'k.datum_odustajanja', 'mont.ime as monter_int_ime', 'mont.prezime as monter_int_prezime');
        }

        $query->where('n.napomena', 'like', '%'.$text.'%')
              ->groupBy('k.id');


        $result = $query->paginate(500);
        return $result;
    }

    public function hasComment($fitterId, $clientId){
        $query = DB::table('napomene')
            ->select('id')
            ->where('id_user', '=', $fitterId)
            ->where('id_klijent', '=', $clientId)
            ->whereDate('created_at', '=', date('Y-m-d'))
        ;

        $result = $query->get();
        if($result->isEmpty())
            return false;
        else
            return true;
    }
}
