<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Oprema_povratnica extends Model
{
    protected $table = 'oprema_povratnica';

    protected $fillable = [
        'id_oprema',
        'id_povratnica',
        'kol',
        'id_stanje_opreme',
        'package_number'
    ];

    public function oprema($idPovratnica){
        $query = DB::table('oprema_povratnica as op')
            ->leftJoin('oprema as o', 'o.id', '=', 'op.id_oprema')
            ->leftJoin('stanje_uredjaja as su', 'su.id', '=', 'op.id_stanje_opreme')
            ->selectRaw('o.naziv, op.id_povratnica, op.id_oprema, sum(kol) as kol, su.stanje, su.id as id_stanje, op.package_number')
            ->where('id_povratnica', '=', $idPovratnica)
            ->groupBy('id_oprema')
            ->groupBy('id_stanje_opreme')
        ;

        $result = $query->get();
        return $result;
    }

}
