<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use DB;

class Pomocnici extends Model
{
    protected $table = 'pomocnici';
    protected $fillable = [
        'ime',
        'prezime',
        'jmbg',
        'email',
        'adresa',
        'zanimanje',
        'id_ugovor',
        'datum_pocetka_osiguranja',
        'datum_prestanka_osiguranja',
        'oprema',
        'telefon',
        'id_user'
    ];

    public function pomocnici(){
        $query = DB::table('pomocnici as p')
            ->leftJoin('ugovori as ug', 'ug.id', '=', 'p.id_ugovor')
            ->leftJoin('users as u', 'p.id_user', '=', 'u.id')
            ->select('p.ime', 'p.prezime', 'p.jmbg', 'p.email', 'p.adresa', 'p.zanimanje', 'p.id_ugovor',
                    'p.id_user', 'p.datum_pocetka_osiguranja', 'p.datum_prestanka_osiguranja', 'p.oprema',
                    'u.ime as monter_ime', 'u.prezime as monter_prezime', 'ug.ugovor', 'p.telefon', 'p.id'
            )
        ;
        $result = $query->get();

        return $result;
    }

    public function podaciPomocnik($idPom){
        $query = DB::table('pomocnici as p')
            ->leftJoin('ugovori as ug', 'ug.id', '=', 'p.id_ugovor')
            ->leftJoin('users as u', 'p.id_user', '=', 'u.id')
            ->select('p.ime', 'p.prezime', 'p.jmbg', 'p.email', 'p.adresa', 'p.zanimanje', 'p.id_ugovor',
                'p.id_user', 'p.datum_pocetka_osiguranja', 'p.datum_prestanka_osiguranja', 'p.oprema',
                'u.ime as monter_ime', 'u.prezime as monter_prezime', 'ug.ugovor', 'p.telefon', 'p.id'
            )
            ->where('p.id', '=', $idPom)
        ;
        $result = $query->get();

        return $result[0];
    }
}
