<?php
namespace App\Traits;
use App\User;
use App\Firma;
use App\Models\User_provider;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Arr;

trait Util {
    static private function userRole(){
        $user = auth()->user();
        return $user->role_id;
    }
    static public function firmaId(){
        $firma = Firma::all();
        return $firma[0]->id;
    }

    static public function userId(){
        $user = auth()->user();
        return $user->id;
    }

    static public function userPlace(){
        $user = auth()->user();
        return $user->area_id;
    }

    static public function provider(){
        $user = auth()->user();
        return $user->provider;
    }

    static public function providers(){
        $providers = User_provider::all()->where('user_id', '=', auth()->user()->id);
        if($providers)
            return Arr::pluck($providers, 'provider_id');
        else
            return array();
    }

    static public function isAdmin(){
        if (in_array(self::userRole(), config('app.admins')))
            return true;
        else
            return false;
    }

    static public function isDeveloper(){
        if(self::userId() == 1001)
            return true;
        else 
            return false;
    }

    /**
     * ovaj admin moze da vidi sve ako je mesto klijenta iz njegovog mesta
     */
    static public function isConstructionAreaAdmin(){
        if (self::userRole() == 8)
            return true;
        else
            return false;
    }

    static public function isMonter(){
        if (self::userRole() == 3)
            return true;
        else
            return false;
    }

    static public function isStorekeeper(){
        if (self::userRole() == 4)
            return true;
        else
            return false;
    }

    static public function isConstructionWorker(){
        if (self::userRole() == 7)
            return true;
        else
            return false;
    }

    static public function isHuaweiAdmin(){
        if (self::userRole() == 9)
            return true;
        else
            return false;
    }

    static public function isConstructionManager(){
        if (self::userRole() == 10)
            return true;
        else
            return false;
    }

    static public function isProjectManager(){
        if (self::userRole() == 11)
            return true;
        else
            return false;
    }

    static public function isProjectAdmin(){
        if (self::userRole() == 12)
            return true;
        else
            return false;
    }

    static public function isSubcontractor(){
        if (auth()->user()->is_subcontractor == 1)
            return true;
        else
            return false;
    }

    static public function isSubcontractorHw(){
        if (self::userRole() == 14)
            return true;
        else
            return false;
    }

    static public function isSalesManager(){
        if (self::userRole() == 15)
            return true;
        else
            return false;
    }

    static public function employees(){
        $employees = DB::table('users')
            ->where('is_active', '=', 1)
            ->where('id', '!=', 1001)
            ->orderBy('role_id', 'ASC');
        return $employees->get();
    }

    static public function admini(){
        $admini = User::all()->where('is_active', '=', 1)
            ->whereIn('role_id', config('app.admins'))
            ->where('id', '!=', 1001);
        return $admini;
    }

    static public function monteri(){
        $monteri = User::all()->where('is_active', '=', 1)
            ->where('role_id', '=', 3)
            ->where('id', '!=', 1001)
            ->sortBy('ime');
        return $monteri;
    }

    static public function builders(){
        $monteri = User::all()->where('is_active', '=', 1)
            ->where('role_id', '=', 7)
            ->where('id', '!=', 1001)
            ->sortBy('ime');
        return $monteri;
    }

    static public function prodavci(){
        $prodavci = DB::table('users')->where('is_active', '=', 1)
            ->where('role_id', '=', 5)
            ->where('id', '!=', 1001);
        if(self::firmaId() == 1){
            $prodavci->orWhere('id', '=', 5);
        }
        return $prodavci->get();
    }

    static public function lideri(){
        $lideri = User::all()->where('is_active', '=', 1)
            ->where('role_id', '=', 6)
            ->where('id', '!=', 1001);
        return $lideri;
    }

    static public function allSellers(){
        $sellers = User::all()->where('is_active', '=', 1)
            ->whereIn('role_id', [5,6])
            ->where('id', '!=', 1001);
        return $sellers;
    }

    static public function magacioneri(){
        if (self::firmaId() == 1){
            $magacioneri = DB::table('users')->where('id', '!=', 1001)->where('role_id', '=', 4)->orWhere('id', '=', 7)->get();
        }
        else{
            $magacioneri = User::all()->where('id', '!=', 1001)->where('role_id', '=', 4);
        }

        return $magacioneri;
    }

    static public function constructionManagers(){
        $cm = User::all()->where('is_active', '=', 1)
            ->where('role_id', '=', 10)
            ->where('id', '!=', 1001);
        return $cm;
    }

    static public function projectManagers(){
        $managers = User::all()->where('is_active', '=', 1)
            ->where('role_id', '=', 11)
            ->where('id', '!=', 1001);
        return $managers;
    }

    static public function teamLeaders(){
        $leaders = User::all()->where('is_active', '=', 1)
            ->where('role_id', '=', 6)
            ->where('id', '!=', 1001);
        return $leaders;
    }

    static public function allProjectManagers(){
        $pm = User::all()->where('is_active', '=', 1)
            ->whereIn('role_id', [11,12])
            ->where('id', '!=', 1001);
        return $pm;
    }

    static public function columnLeaders(){
        $cl = User::all()->where('is_active', '=', 1)
            ->whereIn('role_id', [3,13])
            ->where('id', '!=', 1001);
        return $cl;
    }

    static public function subcontractors(){
        $subc = User::all()->where('is_active', '=', 1)
            ->where('role_id', '=', 14)
            ->where('id', '!=', 1001);
        return $subc;
    }

    static public function workers(){
        $workers = User::all()->where('is_active', '=', 1)
            ->where('role_id', '=', 7)
            ->where('id', '!=', 1001);
        return $workers;
    }

    static public function allWorkers(){
        $workers = User::all()->where('is_active', '=', 1)
            ->whereIn('role_id', [3, 7, 13])
            ->where('id', '!=', 1001)
            ->sortBy('ime');
        return $workers;
    }

    static public function isProdavac(){
        if (self::userRole() == config('app.prodavac'))
            return true;
        else
            return false;
    }

    static public function isSuperAdmin(){
        if (self::userRole() == 1)
            return true;
        else
            return false;
    }

    static public function username(){
        $user = auth()->user();
        $username = $user->ime.' '.$user->prezime;
        return $username;
    }

    static public function isLider(){
        if (self::userRole() == 6)
            return true;
        else
            return false;
    }

    static public function isColumnLeader(){
        if (self::userRole() == 13 || self::userRole() == 3)
            return true;
        else
            return false;
    }
    

    static public function serialTrim($serial){
        if (substr($serial,0, 3) == 'SN:')
            return substr($serial,3);
        else
            return strtoupper($serial);
    }

    static public function storeKeepers(){
        $stk = User::all()->where('is_active', '=', 1)
            ->whereIn('role_id', [2, 4, 8, 9, 10])
            ->where('id', '!=', 1001)
            ->sortBy('ime');
        return $stk;
    }

    static public function allActiveUsers(){
        $users = User::all()->where('is_active', '=', 1)
            ->where('id', '!=', 1001)
            ->sortBy('id_role');
        return $users;
    }

    static public function userIds(){
        $users = DB::table('users')
        ->select('id')
        ->where('is_active', '=', 1)
        ->where('id', '!=', 1001)->get();
        return Arr::pluck($users, 'id');
    }
    /**
     * 1 - msat, 2 - optika, 3 - supernova, 4 - bakar
     */
    static public function hasTisDuplicates($clientType, $tisId){
        switch($clientType){
            case 1: 
                $query = DB::table('klijent')
                ->where('tis_id', '=', (int)$tisId);
            break;
            case 2: 
                $query = DB::table('klijenti_optika')
                ->where('tis_id', '=', (int)$tisId);
            break;
            case 3: 
                $query = DB::table('klijenti_supernova')
                ->where('tis_id', '=', (int)$tisId);
            break;
            case 4: 
                $query = DB::table('klijenti_bakar')
                ->where('tis_id', '=', (int)$tisId);
            break;
        }

        $result = $query->get();
        if($result->isEmpty())
            return false;
        else
            return true;
    }
}