<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Uredjaji extends Model
{
    protected $table = 'uredjaji';
    protected $fillable = ['uredjaj', 'device_type_id', 'origin_id', 'category_id', 'price'];

    public function uredjajIme($id){
        $query = DB::table('uredjaji')
            ->where('id', '=', $id)
        ;

        $result = $query->get();
        return $result[0];
    }

    /**
     * @param $ids must be array
     */
    public function specificDevices($ids){
        $query = DB::table('uredjaji')
            ->whereIn('id', $ids);

        $result = $query->get();
        return $result;
    }

    public function devices(){
        $query = DB::table('uredjaji as u')
            ->leftJoin('device_types as dt', 'dt.id', '=', 'u.device_type_id')
            ->leftJoin('device_categories as c', 'c.id', '=', 'u.category_id')
            ->leftJoin('origin as o', 'o.id', '=', 'u.origin_id')
            ->select('u.uredjaj', 'u.id', 'dt.type', 'o.origin', 'c.category', 'u.price')
            ->where('u.category_id', '=', 1);
        return $query->get();
    }

    public function findDevice($id){
        $query = DB::table('uredjaji as u')
            ->leftJoin('device_types as dt', 'dt.id', '=', 'u.device_type_id')
            ->leftJoin('device_categories as c', 'c.id', '=', 'u.category_id')
            ->leftJoin('origin as o', 'o.id', '=', 'u.origin_id')
            ->select('u.uredjaj', 'u.id', 'dt.type', 'dt.id as type_id', 'o.origin', 'o.id as origin_id', 'c.category', 'u.category_id', 'u.price')
            ->where('u.id', '=', $id);
        return $query->get();
    }

    public static function devicesByType($idType){
        $query = DB::table('uredjaji as u')
            ->leftJoin('device_types as dt', 'dt.id', '=', 'u.device_type_id')
            ->leftJoin('device_categories as c', 'c.id', '=', 'u.category_id')
            ->select('u.uredjaj', 'u.id', 'dt.type', 'dt.id as type_id', 'c.category')
            ->where('u.category_id', '=', 1)
            ->where(function ($q) use ($idType){
                $q->where('u.device_type_id', '=', $idType)
                ->orWhere('u.device_type_id', '=', null);
            });
        ;
        return $query->get();
    }

    public function toolDevices($type){
        $query = DB::table('uredjaji as u')
            ->leftJoin('device_types as dt', 'dt.id', '=', 'u.device_type_id')
            ->leftJoin('device_categories as c', 'c.id', '=', 'u.category_id')
            ->leftJoin('origin as o', 'o.id', '=', 'u.origin_id')
            ->where('category_id', '=', $type)
            ->select('u.uredjaj', 'u.id', 'dt.type', 'o.origin', 'c.category');
        return $query->get();
    }

}
