<?php

namespace App;
use Illuminate\Support\Facades\DB;

use Illuminate\Database\Eloquent\Model;

class Vozila extends Model
{
    protected $table = 'vozila';

    protected $fillable = [
        'marka',
        'tip',
        'reg_br',
        'id_user',
        'owner_id',
        'company_id',
        'card_id',
        'fuel_type',
        'vehicle_type'
    ];

    public function vozila(){
        $query = DB::table('vozila as v')
        ->leftJoin('users as u', 'u.id', '=', 'v.id_user')
        ->leftJoin('vehicle_owners as o', 'o.id', '=', 'v.owner_id')
        ->leftJoin('companies as c', 'c.id', '=', 'v.company_id')
        ->leftJoin('fuel_types as ft', 'ft.id', '=', 'v.fuel_type')
        ->leftJoin('vehicle_types as vt', 'vt.id', '=', 'v.vehicle_type')
        ->select('v.marka', 'v.tip', 'v.reg_br', 'u.ime', 'u.prezime', 'v.id', 'o.name', 'c.company', 'ft.fuel', 'vt.type')
        ->orderBy('v.company_id', 'ASC')
        ->orderBy('v.marka', 'ASC');

        $result = $query->get();

        return $result;
    }

    public function vehicles_search($marka=null, $tip=null, $regBr=null){
        $query = DB::table('vozila as v')
        ->leftJoin('users as u', 'u.id', '=', 'v.id_user')
        ->leftJoin('vehicle_owners as o', 'o.id', '=', 'v.owner_id')
        ->leftJoin('companies as c', 'c.id', '=', 'v.company_id')
        ->leftJoin('fuel_types as ft', 'ft.id', '=', 'v.fuel_type')
        ->leftJoin('vehicle_types as vt', 'vt.id', '=', 'v.vehicle_type')
        ->select('v.marka', 'v.tip', 'v.reg_br', 'u.ime', 'u.prezime', 'v.id', 'o.name', 'c.company', 'ft.fuel', 'vt.type');

        if($marka)
            $query->where('marka', '=', $marka);
        if($tip)
            $query->where('tip', '=', $tip);
        if($regBr)
            $query->where('reg_br', '=', $regBr);
    

        $result = $query->get();

        return $result;
    }
}
