<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterRuneOpticsAddConstructionManager extends Migration
{
    public function up()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->unsignedBigInteger('construction_manager')->nullable()->after('project_manager');
            $table->foreign('construction_manager')->references('id')->on('users')->onDelete('restrict')->onUpdate('restrict');
        });
    }

    public function down()
    {
        Schema::table('rune_optics', function (Blueprint $table) {
            $table->dropForeign('rune_optics_construction_manager_foreign');
            $table->dropColumn('construction_manager');
        });
    }
}
