<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGerImages extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ger_images', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('url'); 
            $table->unsignedBigInteger('id_site');
            $table->char('description')->nullable();
            $table->timestamps();
            $table->foreign('id_site')->references('id')->on('ger_construction_sites')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ger_images', function(Blueprint $table){
            $table->dropForeign('ger_images_id_site_foreign');
        });
        Schema::dropIfExists('ger_images');
    }
}
