<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGerSiteWork extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ger_site_work', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('site_id');
            $table->unsignedBigInteger('work_id');
            $table->decimal('quantity');
            $table->decimal('price');
            $table->timestamps();
            $table->foreign('site_id')->references('id')->on('ger_construction_sites')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('work_id')->references('id')->on('ger_works')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ger_site_work', function (Blueprint $table){
            $table->dropForeign('ger_site_work_site_id_foreign');
            $table->dropForeign('ger_site_work_work_id_foreign');
        });
        Schema::dropIfExists('ger_site_work');
    }
}
