<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterKirAccessWorksChangeForeignKey extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('kir_access_works', function (Blueprint $table) {
            $table->dropForeign('kir_access_works_category_id_foreign');
        });
        Schema::table('kir_access_works', function (Blueprint $table) {
            $table->foreign('category_id')->references('id')->on('kir_work_categories')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('kir_access_works', function (Blueprint $table) {
            $table->dropForeign('kir_access_works_category_id_foreign');
        });
        Schema::table('kir_access_works', function (Blueprint $table) {
            $table->foreign('category_id')->references('id')->on('hw_work_categories')->onUpdate('cascade')->onDelete('restrict');
        });
    }
}
