<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateKirDemandEquipment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('kir_demand_equipment', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('equipment_id');
            $table->float('quantity')->default(0);
            $table->unsignedBigInteger('package')->nullable();
            $table->unsignedBigInteger('demand_id');
            $table->timestamps();

            $table->foreign('demand_id')->references('id')->on('kir_demands')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('kir_demand_equipment', function (Blueprint $table) {
            $table->dropForeign('kir_demand_equipment_demand_id_foreign');
        });
        Schema::dropIfExists('kir_demand_equipment');
    }
}
