<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeMountedDevices extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('de_mounted_devices', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('serial');
            $table->unsignedBigInteger('device_id');
            $table->unsignedBigInteger('site_id');
            $table->unsignedBigInteger('fitter_id');
            $table->timestamps();

            $table->foreign('device_id')->references('id')->on('uredjaji')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('site_id')->references('id')->on('de_construction_sites')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_mounted_devices', function (Blueprint $table) {
            $table->dropForeign('de_mounted_devices_device_id_foreign');
            $table->dropForeign('de_mounted_devices_site_id_foreign');
        });
        Schema::dropIfExists('de_mounted_devices');
    }
}
