<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterDeConstructionSitesAddStatusId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('de_construction_sites', function (Blueprint $table) {
            $table->unsignedBigInteger('status_id')->nullable()->after('cluster');
            $table->foreign('status_id')->references('id')->on('de_statuses')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_construction_sites', function (Blueprint $table) {
            $table->dropForeign('de_construction_sites_status_id_foreign');
            $table->dropColumn('status_id');
        });
    }
}
