<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePovratnaRobaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('povratna_roba', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('serijski_broj', 255)->nullable();
            $table->unsignedBigInteger('id_povratnica')->nullable();
            $table->unsignedBigInteger('id_uredjaj')->nullable();
            $table->unsignedBigInteger('id_status_uredjaja')->nullable();
            $table->unsignedBigInteger('id_stanje_uredjaja')->nullable();
            $table->timestamps();
            $table->foreign('id_povratnica')->references('id')->on('povratnice')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_uredjaj')->references('id')->on('uredjaji')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status_uredjaja')->references('id')->on('statusi_uredjaja')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_stanje_uredjaja')->references('id')->on('statusi_uredjaja')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('povratna_roba');
    }
}
