<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateKlijentiSupernovaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('klijenti_supernova', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('broj_ugovora')->nullable();
            $table->char('klijent_ime')->nullable();
            $table->char('klijent_prezime')->nullable();
            $table->char('regionalni_centar')->nullable();
            $table->char('agent_ime')->nullable();
            $table->char('agent_prezime')->nullable();
            $table->double('br_bodova')->nullable();
            $table->char('provajder')->nullable();
            $table->char('agencija')->nullable();
            $table->char('mesec')->nullable();
            $table->date('datum_obilaska')->nullable();
            $table->date('datum_zahteva')->nullable();
            $table->dateTime('datum_zakazivanja')->nullable();
            $table->dateTime('datum_odlaganja')->nullable();
            $table->date('datum_montaze')->nullable();
            $table->date('datum_odustajanja')->nullable();
            $table->char('ulica')->nullable();
            $table->char('kucni_broj')->nullable();
            $table->char('mesto')->nullable();
            $table->char('email')->nullable();
            $table->char('tel1')->nullable();
            $table->char('tel2')->nullable();
            $table->char('tip_ugovora')->nullable();
            $table->char('paket')->nullable();
            $table->unsignedTinyInteger('id_status')->nullable();
            $table->unsignedBigInteger('id_user')->nullable();
            $table->unsignedBigInteger('id_user_reklamacije')->nullable();
            $table->bigInteger('created_by')->nullable();
            $table->bigInteger('updated_by')->nullable();
            $table->timestamps();
            $table->foreign('id_user')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_user_reklamacije')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status')->references('id')->on('statusi')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('klijenti_supernova');
    }
}
