<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateVraceniUredjaji extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vraceni_uredjaji', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('serijski_broj')->nullable();
            $table->unsignedBigInteger('id_uredjaj')->nullable();
            $table->unsignedBigInteger('id_klijent')->nullable();
            $table->unsignedBigInteger('id_opticki_klijent')->nullable();
            $table->unsignedBigInteger('id_bakar_klijent')->nullable();
            $table->unsignedBigInteger('id_monter')->nullable();
            $table->unsignedBigInteger('id_razlog_vracanja')->nullable();
            $table->timestamps();

            $table->foreign('id_uredjaj')->references('id')->on('uredjaji')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('id_monter')->references('id')->on('users')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('id_klijent')->references('id')->on('klijent')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('id_opticki_klijent')->references('id')->on('klijenti_optika')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('id_bakar_klijent')->references('id')->on('klijenti_bakar')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('id_razlog_vracanja')->references('id')->on('razlozi_vracanja')->onUpdate('restrict')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vraceni_uredjaji');
    }
}
