<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterConstructionSites extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('construction_sites', function (Blueprint $table) {
            $table->char('project_manager')->after('transport_costs')->nullable();
            $table->unsignedBigInteger('id_contractor')->after('project_manager')->nullable();
            $table->unsignedBigInteger('id_user')->after('id_contractor')->nullable();
            $table->unsignedBigInteger('created_by')->after('id_user')->nullable();
            $table->foreign('id_contractor')->references('id')->on('contractors')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_user')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
