<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSiteEquipment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('site_equipment', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('id_construction_site');
            $table->unsignedBigInteger('id_equipment');
            $table->decimal('quantity');
            $table->timestamps();
            $table->foreign('id_construction_site')->references('id')->on('construction_sites')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_equipment')->references('id')->on('equipment')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('site_equipment');
    }
}
