<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFobosTables extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fobos_statuses', function (Blueprint $table) {
            $table->tinyIncrements('id');
            $table->char('status');
            $table->timestamps();
        });
        Schema::create('fobos', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('contract_number')->nullable();
            $table->char('record_date')->nullable();
            $table->char('name')->nullable();
            $table->char('surname')->nullable();
            $table->char('jmbg')->nullable();
            $table->char('network_group')->nullable();
            $table->char('tel1')->nullable();
            $table->char('tel2')->nullable();
            $table->char('tis_id')->nullable();
            $table->char('idcard_number')->nullable();
            $table->date('idcard_date')->nullable();
            $table->char('idcard_place')->nullable();
            $table->char('residence_address')->nullable();
            $table->char('instalation_address')->nullable();
            $table->tinyInteger('packet_id')->nullable();
            $table->tinyInteger('packet_type_id')->nullable();
            $table->unsignedTinyInteger('status_id')->nullable();
            $table->double('points')->nullable();
            $table->char('contractor_seller')->nullable();
            $table->char('contractor')->nullable();
            $table->unsignedBigInteger('seller_id')->nullable();
            $table->tinyInteger('expedited')->default(0);
            $table->tinyInteger('accepted')->default(0);
            $table->date('contract_expire_date')->nullable();
            $table->date('withdrawal_date')->nullable();
            $table->char('withdrawal_reason')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->timestamps();
            $table->foreign('status_id')->references('id')->on('fobos_statuses')->onDelete('restrict')->onUpdate('cascade');
        });

        Schema::create('fobos_comments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('comment');
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('fobos_id');
            $table->timestamps();
            $table->foreign('user_id')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('fobos_id')->references('id')->on('fobos')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fobos_statuses');
        Schema::dropIfExists('fobos');
        Schema::dropIfExists('fobos_comments');
    }
}
