<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterUredjajiTypeId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('uredjaji', function(Blueprint $table){
            $table->unsignedBigInteger('device_type_id')->after('uredjaj')->nullable();
            $table->foreign('device_type_id')->references('id')->on('device_types')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('uredjaji', function(Blueprint $table){
            $table->dropForeign('uredjaji_device_type_id_foreign');
            $table->dropColumn('device_type_id');
        });
    }
}
