<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterMagacin extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('magz', function (Blueprint $table) {
            $table->unsignedSmallInteger('type_id')->after('naziv')->nullable();
            $table->foreign('type_id', 'type_foreign')->references('id')->on('storage_types')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {   
        Schema::table('magz', function (Blueprint $table) {
            $table->dropForeign('type_foreign');
            $table->dropColumn('type_id');
        });
    }
}
