<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateReportMarksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('report_marks', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->tinyInteger('facility_enterance')->nullable();
            $table->tinyInteger('internal_cabling')->nullable();
            $table->tinyInteger('signal_level')->nullable();
            $table->tinyInteger('coupling_condition')->nullable();
            $table->tinyInteger('behavior')->nullable();
            $table->tinyInteger('customer_satisfaction')->nullable();
            $table->unsignedBigInteger('edited_by')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->timestamps();
            $table->foreign('edited_by')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('created_by')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('report_marks', function(Blueprint $table){
            $table->dropForeign('report_marks_created_by_foreign');
            $table->dropForeign('report_marks_edited_by_foreign');
        });
        Schema::dropIfExists('report_marks');
    }
}
