<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWfTaskWork extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('wf_task_work', function (Blueprint $table) {
            $table->unsignedBigInteger('task_id');
            $table->unsignedBigInteger('work_id');
            $table->unsignedBigInteger('project_task_id');
            $table->tinyInteger('done')->default(0);
            $table->float('quantity')->nullable();
            $table->dateTime('start_date')->nullable();
            $table->dateTime('end_date')->nullable();
            $table->timestamps();
            $table->foreign('task_id')->references('id')->on('wf_tasks')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('work_id')->references('id')->on('wf_works')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('project_task_id')->references('id')->on('wf_project_task')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('wf_task_work', function(Blueprint $table){
            $table->dropForeign('wf_task_work_task_id_foreign');
            $table->dropForeign('wf_task_work_work_id_foreign');
            $table->dropForeign('wf_task_work_project_task_id_foreign');
        });
        Schema::dropIfExists('wf_task_work');
    }
}
