<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFobosCopper extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fobos_copper', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('distributor')->nullable();
            $table->unsignedBigInteger('cust_id')->nullable();
            $table->char('name')->nullable();
            $table->char('surname')->nullable();
            $table->char('town')->nullable();
            $table->char('subsettlement')->nullable();
            $table->char('street')->nullable();
            $table->char('home_no')->nullable();
            $table->char('tel1')->nullable();
            $table->char('tel2')->nullable();
            $table->char('tel3')->nullable();
            $table->char('network_group')->nullable();
            $table->char('packet')->nullable();
            $table->date('expiration_date_box')->nullable();
            $table->char('resource')->nullable();
            $table->char('max_net')->nullable();
            $table->char('stb_no')->nullable();
            $table->unsignedTinyInteger('total_stb_box')->nullable();
            $table->char('postpaid_number')->nullable();
            $table->date('postpaid_expiration_date')->nullable();
            $table->char('benefit')->nullable();
            $table->char('postpaid_tariff')->nullable();
            $table->char('recommended_tariff')->nullable();
            $table->char('name_adsl')->nullable();
            $table->char('surname_adsl')->nullable();
            $table->unsignedBigInteger('cust_id_adsl')->nullable();
            $table->date('expiration_date_adsl')->nullable();
            $table->char('campain_adsl')->nullable();
            $table->char('speed_adsl')->nullable();
            $table->char('modem_type')->nullable();
            $table->integer('free_pair')->nullable();
            $table->integer('free_adsl')->nullable();
            $table->integer('free_vdsl')->nullable();
            $table->char('name_iptv')->nullable();
            $table->char('surname_iptv')->nullable();
            $table->unsignedBigInteger('cust_id_iptv')->nullable();
            $table->date('iptv_expiration_date')->nullable();
            $table->char('campain_vdsl')->nullable();
            $table->char('iptv_packet')->nullable();
            $table->char('first_offer')->nullable();
            $table->char('second_offer')->nullable();
            $table->char('other_operators')->nullable();
            $table->date('connection_date')->nullable();
            $table->char('box2')->nullable();
            $table->char('box3')->nullable();
            $table->char('box4')->nullable();
            $table->unsignedBigInteger('campain_box')->nullable();
            $table->unsignedBigInteger('postpaid_tariff_box')->nullable();
            $table->char('adsl')->nullable();
            $table->char('campain_adsl_solo')->nullable();
            $table->char('speed_adsl_solo')->nullable();
            $table->char('iptv')->nullable();
            $table->char('iptv_solo')->nullable();
            $table->char('campain_iptv_solo')->nullable();
            $table->unsignedTinyInteger('status_id')->nullable();
            $table->float('points')->nullable();
            $table->unsignedBigInteger('seller_id')->nullable();
            $table->tinyInteger('expedited')->default(0);
            $table->tinyInteger('accepted')->default(0);
            $table->date('contract_expire_date')->nullable();
            $table->date('withdrawal_date')->nullable();
            $table->char('withdrawal_reason')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->timestamps();

            $table->foreign('status_id')->references('id')->on('fobos_statuses')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('campain_box')->references('id')->on('campains')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('postpaid_tariff_box')->references('id')->on('postpaid_tariffs')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('seller_id')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fobos_copper', function (Blueprint $table) {
            $table->dropForeign('fobos_copper_status_id_foreign');
            $table->dropForeign('fobos_copper_campain_box_foreign');
            $table->dropForeign('fobos_copper_postpaid_tariff_box_foreign');
            $table->dropForeign('fobos_copper_seller_id_foreign');
        });
        Schema::dropIfExists('fobos_copper');
    }
}
