<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterUredjajiTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('uredjaji', function (Blueprint $table) {
            $table->unsignedBigInteger('origin_id')->nullable()->after('device_type_id');
            $table->foreign('origin_id')->references('id')->on('origin')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('uredjaji', function (Blueprint $table) {
            $table->dropForeign('uredjaji_origin_id_foreign');
            $table->dropColumn('origin_id');
        });
    }
}
