<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHuawei extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('huawei', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('name');
            $table->bigInteger('h_id');
            $table->char('seller')->nullable();
            $table->char('contact_seller')->nullable();
            $table->char('tel1')->nullable();
            $table->char('tel2')->nullable();
            $table->char('tel3')->nullable();
            $table->char('manager')->nullable();
            $table->char('m_tel1')->nullable();
            $table->char('m_tel2')->nullable();
            $table->char('m_tel3')->nullable();
            $table->unsignedBigInteger('id_state')->nullable();
            $table->unsignedBigInteger('id_city')->nullable();
            $table->unsignedBigInteger('id_area')->nullable();
            $table->char('address')->nullable();
            $table->char('number_of_floors')->nullable();
            $table->char('number_of_flats')->nullable();
            $table->unsignedBigInteger('id_status_vertical')->nullable();
            $table->unsignedBigInteger('id_status_access')->nullable();
            $table->char('project_manager')->nullable();
            $table->char('construction_manager')->nullable();
            $table->unsignedBigInteger('id_user_vertical')->nullable();
            $table->unsignedBigInteger('id_user_access')->nullable();
            $table->dateTime('appointment_date_vertical')->nullable();
            $table->dateTime('appointment_date_access')->nullable();
            $table->dateTime('delay_date')->nullable();
            $table->date('realization_date_vertical')->nullable();
            $table->date('realization_date_access')->nullable();
            $table->date('withdrawal_date')->nullable();
            $table->date('sending_date_huawei')->nullable();
            $table->char('cluster')->nullable();
            $table->char('odo')->nullable();
            $table->char('izvod')->nullable();
            $table->char('connector')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->timestamps();
            $table->foreign('id_state')->references('id')->on('states')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_city')->references('id')->on('cities')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_area')->references('id')->on('areas')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status_vertical')->references('id')->on('huawei_vertical_statuses')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status_access')->references('id')->on('huawei_access_statuses')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_user_vertical')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_user_access')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei', function (Blueprint $table){
            $table->dropForeign('huawei_id_state_foreign');
            $table->dropForeign('huawei_id_city_foreign');
            $table->dropForeign('huawei_id_area_foreign');
            $table->dropForeign('huawei_id_status_vertical_foreign');
            $table->dropForeign('huawei_id_status_access_foreign');
            $table->dropForeign('huawei_id_user_vertical_foreign');
            $table->dropForeign('huawei_id_user_access_foreign');
        });
        Schema::dropIfExists('huawei');
    }
}
