<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHuaweiComments extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('huawei_comments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('comment');
            $table->unsignedBigInteger('id_site');
            $table->unsignedBigInteger('id_user');
            $table->timestamps();
            $table->foreign('id_site')->references('id')->on('huawei')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_user')->references('id')->on('users')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei_comments', function (Blueprint $table){
            $table->dropForeign('huawei_comments_id_site_foreign');
            $table->dropForeign('huawei_comments_id_user_foreign');
        });
        Schema::dropIfExists('huawei_comments');
    }
}
