<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHuaweiEquipment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('huawei_equipment', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('id_site');
            $table->unsignedBigInteger('id_equipment');
            $table->decimal('quantity');
            $table->timestamps();
            $table->foreign('id_site')->references('id')->on('huawei')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_equipment')->references('id')->on('equipment')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei_equipment', function (Blueprint $table) {
            $table->dropForeign('huawei_equipment_id_site_foreign');
            $table->dropForeign('huawei_equipment_id_equipment_foreign');
        });
        Schema::dropIfExists('huawei_equipment');
    }
}
