<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHwImages extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hw_images', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('url');
            $table->unsignedBigInteger('id_site');
            $table->char('description')->nullable();
            $table->unsignedBigInteger('image_type')->nullable();
            $table->timestamps();
            $table->foreign('id_site')->references('id')->on('huawei')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('image_type')->references('id')->on('image_types')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('hw_images', function (Blueprint $table) {
            $table->dropForeign('hw_images_id_site_foreign');
            $table->dropForeign('hw_images_image_type_foreign');
        });
        Schema::dropIfExists('hw_images');
    }
}
