<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVehicleUser extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vehicle_user', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedTinyInteger('vehicle_id');
            $table->unsignedBigInteger('user_id');
            $table->dateTime('rent_date')->nullable();
            $table->dateTime('return_date')->nullable();
            $table->timestamps();

            $table->foreign('vehicle_id')->references('id')->on('vozila')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('vehicle_user', function (Blueprint $table){
            $table->dropForeign('vehicle_user_vehicle_id_foreign');
            $table->dropForeign('vehicle_user_user_id_foreign');
        });
        Schema::dropIfExists('vehicle_user');
    }
}
