<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVehicleImages extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vehicle_images', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('image_url', 255);
            $table->unsignedBigInteger('vehicle_user_id');
            $table->tinyInteger('type_id')->nullable();
            $table->timestamps();

            $table->foreign('vehicle_user_id')->references('id')->on('vehicle_user')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('vehicle_images', function (Blueprint $table){
            $table->dropForeign('vehicle_images_vehicle_user_id_foreign');
        });
        Schema::dropIfExists('vehicle_images');
    }
}
