<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterHuaweiAddFields extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->date('technical_solution_date')->after('connector')->nullable();
            $table->char('atc_msan_olt')->after('technical_solution_date')->nullable();
            $table->char('odf_modul')->after('atc_msan_olt')->nullable();
            $table->char('connector_number')->after('odf_modul')->nullable();
            $table->char('connection_point')->after('connector_number')->nullable();
            $table->char('fiber')->after('connection_point')->nullable();
            $table->char('numeration_odo')->after('fiber')->nullable();
            $table->unsignedBigInteger('project_manager')->charset(null)->collation(null)->change()->nullable();
            $table->foreign('project_manager')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->dropForeign('huawei_project_manager_foreign');
            $table->dropColumn('technical_solution_date');
            $table->dropColumn('atc_msan_olt');
            $table->dropColumn('odf_modul');
            $table->dropColumn('connector_number');
            $table->dropColumn('fiber');
            $table->dropColumn('numeration_odo');
        });
    }
}
