<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateToolTypes extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tool_types', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('type');
            $table->timestamps();
        });

        Schema::table('tools', function (Blueprint $table) {
            $table->unsignedBigInteger('type_id')->nullable()->change();
            $table->foreign('type_id')->references('id')->on('tool_types')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('tools', function (Blueprint $table) {
            $table->dropForeign('tools_type_id_foreign');
        });
        Schema::dropIfExists('tool_types');
    }
}
