<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterConstructionSitesAddConstructionManager extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('construction_sites', function (Blueprint $table) {
            $table->unsignedBigInteger('construction_manager')->after('project_manager')->nullable();
            $table->foreign('construction_manager')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('construction_sites', function (Blueprint $table) {
            $table->dropForeign('construction_sites_construction_manager_foreign');
            $table->dropColumn('construction_manager');
        });
    }
}
