<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStorageUniforms extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('storage_uniforms', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('uniform_id');
            $table->unsignedTinyInteger('storage_id');
            $table->decimal('quantity');
            $table->timestamps();
            $table->foreign('uniform_id')->references('id')->on('uniforms')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('storage_id')->references('id')->on('magz')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('storage_uniforms', function(Blueprint $table){
            $table->dropForeign('storage_uniforms_uniform_id_foreign');
            $table->dropForeign('storage_uniforms_storage_id_foreign');
        });
        Schema::dropIfExists('storage_uniforms');
    }
}
