<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterKlijentiBakarAddOnTerain extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('klijenti_bakar', function (Blueprint $table) {
            $table->unsignedBigInteger('helper')->after('id_status_intervencije')->nullable();
            $table->tinyInteger('on_terrain')->after('helper')->nullable();
            $table->foreign('helper')->references('id')->on('pomocnici')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('klijenti_bakar', function (Blueprint $table) {
            $table->dropForeign('klijenti_bakar_helper_foreign');
            $table->dropColumn('helper');
            $table->dropColumn('on_terrain');
        });
    }
}
