<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDemandDevices extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('demand_devices', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('device_id');
            $table->decimal('quantity');
            $table->unsignedBigInteger('created_by');
            $table->tinyInteger('supplied')->default(0);
            $table->timestamps();
            $table->foreign('device_id')->references('id')->on('uredjaji')->onUpdate('cascade')->onDelete('restrict');
            $table->foreign('created_by')->references('id')->on('users')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('demand_devices', function (Blueprint $table) {
            $table->dropForeign('demand_devices_device_id_foreign');
            $table->dropForeign('demand_devices_created_by_foreign');
        });
        Schema::dropIfExists('demand_devices');
    }
}
