<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterHuaweiAddIdStatusFinal extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('huawei', function (Blueprint $table) {
            $table->unsignedBigInteger('id_status_final')->after('id_status_access')->nullable();
            $table->foreign('id_status_final')->references('id')->on('hw_final_statuses')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('huawei', function(Blueprint $table){
            $table->dropForeign('huawei_id_status_final_foreign');
            $table->dropColumn('id_status_final');
        });
    }
}
