<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterDemandDevicesAddStatus extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('demand_devices', function (Blueprint $table) {
            $table->char('status')->after('created_by')->nullable();
            $table->decimal('supplied_quantity')->after('quantity')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('demand_devices', function (Blueprint $table) {
            $table->dropColumn('status');
            $table->dropColumn('supplied_quantity');
    });
    }
}
