<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDemands extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('demands', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('fitter');
            $table->unsignedBigInteger('storekeeper')->nullable();
            $table->date('estimated_send_date')->nullable();
            $table->unsignedBigInteger('status')->nullable();
            $table->timestamps();

            $table->foreign('status')->references('id')->on('demand_statuses')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('demands', function (Blueprint $table) {
//            $table->dropForeign('demands_status_foreign');
        });
        Schema::dropIfExists('demands');
    }
}
