<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDemandComments extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('demand_comments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('comment');
            $table->unsignedBigInteger('demand_id');
            $table->unsignedBigInteger('user_id');
            $table->timestamps();

            $table->foreign('demand_id')->references('id')->on('demands')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('demand_comments', function (Blueprint $table) {
            $table->dropForeign('demand_comments_demand_id_foreign');
        });
        Schema::dropIfExists('demand_comments');
    }
}
