<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateKirTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('kir', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('name');
            $table->char('seller')->nullable();
            $table->char('contact_seller')->nullable();
            $table->char('tel1')->nullable();
            $table->char('tel2')->nullable();
            $table->char('tel3')->nullable();
            $table->char('manager')->nullable();
            $table->char('m_tel1')->nullable();
            $table->char('m_tel2')->nullable();
            $table->char('m_tel3')->nullable();
            $table->unsignedBigInteger('id_state')->nullable();
            $table->unsignedBigInteger('id_city')->nullable();
            $table->char('municipality')->nullable();
            $table->unsignedBigInteger('id_area')->nullable();
            $table->char('address')->nullable();
            $table->char('number_of_floors')->nullable();
            $table->char('number_of_flats')->nullable();
            $table->unsignedBigInteger('id_status_vertical')->nullable();
            $table->unsignedBigInteger('id_status_access')->nullable();
            $table->unsignedBigInteger('id_status_splicing')->nullable();
            $table->unsignedBigInteger('id_status_final')->nullable();
            $table->unsignedBigInteger('project_manager')->nullable();
            $table->unsignedBigInteger('construction_manager')->nullable();
            $table->unsignedBigInteger('id_user_vertical')->nullable();
            $table->unsignedBigInteger('id_user_access')->nullable();
            $table->unsignedBigInteger('id_user_splicing')->nullable();
            $table->dateTime('appointment_date_vertical')->nullable();
            $table->dateTime('appointment_date_access')->nullable();
            $table->dateTime('appointment_date_splicing')->nullable();
            $table->dateTime('delay_date')->nullable();
            $table->date('realization_date_vertical')->nullable();
            $table->date('realization_date_access')->nullable();
            $table->date('realization_date_splicing')->nullable();
            $table->date('withdrawal_date')->nullable();
            $table->char('cluster')->nullable();
            $table->char('odo')->nullable();
            $table->char('izvod')->nullable();
            $table->char('connector')->nullable();
            $table->date('technical_solution_date')->nullable();
            $table->char('atc_msan_olt')->nullable();
            $table->char('odf_modul')->nullable();
            $table->char('connector_number')->nullable();
            $table->char('connection_point')->nullable();
            $table->char('fiber')->nullable();
            $table->char('numeration_odo')->nullable();
            $table->date('dis_start_date')->nullable();
            $table->date('dis_end_date')->nullable();
            $table->decimal('sent_boq')->nullable();
            $table->decimal('approved_boq')->nullable();
            $table->date('boq_send_date')->nullable();
            $table->date('boq_approve_date')->nullable();
            $table->date('correction_date_start')->nullable();
            $table->date('correction_date_end')->nullable();
            $table->decimal('price')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->timestamps();
            $table->foreign('id_state')->references('id')->on('states')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_city')->references('id')->on('cities')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_area')->references('id')->on('areas')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status_vertical')->references('id')->on('huawei_vertical_statuses')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status_access')->references('id')->on('huawei_access_statuses')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_user_vertical')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_user_access')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('project_manager')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('construction_manager')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status_splicing')->references('id')->on('huawei_access_statuses')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_user_splicing')->references('id')->on('users')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('id_status_final')->references('id')->on('hw_final_statuses')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('kir', function (Blueprint $table){
            $table->dropForeign('kir_id_state_foreign');
            $table->dropForeign('kir_id_city_foreign');
            $table->dropForeign('kir_id_area_foreign');
            $table->dropForeign('kir_id_status_vertical_foreign');
            $table->dropForeign('kir_id_status_access_foreign');
            $table->dropForeign('kir_id_user_vertical_foreign');
            $table->dropForeign('kir_id_user_access_foreign');
            $table->dropForeign('kir_construction_manager_foreign');
            $table->dropForeign('kir_project_manager_foreign');
            $table->dropForeign('kir_id_status_splicing_foreign');
            $table->dropForeign('kir_id_user_splicing_foreign');
            $table->dropForeign('kir_id_status_final_foreign');
        });
        Schema::dropIfExists('kir');
    }
}
