<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterConstructionImagesChangeForeign extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('construction_images', function (Blueprint $table) {
            $table->dropForeign('construction_images_id_construction_site_foreign');
            $table->foreign('id_construction_site')->references('id')->on('kir')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('construction_images', function (Blueprint $table) {
            $table->dropForeign('construction_images_id_construction_site_foreign');
            $table->foreign('id_construction_site')->references('id')->on('construction_sites')->onUpdate('cascade')->onDelete('cascade');
        });
    }
}
