<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterKirRequiredEquipmentAddEditedQuantity extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('kir_required_equipment', function (Blueprint $table) {
            $table->decimal('edited_quantity')->after('quantity')->default(0);
            $table->decimal('supplied_quantity')->after('edited_quantity')->default(0);
            $table->tinyInteger('supplied')->after('supplied_quantity')->default(0);
            $table->unsignedBigInteger('supplied_by')->after('supplied')->nullable();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('kir_required_equipment', function (Blueprint $table) {
            $table->dropColumn('edited_quantity');
            $table->dropColumn('supplied_quantity');
            $table->dropColumn('supplied');
            $table->dropColumn('supplied_by');
        });
    }
}
