<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWfTaskImages extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('wf_task_images', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('image_url');
            $table->unsignedBigInteger('task_id');
            $table->unsignedBigInteger('work_id');
            $table->timestamps();
            $table->foreign('task_id')->references('task_id')->on('wf_project_task')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('wf_task_images', function (Blueprint $table){
            $table->dropForeign('wf_task_images_task_id_foreign');
        });
        Schema::dropIfExists('wf_task_images');
    }
}
