<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterWfTaskImages extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('wf_task_images', function (Blueprint $table) {
            $table->unsignedBigInteger('project_task_id')->after('image_url');
            $table->dropForeign('wf_task_images_task_id_foreign');
            $table->foreign('project_task_id')->references('project_task_id')->on('wf_task_work')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('work_id')->references('work_id')->on('wf_task_work')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('wf_task_images', function (Blueprint $table) {
            $table->dropForeign('wf_task_images_project_task_id_foreign');
            $table->dropForeign('wf_task_images_work_id_foreign');
            $table->dropColumn('project_task_id');
            $table->dropColumn('work_id');
            $table->foreign('task_id')->references('task_id')->on('wf_project_task')->onUpdate('cascade')->onDelete('cascade');
        });
    }
}
