<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterVozilaAddOwnerCompany extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('vozila', function (Blueprint $table) {
            $table->unsignedBigInteger('owner_id')->after('id_user');
            $table->unsignedBigInteger('company_id')->after('owner_id');
            $table->foreign('owner_id')->references('id')->on('vehicle_owners')->onDelete('restrict')->onUpdate('cascade');
            $table->foreign('company_id')->references('id')->on('companies')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('vozila', function (Blueprint $table) {
            $table->dropForeign('vozila_owner_id_foreign');
            $table->dropForeign('vozila_company_id_foreign');
            $table->dropColumn('owner_id');
            $table->dropColumn('company_id');
        });
    }
}
