<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVehicleCardsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vehicle_cards', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('card_number');
            $table->unsignedBigInteger('company_id')->nullable();
            $table->unsignedBigInteger('type_id')->nullable();
            $table->timestamps();
            $table->foreign('type_id')->references('id')->on('card_types')->onDelete('restrict')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('vehicle_cards', function(Blueprint $table){
            $table->dropForeign('vehicle_cards_type_id_foreign');
        });
        Schema::dropIfExists('vehicle_cards');
    }
}
