<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterTableVozilaRemoveCardId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('vozila', function (Blueprint $table) {
            $table->dropForeign('vozila_card_id_foreign');
            $table->dropColumn('card_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('vozila', function (Blueprint $table) {
            $table->unsignedBigInteger('card_id')->nullable()->after('company_id');
            $table->foreign('card_id')->references('id')->on('vehicle_cards')->onDelete('restrict')->onUpdate('cascade');
        });
    }
}
