<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDeCommentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('de_comments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('comment');
            $table->unsignedBigInteger('id_site');
            $table->unsignedBigInteger('id_user');
            $table->timestamps();
            $table->foreign('id_site')->references('id')->on('de_construction_sites')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('id_user')->references('id')->on('users')->onDelete('cascade')->onUpdate('cascade'); 
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_comments', function (Blueprint $table){
            $table->dropForeign('de_comments_id_site_foreign');
            $table->dropForeign('de_comments_id_user_foreign');
        });
        Schema::dropIfExists('de_comments');
    }
}
