<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class DeWorks extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('de_works', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('code')->nullable();
            $table->char('work');
            $table->unsignedBigInteger('unit_id')->nullable();
            $table->decimal('price');
            $table->tinyInteger('fixed');
            $table->timestamps();
            $table->foreign('unit_id')->references('id')->on('units')->onUpdate('restrict')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('de_works', function(Blueprint $table){
            $table->dropForeign('de_works_unit_id_foreign');
        });
        Schema::dropIfExists('de_works');
    }
}
