<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateToolReverseGoods extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tool_reverse_goods', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('serial_number');
            $table->unsignedBigInteger('reverse_id');
            $table->unsignedBigInteger('device_id');
            $table->unsignedBigInteger('storage_id');
            $table->unsignedBigInteger('provider_id');
            $table->char('invoice_number');
            $table->timestamps();
            $table->foreign('device_id')->references('id')->on('uredjaji')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('tool_reverse_goods', function (Blueprint $table){
            $table->dropForeign('tool_reverse_goods_device_id_foreign');
        });
        Schema::dropIfExists('tool_reverse_goods');
    }
}
