<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMaterialDispatchNote extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('material_dispatch_note', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('material_id');
            $table->unsignedBigInteger('dispatch_note_id');
            $table->decimal('quantity');
            $table->timestamps();
            $table->foreign('material_id')->references('id')->on('materials')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('dispatch_note_id')->references('id')->on('mat_dispatch_notes')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('material_dispatch_note', function(Blueprint $table){
            $table->dropForeign('material_dispatch_note_material_id_foreign');
            $table->dropForeign('material_dispatch_note_dispatch_note_id_foreign');
        });
        Schema::dropIfExists('material_dispatch_note');
    }
}
