<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateToolDeliveredGoods extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tool_delivered_goods', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('serial');
            $table->unsignedBigInteger('delivery_note');
            $table->unsignedBigInteger('device_id');
            $table->tinyInteger('warehouse');
            $table->timestamps();

            $table->foreign('delivery_note')->references('id')->on('tool_delivery_notes')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('tool_delivered_goods', function (Blueprint $table){
            $table->dropForeign('tool_delivered_goods_delivery_note_foreign');
        });
        Schema::dropIfExists('tool_delivered_goods');
    }
}
