<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFobosRune extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fobos_rune', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('cluster')->nullable();
            $table->char('pan')->nullable();
            $table->char('street')->nullable();
            $table->integer('eta')->nullable();
            $table->char('network_group')->nullable();
            $table->char('tel1')->nullable();
            $table->char('tel2')->nullable();
            $table->char('tel3')->nullable();
            $table->char('fobos_id')->nullable();
            $table->char('county')->nullable();
            $table->char('city')->nullable();
            $table->char('settlement')->nullable();
            $table->tinyInteger('household')->nullable();
            $table->tinyInteger('households')->nullable();
            $table->tinyInteger('state')->nullable();
            $table->tinyInteger('state_services')->nullable();
            $table->char('home_no')->nullable();
            $table->char('enterance')->nullable();
            $table->char('floor')->nullable();
            $table->char('apartment')->nullable();
            $table->char('packet')->nullable();
            $table->tinyInteger('black_list')->default(0);
            $table->char('recomended_tariff')->nullable();
            $table->char('first_offer')->nullable();
            $table->char('operator')->nullable();
            $table->char('month')->nullable();
            $table->char('year')->nullable();
            $table->unsignedTinyInteger('status_id')->nullable();
            $table->decimal('points')->nullable();
            $table->unsignedBigInteger('seller_id')->nullable();
            $table->unsignedBigInteger('project_manager')->nullable();
            $table->tinyInteger('expedited')->default(0);
            $table->tinyInteger('accepted')->default(0);
            $table->date('contract_expire_date')->nullable();
            $table->date('withdrawal_date')->nullable();
            $table->char('withdrawal_reason')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->char('cable')->nullable();
            $table->char('tube')->nullable();
            $table->char('thread')->nullable();
            $table->char('case')->nullable();
            $table->bigInteger('x_coordinate')->nullable();
            $table->bigInteger('y_coordinate')->nullable();
            $table->timestamps();

            $table->foreign('status_id')->references('id')->on('fobos_statuses')->onUpdate('cascade')->onDelete('restrict');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fobos_rune', function (Blueprint $table){
            $table->dropForeign('fobos_rune_status_id_foreign');
        });
        Schema::dropIfExists('fobos_rune');
    }
}
