<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFobosRuneComments extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fobos_rune_comments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('comment');
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('fobos_id');
            $table->timestamps();
            $table->foreign('fobos_id')->references('id')->on('fobos_rune')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('fobos_rune_comments', function (Blueprint $table){
            $table->dropForeign('fobos_rune_comments_fobos_id_foreign');
        });
        Schema::dropIfExists('fobos_rune_comments');
    }
}
