<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRuneCommentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rune_comments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('comment');
            $table->unsignedBigInteger('client_id');
            $table->unsignedBigInteger('user_id');
            $table->timestamps();
            $table->foreign('client_id')->references('id')->on('rune_optics')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('rune_comments', function (Blueprint $table){
            $table->dropForeign('rune_comments_client_id_foreign');
            $table->dropForeign('rune_comments_user_id_foreign');
        });
        Schema::dropIfExists('rune_comments');
    }
}
