<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterOpremaKlijentAddIdRune extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('oprema_klijent', function (Blueprint $table) {
            $table->unsignedBigInteger('id_rune')->after('id_bakar_klijent')->nullable();
            $table->foreign('id_rune')->references('id')->on('rune_optics')->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('oprema_klijent', function (Blueprint $table) {
            $table->dropForeign('oprema_klijent_id_rune_foreign');
            $table->dropColumn('id_rune');
        });
    }
}
