@extends('layouts.app')

@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
            $('.btn-delete-cluster').click(function () {
                var id = $(this).attr("clusterId");
                $('#id_cluster').val(id);
            });
            $('.btn-delete-provider').click(function () {
                var id = $(this).attr("providerId");
                $('#id_provider').val(id);
            });
        });
    </script>

    <form id="form" method="post" action="{{route('update_user')}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" id="id_user" name="id_user" value="{{$user->id}}">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Edit user data')}}:</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">Username: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="username" class="form-control" placeholder="" id="username" spellcheck="false" value="{{$user->username}}" readonly/>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Name and surname')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false" value="{{$user->ime.' '.$user->prezime}}" readonly/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">Email: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="email" class="form-control" placeholder="" id="email" spellcheck="false" value="{{$user->email}}" readonly/>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Role')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <select class="form-control populate status-select"  name="role" id="role">
                            <option value="">-- {{__('Role')}} --</option>
                            @foreach($roles as $role)
                                <option value="{{$role->id}}" <?php if ($role->id == $user->role_id) echo 'selected = "selected"' ?>>{{$role->description}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Identification no.')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="jmbg" class="form-control" placeholder="" id="jmbg" spellcheck="false" value="{{$user->jmbg}}"/>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Profession')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="zanimanje" class="form-control" placeholder="" id="zanimanje" spellcheck="false" value="{{$user->zanimanje}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Insurance start date')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="datum_pocetka_osiguranja" class="form-control date-picker" placeholder="" id="datum_pocetka_osiguranja" spellcheck="false"
                               value="@if($user->datum_pocetka_osiguranja){{date('d.m.Y.', strtotime($user->datum_pocetka_osiguranja))}}@endif"/>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Insurance end date')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="datum_prestanka_osiguranja" class="form-control date-picker" placeholder="" id="datum_prestanka_osiguranja" spellcheck="false"
                               value="@if($user->datum_prestanka_osiguranja){{date('d.m.Y.', strtotime($user->datum_prestanka_osiguranja))}}@endif"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Contract')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <select class="form-control populate status-select"  name="ugovor[]" id="ugovor">
                            <option value="">-- {{__('Choose contract')}} --</option>
                            @foreach($ugovori as $ug)
                                <option value="{{$ug->id}}" <?php if ($ug->id == $user->id_ugovor) echo 'selected = "selected"' ?>>{{$ug->ugovor}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Equipment')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <select class="form-control populate status-select"  name="oprema[]" id="oprema">
                            <option value="1" @if($user->oprema == 1) {{'selected = "selected"'}} @endif>DA</option>
                            <option value="0" @if($user->oprema != 1) {{'selected = "selected"'}} @endif>NE</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Area')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <select class="form-control populate status-select"  name="area" id="area">
                            <option value="">-- {{__('Choose area')}} --</option>
                            @foreach($areas as $area)
                                <option value="{{$area->id}}" <?php if ($area->id == $user->area_id) echo 'selected = "selected"' ?>>{{$area->area}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">Password: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="password" name="password" class="form-control" placeholder="Ostaviti prazno ukoliko ne želite da menjate lozinku..." id="password" spellcheck="false" value=""/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Provider')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <select multiple data-plugin-selectTwo class="form-control populate status-select"  name="provider[]" id="provider">
                            @foreach($providers as $provider)
                                <option value="{{$provider->id}}">{{$provider->provider}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Cluster')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <select multiple data-plugin-selectTwo class="form-control populate status-select"  name="cluster[]" id="cluster">
                            @foreach($clusters as $cluster)
                                <option value="{{$cluster->id}}">{{$cluster->cluster}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Providers')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        @foreach ($currentProviders as $provider)
                        <p>{{$provider->provider}}<a href="#deleteProviderModal" class="modal-basic btn-delete-provider" providerId="{{$provider->id}}"><i class="fa fa-trash-o seller-trash"></i></a></p>
                        @endforeach
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Clusters')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        @foreach ($currentClusters as $cluster)
                            <p>{{$cluster->cluster}}<a href="#deleteClusterModal" class="modal-basic btn-delete-cluster" clusterId="{{$cluster->id}}"><i class="fa fa-trash-o seller-trash"></i></a></p>
                        @endforeach
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Subcontractor")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-success">
                        <input type="checkbox" name="is_subcontractor" data-plugin-ios-switch @if($user->is_subcontractor == 1) checked @endif/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__('Save')}} <i class="fa fa-save"></i></button>
                        <a href="{{route('show_user', ['id_user' => $user->id])}}" class="btn btn-default">{{__('Cancel')}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

    <div id="deleteClusterModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('destroy_cluster')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_cluster" value="" id="id_cluster">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteProviderModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('destroy_provider')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_provider" value="" id="id_provider">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection