@extends('layouts.app')

@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
        });
    </script>

    <form id="form" method="post" action="{{route('pomocnik_update')}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" id="id_pomocnik" name="id_pomocnik" value="{{$pomocnik->id}}">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Edit helper')}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Name')}}: </label>
                    <div class="col-sm-4 col-lg-4 @if($errors->has('ime')){{'has-error'}} @endif">
                        <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false" value="{{$pomocnik->ime}}"/>
                        @if($errors->has('ime'))
                            <label for="ime" class="error">{{$errors->first('ime')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Surname')}}: </label>
                    <div class="col-sm-4 col-lg-4 @if($errors->has('prezime')){{'has-error'}} @endif">
                        <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false" value="{{$pomocnik->prezime}}"/>
                        @if($errors->has('prezime'))
                            <label for="ime" class="error">{{$errors->first('prezime')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Identification no.')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="jmbg" class="form-control" placeholder="" id="jmbg" spellcheck="false" value="{{$pomocnik->jmbg}}"/>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">Email: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="email" class="form-control" placeholder="" id="email" spellcheck="false" value="{{$pomocnik->email}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Phone')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="telefon" class="form-control" placeholder="" id="telefon" spellcheck="false" value="{{$pomocnik->telefon}}"/>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Address')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="adresa" class="form-control" placeholder="" id="adresa" spellcheck="false" value="{{$pomocnik->adresa}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Contract')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <select class="form-control populate status-select"  name="ugovor[]" id="ugovor">
                            <option value="">-- {{__('Contract')}} --</option>
                            @foreach($ugovori as $ug)
                                <option value="{{$ug->id}}" @if($ug->id == $pomocnik->id_ugovor) {{'selected = "selected"'}} @endif>{{$ug->ugovor}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Assign to fitter')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <select class="form-control populate status-select"  name="monter[]" id="monter">
                            <option value="">-- I{{__('Choose fitter')}} --</option>
                            @foreach($monteri as $mont)
                                <option value="{{$mont->id}}" @if($mont->id == $pomocnik->id_user) {{'selected = "selected"'}} @endif>{{$mont->ime.' '.$mont->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Insurance start date')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="datum_pocetka_osiguranja" class="form-control date-picker" placeholder="" id="datum_pocetka_osiguranja" spellcheck="false"
                               value="@if($pomocnik->datum_pocetka_osiguranja){{date('d.m.Y.', strtotime($pomocnik->datum_pocetka_osiguranja))}}@endif"/>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Insurance end date')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="datum_prestanka_osiguranja" class="form-control date-picker" placeholder="" id="datum_prestanka_osiguranja" spellcheck="false"
                               value="@if($pomocnik->datum_prestanka_osiguranja){{date('d.m.Y.', strtotime($pomocnik->datum_prestanka_osiguranja))}}@endif"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Profession')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <input type="text" name="zanimanje" class="form-control" placeholder="" id="zanimanje" spellcheck="false"  value="{{$pomocnik->zanimanje}}"/>
                    </div>
                    <label class="col-sm-2 col-lg-1 control-label">{{__('Equipment')}}: </label>
                    <div class="col-sm-4 col-lg-4">
                        <select class="form-control populate status-select"  name="oprema[]" id="oprema">
                            <option value="1" @if($pomocnik->oprema == 1) {{'selected = "selected"'}} @endif>{{__('YES')}}</option>
                            <option value="0" @if($pomocnik->oprema != 1) {{'selected = "selected"'}} @endif>{{__('NO')}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__('Save')}} <i class="fa fa-save"></i></button>
                        <a href="{{route('pomocnici_index')}}" class="btn btn-default">{{__('Cancel')}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection