@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$pomocnik->ime.' '.$pomocnik->prezime}}</h2>
            <div class="panel-actions">
                <a href="{{route('pomocnik_edit', ['id_pomocnik' => $pomocnik->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Full name')}}: <div class="highlight">{{$pomocnik->ime.' '.$pomocnik->prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Identification no.')}}: <div class="highlight">{{$pomocnik->jmbg}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Email: <div class="highlight">{{$pomocnik->email}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Phone')}}: <div class="highlight">{{$pomocnik->telefon}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Address')}}: <div class="highlight">{{$pomocnik->adresa}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Contract')}}: <div class="highlight">{{$pomocnik->ugovor}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Fitter')}}: <div class="highlight">{{$pomocnik->monter_ime.' '.$pomocnik->monter_prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Insurance start date')}}: <div class="highlight">@if($pomocnik->datum_pocetka_osiguranja){{date('d.m.Y.', strtotime($pomocnik->datum_pocetka_osiguranja))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Insurance end date')}}: <div class="highlight">@if($pomocnik->datum_prestanka_osiguranja){{date('d.m.Y.', strtotime($pomocnik->datum_prestanka_osiguranja))}}@endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Equipment')}}: <div class="highlight">@if($pomocnik->oprema == 1){{__('YES')}} @else {{__('NO')}} @endif</div></p>
                </div>
            </div>
        </div>
    </section>
@endsection