@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$user->ime.' '.$user->prezime}}</h2>
            <div class="panel-actions">
                <a href="{{route('edit_user', ['id_user' => $user->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Full name')}}: <div class="highlight">{{$user->ime.' '.$user->prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Email: <div class="highlight">{{$user->email}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Role')}}: <div class="highlight">{{$user->description}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Identification no.')}}: <div class="highlight">{{$user->jmbg}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Profession')}}: <div class="highlight">{{$user->zanimanje}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Contract')}}: <div class="highlight">{{$user->ugovor}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Insurance start date')}}: <div class="highlight">@if($user->datum_pocetka_osiguranja){{date('d.m.Y.', strtotime($user->datum_pocetka_osiguranja))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Insurance end date')}}: <div class="highlight">@if($user->datum_prestanka_osiguranja){{date('d.m.Y.', strtotime($user->datum_prestanka_osiguranja))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Equipment')}}: <div class="highlight">@if($user->oprema == 1){{'DA'}} @else {{'NE'}} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Providers')}}: <div class="highlight">@foreach($currentProviders as $provider){{$provider->provider.', '}}@endforeach</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Clusters')}}: <div class="highlight">@foreach($currentClusters as $cluster){{$cluster->cluster.', '}}@endforeach</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Area')}}: <div class="highlight">{{$user->area}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Subcontractor')}}: <div class="highlight">@if($user->is_subcontractor == 1) {{__("YES")}} @else {{__("NO")}} @endif </div></p>
                </div>
            </div>
        </div>
    </section>
@endsection