@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{ route('rent_a_vehicle') }}" class="form-horizontal" enctype="multipart/form-data">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Vehicle rent')}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Vehicle')}} </label>
                    <div class="col-lg-4">
                        <select name="vehicle" id="vehicle" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__('Choose vehicle')}} --</option>
                            @foreach($vehicles as $vehicle)
                                <option value="{{$vehicle->id}}">{{$vehicle->marka.' ('.$vehicle->reg_br.')'}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-lg-2 control-label">{{__('Worker')}} </label>
                    <div class="col-lg-4">
                        <select name="worker" id="worker" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__('Choose worker')}} --</option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Rent date')}}: </label>
                    <div class="col-sm-4">
                        <input type="text" name="rent_date" class="form-control date-picker" placeholder="" id="rent_date" spellcheck="false"/>
                    </div>
                    <label class="col-sm-2 control-label">{{__('Return date')}}: </label>
                    <div class="col-sm-4">
                        <input type="text" name="return_date" class="form-control date-picker" placeholder="" id="return_date" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Image type')}} </label>
                    <div class="col-lg-4">
                        <select name="image_type" id="image_type" data-plugin-selectTwo class="form-control populate">
                            <option value="0">{{__('Pick Up')}}</option>
                            <option value="1">{{__('Return')}}</option>
                        </select>
                    </div>
                    <label class="col-sm-2 control-label">{{__('Images')}}</label>
                    <div class="col-sm-4">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="input-append">
                                <div class="uneditable-input">
                                    <i class="fa fa-file fileupload-exists"></i>
                                    <span class="fileupload-preview"></span>
                                </div>
                                <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__('Change')}}</span>
                                    <span class="fileupload-new">{{__('Choose file')}}</span>
                                    <input type="file" id="pictures" name="pictures[]" multiple>
                                </span>
                                <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__('Remove')}}</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Comment')}} </label>
                    <div class="col-sm-4">
                        <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false"></textarea>
                    </div>
                    <label class="col-sm-2 control-label">{{__('Color')}} </label>
                    <div class="col-sm-2">
                        <input type="text" class="colorpicker-default form-control" data-plugin-colorpicker name="color" id="color">
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button type="submit" class="btn btn-primary">{{__('Charge')}} <i class="fa fa-check"></i></button>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection