@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("voziloId");
                $('#id_vozilo').val(id);
            });

        });
    </script>


    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Vehicles")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Brand')}}</th>
                        <th>{{__('Type')}}</th>
                        <th>{{__('Plate number')}}</th>
                        <th>{{__('Fitter')}}</th>
                        <th>{{__('Owner')}}</th>
                        <th>{{__('Company')}}</th>
                        <th>{{__('Card')}}</th>
                        <th>{{__('Fuel type')}}</th>
                        <th>{{__('Vehicle type')}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($vozila as $voz)
                        <tr class="gradeX">
                            <td>{{$voz->marka}}</td>
                            <td>{{$voz->tip}}</td>
                            <td>{{$voz->reg_br}}</td>
                            <td>{{$voz->ime.' '.$voz->prezime}}</td>
                            <td>{{$voz->name}}</td>
                            <td>{{$voz->company}}</td>
                            <?php $cards = $cardMod->cards_for_vehicle($voz->id); ?>
                            <td>
                                @foreach($cards as $card)
                                    {{nl2br($card->card_number. '('.$card->company.') - '.$card->type)}}
                                @endforeach
                            </td>
                            <td>{{$voz->fuel}}</td>
                            <td>{{$voz->type}}</td>
                            <td class="btn-center">
                                <a href="/administracija/{{$voz->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('vehicle_rent_list', ['vehicle_id' => $voz->id])}}"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                <a href="#deleteVoziloModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" voziloId="{{$voz->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>


    <div id="deleteVoziloModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('administracija.destroy', 'test')}}">
            <input type="hidden" name="id_vozilo" id="id_vozilo">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete ')}} {{__('vehicle')}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
