@extends('layouts.app')

@section('content')
    <section class="body-sign">
        <div class="center-sign">
            <a href="/" class="logo pull-left">
                <img src="assets/images/callisto_logo2.png" alt="Callisto" height="54">
            </a>

            <div class="panel panel-sign">
                <div class="panel-title-sign mt-xl text-right">
                    <h2 class="title text-uppercase text-bold m-none"><i class="fa fa-user mr-xs"></i> {{__('Login form')}}</h2>
                </div>
                <div class="panel-body">
                    <form method="POST" action="{{ route('login') }}">
                        @csrf
                        <div class="form-group mb-lg">
                            <label>{{__('Username')}}</label>
                            <div class="input-group input-group-icon">
                                <input id="email" name="email" type="text" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }} input-lg" type="email" value="{{old('email')}}" required autofocus>
                                @if ($errors->has('email'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                                <span class="input-group-addon">
										<span class="icon icon-lg">
											<i class="fa fa-user"></i>
										</span>
									</span>
                            </div>
                        </div>

                        <div class="form-group mb-lg">
                            <div class="clearfix">
                                <label class="pull-left">{{__('Password')}}</label>
                            </div>
                            <div class="input-group input-group-icon">
                                <input id="password" name="password" type="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }} input-lg" name="password" required>
                                @if ($errors->has('password'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                                <span class="input-group-addon">
										<span class="icon icon-lg">
											<i class="fa fa-lock"></i>
										</span>
									</span>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-8">
                                <div class="checkbox-custom checkbox-default">
                                    <input id="remember" name="remember" type="checkbox" {{ old('remember') ? 'checked' : '' }}>
                                    <label for="RememberMe">{{__('Remember me')}}</label>
                                </div>
                            </div>
                            <div class="col-sm-4 text-right">
                                <button type="submit" class="btn btn-primary">{{__('Login')}}</button>
                            </div>
                        </div>
                        <span class="mt-lg mb-lg line-thru text-center text-uppercase">
								<span>{{__('Or')}}</span>
							</span>

                        <p class="text-center">{{__("If you don't have an account, contact ORANGE CUBE to make you username an initial password.")}}</p>
                    </form>
                </div>
            </div>

            <p class="text-center text-muted mt-md mb-md">© Copyright {{date('Y')}}. All rights reserved. Created by <a href="https://orangecube.rs" target="_blank"><i class="fa fa-cube">orange cube</i></a>.</p>
        </div>
    </section>


@endsection
