@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('city.update', [$city->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit city")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("City")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('city')){{'has-error'}} @endif">
                    <input type="text" name="city" class="form-control" placeholder="" id="city" spellcheck="false" value="{{$city->city}}"/>
                        @if($errors->has('city'))
                            <label for="city" class="error">{{$errors->first('city')}}</label>
                        @endif
                    </div>
                    <label class="col-lg-1 control-label">{{__("State")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('state')){{'has-error'}} @endif">
                        <select class="form-control" id="state" name="state">
                            <option value="">-- {{__("States")}} --</option>
                            @foreach($states as $state)
                                <option value="{{$state->id}}" @if($city->id_state == $state->id){{'selected'}}@endif>{{$state->state}}</option>
                            @endforeach
                        </select>
                        @if($errors->has('state'))
                            <label for="state" class="error">{{$errors->first('state')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('city.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection