@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('const_equipment.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add equipment")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Code")}} <span class="required">*</span></label>
                    <div class="col-lg-6 @if($errors->has('code')){{'has-error'}} @endif">
                        <input type="text" name="code" class="form-control" placeholder="" id="code"
                               spellcheck="false"/>
                        @if($errors->has('code'))
                            <label for="code" class="error">{{$errors->first('code')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Equipment")}} <span class="required">*</span></label>
                    <div class="col-lg-6 @if($errors->has('equipment')){{'has-error'}} @endif">
                        <input type="text" name="equipment" class="form-control" placeholder="" id="equipment"
                               spellcheck="false"/>
                        @if($errors->has('equipment'))
                            <label for="equipment" class="error">{{$errors->first('equipment')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Category")}} <span class="required">*</span></label>
                    <div class="col-lg-6">
                        <select name="category" id="category" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Category")}} --</option>
                            @foreach($categories as $category)
                                <option value="{{$category->id}}">{{$category->category}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Equipment type")}} <span class="required">*</span></label>
                    <div class="col-lg-6">
                        <select name="type" id="type" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Type")}} --</option>
                            @foreach($types as $type)
                                <option value="{{$type->id}}">{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('const_equipment.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection