@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("equipmentId");
                $('#id_equipment').val(id);
            });

        });
    </script>

    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title"></h2>
                </header>
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("No.")}}</th>
                            <th>{{__("Code")}}</th>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Category")}}</th>
                            <th>{{__("Type")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($equipment as $rbr => $num)
                            <tr class="gradeX">
                                <td>{{($rbr+1).'.'}}</td>
                                <td>{{$num->code}}</td>
                                <td>{{$num->equipment}}</td>
                                <td>{{$num->category}}</td>
                                <td>{{$num->type}}</td>
                                <td class="btn-center">
                                    <a href="/const_equipment/{{$num->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('const_equipment.index').'/'.$num->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                    <a href="#deleteEquipmentModal" class="modal-basic"><button type="button" class="mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" equipmentId="{{$num->id}}"><i class="fa fa-trash-o"></i></button></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    <div class="row datatables-footer">
                        <div class="col-sm-12 col-md-6">
                            {{$equipment->links()}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div id="deleteEquipmentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('const_equipment.destroy', 'test')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_equipment" value="" id="id_equipment">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
