@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("workerId");
                $('#id_worker').val(id);
            });

        });
    </script>
    <form id="form" method="post" action="{{route('constTeam.update', [$team->id])}}" class="form-horizontal">
        <input type="hidden" name="_method" value="put">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Team name")}} <span class="required">*</span></label>
                    <div class="col-lg-3">
                        <input type="text" name="team" class="form-control" placeholder="" id="team" spellcheck="false" value="{{$team->team}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Team leader")}} </label>
                    <div class="col-lg-3">
                        <select name="leader" id="leader" data-plugin-selectTwo class="form-control populate">
                            @foreach($leaders as $leader)
                                <option value="{{$leader->id}}" <?php if ($leader->id == $team->column_leader) echo 'selected = "selected"' ?>>{{$leader->ime.' '.$leader->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Worker')}}</label>
                    <div class="col-lg-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="worker[]" id="worker">
                            <optgroup label="{{__('Worker')}}">
                                @foreach($allWorkers as $worker)
                                    <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    @foreach($workers as $worker)
                        <div class="row">
                            <div class="col-sm-3 sellers">
                                <p>{{$worker->ime.' '.$worker->prezime}} <a href="#deleteModal" class="modal-basic btn-delete" workerId="{{$worker->id}}"><i class="fa fa-trash-o seller-trash"></i></a></p>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a id="icon-without-border-success" href="{{route('team.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

    <div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('const_worker_delete')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_worker" value="" id="id_worker">
            <input type="hidden" name="id_team" value="{{$team->id}}" id="id_team">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to remove seller from the team?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection