@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("teamId");
                $('#id_team').val(id);
            });

        });
    </script>


    <section class="panel">
        <div class="row">
            <div class="col-sm-4 col-md-12 col-lg-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Teams")}}</h2>
                </header>
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("No.")}}</th>
                            <th>{{__("Team")}}</th>
                            <th>{{__("Column leader")}}</th>
                            <th>{{__("Worker")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($teams as $rbr => $tim)
                            <?php $workers = $teamModel->workers($tim->id)?>
                            <tr class="gradeX">
                                <td>{{($rbr+1).'.'}}</td>
                                <td>{{$tim->team}}</td>
                                <td>{{$tim->ime.' '.$tim->prezime}}</td>
                                <td>
                                    @foreach($workers as $worker)
                                        {!!nl2br($worker->ime.' '.$worker->prezime. "\n")!!}
                                    @endforeach
                                </td>
                                <td class="btn-center">
                                    <a href="/constTeam/{{$tim->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('constTeam.index').'/'.$tim->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                    <a href="#deleteTeamModal" class="modal-basic"><button type="button" class="mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" teamId="{{$tim->id}}"><i class="fa fa-trash-o"></i></button></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>

    <div id="deleteTeamModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('constTeam.destroy', 'test')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_team" value="" id="id_team">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
