@extends('layouts.app')

@section('content')

<form id="form" method="get" action="{{ route('construction_search_result') }}" class="form-horizontal">
    <input type='hidden' id="param" name="param" value="advanced">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>
                <h2 class="panel-title">{{__("Advanced filters")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Client")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">TIS ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Contact person")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="contact_person" class="form-control" placeholder="" id="contact_person" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 1 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="false""/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Address")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="address" class="form-control" placeholder="" id="address" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("State")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="state" id="state">
                            <option value="">-- {{__("State")}} --</option>
                            @foreach($states as $s)
                                <option value="{{$s->id}}">{{$s->state}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="city" id="city">
                            <option value="">-- {{__("City")}} --</option>
                            @foreach($cities as $city)
                                <option value="{{$city->id}}">{{$city->city}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Area")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="area" id="area">
                            <option value="">-- {{__("Area")}} --</option>
                            @foreach($areas as $area)
                                <option value="{{$area->id}}">{{$area->area}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status" id="status">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Currency")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="currency" id="currency">
                            <option value="">-- {{__("Currency")}} --</option>
                            @foreach($currencies as $cur)
                                <option value="{{$cur->id}}">{{$cur->currency_short}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Discount")}} %</label>
                    <div class="col-sm-3">
                        <input type="text" name="discount_percent" class="form-control" placeholder="" id="discount_percent" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Discount")}} {{__("client")}}%</label>
                    <div class="col-sm-3">
                        <input type="text" name="discount_percent_customer" class="form-control" placeholder="" id="discount_percent_customer" spellcheck="false" />
                    </div>
                    <label class="col-sm-1 control-label">{{__("Transport")}} %</label>
                    <div class="col-sm-3">
                        <input type="text" name="transport_costs" class="form-control" placeholder="" id="transport_costs" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contractor")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="contractor" id="contractor">
                            <option value="">-- {{__("Contractor")}} --</option>
                            @foreach($contractors as $cont)
                                <option value="{{$cont->id}}">{{$cont->contractor}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Worker")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="builder" id="builder">
                            <option value="">-- {{__("Worker")}} --</option>
                            @foreach($builders as $build)
                                <option value="{{$build->id}}">{{$build->ime.' '.$build->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="project_manager" class="form-control" placeholder="" id="project_manager" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Construction manager')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="construction_manager" id="construction_manager">
                            <option value="">-- {{__('Construction manager')}} --</option>
                            @foreach($constructionManagers as $manager)
                                <option value="{{$manager->id}}">{{$manager->ime.' '.$manager->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Appointment date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="appointment_date" class="form-control date-picker" placeholder="" id="appointment_date"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Delay date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="delay_date" class="form-control date-picker" placeholder="" id="delay_date"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Realization date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="realization_date" class="form-control date-picker" placeholder="" id="realization_date"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Without status")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="no_status" data-plugin-ios-switch />
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="form-group">
                        <label class="col-md-1 control-label">{{__("Realization date")}} {{__("range")}}</label>
                        <div class="col-md-6">
                            <div class="input-daterange input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" class="form-control date-picker" name="realization_start">
                                <span class="input-group-addon">{{__("to")}}</span>
                                <input type="text" class="form-control date-picker" name="realization_end">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Cluster")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="cluster" class="form-control" placeholder="" id="cluster" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">Odo </label>
                    <div class="col-sm-3">
                        <input type="text" name="odo" class="form-control" placeholder="" id="odo" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">Izvod </label>
                    <div class="col-sm-3">
                        <input type="text" name="izvod" class="form-control" placeholder="" id="izvod" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Connector")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="connector" class="form-control" placeholder="" id="connector" spellcheck="false"/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
@endsection