@extends('layouts.app')

@section('content')

<form id="form" method="post" action="{{ route('construction_sites.store') }}" class="form-horizontal" enctype="multipart/form-data">
    {{ csrf_field() }}
    <section class="panel">
        <header class="panel-heading">
            <div class="panel-actions">
                <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
            </div>
            <h2 class="panel-title">{{__("Add construction site")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Name")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{old('name')}}"/>
                </div>
                <label class="col-sm-1 control-label">TIS ID </label>
                <div class="col-sm-3">
                    <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false" value="{{old('tis_id')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Contact person")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="contact_person" class="form-control" placeholder="" id="contact_person" spellcheck="false" value="{{old('contact_person')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Phone")}} 1 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{old('tel1')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{old('tel2')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="false" value="{{old('tel3')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Address")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <input type="text" name="address" class="form-control" placeholder="" id="address" spellcheck="false" value="{{old('address')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("State")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="state" id="state">
                        <option value="">-- {{__("State")}} --</option>
                        @foreach($states as $s)
                            <option value="{{$s->id}}" @if(old('state') == $s->id){{'selected'}} @endif>{{$s->state}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("City")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="city" id="city">
                        <option value="">-- {{__("City")}} --</option>
                        @foreach($cities as $city)
                            <option value="{{$city->id}}" @if(old('city') == $city->id){{'selected'}} @endif>{{$city->city}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Area")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="area" id="area">
                        <option value="">-- {{__("Area")}} --</option>
                        @foreach($areas as $area)
                            <option value="{{$area->id}}" @if(old('area') == $area->id){{'selected'}} @endif>{{$area->area}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Status")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="status" id="status">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statuses as $status)
                            <option value="{{$status->id}}" @if(old('status') == $status->id){{'selected'}} @endif>{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Currency")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="currency" id="currency">
                        <option value="">-- {{__("Currency")}} --</option>
                        @foreach($currencies as $cur)
                            <option value="{{$cur->id}}" @if(old('currency') == $cur->id){{'selected'}} @endif>{{$cur->currency_short}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Discount")}} %</label>
                <div class="col-sm-3">
                    <input type="text" name="discount_percent" class="form-control" placeholder="" id="discount_percent" spellcheck="false" value="{{old('discount_percent')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Discount")}} {{__("client")}}%</label>
                <div class="col-sm-3">
                    <input type="text" name="discount_percent_customer" class="form-control" placeholder="" id="discount_percent_customer" spellcheck="false" value="{{old('discount_percent_customer')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Transport")}} %</label>
                <div class="col-sm-3">
                    <input type="text" name="transport_costs" class="form-control" placeholder="" id="transport_costs" spellcheck="false" value="{{old('transport_costs')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Contractor")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="contractor" id="contractor" data-value="{{old('contractor')}}">
                        <option value="">-- {{__("Contractor")}} --</option>
                        @foreach($contractors as $cont)
                            <option value="{{$cont->id}}" @if(old('contractor') == $cont->id){{'selected'}} @endif>{{$cont->contractor}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Assign to worker")}}</label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="builder" id="builder">
                        <option value="">-- {{__("Worker")}} --</option>
                        @foreach($workers as $worker)
                            <option value="{{$worker->id}}" @if(old('builder') == $worker->id){{'selected'}} @endif>{{$worker->ime.' '.$worker->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Comment")}} </label>
                <div class="col-sm-3">
                    <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false">{{old('comment')}}</textarea>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="project_manager" class="form-control" placeholder="" id="project_manager" spellcheck="false" value="{{old('project_manager')}}"/>
                </div>
                <label class="col-sm-1 control-label">{{__('Construction manager')}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="construction_manager" id="construction_manager">
                        <option value="">-- {{__('Construction manager')}} --</option>
                        @foreach($constructionManagers as $manager)
                            <option value="{{$manager->id}}" @if(old('construction_manager') == $manager->id){{'selected'}} @endif>{{$manager->ime.' '.$manager->prezime}}</option>
                        @endforeach
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                    <a href="{{route('construction_sites.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection