@extends('layouts.app')

@section('content')

<form id="form" method="get" action="{{ route('construction_search_result', ['param' => 'basic']) }}" class="form-horizontal" enctype="multipart/form-data">
    {{ csrf_field() }}
    <section class="panel">
        <header class="panel-heading">
            <div class="panel-actions">
                <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
            </div>
            <h2 class="panel-title">{{__("Filters")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Client")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">TIS ID </label>
                <div class="col-sm-3">
                    <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Contact person")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="contact_person" class="form-control" placeholder="" id="contact_person" spellcheck="false"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Contractor")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate"  name="contractor" id="contractor">
                        <option value="">-- Izvođač --</option>
                        @foreach($contractors as $cont)
                            <option value="{{$cont->id}}">{{$cont->contractor}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Worker")}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="builder" id="builder">
                        <option value="">-- {{__("Worker")}} --</option>
                        @foreach($builders as $build)
                            <option value="{{$build->id}}">{{$build->ime.' '.$build->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="project_manager" class="form-control" placeholder="" id="project_manager" spellcheck="false"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Appointment date")}} </label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="appointment_date" class="form-control date-picker" placeholder="" id="appointment_date"/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Delay date")}} </label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="delay_date" class="form-control date-picker" placeholder="" id="delay_date"/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Realization date")}} </label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="realization_date" class="form-control date-picker" placeholder="" id="realization_date"/>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Without status")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-success">
                        <input type="checkbox" name="no_status" data-plugin-ios-switch />
                    </div>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection