@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$site->name}}<small> &nbsp&nbsp&nbsp(ID: {{$site->id}})</small></h2>
            <div class="panel-actions">
                @if(session('search_route'))
                    <a href="{{route('redirector')}}"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__('Return to search page')}}"><button class="btn btn-danger"><i class="fa fa-backward"></i></button></a>
                @endif
                @if($superAdminOnly)
                <a href="{{route('construction_export', ['id' => $site->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-warning">{{__("Print")}} <i class="fa fa-print"></i></button></a>
                @endif
                <a href="/construction_sites/{{$site->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__("Edit")}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Name")}}: <div class="highlight">{{$site->name}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>TIS ID: <div class="highlight">{{$site->tis_id}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Contact person")}}: <div class="highlight">{{$site->contact_person}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Phones")}}: <div class="highlight">@if($site->tel1) {!! nl2br('Fiksni: '.$site->tel1." \n")!!} @endif
                        @if($site->tel2) {!! 'Mob: '.nl2br($site->tel2." \n") !!} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Address")}}: <div class="highlight">{{$site->address}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("State")}}: <div class="highlight">{{$site->state}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("City")}}: <div class="highlight">{{$site->city}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Area")}}: <div class="highlight">{{$site->area}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Status")}}: <div class="highlight">{{$site->status}}</div></p>
                </div>
            </div>
            @if($superAdminOnly)
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Currency")}}: <div class="highlight">{{$site->currency}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Discount")}}: <div class="highlight">{{$site->discount_percent}}%</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Discount")}} {{__("client")}}: <div class="highlight">{{$site->discount_percent_customer}}%</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Transport")}}: <div class="highlight">{{$site->transport_costs}}%</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Contractor")}}: <div class="highlight">{{$site->contractor}}</div></p>
                </div>
            </div>
            @else
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Worker")}}: <div class="highlight">{{$site->builder_name.' '.$site->builder_surname}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Currency")}}: <div class="highlight">{{$site->currency}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Worker")}}: <div class="highlight">{{$site->builder_name.' '.$site->builder_surname}}</div></p>
                </div>
            </div>
            @endif
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Appointment date")}}: <div class="highlight">@if($site->appointment_date){{date('d.m.Y. H:i', strtotime($site->appointment_date))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Delay date")}}: <div class="highlight">@if($site->delay_date){{date('d.m.Y. H:i', strtotime($site->delay_date))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Realization date")}}: <div class="highlight">@if($site->realization_date){{date('d.m.Y.', strtotime($site->realization_date))}} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Withdrawal date")}}: <div class="highlight">@if($site->withdrawal_date){{date('d.m.Y.', strtotime($site->withdrawal_date))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Project manager")}}: <div class="highlight">{{$site->project_manager}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Construction manager')}}: <div class="highlight">{{$site->construction_manager_name.' '.$site->construction_manager_surname}}</div></p>
                </div>
                
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Cluster')}}: <div class="highlight">{{$site->cluster}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Odo: <div class="highlight">{{$site->odo}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Izvod: <div class="highlight">{{$site->izvod}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Connector')}}: <div class="highlight">{{$site->connector}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Creation date')}}: <div class="highlight">@if($site->created_at){{date('d.m.Y.', strtotime($site->created_at))}} @endif</div></p>
                </div>
            </div>
            @if(count($history) >= 1)
                <div clsss="row">
                    <a href="#listingModal" class="btn btn-sm btn-warning btn-listing modal-basic" style="float:right" data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__("Client edit history")}}"><i class="fa fa-eye"></i></a>
                </div>
            @endif
        </div>
    </section>
    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Comments")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{__("comment")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->ime.' '.$comment->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$images->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Images")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                    <div class="col-md-2">
                        <div class="popup-gallery">
                            <a class="pull-left mb-xs mr-xs" href="{{$img->url}}" title="{{$img->description.' '.date('d.m.Y. H:i:s', strtotime($img->created_at))}}" rel="group1">
                                <div class="img-responsive">
                                    <img src="{{$img->url}}" width="105">
                                </div>
                            </a>
                        </div>
                    </div>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Files")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!$equipment->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Equipment")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Equipment")}}</th>
                        <th>{{__("Quantity")}}</th>
                        <th>{{__("Price")}}</th>
                        <th>{{__("Total")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($equipment as $equip)
                        <tr class="gradeX">
                            <td>{{$equip->equipment}}</td>
                            <td>{{$equip->quantity}}</td>
                            @if ($superAdminOnly)
                                <td>{{number_format($equip->price, 2, ',', '.')}}</td>
                                <td>{{number_format($equip->sum, 2, ',', '.')}}</td>
                            @else
                                <td>/</td>
                                <td>/</td>
                            @endif
                            </td>
                        </tr>
                    @endforeach
                    <tr class="gradeX">
                        <td></td>
                        <td></td>
                        <td><strong>{{__("Total")}}: </strong></td>
                        @if($superAdminOnly)
                        <td><strong>{{number_format($equipmentSum, 2, ',', '.')}}</strong></td> @else <td>/</td>
                        @endif

                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif
    @if(!$works->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Works")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Works")}}</th>
                        <th>{{__("Quantity")}}</th>
                        <th>{{__("Unit")}}</th>
                        <th>{{__("Price")}}</th>
                        <th>{{__("Total")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($works as $work)
                        <tr class="gradeX">
                            <td>{{$work->work}}</td>
                            <td>{{$work->quantity}}</td>
                            <td>{{$work->unit_short}}</td>
                            @if ($superAdminOnly)
                                <td>{{number_format($work->price, 2, ',', '.')}}</td>
                                <td>{{number_format($work->sum, 2, ',', '.')}}</td>
                            @else
                                <td>/</td>
                                <td>/</td>
                            @endif
                        </tr>
                    @endforeach
                    <tr class="gradeX">
                        <td></td>
                        <td></td>
                        <td></td>
                        <td><strong>{{__("Total")}}: </strong></td>
                        @if($superAdminOnly)
                        <td><strong>{{number_format($workSum, 2, ',', '.')}}</strong></td>@else <td>/</td>
                        @endif
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif

    @if($superAdminOnly)
        @if(!$equipment->isEmpty() || !$works->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Total")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Type")}}</th>
                            <th>{{__("Total")}}</th>
                            <th>{{__("Discount")}} 1</th>
                            <th>{{__("Discount")}} 2</th>
                            <th>{{__("Transport")}}</th>
                            <th>{{__("Profit")}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr class="gradeX">
                            <td>{{__("Equipment")}} + {{__("Works")}}</td>
                            <td><strong>{{number_format($total, 2, ',', '.')}}</strong></td>
                            <td>@if($site->discount_percent){{$site->discount_percent.'%'}} @else 0% @endif</td>
                            <td>@if($site->discount_percent_customer){{$site->discount_percent_customer.'%'}} @else 0% @endif</td>
                            <td>@if($site->transport_costs){{$site->transport_costs.'%'}} @else 0% @endif</td>
                            <td><strong>{{number_format($profit, 2, ',', '.')}}</strong></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
        @endif
    @endif

    <div id="listingModal" class="modal-block modal-full-color modal-block-warning mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Client edit history")}}</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-eye"></i>
                    </div>
                    <div class="modal-text">
                        @foreach($history as $edit)
                            <p>{{$edit->user_ime.' '.$edit->user_prezime.' ('.date('d.m.Y. H:i:s', strtotime($edit->edit_time)).')'}}</p>
                        @endforeach
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-default modal-dismiss">{{__("Close")}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </div>

@endsection
