@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('.list-check').click(function(){
            var demandId = $(this).attr('demandId');
            var package = $(this).attr('package');
            $('#demand_id').val(demandId);
            $('#package').val(package);
        });
    });
</script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Demand")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered mb-none">
                    <tr>
                        <td rowspan="5" style="width:300px; vertical-align: middle;"><img src="/assets/images/logo-geberung.png" alt="Geberung" height="100"></td>
                    </tr>
                    <tr>
                        <td style="width:250px; text-align:center">{{__("Demand").' '. __("number")}}</td>
                        <td>{{$dData->id}}</td>
                    </tr>
                    <tr>
                        <td style="text-align:center">{{__("Demanded at")}}</td>
                        <td>{{date('d.m.Y. H:i:s', strtotime($dData->created_at))}}</td>
                    </tr>
                    <tr>
                        <td style="text-align:center">{{__("Demand for worker")}}</td>
                        <td>
                            {{$dData->worker_name.' '.$dData->worker_surname}}
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align:center">{{__("Warehouse")}}</td>
                        <td>
                            {{$dData->warehouse}}
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </section>
    @if(!$equipment->isEmpty())
    <section class="panel">
    <header class="panel-heading">
        <h2 style="text-align: center">{{__("Demand specifications")}}</h2>
    </header>
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table table-bordered mb-none">
                <tr>
                    <th>{{__("No.")}}</th>
                    <th>{{__("Code")}}</th>
                    <th style="width:400px">{{__("Category")}}</th>
                    <th style="width:400px">{{__("Equipment")}}</th>
                    <th>{{__("Package number")}}</th>
                    <th>{{__("Quantity")}}</th>
                    <th>{{__("Supplied")}}</th>
                </tr>
                @foreach($equipment as $b=>$data)
                <tr @if($data->supplied_quantity == $data->quantity) style="background-color:#07ad71; color:white" @endif>
                    <td style="text-align:center">{{$b+1}}.</td>
                    <td style="text-align:center">{{$data->code}}</td>
                    <td style="text-align:center">{{$data->category}}</td>
                    <td style="text-align:center">{{$data->equipment}}</td>
                    <td style="text-align:center">{{$data->package}}</td>
                    <td style="text-align:center">{{$data->quantity}}</td>
                    <td style="text-align:center">{{$data->supplied_quantity}}</td>
                    <td style="text-align:center">
                        <a href="#supplyModal" class="modal-basic">
                            <button type="button" class="list-check" demandId="{{$data->id}}" data-toggle="tooltip" data-placement="top" 
                                data-original-title="{{__("Transfer equipment to worker")}}" package="{{$data->package}}">
                                <i class="fa fa-check"></i>
                            </button>
                        </a>
                    </td>
                </tr>
                @endforeach
            </table>
        </div>
    </div>
    </section>
    @endif

    <div id="supplyModal" class="modal-block modal-block-primary mfp-hide">
        <form name="supply_form" id="supply_form" method="post" action="{{route('supply_demand')}}">
            {{ csrf_field() }}
            <input type="hidden" name="demand_id" id="demand_id">
            <input type="hidden" name="param" id="param" value="kir_demand">
            <input type="hidden" name="package" id="package" value="package">
            <input type="hidden" name="warehouse" id="warehouse" value="{{$dData->warehouse_id}}">
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Give equipment to worker")}}</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" id="supply_quantity" name="supply_quantity">
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection