@extends('layouts.app')
@section('content')
@if(!$demands->isEmpty())
        <section class="panel col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Demands")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Number")}}</th>
                            <th>{{__("Worker")}} </th>
                            <th>{{__("Warehouse")}} </th>
                            <th>{{__("Created at")}} </th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($demands as $d)
                            <tr class="gradeX" style="text-align:center">
                                <td>{{$d->id}}</td>
                                <td>{{$d->worker_name.' '.$d->worker_surname}}</td>
                                <td>{{$d->warehouse}}</td>
                                <td>@if($d->created_at) {{date('d.m.Y. H:i:s', strtotime($d->created_at))}} @endif</td>
                                <td>
                                    <a href="{{route('warehouse_demand_info', [$d->id])}}" class="btn btn-info"
                                       data-toggle="tooltip" data-placement="top" data-original-title="{{__("Info")}}">
                                        <i class="fa fa-info"></i>
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    <div class="row datatables-footer">
                        <div class="col-sm-12 col-md-6">
                            {{$demands->links()}}
                        </div>
                    </div>
                </div>
            </div>
        </section>
    @endif
@endsection