@extends('layouts.app')
@section('content')
    @foreach($workers as $worker)
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{$worker->ime.' '.$worker->prezime.' ('.$worker->email.')'}}</h2>
                    <div class="panel-actions">
                         <a href="{{route('worker_storage', ['id' => $worker->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                    </div>
                </header>
                <?php $equipment = $equipModel->equipment_for_user($worker->id); ?>
                @if(!$equipment->isEmpty())
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Code")}}</th>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Type")}}</th>
                            <th>{{__("Quantity")}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($equipment as $equip)
                            <tr class="gradeX">
                                <td>{{$equip->code}}</td>
                                <td>{{$equip->equipment}}</td>
                                <td>{{$equip->type}}</td>
                                <td>{{$equip->quantity}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                @endif
            </div>
        </div>
    </section>
    @endforeach
@endsection