@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('#equipment_category').val(0);
        $('#equipment_category').change(function(){
            $('#equipment').empty();
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id,
                        'dependent' : dependent
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });

        $('.btn-equipment').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var idEquipment = $('#equipment').val();
            var quantity = $('#equipment_quantity').val();
            var magId = $('#storage').val();
            var operation = $(this).data('operation');
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'equipmentId' : idEquipment,
                    'quantity' : quantity,
                    'userId' : '{{$user->id}}',
                    '_token' : _token,
                    'magId' : magId,
                    'operation' : operation
                },
                success	: function(data){
                    alert(data);
                    document.location.reload();
                }

            });
        });
    });
</script>

<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__('Inventory')}} {{$user->ime.' '.$user->prezime}} </h2>
        <div class="panel-actions">
            <a href="{{route('worker_storage_logs', ['worker_id' => $user->id, 'param' => 'construction'])}}"><button type="button" class="btn btn-info">{{__('History')}} <i class="fa fa-history"></i></button></a>
        </div>
    </header>
    @csrf
    <div class="panel-body">
        <div class='form-group'>
            <label class="col-sm-1 control-label">{{__('Category')}} </label>
            <div class="col-sm-3">
                <select class="form-control populate dynamic" data-plugin-selectTwo name="equipment_category" id="equipment_category"
                        route="{{route('equipment_populate')}}" data-dependent="equipment">
                    <option value="0">-- {{__('Category')}} --</option>
                    @foreach($equipmentCategories as $cat)
                        <option value="{{$cat->id}}">{{$cat->category}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__("Equipment")}} </label>
            <div class="col-sm-3">
                <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                    <option value="">-- {{__("Equipment")}} --</option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__("Warehouse")}} </label>
            <div class="col-sm-3">
                <select class="form-control populate dynamic" data-plugin-selectTwo name="storage" id="storage">
                    @foreach($storages as $storage)
                        <option value="{{$storage->id}}">{{$storage->naziv}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__('Quantity')}}</label>
            <div class="col-sm-2">
                <input type="text" class="form-control" name="equipment_quantity" id="equipment_quantity">
            </div>
            <div class="col-sm-2 btn-group">
                <button type="button" class="btn btn-sm btn-success btn-equipment" route="{{route('fill_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="plus"
                        data-original-title="{{__('Add')}}">
                    <i class="fa fa-plus"></i>
                </button>
                <button type="button" class="btn btn-sm btn-danger btn-equipment" route="{{route('fill_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="minus"
                        data-original-title="{{__('Remove')}}">
                    <i class="fa fa-minus"></i>
                </button>
            </div>
        </div>
    </div>
</section>

@if(!$equipment->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Equipment")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Code")}}</th>
                        <th>{{__("Equipment")}}</th>
                        <th>{{__("Type")}}</th>
                        <th>{{__("Quantity")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($equipment as $equip)
                        <tr class="gradeX">
                            <td>{{$equip->code}}</td>
                            <td>{{$equip->equipment}}</td>
                            <td>{{$equip->type}}</td>
                            <td>{{$equip->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@endsection