@extends('layouts.app')

@section('content')

<form id="form" method="get" action="{{ route('de_search_result')}}" class="form-horizontal">
    {{ csrf_field() }}
    <input type='hidden' id="param" name="param" value="basic">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Filters")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-1 control-label">{{__("Date")}} {{__("range")}}</label>
                <div class="col-md-6">
                    <div class="input-daterange input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" class="form-control date-picker" name="date_start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="date_end">
                    </div>
                </div>
            </div>
            <div class="form-group">
                @if($isAdmin || $isConstructionManager)
                <label class="col-md-1 control-label">{{__("Column leader")}}</label>
                <div class="col-md-3">
                    <select class="form-control" name="column_leader" id="column_leader">
                        <option value="">-- {{__("Column leader")}} --</option>
                        @foreach($leaders as $lead)
                            <option value="{{$lead->id}}">{{$lead->ime.' '.$lead->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Number of workers")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="number_of_workers" class="form-control" placeholder="" id="number_of_workers" spellcheck="false"/>
                </div>
                @endif
                <label class="col-sm-1 control-label">{{__("Areas")}}</label>
                <div class="col-sm-3">
                    <select name="area" class="form-control" id="area" spellcheck="false">
                        <option value="">-- {{__("Area")}} --</option>
                        @foreach($areas as $area)
                            <option value="{{$area->id}}">{{$area->area}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("City")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="place" class="form-control" placeholder="" id="place" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Street")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">PAN </label>
                <div class="col-sm-3">
                    <select name="pan" id="pan" class="form-control populate" data-plugin-selectTwo>
                        <option value="">-- {{__("Pan")}} --</option>
                        @foreach($pans as $pan)
                            <option value="{{$pan->id}}">{{$pan->pan}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Provider")}}</label>
                <div class="col-sm-3">
                    <select name="provider" class="form-control" id="provider" spellcheck="false">
                        <option value="">-- {{__("Provider")}} --</option>
                        @foreach($providers as $provider)
                            <option value="{{$provider->id}}">{{$provider->provider}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Polish date")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="polish_date" class="form-control date-picker" placeholder="" id="polish_date" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Report confirmed")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-success">
                        <input type="checkbox" name="report_confirmed" data-plugin-ios-switch />
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Maintenance")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-info">
                        <input type="checkbox" name="maintenance" data-plugin-ios-switch />
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__('Cluster')}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="cluster" id="cluster">
                        <option value="">-- {{__("Cluster")}} --</option>
                        @foreach($clusters as $cluster)
                            <option value="{{$cluster->id}}">{{$cluster->cluster}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__('Distributive knot')}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="knot" id="knot">
                        <option value="">-- {{__("Distributive knot")}} --</option>
                        @foreach($knots as $knot)
                            <option value="{{$knot->id}}">{{$knot->knot}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                @if($isAdmin)
                <label class="col-sm-1 control-label">{{__("Without status")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-warning">
                        <input type="checkbox" name="without_status" data-plugin-ios-switch />
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__('Status')}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="status" id="status">
                        <option value="">-- {{__("Status")}} --</option>
                        @foreach($statuses as $status)
                            <option value="{{$status->id}}">{{$status->status}}</option>
                        @endforeach
                    </select>
                </div>
                @endif
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Connection ID")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="connection_id" class="form-control" placeholder="" id="connection_id" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Work order number")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="work_order_number" class="form-control" placeholder="" id="work_order_number" spellcheck="false"/>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection