@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("siteId");
                $('#id_site').val(id);
            });
        });
    </script>

    @if(!$constructionSites->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Construction sites")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Date")}}</th>
                        <th>{{__("Column leader")}}</th>
                        @if($isSuperAdmin)
                        <th>{{__("Status")}}</th>
                        @endif
                        <th>{{__("PAN")}}</th>
                        <th>{{__("Place")}}</th>
                        <th>{{__("Street")}}</th>
                        <th>{{__("Cluster")}}</th>
                        <th>{{__("Connection ID")}}</th>
                        <th>{{__("Work order number")}}</th>
                        <th>{{__("Total")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($constructionSites as $site)
                        <tr class="gradeX">
                            <td>{{date('d.m.Y.', strtotime($site->date))}}</td>
                            <td>{{$site->name.' '.$site->surname}}</td>
                            @if($isSuperAdmin)
                            <td>{{$site->status}}</td>
                            @endif
                            <td>{{$site->pan}}</td>
                            <td>{{$site->place}}</td>
                            <td>{{$site->street}}</td>
                            <td>{{$site->cluster}}</td>
                            <td>{{$site->connection_id}}</td>
                            <td>{{$site->work_order_number}}</td>
                            <td>{{$deMod->totalForSite($site->id)}}</td>
                            <td class="btn-center">
                                <a href="/de_construction_sites/{{$site->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"
                                      data-toggle="tooltip" data-placement="top"
                                      data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('de_construction_sites.index').'/'.$site->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                      data-toggle="tooltip" data-placement="top"
                                      data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                                @if($isSuperAdmin)
                                    <a href="#deleteSiteModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" siteId="{{$site->id}}"
                                       data-toggle="tooltip" data-placement="top"
                                       data-original-title="{{__("Delete")}}"><i class="fa fa-trash-o"></i></a>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$constructionSites->links()}}
                </div>
            </div>
        </div>
    </section>
    @endif

    <div id="deleteSiteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('de_construction_sites.destroy', 'delete')}}">
            <input type="hidden" name="id_site" id="id_site">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
