@extends('layouts.app')

@section('content')

<form id="form" method="get" action="{{ route('de_search_result')}}" class="form-horizontal">
    {{ csrf_field() }}
    <input type='hidden' id="param" name="param" value="basic">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Filters")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-1 control-label">{{__("Date")}} {{__("range")}}</label>
                <div class="col-md-6">
                    <div class="input-daterange input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" class="form-control date-picker" name="date_start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="date_end">
                    </div>
                </div>
            </div>
            @if($isAdmin || $isConstructionManager)
            <div class="form-group">
                <label class="col-md-1 control-label">{{__("Column leader")}}</label>
                <div class="col-md-4">
                    <select class="form-control" name="column_leader" id="column_leader">
                        <option value="">-- {{__("Column leader")}} --</option>
                        @foreach($leaders as $lead)
                            <option value="{{$lead->id}}">{{$lead->ime.' '.$lead->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            @endif
         </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection