@extends('layouts.app')

@section('content')

<form id="form" method="post" action="{{ route('de_statistic_synt') }}" class="form-horizontal">
    {{ csrf_field() }}
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Filter")}}</h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-1 control-label">{{__("Date")}} {{__('range')}}</label>
                <div class="col-md-4">
                    <div class="input-daterange input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </span>
                        <input type="text" class="form-control date-picker" name="start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="end">
                    </div>
                </div>
                </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Column leader")}}</label>
                <div class="col-sm-3">
                    <select multiple data-plugin-selectTwo name="leaders[]" class="form-control" id="leaders" spellcheck="false">
                        @foreach($leaders as $leader)
                            <option value="{{$leader->id}}">{{$leader->ime. ' '.$leader->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Provider")}}</label>
                <div class="col-sm-3">
                    <select name="provider" class="form-control" id="provider" spellcheck="false">
                        <option value="">-- {{__("Provider")}} --</option>
                        @foreach($providers as $provider)
                            <option value="{{$provider->id}}">{{$provider->provider}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__('Cluster')}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="cluster" id="cluster">
                        <option value="">-- {{__("Cluster")}} --</option>
                        @foreach($clusters as $cluster)
                            <option value="{{$cluster->id}}">{{$cluster->cluster}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__('Pan')}} </label>
                <div class="col-sm-3">
                    <select class="form-control populate" data-plugin-selectTwo name="pan" id="pan">
                        <option value="">-- {{__("Pan")}} --</option>
                        @foreach($pans as $pan)
                            <option value="{{$pan->id}}">{{$pan->pan}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Filter")}} <i class="fa fa-plus"></i></button>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection