@extends('layouts.app')
@section('content')
<section class="panel">
    <div class="panel-body">
        <div class="table-mobile">
        <table class="table table-bordered table-striped mb-none" id="datatable-default">
            <thead>
                <tr>
                    <th colspan="5" class="success">({{__("Report confirmed")}})</th>
                </tr>
            </thead>
            <thead>
                <th>{{__("work")}}</th>
                <th>{{__("Quantity")}}</th>
                <th>{{__("Price")}}</th>
                <th>{{__("Price")}} {{__("Subcontractor")}}</th>
            </thead>
            <tbody>
            
            @foreach($statisticPw as $work)
            <tr>
                <td>{{$work['work']}}</td>
                <td style="text-align:right">{{$work['quantity']}}</td>
                <td style="text-align:right">{{number_format($work['price'], 2, ',', '.')}}</td>
                <td style="text-align:right">{{number_format($work['sub_price'], 2, ',', '.')}}</td>
            </tr>
            <?php $total+=$work['price']; $totalSub+=$work['sub_price']; ?>
            @endforeach
            <tr class="success">
                <td></td>
                <td style="text-align:right"><strong>{{__('Total')}}:</strong></td>
                <td style="text-align:right"><strong>{{number_format($total, 2, ',', '.')}}</strong></td>
                <td style="text-align:right"><strong>{{number_format($totalSub, 2, ',', '.')}}</strong></td>
                </tr>
            <?php $total = 0; $totalSub = 0;?>
            </tbody>
        </table>
        </div>
    </div>
</section>
<section class="panel">
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                    <tr>
                        <th colspan="5" class="warning"><small>({{__("Report not confirmed")}})</small></th>
                    </tr>
                </thead>
                <thead>
                    <th>{{__("work")}}</th>
                    <th>{{__("Quantity")}}</th>
                    <th>{{__("Price")}}</th>
                    <th>{{__("Price")}} {{__("Subcontractor")}}</th>
                </thead>
                <tbody>
                
                @foreach($statisticUw as $work)
                <tr>
                    <td>{{$work['work']}}</td>
                    <td style="text-align:right">{{$work['quantity']}}</td>
                    <td style="text-align:right">{{number_format($work['price'], 2, ',', '.')}}</td>
                    <td style="text-align:right">{{number_format($work['sub_price'], 2, ',', '.')}}</td>
                </tr>
                <?php $total+=$work['price']; $totalSub+=$work['sub_price']; ?>
                @endforeach
                <tr class="warning">
                    <td></td>
                    <td style="text-align:right"><strong>{{__('Total')}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($total, 2, ',', '.')}}</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalSub, 2, ',', '.')}}</strong></td>
                    </tr>
                <?php $total = 0; $totalSub = 0;?>
                </tbody>
            </table>
        </div>
    </div>
</section>
<?php $counter = 0; ?>
@foreach($sites as $site)
<section class="panel">
    <header class="panel-heading" @if($site->report_confirmed == 1) style="background-color: #47a447" @else style="background-color: #ed9c28" @endif>
        <div class="panel-actions">
            <a href="#" class="fa fa-caret-down"></a>
        </div>
        <?php $images = $imgMod->images($site->id); 
              $comments = $comMod->comments($site->id);
        ?>
        <h2 class="panel-title"><a href="{{route('de_construction_sites.index').'/'.$site->id}}">{{$site->place.' '.$site->street.' ID: ('.$site->id.')'}}</a></h2>
    </header>
    <div class="panel-body">
        @foreach ($images as $br=>$img)
        <div class="popup-gallery">
            <a class="pull-left mb-xs mr-xs" href="{{$img->url}}" title="{{$img->description.' '.date('d.m.Y. H:i:s', strtotime($img->created_at))}}" rel="group{{ $counter }}">
                <div class="img-responsive">
                    <img src="{{$img->url}}" width="105">
                </div>
            </a>
        </div>
        @endforeach
        <?php $counter++; ?>
    </div>
    <div class="panel-body">
        @foreach($comments as $br=>$comment)
            <code>{{(__('comment'))}} {{$br+1}}</code>
            <blockquote class="success">
                <p>{{$comment->comment}}</p>
                <small>{{$comment->ime.' '.$comment->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
            </blockquote>
        @endforeach
    </div>
</section>
@endforeach
@endsection