@extends('layouts.app')
@section('content')
    @if(!$demands->isEmpty())
        <section class="panel col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Demands")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Number")}}</th>
                            <th>{{__("Fitter")}}</th>
                            <th>{{__("Status")}} </th>
                            <th>{{__("Warehouse")}} </th>
                            <th>{{__("Estimated send date")}} </th>
                            <th>{{__("Created at")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($demands as $d)
                            <tr class="gradeX" style="text-align:center">
                                <td>{{$d->id}}</td>
                                <td>{{$d->name.' '.$d->surname}}</td>
                                <td>{{$d->status}}</td>
                                <td>{{$d->storage}}</td>
                                <td>@if($d->estimated_send_date) {{date('d.m.Y.', strtotime($d->estimated_send_date))}} @endif</td>
                                <td>@if($d->created_at) {{date('d.m.Y. H:i:s', strtotime($d->created_at))}} @endif</td>
                                <td class="btn-center">
                                    <a href="{{route('demand_edit', [$d->id])}}">
                                        <button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm" data-toggle="tooltip" data-placement="top"
                                                data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i>
                                        </button>
                                    </a>
                                    <a href="{{route('demand_general_list', [$d->id])}}">
                                        <button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                                    data-toggle="tooltip" data-placement="top"
                                                    data-original-title="{{__("Info")}}"><i class="fa fa-info-circle"></i>
                                        </button>
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="row datatables-footer">
                    <div class="col-sm-12 col-md-6">
                        {{$demands->links()}}
                    </div>
                </div>
            </div>
        </section>
    @endif

@endsection