@extends('layouts.app')
@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.list-check').click(function(){
                var demandId = $(this).attr('demandId');
                var param = $(this).attr('param');
                $('#demand_id').val(demandId);
                $('#param').val(param);
            });
            $('.btn-edit').click(function(){
                var demandId = $(this).attr('demandId');
                var type = $(this).attr('typeAttr');
                $('#demand_id_status').val(demandId);
                $('#type').val(type);
            });
        });
    </script>
    @csrf
    @if(!$deviceList->isEmpty())
        <section class="panel col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Devices")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Device")}}</th>
                            <th>{{__("Quantity")}} </th>
                            <th>{{__("Supplied")}} </th>
                            <th>{{__("Fitter")}} </th>
                            <th>{{__("Inventory")}} {{__("Fitter")}} </th>
                            <th>{{__("Status")}} </th>
                            <th>{{__("Created at")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($deviceList as $l)
                            <?php if($l->supplied == 1) $color = "color:green";  else $color = 'color:red'; $inventoryDevices = $revMod->specificDeviceInventory($l->user_id, $l->device_id);?>
                            <tr class="gradeX"  style="text-align:center">
                                <td style="{{$color}}">{{$l->device}}</td>
                                <td style="{{$color}}">@if(!$l->edited_quantity) {{$l->quantity - $l->supplied_quantity}} @else <del>{{$l->quantity}}</del> {{$l->edited_quantity - $l->supplied_quantity}} @endif</td>
                                <td style="{{$color}}">{{$l->supplied_quantity}}</td>
                                <td style="{{$color}}">{{$l->name.' '.$l->surname}}</td>
                                <td style="{{$color}}">@if($inventoryDevices) {{$inventoryDevices->quantity}} @endif</td>
                                <td style="{{$color}}">{{$l->status}}</td>
                                <td style="{{$color}}">{{date('d.m.Y. H:i:s', strtotime($l->created_at))}}</td>
                                <td>
                                    <a href="#supplyModal" class="modal-basic">
                                        <button type="button" class="list-check" demandId="{{$l->id}}" param="device" data-toggle="tooltip" data-placement="top" data-original-title="{{__("Transfer equipment to worker")}}">
                                            <i class="fa fa-check"></i>
                                        </button>
                                    </a>
                                    <a href="#editModal" class="modal-basic">
                                        <button type="button" class="btn-edit", demandId="{{$l->id}}"
                                                typeAttr="device" data-toggle="tooltip" data-placement="top" data-original-title="{{__("Edit")}}"> <i class="fa fa-pencil"></i>
                                        </button>
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="row datatables-footer">
                    <div class="col-sm-12 col-md-6">
                        {{$deviceList->links()}}
                    </div>
                </div>
            </div>
        </section>
    @endif
    @if(!$equipmentList->isEmpty())
        <section class="panel col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Equipment")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Quantity")}} </th>
                            <th>{{__("Supplied")}} </th>
                            <th>{{__("Fitter")}} </th>
                            <th>{{__("Inventory")}} {{__("Fitter")}} </th>
                            <th>{{__("Status")}} </th>
                            <th>{{__("Created at")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($equipmentList as $l)
                            <?php if($l->supplied == 1) $color = "color:green";  else $color = 'color:red'; $inventoryEquipment = $weMod->specific_equipment_mont($l->user_id, $l->equipment_id);?>
                            <tr class="gradeX" style="text-align:center">
                                <td style="{{$color}}">{{$l->equipment}}</td>
                                <td style="{{$color}}">@if(!$l->edited_quantity) {{$l->quantity - $l->supplied_quantity}} @else <del>{{$l->quantity}}</del> {{$l->edited_quantity - $l->supplied_quantity}} @endif</td>
                                <td style="{{$color}}">{{$l->supplied_quantity}}</td>
                                <td style="{{$color}}">{{$l->name.' '.$l->surname}}</td>
                                <td style="{{$color}}">@if($inventoryEquipment) {{$inventoryEquipment->quantity}} @endif</td>
                                <td style="{{$color}}">{{$l->status}}</td>
                                <td style="{{$color}}">{{date('d.m.Y. H:i:s', strtotime($l->created_at))}}</td>
                                <td>
                                    <a href="#supplyModal" class="modal-basic">
                                        <button type="button" class="list-check", demandId="{{$l->id}}"
                                                param="equipment" data-toggle="tooltip" data-placement="top" data-original-title="{{__("Supplied")}}"> <i class="fa fa-check"></i>
                                        </button>
                                    </a>
                                    <a href="#editModal" class="modal-basic">
                                        <button type="button" class="btn-edit", demandId="{{$l->id}}"
                                                typeAttr="equipment" data-toggle="tooltip" data-placement="top" data-original-title="{{__("Edit")}}"> <i class="fa fa-pencil"></i>
                                        </button>
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="row datatables-footer">
                    <div class="col-sm-12 col-md-6">
                        {{$equipmentList->links()}}
                    </div>
                </div>
            </div>
        </section>
    @endif

    @if(!$comments->isEmpty())
        <section class="panel col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{(__('Comments'))}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{(__('comment'))}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->name.' '.$comment->surname}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif

    <div id="supplyModal" class="modal-block modal-block-primary mfp-hide">
        <form name="supply_form" id="supply_form" method="post" action="{{route('supply_demand')}}">
            {{ csrf_field() }}
            <input type="hidden" name="demand_id" id="demand_id">
            <input type="hidden" name="param" id="param">
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Give equipment to worker")}}</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" id="supply_quantity" name="supply_quantity">
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Warehouse")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="warehouse" id="warehouse">
                                @foreach($warehouses as $wr)
                                    <option value="{{$wr->id}}">{{$wr->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="editModal" class="modal-block modal-block-primary mfp-hide">
        <form name="change-status" method="post" action="{{route('demand_item_update')}}">
            {{ csrf_field() }}
            <input type="hidden" name="demand_id_status" id="demand_id_status">
            <input type="hidden" name="type" id="type">
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Add status")}}</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-lg-2 control-label">{{__("Quantity")}} </label>
                        <div class="col-lg-10">
                            <input type="text" name="quantity" id="quantity" class="form-control" placeholder="{{__("Leave empty if you don't want to change value")}}...">
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-2 control-label">{{__("Status")}}</label>
                        <div class="col-sm-10">
                            <select class="form-control" name="status" id="status">
                                @foreach($statuses as $status)
                                    <option value="{{$status->id}}">{{$status->status}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection