@extends('layouts.app')
@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.btn-delete-demand').click(function(){
                var id = $(this).attr('demandId');
                var param = $(this).attr('param');
                $('#demand_id').val(id);
                $('#param').val(param);
            });
        });
    </script>
    <form id="form" method="post" action="{{route('store_demand_item', ['demand_id' => $demandId])}}" class="form-horizontal">
        @csrf
        <section class="panel col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Demand")}}</h2>
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Demand")}}</button>
                    <a href="#commentModal" class="modal-basic"><button type="button" class="btn btn-success">{{__("Comment")}}</button></a>
                </div>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Device")}}</label>
                    <div class="col-sm-4">
                        <select type="select" name="device" class="form-control" id="device" spellcheck="false" data-plugin-selectTwo>
                            @foreach($devices as $dev)
                                <option value="{{$dev->id}}">{{$dev->uredjaj}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Quantity")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="device_quantity" class="form-control" placeholder="" id="device_quantity" spellcheck="false"/>
                    </div>
                </div>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Equipment")}}</label>
                    <div class="col-sm-4">
                        <select type="select" name="equipment" class="form-control" id="equipment" spellcheck="false" data-plugin-selectTwo>
                            @foreach($equipment as $eq)
                                <option value="{{$eq->id}}">{{$eq->naziv}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Quantity")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="equipment_quantity" class="form-control" placeholder="" id="equipment_quantity" spellcheck="false"/>
                    </div>
                </div>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Status")}}</label>
                    <div class="col-sm-4">
                        <select type="select" name="status" class="form-control" id="status" spellcheck="false">
                            <option></option>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
        </section>
    </form>

    @if(!$deviceList->isEmpty())
    <section class="panel col-sm-12 col-md-6">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Devices")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table mb-none">
                    <thead>
                    <tr>
                        <th>{{__("Device")}}</th>
                        <th>{{__("Quantity")}} </th>
                        <th>{{__("Supplied")}} </th>
                        <th>{{__("Status")}} </th>
                        <th>{{__("Created at")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($deviceList as $l)
                        <?php if($l->supplied == 1) $color = '';  else $color = 'green';?>
                        <tr class="gradeX" style="text-align:center">
                            <td style="{{$color}}">{{$l->device}}</td>
                            <td style="{{$color}}">{{$l->quantity - $l->supplied_quantity}}</td>
                            <td style="{{$color}}">{{$l->supplied_quantity}}</td>
                            <td style="{{$color}}">{{$l->status}}</td>
                            <td style="{{$color}}">@if($l->created_at) {{date('d.m.Y. H:i:s', strtotime($l->created_at))}} @endif</td>
                            <td>
                                <a href="#deleteModal" class="modal-basic btn btn-danger btn-delete-demand" demandId="{{$l->id}}" param="device"
                                   data-toggle="tooltip" data-placement="top" data-original-title="{{__("Delete")}}">
                                    <i class="fa fa-trash-o"></i>
                                </a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$deviceList->links()}}
                </div>
            </div>
        </div>
    </section>
    @endif
    @if(!$equipmentList->isEmpty())
    <section class="panel col-sm-12 col-md-6">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Equipment")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table mb-none">
                    <thead>
                    <tr>
                        <th>{{__("Equipment")}}</th>
                        <th>{{__("Quantity")}} </th>
                        <th>{{__("Supplied")}} </th>
                        <th>{{__("Status")}} </th>
                        <th>{{__("Created at")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($equipmentList as $l)
                        <?php if($l->supplied == 1) $color = '';  else $color = 'green';?>
                        <tr class="gradeX" style="text-align:center">
                            <td style="{{$color}}">{{$l->equipment}}</td>
                            <td style="{{$color}}">{{$l->quantity - $l->supplied_quantity}}</td>
                            <td style="{{$color}}">{{$l->supplied_quantity}}</td>
                            <td style="{{$color}}">{{$l->status}}</td>
                            <td style="{{$color}}">@if($l->created_at ){{date('d.m.Y. H:i:s', strtotime($l->created_at))}} @endif</td>
                            <td>
                                <a href="#deleteModal" class="modal-basic btn btn-danger btn-delete-demand" demandId="{{$l->id}}" param="equipment"
                                   data-toggle="tooltip" data-placement="top" data-original-title="{{__("Delete")}}">
                                    <i class="fa fa-trash-o"></i>
                                </a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$equipmentList->links()}}
                </div>
            </div>
        </div>
    </section>
    @endif

    @if(!$comments->isEmpty())
        <section class="panel col-sm-12">
            <header class="panel-heading">
                <h2 class="panel-title">{{(__('Comments'))}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{(__('comment'))}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->name.' '.$comment->surname}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif

    <div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_demand')}}">
            <input type="hidden" name="demand_id" id="demand_id">
            <input type="hidden" name="param" id="param">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="commentModal" class="modal-block modal-header-color modal-block-success mfp-hide">
        <form name="delete-form" method="post" action="{{route('add_demand_comment', [$demandId])}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Comment")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-lg-2 control-label">{{__("Comment")}} </label>
                        <div class="col-lg-10">
                            <textarea name="comment" id="comment" class="form-control"></textarea>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-success" type="submit">{{__('Add comment')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('Back')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection