@extends('layouts.app')

@section('content')
    <form id="form" method="get" action="{{route('equipment_result')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>

                <h2 class="panel-title">{{__("Equipment discharge")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Fitter")}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate" name="monter[]" id="monter">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $mont)
                                <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-md-1 control-label">{{__("Date range")}}</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Equipment type")}}</label>
                    <div class="col-sm-3">
                        <select name="tip_opreme" class="form-control">
                            <option value="">-- {{__("Equipment type")}} --</option>
                            @foreach($tipOpreme as $tip)
                                <option value="{{$tip->id}}">{{$tip->tip}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-md-12">
                    <p class="text-right">*{{__("the difference between delivered and assembled equipment")}}</p>
                </div>
            </div>
        </section>
    </form>
@endsection