@extends('layouts.app')
@section('content')

@if(!$deviceInventory->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Available devices (total)")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th>{{__("Equipment")}}</th>
                        <th>{{__("Quantity")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($deviceInventory as $stock)
                        <tr class="gradeX" style="text-align: center">
                            <td>{{$stock->device}}</td>
                            <td>{{$stock->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@if(!$equipmentInventory->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Available goods (total)")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th>{{__("Equipment")}}</th>
                        <th>{{__("Quantity")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($equipmentInventory as $stock)
                        <tr class="gradeX" style="text-align: center">
                            <td>{{$stock->equipment}}</td>
                            <td>{{$stock->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@if(!$materialInventory->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Available material (total)")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th>{{__("Material")}}</th>
                        <th>{{__("Quantity")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($materialInventory as $stock)
                        <tr class="gradeX" style="text-align: center">
                            <td>{{$stock->material}}</td>
                            <td>{{$stock->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@endsection