@extends('layouts.app')

@section('content')

    <form id="form" method="get" action="{{route('fobos_search_result')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>

                <h2 class="panel-title">{{__("Filters")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Cluster")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="cluster" class="form-control" placeholder="" id="cluster" spellcheck="false" value="{{old('cluster')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} ({{__("Phone")}}) <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('name_phone')){{'has-error'}} @endif">
                        <input type="text" name="name_phone" class="form-control" placeholder="" id="name_phone" spellcheck="false" value="{{old('name_phone')}}"/>
                        @if($errors->has('name_phone'))
                            <label for="name" class="error">{{$errors->first('name_phone')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} ({{__("Phone")}}) <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('surname_phone')){{'has-error'}} @endif">
                        <input type="text" name="surname_phone" class="form-control" placeholder="" id="surname_phone" spellcheck="false" value="{{old('surname_phone')}}"/>
                        @if($errors->has('surname_phone'))
                            <label for="surname_phone" class="error">{{$errors->first('surname_phone')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Street")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{old('street')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false" value="{{old('home_no')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Entrance")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="enterance" class="form-control" placeholder="" id="enterance" spellcheck="false" value="{{old('enterance')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Floor")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="floor" class="form-control" placeholder="" id="floor" spellcheck="false" value="{{old('floor')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Flat")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="apartment" class="form-control" placeholder="" id="apartment" spellcheck="false" value="{{old('apartment')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Tip izvoda</label>
                    <div class="col-sm-3">
                        <input type="text" name="statement_type" class="form-control" placeholder="" id="statement_type" spellcheck="false" value="{{old('statement_type')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false" value="{{old('network_group')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{old('tel1')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{old('tel2')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{old('tel3')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Tis ID</label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false" value="{{old('tis_id')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false" value="{{old('packet')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contract expiration")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="uo_expire" class="form-control" placeholder="" id="uo_expire" spellcheck="" value="{{old('uo_expire')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">BL</label>
                    <div class="col-sm-3">
                        <input type="text" name="black_list" class="form-control" placeholder="" id="black_list" spellcheck="false" value="{{old('black_list')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="recomended_tariff" class="form-control" placeholder="" id="recomended_tariff" spellcheck="false" value="{{old('recomended_tariff')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Name")}} (adsl) </label>
                    <div class="col-sm-3">
                        <input type="text" name="name_adsl" class="form-control" placeholder="" id="name_adsl" spellcheck="" value="{{old('name_adsl')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="surname_adsl" class="form-control" placeholder="" id="surname_adsl" spellcheck="false" value="{{old('surname_adsl')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">TIS ID (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="adsl_tis_id" class="form-control" placeholder="" id="adsl_tis_id" spellcheck="false" value="{{old('adsl_tis_id')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contract expiration")}} (adsl) </label>
                    <div class="col-sm-3">
                        <input type="text" name="uo_expire_adsl" class="form-control" placeholder="" id="uo_expire_adsl" spellcheck="" value="{{old('uo_expire_adsl')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Speed")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="speed" class="form-control" placeholder="" id="speed" spellcheck="false" value="{{old('speed')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Adsl isp</label>
                    <div class="col-sm-3">
                        <input type="text" name="adsl_isp" class="form-control" placeholder="" id="adsl_isp" spellcheck="false" value="{{old('adsl_isp')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Name")}} (iptv) </label>
                    <div class="col-sm-3">
                        <input type="text" name="name_iptv" class="form-control" placeholder="" id="name_iptv" spellcheck="false" value="{{old('name_iptv')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} (iptv) </label>
                    <div class="col-sm-3">
                        <input type="text" name="surname_iptv" class="form-control" placeholder="" id="surname_iptv" spellcheck="" value="{{old('surname_iptv')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">TIS ID (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv_tis" class="form-control" placeholder="" id="iptv_tis" spellcheck="false" value="{{old('iptv_tis')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">HD {{__("service")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="hd_service" class="form-control" placeholder="" id="hd_service" spellcheck="false" value="{{old('hd_service')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Number of setup boxes")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="setup_boxes" class="form-control" placeholder="" id="setup_boxes" spellcheck="" value="{{old('setup_boxes')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Contract expiration")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="uo_expire_iptv" class="form-control" placeholder="" id="uo_expire_iptv" spellcheck="false" value="{{old('uo_expire_iptv')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}} (iptv) </label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv_packet" class="form-control" placeholder="" id="iptv_packet" spellcheck="false" value="{{old('iptv_packet')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("First offer")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck="" value="{{old('first_offer')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Operator")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="operator" class="form-control" placeholder="" id="operator" spellcheck="false" value="{{old('operator')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Month")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="month" class="form-control" placeholder="" id="month" spellcheck="false" value="{{old('month')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Year")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="year" class="form-control" placeholder="" id="year" spellcheck="" value="{{old('year')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <select name="seller" id="seller" class="form-control populate">
                            <option value="">-- {{__("Seller")}} --</option>
                            @foreach($sellers as $seller)
                                <option value="{{$seller->id}}">{{$seller->ime.' '.$seller->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}}</label>
                    <div class="col-sm-3">
                        <select name="status" id="status" class="form-control populate">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck="" value="{{old('withdrawal_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                    <div class="col-sm-3">
                        <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false">{{old('withdrawal_reason')}}</textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Note")}}</label>
                    <div class="col-sm-3">
                        <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false">{{old('comment')}}</textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck="" value="{{old('contract_expire_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Accepted")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="accepted" data-plugin-ios-switch />
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                        <a href="{{route('fobos.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection