@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('.btn-delete-comment').click(function () {
            var id = $(this).attr("commentId");
            $('#id_comment').val(id);
        });
    });
</script>
@if(!in_array($fobos->seller_id, $sellersIds) && !$isAdmin)
    <section class="body-error error-inside">
        <div class="center-error">

            <div class="row">
                <div class="col-md-8">
                    <div class="main-error mb-xlg">
                        <h2 class="error-code text-dark text-center text-semibold m-none">404 <i class="fa fa-file"></i></h2>
                        <p class="error-explanation text-center">{{__("Page does not exist")}}.</p>
                    </div>
                </div>
            </div>
        </div>
    </section>
@else

<section class="panel">
    <form id="form" method="post" action="{{route('fobos_copper.update', [$fobos->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Save")}} <i class="fa fa-save"></i></button>
                </div>

                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">Cust_ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="cust_id" class="form-control" placeholder="" id="cust_id" spellcheck="false" value="{{$fobos->cust_id}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('name')){{'has-error'}} @endif">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{$fobos->name}}"/>
                        @if($errors->has('name'))
                        <label for="name" class="error">{{$errors->first('name')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('surname')){{'has-error'}} @endif">
                        <input type="text" name="surname" class="form-control" placeholder="" id="surname" spellcheck="false" value="{{$fobos->surname}}"/>
                        @if($errors->has('surname'))
                            <label for="surname" class="error">{{$errors->first('surname')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Distributor")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="distributor" class="form-control" placeholder="" id="distributor" spellcheck="false" value="{{$fobos->distributor}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="town" class="form-control" placeholder="" id="town" spellcheck="false" value="{{$fobos->town}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Subsettlement")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="subsettlement" class="form-control" placeholder="" id="subsettlement" spellcheck="false" value="{{$fobos->subsettlement}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Street")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{$fobos->street}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false" value="{{$fobos->home_no}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{$fobos->tel1}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{$fobos->tel2}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{$fobos->tel3}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false" value="{{$fobos->network_group}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false" value="{{$fobos->packet}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} BOX </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="expiration_date_box" class="form-control date-picker" placeholder="" id="expiration_date_box"  spellcheck="" 
                            value="@if($fobos->expiration_date_box) {{date('d.m.Y.', strtotime($fobos->expiration_date_box))}} @endif"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Resource")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="resource" class="form-control" placeholder="" id="resource" spellcheck="false" value="{{$fobos->resource}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Max NET </label>
                    <div class="col-sm-3">
                        <input type="text" name="max_net" class="form-control" placeholder="" id="max_net" spellcheck="" value="{{$fobos->max_net}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Number of stb devices")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="stb_no" class="form-control" placeholder="" id="stb_no" spellcheck="false" value="{{$fobos->stb_no}}"/>
                    </div>
                    <label class="col-sm-1 control-label">TOTAL STB BOX</label>
                    <div class="col-sm-3">
                        <input type="text" name="total_stb_box" class="form-control" placeholder="" id="total_stb_box" spellcheck="false" value="{{$fobos->total_stb_box}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Postpaid {{__("number")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="postpaid_number" class="form-control" placeholder="" id="postpaid_number" spellcheck="" value="{{$fobos->postpaid_number}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} postpaid {{__("contract")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="postpaid_expiration_date" class="form-control date-picker" placeholder="" id="postpaid_expiration_date"  spellcheck="" 
                            value="@if($fobos->postpaid_expiration_date) {{date('d.m.Y.', strtotime($fobos->postpaid_expiration_date))}} @endif"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Benefit")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="benefit" class="form-control" placeholder="" id="benefit" spellcheck="false" value="{{$fobos->benefit}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Postpaid {{__("tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="postpaid_tariff" class="form-control" placeholder="" id="postpaid_tariff" spellcheck="false" value="{{$fobos->postpaid_tariff}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="recommended_tariff" class="form-control" placeholder="" id="recommended_tariff" spellcheck="false" 
                        value="{{$fobos->recommended_tariff}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Name")}} (adsl) </label>
                    <div class="col-sm-3">
                        <input type="text" name="name_adsl" class="form-control" placeholder="" id="name_adsl" spellcheck="false" value="{{$fobos->name_adsl}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="surname_adsl" class="form-control" placeholder="" id="surname_adsl" spellcheck="false" value="{{$fobos->surname_adsl}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Cust_ID (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="cust_id_adsl" class="form-control" placeholder="" id="cust_id_adsl" spellcheck="false" value="{{$fobos->cust_id_adsl}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} (adsl) </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="expiration_date_adsl" class="form-control date-picker" placeholder="" id="expiration_date_adsl"  spellcheck="" 
                            value="@if($fobos->expiration_date_adsl) {{date('d.m.Y.', strtotime($fobos->expiration_date_adsl))}} @endif"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_adsl" class="form-control" placeholder="" id="campain_adsl" spellcheck="false" value="{{$fobos->campain_adsl}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Speed")}} (adsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="speed_adsl" class="form-control" placeholder="" id="speed_adsl" spellcheck="false" value="{{$fobos->speed_adsl}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Modem type")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="modem_type" class="form-control" placeholder="" id="modem_type" spellcheck="false" value="{{$fobos->modem_type}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Free pairs")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="free_pair" class="form-control" placeholder="" id="free_pair" spellcheck="false" value="{{$fobos->free_pair}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Free")}} ADSL</label>
                    <div class="col-sm-3">
                        <input type="text" name="free_adsl" class="form-control" placeholder="" id="free_adsl" spellcheck="false" value="{{$fobos->free_adsl}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Free")}} VDSL </label>
                    <div class="col-sm-3">
                        <input type="text" name="free_vdsl" class="form-control" placeholder="" id="free_vdsl" spellcheck="false" value="{{$fobos->free_vdsl}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="name_iptv" class="form-control" placeholder="" id="name_iptv" spellcheck="false" value="{{$fobos->name_iptv}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="surname_iptv" class="form-control" placeholder="" id="surname_iptv" spellcheck="false" value="{{$fobos->surname_iptv}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Cust_ID (iptv) </label>
                    <div class="col-sm-3">
                        <input type="text" name="cust_id_iptv" class="form-control" placeholder="" id="cust_id_iptv" spellcheck="false" value="{{$fobos->cust_id_iptv}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} (iptv)</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="iptv_expiration_date" class="form-control date-picker" placeholder="" id="iptv_expiration_date"  spellcheck="" 
                            value="@if($fobos->iptv_expiration_date) {{date('d.m.Y.', strtotime($fobos->iptv_expiration_date))}} @endif"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} (vdsl)</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_vdsl" class="form-control" placeholder="" id="campain_vdsl" spellcheck="false" value="{{$fobos->campain_vdsl}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}} (iptv)</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv_packet" class="form-control" placeholder="" id="iptv_packet" spellcheck="false" value="{{$fobos->iptv_packet}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("First offer")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck="false" value="{{$fobos->first_offer}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Second offer")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="second_offer" class="form-control" placeholder="" id="second_offer" spellcheck="false" value="{{$fobos->second_offer}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Other operators")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="other_operators" class="form-control" placeholder="" id="other_operators" spellcheck="false" value="{{$fobos->other_operators}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Note")}}</label>
                    <div class="col-sm-3">
                        <textarea name="note" rows="5" class="form-control" placeholder="" id="note" spellcheck="false"></textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Connection date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="connection_date" class="form-control date-picker" placeholder="" id="connection_date"  spellcheck="" 
                            value="@if($fobos->connection_date) {{date('d.m.Y.', strtotime($fobos->connection_date))}} @endif"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">Box 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="box2" class="form-control" placeholder="" id="box2" spellcheck="false" value="{{$fobos->box2}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Box 3</label>
                    <div class="col-sm-3">
                        <input type="text" name="box3" class="form-control" placeholder="" id="box3" spellcheck="false" value="{{$fobos->box3}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Box 4</label>
                    <div class="col-sm-3">
                        <input type="text" name="box4" class="form-control" placeholder="" id="box4" spellcheck="false" value="{{$fobos->box4}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Campaign")}} BOX </label>
                    <div class="col-sm-3">
                        <select name="campain_box" id="campain_box" class="form-control populate">
                            <option value="">-- {{__("tariff")}} --</option>
                            @foreach($campains as $campain)
                                <option value="{{$campain->id}}"  @if($campain->id == $fobos->campain_box) selected @endif>{{$campain->campain}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">Postpaid {{__("tariff")}}</label>
                    <div class="col-sm-3">
                        <select name="postpaid_tariff_box" id="postpaid_tariff_box" class="form-control populate">
                            <option value="">-- {{__("tariff")}} --</option>
                            @foreach($postpaidTarrifs as $tariff)
                                <option value="{{$tariff->id}}"  @if($tariff->id == $fobos->postpaid_tariff_box) selected @endif>{{$tariff->tariff}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">ADSL</label>
                    <div class="col-sm-3">
                        <input type="text" name="adsl" class="form-control" placeholder="" id="adsl" spellcheck="false" value="{{$fobos->adsl}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} ADSL solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_adsl_solo" class="form-control" placeholder="" id="campain_adsl_solo" spellcheck="false" value="{{$fobos->campain_adsl_solo}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Speed")}} ADSL solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="speed_adsl_solo" class="form-control" placeholder="" id="speed_adsl_solo" spellcheck="false" value="{{$fobos->speed_adsl_solo}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">IPTV</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv" class="form-control" placeholder="" id="iptv" spellcheck="false" value="{{$fobos->iptv}}"/>
                    </div>
                    <label class="col-sm-1 control-label">IPTV solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="iptv_solo" class="form-control" placeholder="" id="iptv_solo" spellcheck="false" value="{{$fobos->iptv_solo}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Campaign")}} IPTV solo</label>
                    <div class="col-sm-3">
                        <input type="text" name="campain_iptv_solo" class="form-control" placeholder="" id="campain_iptv_solo" spellcheck="false" value="{{$fobos->campain_iptv_solo}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}}</label>
                    <div class="col-sm-3">
                        <select name="status" id="status" class="form-control populate">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}" @if($status->id == $fobos->status_id) selected @endif>{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Points")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="points" class="form-control" placeholder="" id="points" spellcheck="false" value="{{$fobos->points}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <select name="seller" id="seller" class="form-control populate">
                            <option value="">-- {{__("Seller")}} --</option>
                            @foreach($sellers as $seller)
                                <option value="{{$seller->id}}"  @if($seller->id == $fobos->seller_id) selected @endif>{{$seller->ime.' '.$seller->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck="" 
                            value="@if($fobos->withdrawal_date) {{date('d.m.Y.', strtotime($fobos->withdrawal_date))}} @endif"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                    <div class="col-sm-3">
                        <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false">{{$fobos->withdrawal_reason}}</textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck="" 
                            value="@if($fobos->contract_expire_date) {{date('d.m.Y.', strtotime($fobos->contract_expire_date))}} @endif"/>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('fobos_copper.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
    </form>
</section>
@if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$com)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$com->comment}}</p>
                        <small>{{$com->ime.' '.$com->prezime}} <cite title="Comment">{{date('d.m.Y. H:i:s', strtotime($com->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                            <a href="#deleteCommentModal" class="modal-basic btn btn-delete-comment" commentId="{{$com->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    <div id="deleteCommentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('fobos_delete_comment', 'comm')}}">
            <input type="hidden" name="id_comment" id="id_comment">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endif
@endsection