@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("fobosId");
                $('#id_fobos').val(id);
            });
            $('.btn-expedition').click(function () {
                var id = $(this).attr("expeditionId");
                $('#id_expedition').val(id);
            });

        });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Clients")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Client")}}</th>
                        <th>{{__("Network group")}}</th>
                        <th>{{__("Address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Packet")}}</th>
                        @if($isAdmin || $isLider)
                            <th>{{__("Seller")}}</th>
                        @endif
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($fobos as $client)
                        <?php
                            $marker = '';
                            if($client->accepted == 1) {
                                $marker = 'marker-green';
                            }
                            if($client->expedited == 1) {
                                $marker = 'marker-gray';
                            }
                        ?>
                        <tr class="gradeX {{$marker}}">
                            <td>{{$client->name.' '.$client->surname}}</td>
                            <td>{{$client->network_group}}</td>
                            <td>{{$client->street.' '.$client->home_no}}</td>
                            <td>@if($client->tel1) {!! nl2br('Fiksni: '.$client->tel1." \n")!!} @endif
                                @if($client->tel2) {!! 'Mob: '.nl2br($client->tel2." \n") !!} @endif @if($client->tel3) {!! 'Mob2: '.nl2br($client->tel3) !!} @endif</td>
                            <td>{{$client->packet}}</td>
                            @if($isAdmin || $isLider)
                                <td>{{$client->seller_name.' '.$client->seller_surname}}</td>
                            @endif
                            <td class="btn-center">
                                @if($client->expedited != 1 && $client->accepted != 1)
                                     <a href="/fobos_copper/{{$client->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"
                                     data-toggle="tooltip" data-placement="top"
                                     data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                                @endif
                                <a href="{{route('fobos_copper.index').'/'.$client->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                    data-toggle="tooltip" data-placement="top"
                                    data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                                @if($client->expedited != 1 && $client->accepted != 1)
                                    <a href="#expeditionModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-warning btn-expedition btn-sm" expeditionId="{{$client->id}}"
                                       data-toggle="tooltip" data-placement="top"
                                       data-original-title="{{__("Send request")}}"><i class="fa fa-envelope"></i></a>
                                @endif
                                @if($isSuperAdmin)
                                    <a href="#deleteFobosModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" fobosId="{{$client->id}}"
                                       data-toggle="tooltip" data-placement="top"
                                       data-original-title="{{__("Delete")}}"><i class="fa fa-trash-o"></i></a>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    @if(is_object($fobos))
                        {{$fobos->links()}}
                    @endif
                </div>
            </div>
        </div>
    </section>

    <div id="deleteFobosModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('fobos_copper.destroy', 'delete')}}">
            <input type="hidden" name="id_fobos" id="id_fobos">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="expeditionModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="expedition" method="post" action="{{route('fobos_copper_expedition')}}">
            <input type="hidden" name="id_expedition" id="id_expedition">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-envelope"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Expedition")}}</h4>
                            <p>{{__("Are you sure you want to send this request?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
