@extends('layouts.app')

@section('content')

<section class="panel">
    <form id="form" method="post" action="{{route('fobos_rune.store')}}" class="form-horizontal">
        {{ csrf_field() }}
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                </div>

                <h2 class="panel-title">{{__("Add new client")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Cluster")}} <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('cluster')){{'has-error'}} @endif">
                        <select name="cluster" id="cluster" class="form-control populate">
                            <option value="">-- {{__("Cluster")}} --</option>
                            @foreach($clusters as $cluster)
                                <option value="{{$cluster->id}}"  @if($cluster->id == old('cluster')) selected @endif>{{$cluster->cluster}}</option>
                            @endforeach
                        </select>
                        @if($errors->has('cluster'))
                            <label for="cluster" class="error">{{$errors->first('cluster')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{old('name')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="surname" class="form-control" placeholder="" id="surname" spellcheck="false" value="{{old('surname')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Street")}}  <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('street')){{'has-error'}} @endif">
                        <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{old('street')}}"/>
                        @if($errors->has('street'))
                            <label for="street" class="error">{{$errors->first('street')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-1 control-label">{{__("PAN")}} <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('pan')){{'has-error'}} @endif">
                        <select name="pan" id="pan" class="form-control populate" data-plugin-selectTwo>
                            <option value="">-- {{__("Pan")}} --</option>
                            @foreach($pans as $pan)
                                <option value="{{$pan->id}}"  @if($pan->id == old('pan')) selected @endif>{{$pan->pan}}</option>
                            @endforeach
                        </select>
                        @if($errors->has('pan'))
                            <label for="pan" class="error">{{$errors->first('pan')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Home number")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="home_no" class="form-control" placeholder="" id="home_no" spellcheck="false" value="{{old('home_no')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Entrance")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="enterance" class="form-control" placeholder="" id="enterance" spellcheck="false" value="{{old('enterance')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Floor")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="floor" class="form-control" placeholder="" id="floor" spellcheck="false" value="{{old('floor')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Flat")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="apartment" class="form-control" placeholder="" id="apartment" spellcheck="false" value="{{old('apartment')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{old('tel1')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{old('tel2')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{old('tel3')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="network_group" class="form-control" placeholder="" id="network_group" spellcheck="false" value="{{old('network_group')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Statement type")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="eta" class="form-control" placeholder="" id="eta" spellcheck="false" value="{{old('eta')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("ID")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="fobos_id" class="form-control" placeholder="" id="fobos_id" spellcheck="false" value="{{old('fobos_id')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("County")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="county" class="form-control" placeholder="" id="county" spellcheck="false" value="{{old('county')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="city" class="form-control" placeholder="" id="city" spellcheck="false" value="{{old('city')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Settlement")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="settlement" class="form-control" placeholder="" id="settlement" spellcheck="false" value="{{old('settlement')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Household")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="household" class="form-control" placeholder="" id="household" spellcheck="false" value="{{old('household')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Households")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="households" class="form-control" placeholder="" id="households" spellcheck="false" value="{{old('households')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("State")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="state" class="form-control" placeholder="" id="state" spellcheck="false" value="{{old('state')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("State services")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="state_services" class="form-control" placeholder="" id="state_services" spellcheck="false" value="{{old('state_services')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="packet" class="form-control" placeholder="" id="packet" spellcheck="false" value="{{old('packet')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">BL</label>
                    <div class="col-sm-3">
                        <select name="black_list" class="form-control" placeholder="" id="black_list" spellcheck="false">
                            <option value='0'>{{__("NO")}}</option>
                            <option value='1'>{{__("YES")}}</option>
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Recommended tariff")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="recomended_tariff" class="form-control" placeholder="" id="recomended_tariff" spellcheck="false" value="{{old('recomended_tariff')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("First offer")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="first_offer" class="form-control" placeholder="" id="first_offer" spellcheck="" value="{{old('first_offer')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Operator")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="operator" class="form-control" placeholder="" id="operator" spellcheck="false" value="{{old('operator')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Month")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="month" class="form-control" placeholder="" id="month" spellcheck="false" value="{{old('month')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Year")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="year" class="form-control" placeholder="" id="year" spellcheck="" value="{{old('year')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <select name="seller" id="seller" class="form-control populate">
                            <option value="">-- {{__("Seller")}} --</option>
                            @foreach($sellers as $seller)
                                <option value="{{$seller->id}}"  @if($seller->id == old('seller')) selected @endif>{{$seller->ime.' '.$seller->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Team leader")}} </label>
                    <div class="col-sm-3">
                        <select name="team_leader" id="team_leader" class="form-control populate">
                            <option value="">-- {{__("Team leader")}} --</option>
                            @foreach($teamLeaders as $tl)
                                <option value="{{$tl->id}}"  @if($tl->id == old('team_leader')) selected @endif>{{$tl->ime.' '.$tl->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}} <span class="required">*</span></label>
                    <div class="col-sm-3 @if($errors->has('status')){{'has-error'}} @endif">
                        <select name="status" id="status" class="form-control populate">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statuses as $status)
                                <option value="{{$status->id}}" @if($status->id == old('status')) selected @endif>{{$status->status}}</option>
                            @endforeach
                        </select>
                        @if($errors->has('status'))
                            <label for="status" class="error">{{$errors->first('status')}}</label>
                        @endif
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"  spellcheck="" value="{{old('withdrawal_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}} </label>
                    <div class="col-sm-3">
                        <textarea name="withdrawal_reason" rows="5" class="form-control" placeholder="" id="withdrawal_reason" spellcheck="false">{{old('withdrawal_reason')}}</textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Note")}}</label>
                    <div class="col-sm-3">
                        <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false">{{old('comment')}}</textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Expiration date")}} UO </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="contract_expire_date" class="form-control date-picker" placeholder="" id="contract_expire_date"  spellcheck="" value="{{old('contract_expire_date')}}"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                    <div class="col-sm-3">
                        <select name="project_manager" id="project_manager" class="form-control populate">
                            <option value="">-- {{__("Project manager")}} --</option>
                            @foreach($projectManagers as $pm)
                                <option value="{{$pm->id}}"  @if($pm->id == old('project_manager')) selected @endif>{{$pm->ime.' '.$pm->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Points")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="points" class="form-control" placeholder="" id="points" spellcheck="false" value="{{old('points')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Cable")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="cable" class="form-control" placeholder="" id="cable" spellcheck="false" value="{{old('cable')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Thread")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="thread" class="form-control" placeholder="" id="thread" spellcheck="false" value="{{old('thread')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Tube")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tube" class="form-control" placeholder="" id="tube" spellcheck="false" value="{{old('tube')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Case")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="case" class="form-control" placeholder="" id="case" spellcheck="false" value="{{old('case')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("X-coordinate")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="x_coordinate" class="form-control" placeholder="" id="x_coordinate" spellcheck="false" value="{{old('x_coordinate')}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Y-coordinate")}}</label>
                </div>
                <div class="form-group">
                    <div class="col-sm-3">
                        <input type="text" name="y_coordinate" class="form-control" placeholder="" id="y_coordinate" spellcheck="false" value="{{old('y_coordinate')}}"/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a href="{{route('fobos.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
    </form>
</section>

@endsection