@extends('layouts.app')
@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $('#btn-seller').click(function(){
                var param = $(this).attr('param');
                var data = $('#seller').val();
                $('#param').val(param);
                $('#data').val(data);
                $('.confirm-text').text('Da li ste sigurni da želite grupno da dodate prodavca?');
            });

            $('#btn-leader').click(function(){
                var param = $(this).attr('param');
                var data = $('#team_leader').val();
                $('#param').val(param);
                $('#data').val(data);
                $('.confirm-text').text('Da li ste sigurni da želite grupno da dodate tim lidera?');
            });

            $('#btn-accept').click(function(){
                var param = $(this).attr('param');
                $('#param').val(param);
                $('.confirm-text').text('Da li ste sigurni da želite da uvezete podatke?');
            });

            $('#btn-confirm').click(function(){
                $('#loading').show();
            });
        });
    </script>

    <section class="panel">
        <div class="panel-heading">
            <h2 class="panel-title">{{__("Group entry")}}</h2>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <div class="col-md-2">
                    <p>{{__("Clients in session")}} (IDs):</p>
                </div>
                <div class="col-md-8">
                    @if($ids)
                        <p class="highlight">
                            @foreach($ids as $br=>$id)
                                @if(count($ids)-1 == $br)
                                    {{$id.'. '}}
                                @else
                                    {{$id.', '}}
                                @endif
                            @endforeach
                        </p>
                    @endif
                </div>
                <div class="col-sm-2">
                    <a href="{{route('clear_session', ['param' => 'rune'])}}"><button type="button" class="btn btn-sm btn-danger"
                                                                 data-toggle="tooltip" data-placement="top"
                                                                 data-original-title="{{__("Clear session")}}"><i class="fa fa-fire"></i></button></a>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__("Seller")}}: </label>
                <div class="col-sm-4">
                    <select class="form-control populate status-select"  name="seller" id="seller">
                        <option value="">-- {{__("seller")}} --</option>
                        @foreach($sellers as $seller)
                            <option value="{{$seller->id}}">{{$seller->ime.' '.$seller->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="col-sm-2">
                    <a href="#confirmModal" class="modal-basic" id="btn-seller" param="seller"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__("Team leader")}}: </label>
                <div class="col-sm-4">
                    <select class="form-control populate status-select"  name="team_leader" id="team_leader">
                        <option value="">-- {{__("Team leader")}} --</option>
                        @foreach($teamLeaders as $tl)
                            <option value="{{$tl->id}}">{{$tl->ime.' '.$tl->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="col-sm-2">
                    <a href="#confirmModal" class="modal-basic" id="btn-leader" param="leader"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__("Import")}}: </label>
                <div class="col-sm-10">
                    <p style="color:red">{{__("Click this button only if you want to transfer clients from the base to assembly")}}</p>
                    <a href="#confirmModal" class="modal-basic" id="btn-accept" param="accept"><button type="button" class="btn btn-danger">{{__("Import")}} <i class="fa fa-upload"></i></button></a>
                </div>
            </div>
        </div>

    </section>

    <div id="confirmModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="groupActionForm" method="post" action="{{route('fobos_rune_group_action')}}">
            <input type="hidden" name="param" id="param">
            <input type="hidden" name="data" id="data">
            @csrf
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Warning")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-exclamation"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Group entry")}}!</h4>
                            <p class="confirm-text"></p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" id="btn-confirm" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection