@extends('layouts.app')
@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $('#btnImport').click(function(){
                $('#loading').show();
            });
        });
    </script>

    <div class="row">
        <div class="col-lg-12">
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">{{__("Database import")}} ({{__("DATABASE - OPTICS")}})</h2>
                </div>
                <div class="panel-body">
                    <form class="form-horizontal form-bordered" action="{{route('fobos_rune_import')}}" enctype="multipart/form-data" method="POST">
                        @csrf
                        <div class="col-sm-6">
                            <div class="fileupload fileupload-new" data-provides="fileupload">
                                <div class="input-append">
                                    <div class="uneditable-input">
                                        <i class="fa fa-file fileupload-exists"></i>
                                        <span class="fileupload-preview"></span>
                                    </div>
                                    <span class="btn btn-default btn-file">
                                    <span class="fileupload-exists">{{__("Change")}}</span>
                                    <span class="fileupload-new">{{__("Choose file")}}</span>
                                    <input type="file" id="import" name="import"/>
                                </span>
                                    <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">{{__("Remove")}}</a>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <button type="submit" class="btn btn-warning" id="btnImport">{{__("Import")}} <i class="fa fa-database"></i></button>
                        </div>
                    </form>
                </div>
                @if(isset($errorMessages))
                    <div class="panel-body">
                        <div class="col-sm-12">
                            <h2 class="import-error">{{__("Import failed")}}!</h2>
                        </div>
                        @foreach($errorMessages as $error)
                            <div class="com-sm-12">
                                <p class="import-error">{{$error}}</p>
                            </div>
                        @endforeach
                    </div>
                @endif
            </section>
            <div class="tabs">
                <ul class="nav nav-tabs">
                    <li>
                        <a href="#mrezna_grupa" data-toggle="tab"><i class="fa fa-phone"></i> {{__("INFO")}}</a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div id="mrezna_grupa" class="tab-pane active">
                        <p>{{__("PAN has to be ID from database")}}</p>
                    </div>
                </div>
            </div>
            <section class="panel">
                <div class="panel-heading">
                    <h2 class="panel-title">{{__("Correct order in Excel table")}}</h2>
                    <div class="panel-actions">
                        <a href="{{route('mustra', ['param' => 'fobos_rune'])}}"><button type="button" class="btn btn-success">Templejt <i class="fa fa-download"></i></button></a>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-sm-12">
                        <p> 
                            / ID
                            / county
                            / city
                            / settlement
                            / street
                            / house_number
                            / aan
                            / pan
                            / household
                            / households
                            / state
                            / eta
                            / state_services
                            / notice
                            / xx
                            / yy
                        </p>
                    </div>
                </div>
            </section>
        </div>
    </div>


@endsection