@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("fobosId");
                $('#id_fobos').val(id);
            });
            $('.btn-expedition').click(function () {
                var id = $(this).attr("expeditionId");
                $('#id_expedition').val(id);
            });

        });
    </script>

    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Clients")}} ({{__('Count').' '.$count}})  @if($penetration)({{__('Penetration').' '.number_format($penetration, 2)}}%) @endif</h2>
            <div class="panel-actions">
                <form action="{{route("fobos_rune_export")}}" method="post">
                    @csrf
                    <a href="{{route('session_ids', ['param' => 'rune'])}}"
                    data-toggle="tooltip" data-placement="top"
                    data-original-title="{{__('Add to session')}}"><button type="button" class="btn btn-info btn-session"><i class="fa fa-cloud-upload"></i></button>
                    </a>
                    <button type="submit" class="btn btn-warning">{{__("Export")}} <i class="fa fa-file-excel-o"></i></button>
                    <div class="switch switch-success" data-toggle="tooltip" data-placement="top"
                        data-original-title="{{__("Export with notes")}}">
                        <input type="checkbox" name="comments" data-plugin-ios-switch />
                    </div>
                </form>
            </div>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                        <tr>
                            <th>{{__("ID")}}</th>
                            <th>{{__("Client")}}</th>
                            <th>{{__("Cluster")}}</th>
                            <th>{{__("Address")}}</th>
                            <th>{{__("Packet")}}</th>
                            <th>{{__("Status")}}</th>
                            @if($isAdmin || $isLider)
                                <th>{{__("Seller")}}</th>
                            @endif
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    @foreach($fobos as $client)
                        <?php
                            $marker = '';
                            if($client->accepted == 1) {
                                $marker = 'marker-green';
                            }
                            if($client->expedited == 1) {
                                $marker = 'marker-gray';
                            }
                        ?>
                        <tr class="gradeX {{$marker}}">
                            <td>{{$client->fobos_id}}</td>
                            <td>{{$client->name.' '.$client->surname}}</td>
                            <td>{{$client->cluster}}</td>
                            <td>{{$client->street.' '.$client->home_no}}</td>
                            <td>{{$client->packet}}</td>
                            <td>{{$client->status}}</td>
                            @if($isAdmin || $isLider)
                                <td>{{$client->seller_name.' '.$client->seller_surname}}</td>
                            @endif
                            <td class="btn-center">
                                @if($client->expedited != 1 && $client->accepted != 1)
                                     <a href="/fobos_rune/{{$client->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"
                                     data-toggle="tooltip" data-placement="top"
                                     data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                                @endif
                                <a href="{{route('fobos_rune.index').'/'.$client->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                    data-toggle="tooltip" data-placement="top"
                                    data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                                @if($client->expedited != 1 && $client->accepted != 1 && $client->status_id == 1)
                                    <a href="#expeditionModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-warning btn-expedition btn-sm" expeditionId="{{$client->id}}"
                                       data-toggle="tooltip" data-placement="top"
                                       data-original-title="{{__("Send request")}}"><i class="fa fa-envelope"></i></a>
                                @endif
                                @if($isSuperAdmin)
                                    <a href="#deleteFobosModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" fobosId="{{$client->id}}"
                                       data-toggle="tooltip" data-placement="top"
                                       data-original-title="{{__("Delete")}}"><i class="fa fa-trash-o"></i></a>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    @if(is_object($fobos))
                        {{$fobos->appends(request()->query())->links()}}
                    @endif
                </div>
            </div>
        </div>
    </section>

    <div id="deleteFobosModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('fobos_rune.destroy', 'delete')}}">
            <input type="hidden" name="id_fobos" id="id_fobos">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="expeditionModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="expedition" method="post" action="{{route('fobos_rune_expedition')}}">
            <input type="hidden" name="id_expedition" id="id_expedition">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-envelope"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Expedition")}}</h4>
                            <p>{{__("Are you sure you want to send this request?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
