@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$fobos->name.' '.$fobos->surname.' - '.$fobos->street}}</h2>
            @if($fobos->expedited != 1)
            <div class="panel-actions">
                @if(session('search_route'))
                    <a href="{{route('redirector')}}"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__('Return to search page')}}"><button class="btn btn-danger"><i class="fa fa-backward"></i></button></a>
                @endif
                @if($fobos->expedited != 1 && $fobos->accepted != 1)
                    <a href="#expeditionModal" class="modal-basic"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__("Send request")}}"><button class="btn btn-warning"><i class="fa fa-envelope"></i></button></a>
                @endif
                <a href="/fobos_rune/{{$fobos->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
            @endif
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Cluster")}}: <div class="highlight">{{$fobos->cluster}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Street")}}: <div class="highlight">{{$fobos->street}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("PAN")}}: <div class="highlight">{{$fobos->pan}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Home number")}}: <div class="highlight">{{$fobos->home_no}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Entrance")}}: <div class="highlight">{{$fobos->enterance}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Floor")}}: <div class="highlight">{{$fobos->floor}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Flat")}}: <div class="highlight">{{$fobos->apartment}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Statement type")}} <div class="highlight">{{$fobos->eta}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>ID: <div class="highlight">{{$fobos->fobos_id}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Network group")}}: <div class="highlight">{{$fobos->network_group}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Packet")}}: <div class="highlight">{{$fobos->packet}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>BL: <div class="highlight">@if($fobos->black_list==1){{'DA'}}@else{{'NE'}}@endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Landline phone")}}: <div class="highlight">{{$fobos->tel1}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Tel")}}: 2<div class="highlight">{{$fobos->tel1}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Tel")}} 3<div class="highlight">{{$fobos->tel3}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("County")}}: <div class="highlight">{{$fobos->county}}</div></p>
                 </div>
                <div class="col-md-4">
                    <p>{{__("City")}}: <div class="highlight">{{$fobos->city}}</div></p>
                 </div>
                <div class="col-md-4">
                    <p>{{__("Settlement")}}: <div class="highlight">{{$fobos->settlement}}</div></p>
                 </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Household")}}: <div class="highlight">{{$fobos->household}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Households")}}: <div class="highlight">{{$fobos->households}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("State")}}: <div class="highlight">{{$fobos->state}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("State services")}}: <div class="highlight">{{$fobos->state_services}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("State")}}: <div class="highlight">{{$fobos->state}}</div></p>
                </div>
                <div class="col-md-4">
                   <p>{{__("Recommended tariff")}}: <div class="highlight">{{$fobos->recomended_tariff}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("First offer")}}: <div class="highlight green-highlight">{{$fobos->first_offer}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Operator")}}: <div class="highlight green-highlight">{{$fobos->operator}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Month")}}: <div class="highlight green-highlight">{{$fobos->month}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Year")}}: <div class="highlight">{{$fobos->year}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Seller")}}: <div class="highlight">{{$fobos->seller_name.' '.$fobos->seller_surname}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Team leader")}}: <div class="highlight">{{$fobos->leader_name.' '.$fobos->leader_surname}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Status")}}: <div class="highlight red-highlight">{{$fobos->status}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Withdrawal date")}}: <div class="highlight">@if($fobos->withdrawal_date){{date('d.m.Y.', strtotime($fobos->withdrawal_date))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Withdrawal reason")}}: <div class="highlight">{{$fobos->withdrawal_reason}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Contract expiration")}}: <div class="highlight">@if($fobos->contract_expire_date){{date('d.m.Y.', strtotime($fobos->contract_expire_date))}}@endif</div></p>
                </div>
                <div class="col-sm-4">
                    <p>{{__("Project manager")}}: <div class="highlight">{{$fobos->pm_name.' '.$fobos->pm_surname}}</div></p>
                </div>
                <div class="col-sm-4">
                    <p>{{__("Points")}}: <div class="highlight">{{$fobos->points}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <p>{{__("Cable")}}: <div class="highlight yellow-highlight">{{$fobos->cable}}</div></p>
                </div>
                <div class="col-sm-4">
                    <p>{{__("Thread")}}: <div class="highlight yellow-highlight">{{$fobos->thread}}</div></p>
                </div>
                <div class="col-sm-4">
                    <p>{{__("Tube")}}: <div class="highlight yellow-highlight">{{$fobos->tube}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <p>{{__("Case")}}: <div class="highlight yellow-highlight">{{$fobos->case}}</div></p>
                </div>
                <div class="col-sm-4">
                    <p>{{__("X-coordinate")}}: <div class="highlight yellow-highlight">{{$fobos->x_coordinate}}</div></p>
                </div>
                <div class="col-sm-4">
                    <p>{{__("Y-coordinate")}}: <div class="highlight yellow-highlight">{{$fobos->y_coordinate}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <p>{{__("Penetration")}}: <div class="highlight">@if($fobos->penetration){{$fobos->penetration}}%@endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <p style="float: right">{{__("Last change")}} {{$fobos->updated_name.' '.$fobos->updated_surname.' ('.date('d.m.Y. H:i:s', strtotime($fobos->updated_at)).')'}}</p>
                </div>
            </div>
        </div>
    </section>
    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$com)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$com->comment}}</p>
                        <small>{{$com->ime.' '.$com->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($com->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$images->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{(__('Images'))}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                    <div class="col-md-2">
                        <div class="popup-gallery">
                            <a class="pull-left mb-xs mr-xs" href="{{$img->url}}" title="{{$img->description.' '.date('d.m.Y. H:i:s', strtotime($img->created_at))}}" rel="group1">
                                <div class="img-responsive">
                                    <img src="{{$img->url}}" width="105">
                                </div>
                            </a>
                        </div>
                    </div>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Files")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                    </div>
                @endforeach
            </div>
        </section>
    @endif
    <div id="expeditionModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="expedition" method="post" action="{{route('fobos_rune_expedition')}}">
            <input type="hidden" name="id_expedition" id="id_expedition" value="{{$fobos->id}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-envelope"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Expedition")}}</h4>
                            <p>{{__("Are you sure you want to send this request?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection