@extends('layouts.app')

@section('content')

<form id="form" method="post" action="{{ route('ger_construction_sites.store') }}" class="form-horizontal">
    {{ csrf_field() }}
    <section class="panel">
        <header class="panel-heading">
            <div class="panel-actions">
                <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
            </div>
            <h2 class="panel-title">{{__("Add new")}}</h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Date")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('date')){{'has-error'}} @endif">
                    <input type="text" name="date" class="form-control date-picker" placeholder="" id="date" spellcheck="false" value="{{date('d.m.Y.')}}"/>
                    @if($errors->has('date'))
                        <label for="date" class="error">{{$errors->first('date')}}</label>
                    @endif
                </div>
                {{-- <label class="col-sm-1 control-label">{{__("Polisher report")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="polisher_report" class="form-control" placeholder="" id="polisher_report" spellcheck="false" value="{{old('polisher_report')}}"/>
                </div> --}}
                @if(!$isColumnLeader)
                <label class="col-sm-1 control-label">{{__("Column leader")}} </label>
                <div class="col-sm-3">
                    <select name="leader" class="form-control" id="leader" spellcheck="false">
                        <option value="">-- {{__("Column leader")}} --</option>
                        @foreach($leaders as $leader)
                            <option value="{{$leader->id}}" @if($leader->id == old('leader')) selected @endif>{{$leader->ime. ' '.$leader->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                @endif
                <label class="col-sm-1 control-label">{{__("Areas")}}</label>
                <div class="col-sm-3">
                    <select name="area" class="form-control" id="area" spellcheck="false">
                        @foreach($areas as $area)
                            <option value="{{$area->id}}" @if($area->id == old('area')) selected @endif>{{$area->area}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                @if($isSuperAdmin)
                <label class="col-sm-1 control-label">{{__("Number of workers")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="number_of_workers" class="form-control" placeholder="" id="number_of_workers" spellcheck="false" value="{{old('number_of_workers')}}"/>
                </div>
                @endif
                <label class="col-sm-1 control-label">{{__("Work").' '.__('start')}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('work_start')){{'has-error'}} @endif">
                    <input type="text" name="work_start" class="form-control" data-plugin-timepicker data-plugin-options='{ "showMeridian": false }' placeholder="" id="work_start" spellcheck="false" value="8:00"/>
                    @if($errors->has('work_start'))
                        <label for="work_start" class="error">{{$errors->first('work_start')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("Work").' '.__('end')}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('work_end')){{'has-error'}} @endif">
                    <input type="text" name="work_end" class="form-control" data-plugin-timepicker data-plugin-options='{ "showMeridian": false }' placeholder="" id="work_end" spellcheck="false" value="17:30"/>
                    @if($errors->has('work_end'))
                    <label for="work_end" class="error">{{$errors->first('work_end')}}</label>
                    @endif
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Comment")}} </label>
                <div class="col-sm-3">
                    <textarea name="comment" id="comment" class="form-control"></textarea>
                </div>
                <label class="col-sm-1 control-label">{{__("Pause")}} <span class="required">*</span></label>
                <div class="col-sm-3 @if($errors->has('pause')){{'has-error'}} @endif">
                    <input type="text" name="pause" class="form-control" data-plugin-options='{ "showMeridian": false }' placeholder="{{__('In minutes')}}" id="pause" spellcheck="false" value="45"/>
                    @if($errors->has('pause'))
                        <label for="pause" class="error">{{$errors->first('pause')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("City")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="place" class="form-control" placeholder="" id="place" spellcheck="false" value="{{old('place')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Street")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="street" class="form-control" placeholder="" id="street" spellcheck="false" value="{{old('street')}}"/>
                </div>
                <label class="col-sm-1 control-label">POP </label>
                <div class="col-sm-3">
                    <input type="text" name="pop" class="form-control" placeholder="" id="pop" spellcheck="false" value="{{old('pop')}}"/>
                </div>
                <label class="col-sm-1 control-label">DP </label>
                <div class="col-sm-3">
                    <input type="text" name="dp" class="form-control" placeholder="" id="dp" spellcheck="false" value="{{old('dp')}}"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Provider")}}</label>
                <div class="col-sm-3">
                    <select name="provider" class="form-control" id="provider" spellcheck="false">
                        <option value="">-- {{__("Provider")}} --</option>
                        @foreach($providers as $provider)
                            <option value="{{$provider->id}}" @if($provider->id == old('provider')) selected @endif>{{$provider->provider}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Polish date")}} </label>
                <div class="col-sm-3 @if($errors->has('polish_date')){{'has-error'}} @endif">
                    <input type="text" name="polish_date" class="form-control date-picker" placeholder="" id="polish_date" spellcheck="false"/>
                    @if($errors->has('polish_date'))
                        <label for="polish_date" class="error">{{$errors->first('polish_date')}}</label>
                    @endif
                </div>
                <label class="col-sm-1 control-label">{{__("Polisher report")}} </label>
                <div class="col-sm-3">
                    <div class="switch switch-success">
                        <input type="checkbox" name="insert_date" data-plugin-ios-switch />
                    </div>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                    <a href="{{route('ger_construction_sites.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection