@extends('layouts.app')
@section('content')
<section class="panel"  id="range_form">
    <form id="" method="get" class="form-horizontal mb-lg" action="{{route('ger_statistic')}}">
        <div class="panel-body">
            <div class="form-group">
                <label class="col-md-2 control-label">{{__("Date")}} {{__('range')}}</label>
                <div class="col-md-4">
                    <div class="input-daterange input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </span>
                        <input type="text" class="form-control date-picker" name="start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="end">
                    </div>
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    <button class="btn btn-primary" type="submit">{{__('Apply')}}</button>
                </div>
            </div>
        </footer>
    </form>

    <section class="panel" id="rune">
        @foreach($leaders as $leader)
        <?php $totalPerLeader = 0; $statistic = $workMod->workStatistic($from, $to, $leader->id);?>
        @if(!empty($statistic))
        <header class="panel-heading">
            <h2 class="panel-title">{{$leader->ime.' '.$leader->prezime}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                    <tr>
                        <th colspan="5" class="success">{{__("Works")}}</th>
                    </tr>
                </thead>
                <thead>
                <tr>
                    <th>{{__("work")}}</th>
                    <th>{{__("Quantity")}}</th>
                    <th>{{__("Price")}}</th>
                </tr>
                </thead>
                <tbody>
                
                @foreach($statistic as $stat)
                <tr>
                    <td>{{$stat->work}}</td>
                    <td style="text-align:right">{{$stat->quantity}}</td>
                    <td style="text-align:right">{{number_format($stat->price, 2, ',', '.')}}</td>
                    <?php $totalPerLeader += $stat->price; $total += $stat->price;?>
                </tr>
                @endforeach
                </tbody>
                <tr class="success">
                    <td></td>
                    <td style="text-align:right"><strong>{{__('Total')}}:</strong></td>
                    <td style="text-align:right"><strong>{{number_format($totalPerLeader, 2, ',', '.')}}</strong></td>
                </tr>
            </table>
            </div>
        </div>
        @endif
        @endforeach
        <div class="panel-body">
            <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <tr class="warning">
                    <td style="text-align:right"><strong>{{__('Total')}}: {{number_format($total, 2, ',', '.')}}</strong></td>
                </tr>
            </table>
            </div>
        </div>
    </section>
</section>
@endsection