@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="/gm_area/{{$user->id}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit user")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-1 control-label">Role </label>
                    <div class="col-lg-3">
                        <select name="role_id" class="form-control" placeholder="" id="role_id" spellcheck="false">
                            @foreach ($roles as $role)
                                <option value="{{$role->id}}" @if($role->id == $user->role_id) selected @endif>{{$role->description}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-lg-1 control-label">{{__("Username")}} </label>
                    <div class="col-lg-3">
                        <input type="text" name="username" class="form-control" placeholder="" id="username" spellcheck="false" value="{{$user->username}}"/>
                    </div>
                    <label class="col-lg-1 control-label">{{__("Name")}} </label>
                    <div class="col-lg-3">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{$user->ime}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Surname")}} </label>
                    <div class="col-lg-3">
                        <input type="text" name="surname" class="form-control" placeholder="" id="surname" spellcheck="false" value="{{$user->prezime}}"/>
                    </div>
                    <label class="col-lg-1 control-label">Email </label>
                    <div class="col-lg-3">
                        <input type="text" name="email" class="form-control" placeholder="" id="email" spellcheck="false" value="{{$user->email}}"/>
                    </div>
                    <label class="col-lg-1 control-label">{{__("Password")}} </label>
                    <div class="col-lg-3">
                        <input type="password" name="password" class="form-control" placeholder="" id="password" spellcheck="false" value=""/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">Is active </label>
                    <div class="col-lg-3">
                        <select name="is_active" class="form-control" placeholder="" id="is_active">
                            <option value="1" @if($user->is_active == 1) selected @endif>{{__("YES")}}</option>
                            <option value="0" @if($user->is_active == 0) selected @endif>{{__("NO")}}</option>
                        </select>
                    </div>
                    <label class="col-lg-1 control-label">Area </label>
                    <div class="col-lg-3">
                        <select name="area" id="area" class="form-control">
                            <option value=''>-- choose the area -- </option>
                            @foreach($areas as $area)
                                <option value='{{$area->id}}' @if($area->id == $user->area_id) {{'selected = "selected"'}}@endif>{{$area->area}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">Proceed <i class="fa fa-save"></i></button>
                        <a href="{{route('gm_users')}}"><button type="button" class="btn btn-default">Go back</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection