@extends('layouts.app')
@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            $('#btn-fitter').click(function(){
                var param = $(this).attr('param');
                var data = $('#fitter').val();
                $('#param').val(param);
                $('#data').val(data);
                $('.confirm-text').text('Da li ste sigurni da želite grupno da dodate montera?');
            });

            $('#btn-origin').click(function(){
                var param = $(this).attr('param');
                var data = $('#origin').val();
                $('#param').val(param);
                $('#data').val(data);
                $('.confirm-text').text('Da li ste sigurni da želite grupno da dodate poreklo?');
            });

            $('#btn-confirm').click(function(){
                $('#loading').show();
            });
        });
    </script>

    <section class="panel">
        <div class="panel-heading">
            <h2 class="panel-title">{{__("Group entry")}}</h2>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <div class="col-md-2">
                    <p>{{__("Clients in session")}} (IDs):</p>
                </div>
                <div class="col-md-8">
                    @if($ids)
                        <p class="highlight">
                            @foreach($ids as $br=>$id)
                                @if(count($ids)-1 == $br)
                                    {{$id.'. '}}
                                @else
                                    {{$id.', '}}
                                @endif
                            @endforeach
                        </p>
                    @endif
                </div>
                <div class="col-sm-2">
                    <a href="{{route('clear_session', ['param' => 'optics'])}}"><button type="button" class="btn btn-sm btn-danger"
                                                                 data-toggle="tooltip" data-placement="top"
                                                                 data-original-title="Isprazni sesiju"><i class="fa fa-fire"></i></button></a>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__("Fitter")}}: </label>
                <div class="col-sm-4">
                    <select class="form-control populate status-select"  name="fitter" id="fitter">
                        <option value="">-- {{__("Fitter")}} --</option>
                        @foreach($fitters as $fitter)
                            <option value="{{$fitter->id}}">{{$fitter->ime.' '.$fitter->prezime}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="col-sm-2">
                    <a href="#confirmModal" class="modal-basic" id="btn-fitter" param="fitter"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">{{__("Origin")}}: </label>
                <div class="col-sm-4">
                    <select class="form-control populate status-select"  name="origin" id="origin">
                        <option value="">-- {{__("Origin")}} --</option>
                        @foreach($origin as $o)
                            <option value="{{$o->id}}">{{$o->origin}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="col-sm-2">
                    <a href="#confirmModal" class="modal-basic" id="btn-origin" param="origin"><button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button></a>
                </div>
            </div>
        </div>

    </section>

    <div id="confirmModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="groupActionForm" method="post" action="{{route('group_action_optics')}}">
            <input type="hidden" name="param" id="param">
            <input type="hidden" name="data" id="data">
            @csrf
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Warning")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-exclamation"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Group entry")}}!</h4>
                            <p class="confirm-text"></p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" id="btn-confirm" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

@endsection