@extends('layouts.app')

@section('content')

<form id="form" method="get" action="{{ route('huawei_search_result') }}" class="form-horizontal">
    <input type='hidden' id="param" name="param" value="advanced">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>
                <h2 class="panel-title">{{__("Filters")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Client")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="seller" class="form-control" placeholder="" id="seller" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller contact")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="contact_seller" class="form-control" placeholder="" id="contact_seller" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">HUAWEI ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="h_id" class="form-control" placeholder="" id="h_id" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 1 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Manager")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="manager" class="form-control" placeholder="" id="manager" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 1 ({{__("manager")}}) </label>
                    <div class="col-sm-3">
                        <input type="text" name="m_tel1" class="form-control" placeholder="" id="m_tel1" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 ({{__("manager")}}) </label>
                    <div class="col-sm-3">
                        <input type="text" name="m_tel2" class="form-control" placeholder="" id="m_tel2" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 ({{__("manager")}}) </label>
                    <div class="col-sm-3">
                        <input type="text" name="m_tel3" class="form-control" placeholder="" id="m_tel3" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("State")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="state" id="state">
                            <option value="">-- {{__("State")}} --</option>
                            @foreach($states as $s)
                                <option value="{{$s->id}}">{{$s->state}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("City")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="city" id="city">
                            <option value="">-- {{__("City")}} --</option>
                            @foreach($cities as $city)
                                <option value="{{$city->id}}">{{$city->city}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Municipality")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="municipality" class="form-control" placeholder="" id="municipality" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Address")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="address" class="form-control" placeholder="" id="address" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Number of floors")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="number_of_floors" class="form-control" placeholder="" id="number_of_floors" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Number of flats")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="number_of_flats" class="form-control" placeholder="" id="number_of_flats" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Area")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="area" id="area">
                            <option value="">-- {{__("Area")}} --</option>
                            @foreach($areas as $area)
                                <option value="{{$area->id}}">{{$area->area}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status access")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status_access" id="status_access">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusesAccess as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Status vertical")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status_vertical" id="status_vertical">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusesVertical as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Status splicing")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="status_splicing" id="status_splicing">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusesAccess as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Final status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="final_status" id="final_status">
                            <option value="">-- {{__("Final status")}} --</option>
                            @foreach($finalStatuses as $status)
                                <option value="{{$status->id}}">{{$status->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Project manager")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="project_manager" id="project_manager">
                            <option value="">-- {{__("Project manager")}} --</option>
                            @foreach($projectManagers as $pmng)
                                <option value="{{$pmng->id}}">{{$pmng->ime.' '.$pmng->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Construction manager")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate"  name="construction_manager" id="construction_manager">
                            <option value="">-- {{__("Construction manager")}} --</option>
                            @foreach($constructionManagers as $cmng)
                                <option value="{{$cmng->id}}">{{$cmng->ime.' '.$cmng->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Worker (access)")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="worker_access" id="worker_access">
                            <option value="">-- {{__("Worker")}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Worker (vertical)")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="worker_vertical" id="worker_vertical">
                            <option value="">-- {{__("Worker")}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Worker (splicing)")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="worker_splicing" id="worker_splicing">
                            <option value="">-- {{__("Worker")}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Appointment date (access)")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="appointment_date_access" class="form-control date-picker" placeholder="" id="appointment_date_access" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Appointment date (vertical)")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="appointment_date_vertical" class="form-control date-picker" placeholder="" id="appointment_date_vertical"
                                 spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="delay_date" class="form-control date-picker" placeholder="" id="delay_date" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Realization date (access)")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="realization_date_access" class="form-control date-picker" placeholder="" id="realization_date_access"
                             spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Realization date (vertical)")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="realization_date_vertical" class="form-control date-picker" placeholder="" id="realization_date_vertical"
                                spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="withdrawal_date" class="form-control date-picker" placeholder="" id="withdrawal_date"
                                 spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("DIS start date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="dis_start_date" class="form-control date-picker" placeholder="" id="dis_start_date" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__('DIS end date')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="dis_end_date" class="form-control date-picker" placeholder="" id="dis_end_date" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Sending date")}} HUAWEI</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="sending_date_huawei" class="form-control date-picker" placeholder="" id="sending_date_huawei" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Without status")}} ({{__("access")}}) </label>
                    <div class="col-sm-1">
                        <div class="switch switch-success">
                            <input type="checkbox" name="no_access_status" data-plugin-ios-switch />
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Without status")}} ({{__("vertical")}}) </label>
                    <div class="col-sm-1">
                        <div class="switch switch-success">
                            <input type="checkbox" name="no_vertical_status" data-plugin-ios-switch />
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Without status")}} ({{__("splicing")}}) </label>
                    <div class="col-sm-1">
                        <div class="switch switch-success">
                            <input type="checkbox" name="no_splicing_status" data-plugin-ios-switch />
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Without status")}} ({{__("final")}}) </label>
                    <div class="col-sm-1">
                        <div class="switch switch-success">
                            <input type="checkbox" name="no_final_status" data-plugin-ios-switch />
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("Realization date")}} {{__("range")}} ({{__("access")}})</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="realization_access_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="realization_access_end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("Realization date")}} ({{__("vertical")}})</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="realization_vertical_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="realization_vertical_end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("Realization date")}} ({{__("splicing")}})</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="realization_splicing_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="realization_splicing_end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("Appointment date")}} {{__("range")}} ({{__("access")}})</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="appointment_access_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="appointment_access_end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("Appointment date")}} ({{__("vertical")}})</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="appointment_vertical_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="appointment_vertical_end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("Appointment date")}} ({{__("splicing")}})</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="appointment_splicing_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="appointment_splicing_end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("DIS end date")}} {{__("range")}}</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="dis_end_date_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="dis_end_date_end">
                        </div>
                    </div>
                </div>
                @if($isSuperAdmin || $isHuaweiAdmin)
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("BoQ send date")}} {{__("range")}}</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="boq_send_date_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="boq_send_date_end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("BoQ date of approval")}} {{__("range")}}</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="boq_approval_date_start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="boq_approval_date_end">
                        </div>
                    </div>
                </div>
                @endif
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Cluster")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="cluster" class="form-control" placeholder="" id="cluster" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">Odo </label>
                    <div class="col-sm-3">
                        <input type="text" name="odo" class="form-control" placeholder="" id="odo" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">Izvod </label>
                    <div class="col-sm-3">
                        <input type="text" name="izvod" class="form-control" placeholder="" id="izvod" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Connector")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="connector" class="form-control" placeholder="" id="connector" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Date of obtaining the Technical Solution")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="technical_solution_date" class="form-control date-picker" placeholder="" id="technical_solution_date" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">ATC/MSAN/OLT</label>
                    <div class="col-sm-3">
                        <input type="text" name="atc_msan_olt" class="form-control" placeholder="" id="atc_msan_olt" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">ODF/Modul </label>
                    <div class="col-sm-3">
                        <input type="text" name="odf_modul" class="form-control" placeholder="" id="odf_modul" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Connector number")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="connector_number" class="form-control" placeholder="" id="connector_number" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Connection point")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="connection_point" class="form-control" placeholder="" id="connection_point" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Fiber")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="fiber" class="form-control" placeholder="" id="fiber" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Numeration odo")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="numeration_odo" class="form-control" placeholder="" id="numeration_odo" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Number of flats")}}</label>
                    <div class="col-sm-2">
                        <input type="text" name="flats" class="form-control" placeholder="" id="flats" spellcheck="false"/>
                    </div>
                    <div class="col-sm-1">
                        <select name="operation" id="operation" class="form-control">
                            <option>>=</option>
                            <option><=</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Equipment')}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                            <option value="">-- {{__('Choose equipment')}} --</option>
                            @foreach($equipment as $equip)
                                <option value="{{$equip->id}}">{{$equip->equipment}} ({{$equip->code}})</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__('TIS entry date')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_entry_date" class="form-control date-picker" id="tis_entry_date">
                    </div>
                    <label class="col-sm-1 control-label">{{__('Lght')}} </label>
                    <div class="col-sm-3">
                        <select name="lght" id="lght" class="form-control">
                            <option value=""></option>
                            <option value="0">{{__('NO')}}</option>
                            <option value="1">{{__('YES')}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
@endsection