@extends('layouts.app')

@section('content')

<form id="form" method="post" action="{{route('hw_work_category.update', [$category->id])}}" class="form-horizontal">
    {{ csrf_field() }}
    <input type="hidden" name="_method" value="put">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Edit category")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-lg-2 control-label">{{__("Category")}} <span class="required">*</span></label>
                <div class="col-lg-3 @if($errors->has('category')){{'has-error'}} @endif">
                    <input type="text" name="category" class="form-control" placeholder="" id="category"
                           spellcheck="false" value="{{$category->category}}"/>
                    @if($errors->has('category'))
                        <label for="category" class="error">{{$errors->first('category')}}</label>
                    @endif
                </div>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                    <a href="{{route('hw_work_category.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                </div>
            </div>
        </footer>
    </section>
</form>

@endsection