@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('image_type.update', [$imageType->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Image type")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('image_type')){{'has-error'}} @endif">
                        <input type="text" name="image_type" class="form-control" placeholder="" id="image_type"
                               spellcheck="false" value="{{$imageType->type}}"/>
                        @if($errors->has('image_type'))
                            <label for="image_type" class="error">{{$errors->first('image_type')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('image_type.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection