@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("typeId");
                $('#image_type').val(id);
            });

        });
    </script>

    <section class="panel">
        <div class="row">
            <div class="col-sm-4 col-md-12 col-lg-6">
                <header class="panel-heading">
                    <h2 class="panel-title"></h2>
                </header>
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("No.")}}</th>
                            <th>{{__("Image types")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($imageTypes as $rbr => $num)
                            <tr class="gradeX">
                                <td>{{($rbr+1).'.'}}</td>
                                <td>{{$num->type}}</td>
                                <td class="btn-center">
                                    <a href="/image_type/{{$num->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('image_type.index').'/'.$num->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                    <a href="#deleteImageTypeModal" class="modal-basic"><button type="button" class="mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" typeId="{{$num->id}}"><i class="fa fa-trash-o"></i></button></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>

    <div id="deleteImageTypeModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('image_type.destroy', 'test')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="image_type" value="" id="image_type">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
