@extends('layouts.app')

@section('content')
{{-- <script type="text/javascript">
    $(document).ready(function(){
        $('#btnSituations').click(function(){
            $('#loading').show();
        });
    });
</script> --}}
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$site->name}}<small> &nbsp&nbsp&nbsp(ID: {{$site->id}})</small></h2>
            <div class="panel-actions">
                @if(session('search_route'))
                    <a href="{{route('redirector')}}"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__('Return to search page')}}"><button class="btn btn-danger"><i class="fa fa-backward"></i></button></a>
                @endif
                <a href="{{route('kir_export_works')}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-warning">{{__('Export works')}} <i class="fa fa-print"></i></button></a>
                <a href="/kir/{{$site->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Client')}}: <div class="highlight">{{$site->name}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Seller')}}: <div class="highlight">{{$site->seller}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Seller contact')}}: <div class="highlight">{{$site->contact_seller}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Phones")}}: <div class="highlight">@if($site->tel1) {!! nl2br('Fiksni: '.$site->tel1." \n")!!} @endif
                        @if($site->tel2) {!! 'Mob: '.nl2br($site->tel2." \n") !!} @endif @if($site->tel3) {!! 'Mob2: '.nl2br($site->tel3) !!} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Manager')}}: <div class="highlight">{{$site->manager}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Phones")}} ({{__('Manager')}}): <div class="highlight">@if($site->m_tel1) {!! nl2br('Fiksni: '.$site->m_tel1." \n")!!} @endif
                        @if($site->m_tel2) {!! 'Mob: '.nl2br($site->m_tel2." \n") !!} @endif @if($site->m_tel3) {!! 'Mob2: '.nl2br($site->m_tel3) !!} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("State")}}: <div class="highlight">{{$site->state}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("City")}}: <div class="highlight">{{$site->city}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Municipality')}}: <div class="highlight">{{$site->municipality}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Address')}}: <div class="highlight">{{$site->address}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Number of floors')}}: <div class="highlight">{{$site->number_of_floors}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Number of flats')}}: <div class="highlight">{{$site->number_of_flats}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Area")}}: <div class="highlight">{{$site->area}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Status access')}}: <div class="highlight">{{$site->status_access}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Status vertical')}}: <div class="highlight">{{$site->status_vertical}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Status splicing')}}: <div class="highlight">{{$site->status_splicing}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Final status')}}: <div class="highlight">{{$site->final_status}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Project manager')}}: <div class="highlight">{{$site->project_manager_name.' '.$site->project_manager_surname}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Construction manager')}}: <div class="highlight">{{$site->construction_manager_name.' '.$site->construction_manager_surname}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Worker (access)')}}: <div class="highlight">{{$site->access_name.' '.$site->access_surname}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Worker (vertical)')}}: <div class="highlight">{{$site->vertical_name.' '.$site->vertical_surname}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Worker (splicing)')}}: <div class="highlight">{{$site->splicing_name.' '.$site->splicing_surname}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Appointment date (access)')}}: <div class="highlight">@if($site->appointment_date_access){{date('d.m.Y. H:i', strtotime($site->appointment_date_access))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Appointment date (vertical)')}}: <div class="highlight">@if($site->appointment_date_vertical){{date('d.m.Y. H:i', strtotime($site->appointment_date_vertical))}} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Appointment date (splicing)')}}: <div class="highlight">@if($site->appointment_date_splicing){{date('d.m.Y. H:i', strtotime($site->appointment_date_splicing))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Delay date')}}: <div class="highlight">@if($site->delay_date){{date('d.m.Y. H:i', strtotime($site->delay_date))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Realization date (access)')}}: <div class="highlight">@if($site->realization_date_access){{date('d.m.Y.', strtotime($site->realization_date_access))}} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Realization date (vertical)')}}: <div class="highlight">@if($site->realization_date_vertical){{date('d.m.Y.', strtotime($site->realization_date_vertical))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Realization date').'('.__('splicing').')'}}: <div class="highlight">@if($site->realization_date_splicing){{date('d.m.Y.', strtotime($site->realization_date_splicing))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Withdrawal date')}}: <div class="highlight">@if($site->withdrawal_date){{date('d.m.Y.', strtotime($site->withdrawal_date))}} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Correction date start')}}: <div class="highlight">@if($site->correction_date_start){{date('d.m.Y.', strtotime($site->correction_date_start))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Correction date end')}}: <div class="highlight">@if($site->correction_date_end){{date('d.m.Y.', strtotime($site->correction_date_end))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{(__('Cluster'))}}: <div class="highlight">{{$site->cluster}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>Odo: <div class="highlight">{{$site->odo}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Izvod: <div class="highlight">{{$site->izvod}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{(__('Connector'))}}: <div class="highlight">{{$site->connector}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Technical solution date')}}: <div class="highlight">@if($site->technical_solution_date){{date('d.m.Y.', strtotime($site->technical_solution_date))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>ATC/MSAN/OLT: <div class="highlight">{{$site->atc_msan_olt}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>ODF/Modul: <div class="highlight">{{$site->odf_modul}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Connector number')}}: <div class="highlight">{{$site->connector_number}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Connection point')}}: <div class="highlight">{{$site->connection_point}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Fiber')}}: <div class="highlight">{{$site->fiber}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{(__('Numeration odo'))}}: <div class="highlight">{{$site->numeration_odo}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('DIS start date')}}: <div class="highlight">@if($site->dis_start_date){{date('d.m.Y.', strtotime($site->dis_start_date))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('DIS end date')}}: <div class="highlight">@if($site->dis_end_date){{date('d.m.Y.', strtotime($site->dis_end_date))}} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('TIS entry date')}}: <div class="highlight">@if($site->tis_entry_date){{date('d.m.Y.', strtotime($site->tis_entry_date))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Set DIS')}}: <div class="highlight">{{$site->set_dis}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Created at')}}: <div class="highlight">@if($site->created_at){{date('d.m.Y. H:i:s', strtotime($site->created_at))}} @endif</div></p>
                </div>
            </div>
            @if($isSuperAdmin)
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Sent BoQ')}}: <div class="highlight">{{$site->sent_boq}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Approved BoQ')}}: <div class="highlight">{{$site->approved_boq}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('BoQ send date')}}: <div class="highlight">@if($site->boq_send_date){{date('d.m.Y.', strtotime($site->boq_send_date))}} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('BoQ date of approval')}}: <div class="highlight">@if($site->boq_approve_date){{date('d.m.Y.', strtotime($site->boq_approve_date))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Price')}}: <div class="highlight">{{$site->price}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Company')}}: <div class="highlight">{{$site->company}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__('Amount').' '.__('Construction')}}: <div class="highlight">{{$totalAccess}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Amount').' '.__('Splicing')}}: <div class="highlight">{{$totalVertical}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Amount').' '.__('Documentation')}}: <div class="highlight">{{$totalDoc}}</div></p>
                </div>
            </div>
            @endif
            @if(count($history) >= 1)
                <div clsss="row">
                    <a href="#listingModal" class="btn btn-sm btn-warning btn-listing modal-basic" style="float:right" data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__('Client edit history')}}"><i class="fa fa-eye"></i></a>
                </div>
            @endif
        </div>
    </section>
    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{(__('Comments'))}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <code>{{(__('comment'))}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->ime.' '.$comment->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$images->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{(__('Images'))}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                    <div class="col-md-2">
                        <div class="popup-gallery">
                            <a class="pull-left mb-xs mr-xs" href="{{$img->url}}" title="{{$img->description.' '.date('d.m.Y. H:i:s', strtotime($img->created_at))}}" rel="group1">
                                <div class="img-responsive">
                                    <img src="{{$img->url}}" width="105">
                                </div>
                            </a>
                        </div>
                    </div>
                @endforeach
            </div>
        </section>
    @endif
    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{(__('Files'))}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!$requiredEquipment->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{(__('Equipment requirement'))}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{(__('Code'))}}</th>
                            <th>{{(__('Equipment'))}}</th>
                            <th>{{(__('Quantity'))}}</th>
                            <th>{{(__('Requires'))}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($requiredEquipment as $requip)
                            <tr class="gradeX">
                                <td>{{$requip->code}}</td>
                                <td>{{$requip->equipment}}</td>
                                <td>{{$requip->quantity}}</td>
                                <td>{{$requip->name.' '.$requip->surname}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif

    @if(!$equipment->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{(__('Equipment'))}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{(__('Code'))}}</th>
                        <th>{{(__('Equipment'))}}</th>
                        <th>{{(__('Quantity'))}}</th>
                        <th>{{(__('Comments'))}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($equipment as $equip)
                        <tr class="gradeX">
                            <td>{{$equip->code}}</td>
                            <td>{{$equip->equipment}}</td>
                            <td>{{$equip->quantity}}</td>
                            <td>/</td>
                        </tr>
                    @endforeach
                    <tr class="gradeX">
                        <td></td>
                        <td></td>
                        <td><strong>{{(__('Total'))}}: </strong></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif
    @if(!$works->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{(__('Works'))}} ({{__('Construction')}})</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{(__('Code'))}}</th>
                        <th>{{(__('Works'))}}</th>
                        <th>{{(__('Unit'))}}</th>
                        <th>{{(__('Quantity'))}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($works as $work)
                        <tr class="gradeX">
                            <td>{{$work->code}}</td>
                            <td>{{$work->work}}</td>
                            <td>{{$work->unit_short}}</td>
                            <td>{{$work->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif
    @if(!$verticalWorks->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title"><strong>{{(__('Works'))}} ({{__('Splicing')}})</strong></h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{(__('Code'))}}</th>
                        <th>{{(__('Works'))}}</th>
                        <th>{{(__('Unit'))}}</th>
                        <th>{{(__('Quantity'))}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($verticalWorks as $work)
                        <tr class="gradeX">
                            <td>{{$work->code}}</td>
                            <td>{{$work->work}}</td>
                            <td>{{$work->unit_short}}</td>
                            <td>{{$work->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif
    @if(!$docWorks->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title"><strong>{{(__('Works'))}} ({{__('Documentation')}})</strong></h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{(__('Code'))}}</th>
                        <th>{{(__('Works'))}}</th>
                        <th>{{(__('Unit'))}}</th>
                        <th>{{(__('Quantity'))}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($docWorks as $work)
                        <tr class="gradeX">
                            <td>{{$work->code}}</td>
                            <td>{{$work->work}}</td>
                            <td>{{$work->unit_short}}</td>
                            <td>{{$work->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
    @endif

    <div id="listingModal" class="modal-block modal-full-color modal-block-warning mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{(__('Change log'))}}</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-eye"></i>
                    </div>
                    <div class="modal-text">
                        @foreach($history as $edit)
                            <p>{{$edit->user_ime.' '.$edit->user_prezime.' ('.date('d.m.Y. H:i:s', strtotime($edit->edit_time)).')'}}</p>
                        @endforeach
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-default modal-dismiss">{{(__('Close'))}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </div>

@endsection
