@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('#equipment_category').val(0);
        $('#equipment_category').change(function(){
            $('#equipment').empty();
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id,
                        'dependent' : dependent
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });

        $('#package_number').focusout(function(){
            if($(this).val() != ''){
                var packageNumber = $(this).val();
                var equipmentId = $('#equipment').val();
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"GET",
                    cache	: 	false,
                    url		:	"/kir/demand/set_quantity",
                    data    :   {
                        "_token" : _token,
                        'package_number'  : packageNumber,
                        'equipment_id' : equipmentId
                    },
                    success	: function(result){
                        $('#quantity').val(result);
                    }
                });
            }
        });

        $('.btn-delete').click(function () {
            var id = $(this).attr("rowId");
            $('#id_row').val(id);
        });

        $('.btn-send').click(function () {
            var worker = $('#worker').val();
            var warehouse = $('#warehouse').val();
            $('#worker_s').val(worker);
            $('#warehouse_s').val(warehouse);
        });
    });
</script>
    <form id="form" method="post" action="{{route('demand_add_row')}}" class="form-horizontal">
        @csrf
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Demand")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered mb-none">
                        <tr>
                            <td rowspan="5" style="width:300px; vertical-align: middle;"><img src="/assets/images/logo-geberung.png" alt="Geberung" height="100"></td>
                        </tr>
                        <tr>
                            <td style="width:250px; text-align:center">{{__("Demand").' '. __("number")}}</td>
                            <td>{{$id}}</td>
                        </tr>
                        <tr>
                            <td style="text-align:center">{{__("Demanded at")}}</td>
                            <td>{{date('d.m.Y.')}}</td>
                        </tr>
                        <tr>
                            <td style="text-align:center">{{__("Demand for worker")}}</td>
                            <td>
                                <select type="select" name="worker" class="form-control" id="worker" spellcheck="false" data-plugin-selectTwo>
                                    <option></option>
                                    @foreach($workers as $worker)
                                        <option value="{{$worker->id}}" @if(old('worker') == $worker->id){{'selected'}} @endif>{{$worker->ime.' '.$worker->prezime}}</option>
                                    @endforeach
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align:center">{{__("Warehouse")}}</td>
                            <td>
                                <select type="select" name="warehouse" class="form-control" id="warehouse" spellcheck="false" data-plugin-selectTwo>
                                    <option></option>
                                    @foreach($warehouses as $war)
                                        <option value="{{$war->id}}" @if(old('warehouse') == $war->id){{'selected'}} @endif>{{$war->naziv}}</option>
                                    @endforeach
                                </select>
                            </td>
                        </tr>
                    </table>
                    <h2 style="text-align: center">{{__("Demand specifications")}}</h2>
                    <div class="table-mobile">
                        <table class="table table-bordered mb-none">
                            <tr>
                                <th style="width:400px">{{__("Category")}}</th>
                                <th style="width:400px">{{__("Equipment")}}</th>
                                <th>{{__("Package number")}}</th>
                                <th>{{__("Quantity")}}</th>
                            </tr>
                            <tr>
                                <td>
                                    <select class="form-control populate dynamic" data-plugin-selectTwo name="equipment_category" id="equipment_category"
                                            route="{{route('mont_equipment_populate')}}" data-dependent="equipment">
                                        <option value="0">-- {{__('Category')}} --</option>
                                        @foreach($equipmentCategories as $cat)
                                            <option value="{{$cat->id}}">{{$cat->category}}</option>
                                        @endforeach
                                    </select>
                                </td>
                                <td>
                                    <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                                        <option value="">-- {{__("Equipment")}} --</option>
                                    </select>
                                </td>
                                <td><input class="form-control" type="text" name="package_number" id="package_number"></td>
                                <td><input class="form-control" type="text" name="quantity" id="quantity"></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Insert row")}} <i class="fa fa-plus"></i></button>
                        <a href="#sendModal" class="btn btn-warning btn-send modal-basic" type="button" name="send" id="send">{{__("Send to warehouse")}} <i class="fa fa-send"></i></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>
    @if(!$equipmentTemp->isEmpty())
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table table-bordered mb-none">
                <tr>
                    <th>{{__("No.")}}</th>
                    <th>{{__("Code")}}</th>
                    <th style="width:400px">{{__("Category")}}</th>
                    <th style="width:400px">{{__("Equipment")}}</th>
                    <th>{{__("Package number")}}</th>
                    <th>{{__("Quantity")}}</th>
                </tr>
                @foreach($equipmentTemp as $b=>$data)
                <tr>
                    <td style="text-align:center">{{$b+1}}.</td>
                    <td style="text-align:center">{{$data->code}}</td>
                    <td style="text-align:center">{{$data->category}}</td>
                    <td style="text-align:center">{{$data->equipment}}</td>
                    <td style="text-align:center">{{$data->package}}</td>
                    <td style="text-align:center">{{$data->quantity}}</td>
                    <td style="text-align:center"><a href="#deleteModal" class="modal-basic btn-delete" rowId={{$data->id}}><i class="fa fa-trash-o seller-trash"></i></td></a>
                </tr>
                @endforeach
            </table>
        </div>
    </div>
    @endif

    <div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('demand_delete_row', 'del')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_row" value="" id="id_row">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="sendModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="delete-form" method="post" action="{{route('kir_demand_store')}}">
            <input type="hidden" name="worker_s" value="" id="worker_s">
            <input type="hidden" name="warehouse_s" value="" id="warehouse_s">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Dispatch to warehouse")}}</h4>
                            <p>{{__("Are you sure you want to send demand to warehouse?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection