@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("klijentId");
                $('#id_klijent').val(id);
                $('#tip_klijenta').val(0);
            });
            $('.btn-delete-optika').click(function () {
                var id = $(this).attr("klijentId");
                $('#id_klijent').val(id);
                $('#tip_klijenta').val(1);
            });
            $('.btn-delete-supernova').click(function () {
                var id = $(this).attr("klijentId");
                $('#id_klijent').val(id);
                $('#tip_klijenta').val(2);
            });
            $('.btn-delete-bakar').click(function () {
                var id = $(this).attr("klijentId");
                $('#id_klijent').val(id);
                $('#tip_klijenta').val(3);
            });
            $('.btn-delete').click(function () {
                var id = $(this).attr("runeId");
                $('#id_rune').val(id);
            });
        });
    </script>

    @if(!$klijenti->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Clients")}} DTH</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Full name")}}</th>
                        <th>{{__("Network group")}}</th>
                        <th>{{__("Installation address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Status")}}</th>
                        <th>{{__("Assigned to fitter")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($klijenti as $k)
                        {{$pulse = ''}}
                        @if($k->datum_odustajanja)
                            @if(date('Y-m-d',strtotime($k->datum_odustajanja)) == date('Y-m-d'))
                                <?php $pulse = 'alarm-pulse'?>
                            @else {{$pulse = ''}}
                            @endif
                        @endif
                        <tr class="gradeX {{$pulse}}">
                            <td>{{$k->ime.' '.$k->prezime}}</td>
                            <td>{{$k->mrezna_grupa}}</td>
                            <td>{{$k->adresa_instalacije}}</td>
                            <td>@if($k->tel1) {{$k->tel1}} @endif</td>
                            <td>{{$k->status}}</td>
                            <td>{{$k->user_ime.' '.$k->user_prezime}}</td>
                            <td class="btn-center">
                                <a href="/klijent/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('klijent.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                <a href="#deleteKlijentModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" klijentId="{{$k->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                </div>
            </div>
        </div>
    </section>
    @endif
    @if(!$klijentiOptika->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Clients")}} {{__("OPTICS")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Client")}}</th>
                            <th>{{__("Installation address")}}</th>
                            <th>{{__("Contact")}}</th>
                            <th>{{__("Status")}}</th>
                            <th>{{__("Assigned to fitter")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($klijentiOptika as $k)
                            <?php $pulse = '' ?>
                            @if($k->datum_odustajanja)
                                @if(date('Y-m-d',strtotime($k->datum_odustajanja)) == date('Y-m-d'))
                                    <?php $pulse = 'alarm-pulse'?>
                                @else {{$pulse = ''}}
                                @endif

                            @endif
                            <tr class="gradeX {{$pulse}}">
                                <td>{{$k->ime.' '.$k->prezime}}</td>
                                <td>{{$k->adresa}}</td>
                                <td>@if($k->tel1) {!! nl2br('Fiksni: '.$k->tel1." \n")!!} @endif
                                    @if($k->tel2) {!! 'Mob: '.nl2br($k->tel2." \n") !!} @endif @if($k->tel3) {!! 'Mob2: '.nl2br($k->tel3) !!} @endif</td>
                                <td>{{$k->status}}</td>
                                <td>{{$k->user_ime.' '.$k->user_prezime}}</td>
                                <td class="btn-center">
                                    <a href="/klijentiOptika/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('klijentiOptika.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                    <a href="#deleteKlijentModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-optika btn-sm" klijentId="{{$k->id}}"><i class="fa fa-trash-o"></i></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif
    @if(!$klijentiSupernova->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Clients")}} SUPERNOVA</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Client")}}</th>
                            <th>{{__("Address")}}</th>
                            <th>{{__("Contact")}}</th>
                            <th>{{__("Status")}}</th>
                            <th>{{__("Assigned to fitter")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($klijentiSupernova as $k)
                            <?php $pulse = '' ?>
                            @if($k->datum_odustajanja)
                                @if(date('Y-m-d',strtotime($k->datum_odustajanja)) == date('Y-m-d'))
                                    <?php $pulse = 'alarm-pulse'?>
                                @else {{$pulse = ''}}
                                @endif

                            @endif
                            <tr class="gradeX {{$pulse}}">
                                <td>{{$k->klijent_ime.' '.$k->klijent_prezime}}</td>
                                <td>{{$k->ulica.' '.$k->kucni_broj}}</td>
                                <td>@if($k->tel1) {!! nl2br('Fiksni: '.$k->tel1." \n")!!} @endif
                                    @if($k->tel2) {!! 'Mob: '.nl2br($k->tel2." \n") !!} @endif</td>
                                <td>{{$k->status}}</td>
                                <td>{{$k->user_ime.' '.$k->user_prezime}}</td>
                                <td class="btn-center">
                                    <a href="/klijentiSupernova/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('klijentiSupernova.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                    <a href="#deleteKlijentModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-supernova btn-sm" klijentId="{{$k->id}}"><i class="fa fa-trash-o"></i></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif
    @if(!$klijentiBakar->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Clients")}} {{__("COPPER")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Client")}}</th>
                            <th>{{__("Installation address")}}</th>
                            <th>{{__("Contact")}}</th>
                            <th>{{__("Status")}}</th>
                            <th>{{__("Assigned to fitter")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($klijentiBakar as $k)
                            <?php $pulse = '' ?>
                            @if($k->datum_odustajanja)
                                @if(date('Y-m-d',strtotime($k->datum_odustajanja)) == date('Y-m-d'))
                                    <?php $pulse = 'alarm-pulse'?>
                                @else {{$pulse = ''}}
                                @endif

                            @endif
                            <tr class="gradeX {{$pulse}}">
                                <td>{{$k->ime.' '.$k->prezime}}</td>
                                <td>{{$k->adresa}}</td>
                                <td>@if($k->tel1) {!! nl2br('Fiksni: '.$k->tel1." \n")!!} @endif
                                    @if($k->tel2) {!! 'Mob: '.nl2br($k->tel2." \n") !!} @endif @if($k->tel3) {!! 'Mob2: '.nl2br($k->tel3) !!} @endif</td>
                                <td>{{$k->status}}</td>
                                <td>{{$k->user_ime.' '.$k->user_prezime}}</td>
                                <td class="btn-center">
                                    <a href="/klijentiBakar/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('klijentiBakar.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                    <a href="#deleteKlijentModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-bakar btn-sm" klijentId="{{$k->id}}"><i class="fa fa-trash-o"></i></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif
    @if(!$runeOptics->isEmpty())    
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Clients")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Client")}}</th>
                            <th>{{__("Cluster")}}</th>
                            <th>{{__("Address")}}</th>
                            <th>{{__("Packet")}}</th>
                            <th>{{__("Assigned to fitter")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($runeOptics as $client)
                            <?php $pulse = '' ?>
                            @if($client->withdrawal_date)
                                @if(date('Y-m-d',strtotime($client->withdrawal_date)) == date('Y-m-d'))
                                    <?php $pulse = 'alarm-pulse'?>
                                @else {{$pulse = ''}}
                                @endif
                            @endif
                            <tr class="gradeX {{$pulse}}">
                                <td>{{$client->name.' '.$client->surname}}</td>
                                <td>{{$client->cluster}}</td>
                                <td>{{$client->street.' '.$client->home_no}}</td>
                                <td>{{$client->packet}}</td>
                                <td>{{$client->fitter_name.' '.$client->fitter_surname}}</td>
                                <td class="btn-center">
                                    <a href="/runeOptics/{{$client->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"
                                    data-toggle="tooltip" data-placement="top"
                                    data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('runeOptics.index').'/'.$client->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                    data-toggle="tooltip" data-placement="top"
                                    data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    @endif


    <div id="deleteKlijentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('odlozen_destroy')}}">
            <input type="hidden" name="id_klijent" id="id_klijent">
            <input type="hidden" name="tip_klijenta" id="tip_klijenta">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
