@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("klijentId");
                $('#id_klijent').val(id);
            });

        });
    </script>


    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Clients")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Contract number")}}</th>
                        <th>{{__("Name")}}</th>
                        <th>{{__("JMBG")}}</th>
                        <th>{{__("Installation address")}}</th>
                        <th>{{__("Assigned to")}}</th>
                        <th>{{__("Status")}}</th>
                        <th>{{__("Appointment date")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $zakazan = false;?>
                    @foreach($klijenti as $k)

                        {{$pulse = ''}}
                        @if($k->datum_odustajanja)
                            @if(date('Y-m-d',strtotime($k->datum_odustajanja)) == date('Y-m-d'))
                                <?php $pulse = 'alarm-pulse'?>
                                <?php $zakazan = true; ?>
                            @else {{$pulse = ''}}
                            @endif

                        @endif
                        <tr class="gradeX {{$pulse}}">
                            <td>{{$k->br_ugovora}}</td>
                            <td>{{$k->ime.' '.$k->prezime}}</td>
                            <td>{{$k->jmbg}}</td>
                            <td>{{$k->adresa_instalacije}}</td>
                            <td>{{$k->user_ime.' '.$k->user_prezime}}</td>
                            <td>{{$k->status}}</td>
                            <td>@if($k->datum_zakazivanja) {{date('d.m.Y. H:i', strtotime($k->datum_zakazivanja))}} @endif</td>
                            <td class="btn-center">
                                <a href="/klijent/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success"><i class="fa fa-pencil"></i></button></a>
                                <a href="{{route('klijent.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info"><i class="fa fa-info-circle"></i></button></a>
                                <a href="#deleteKlijentModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete" klijentId="{{$k->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                </div>
            </div>
        </div>
    </section>


    <div id="deleteKlijentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('klijent.destroy', 'test')}}">
            <input type="hidden" name="id_klijent" id="id_klijent">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
