@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function () {
        $('.btn-delete').click(function () {
            var id = $(this).attr("klijentId");
            $('#id_klijent').val(id);
        });
    });
</script>


<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">Montaže starije od 2 godine ({{$count}}) - <small>klijenti označeni žutom bojom su za naplatu</small></h2>
    </header>
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table table-bordered table-striped mb-none" id="datatable-default">
                <thead>
                <tr>
                    <th>{{__("Client")}}</th>
                    <th>{{__("Network group")}}</th>
                    <th>{{__("Installation address")}}</th>
                    <th>{{__("Status")}}</th>
                    <th>Razlog interviencije</th>
                    <th>Za naplatu</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                @foreach($klijenti as $k)
                    <?php $pulse = '' ?>
                    @if($k->for_payment == 1)
                        <?php $pulse = 'alarm-pulse'?>
                    @else
                        {{$pulse = ''}}
                    @endif
                    <tr class="gradeX {{$pulse}}">
                        <td>{{$k->ime.' '.$k->prezime}}</td>
                        <td>{{$k->mrezna_grupa}}</td>
                        <td>{{$k->adresa_instalacije}}</td>
                        <td>{{$k->status}}</td>
                        {{--<td>{{$k->user_ime.' '.$k->user_prezime}} @if($k->monter_int_ime)<strong>{!! nl2br(" \n".'Monter reklamacije: '.$k->monter_int_ime.' '.$k->monter_int_prezime)!!}</strong>@endif</td>--}}
                        <td>{{$k->razlog}}</td>
                        <td>@if($k->for_payment == 1) DA @else NE @endif</td>
                        <td class="btn-center">
                            <a href="/klijent/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm" data-toggle="tooltip" data-placement="top"
                                                                        data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                            <a href="{{route('klijent.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                                                                    data-toggle="tooltip" data-placement="top"
                                                                                    data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                            @if($isSuperAdmin)
                                <a href="#deleteKlijentModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm"
                                   data-toggle="tooltip" data-placement="top"
                                   data-original-title="{{__("Delete")}}"klijentId="{{$k->id}}"><i class="fa fa-trash-o"></i></a>
                            @endif
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
        <div class="row datatables-footer">
            <div class="col-sm-12 col-md-6">
                {{$klijenti->links()}}
            </div>
        </div>
    </div>
</section>


<div id="deleteKlijentModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" method="post" action="{{route('klijent.destroy', 'test')}}">
        <input type="hidden" name="id_klijent" id="id_klijent">
        {{ method_field('delete') }}
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-trash-o"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Deletion")}}</h4>
                        <p>{{__("Are you sure you want to delete data?")}}?</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
@endsection
