@extends('layouts.app')

@section('content')
<?php if ($id_user != $klijent->id_user && !$isAdmin && $id_user != $klijent->id_user_reklamacije){ return view('missing_page');}?>
<section class="panel">
    <header class="panel-heading panel-align">
        <h2 class="panel-title">{{$klijent->ime.' '.$klijent->prezime}}<small> &nbsp&nbsp&nbsp(ID: {{$klijent->id}})</small> @if($oldMontage) <small style="color:red"> (montaža je starija od 2 godine)</small> @endif
            @if($dismantled) <small style="color:red">({{__('DISMANTLED')}})</small>@endif</h2>
        <div class="panel-actions">
            @if(session('search_route'))
                <a href="{{route('redirector')}}"
                   data-toggle="tooltip" data-placement="top"
                   data-original-title="{{__('Return to search page')}}"><button class="btn btn-danger"><i class="fa fa-backward"></i></button></a>
            @endif
            <a href="/klijent/{{$klijent->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
        </div>
    </header>
    <div class="panel-body">
        <form action="{{route('export_pdf')}}" type="get" class="form-inline">
            @csrf
            <div class="row">
                <div class="col-sm-12" style="text-align: right">
                    <input type="hidden" value="{{$klijent->id}}" name="id">
                    <select class="form-control" name="type" style="max-width:250px">
                        <option value="1">{{__("Contract")}} M:SAT</option>
                        <option value="2">{{__("Contract")}} BOX 2 M:SAT</option>
                        <option value="3">{{__("Contract")}} BOX 3 M:SAT</option>
                        <option value="4">{{__("Contract")}} BOX 4 M:SAT</option>
                        <option value="5">{{__("Work order")}}</option>
                        <option value="6">{{__("Promotion")}}</option>
                        <option value="7">{{__("Extra STB")}}</option>
                        <option value="8">{{__("Mobile net")}}</option>
                        <option value="9">{{__("Contract")}} M:SAT (2022)</option>
                        <option value="10">{{__("Contract")}} BOX 2 M:SAT (2022)</option>
                        <option value="11">{{__("Contract")}} BOX 3 M:SAT (2022)</option>
                        <option value="12">{{__("Contract")}} BOX 4 M:SAT (2022)</option>
                        <option value="13">{{__("Promotion")}} (2022)</option>
                        <option value="14">{{__("Mobile net")}} (2022)</option>
                        <option value="15">Solo M:SAT</option>
                    </select>
                    <button type="submit" class="mb-xs mt-xs mr-xs btn btn-success">{{__("Print")}} <i class="fa fa-print"></i></button></a>
                </div>
            </div>
        </form>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Contract number")}}: <div class="highlight">{{$klijent->br_ugovora}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Full name")}}: <div class="highlight">{{$klijent->ime.' '.$klijent->prezime}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("JMBG")}}: <div class="highlight">{{$klijent->jmbg}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Network group")}}: <div class="highlight">{{$klijent->mrezna_grupa}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Phones")}}: <div class="highlight">@if($klijent->tel1) {!! nl2br('Fiksni: '.$klijent->tel1." \n")!!} @endif
                    @if($klijent->tel2) {!! 'Mob: '.nl2br($klijent->tel2." \n") !!} @endif @if($klijent->tel3) {!! 'Mob2: '.nl2br($klijent->tel3) !!} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>Tis ID: <div class="highlight">{{$klijent->tis_id}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("ID card number")}}: <div class="highlight">{{$klijent->broj_lk}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Date of issuance of ID card")}}: <div class="highlight">@if($klijent->datum_izdavanja_lk){{date('d.m.Y.', strtotime($klijent->datum_izdavanja_lk))}}@endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Place of issuance of ID card")}}: <div class="highlight">{{$klijent->mesto_izdavanja_lk}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Address of residence")}}: <div class="highlight">{{$klijent->adresa_prebivalista}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Installation address")}}: <div class="highlight">{{$klijent->adresa_instalacije}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Packet")}}: <div class="highlight">{{$klijent->paket}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Pachet type")}}: <div class="highlight">{{$klijent->vrsta_paketa}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Nov service")}}: <div class="highlight">{{$klijent->nov_servis}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Extra STB")}}: <div class="highlight">{{$klijent->dodatni_stb}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Points")}}: <div class="highlight">{{$klijent->broj_bodova}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Contractor seller")}}: <div class="highlight">{{$klijent->izvodjac_prodavac}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Seller")}}: <div class="highlight">{{$klijent->prodavac}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Contractor")}}: <div class="highlight">{{$klijent->izvodjac}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Montage date")}}: <div class="highlight">@if($klijent->datum_montaze){{date('d.m.Y.', strtotime($klijent->datum_montaze))}} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Withdrawal date")}}: <div class="highlight">@if($klijent->datum_odustajanja){{date('d.m.Y.', strtotime($klijent->datum_odustajanja))}} @endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Withdrawal reason")}}: <div class="highlight">{{$klijent->razlog_odustajanja}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Delay date")}}: <div class="highlight">@if($klijent->datum_odlaganja){{date('d.m.Y. H:i', strtotime($klijent->datum_odlaganja))}} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Status")}}: <div class="highlight">{{$klijent->status}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Assigned to fitter")}}: <div class="highlight">{{$klijent->user_ime.' '.$klijent->user_prezime}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Appointment date")}}: <div class="highlight">@if($klijent->datum_zakazivanja){{date('d.m.Y. H:i', strtotime($klijent->datum_zakazivanja))}} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("For payment")}}: <div class="highlight">@if($klijent->for_payment) DA @else NE @endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Intervention status")}} <div class="highlight">{{$klijent->status_intervencije}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Intervention date")}}: <div class="highlight">@if($klijent->datum_intervencije){{date('d.m.Y.', strtotime($klijent->datum_intervencije))}} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Intervention reason")}}: <div class="highlight">{{$klijent->razlog}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Reclamation fitter")}}: <div class="highlight">{{$klijent->monter_reklamacije_ime.' '.$klijent->monter_reklamacije_prezime}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Reclamation date")}}: <div class="highlight">@if($klijent->datum_reklamacije){{date('d.m.Y.', strtotime($klijent->datum_reklamacije))}} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Helper")}}: <div class="highlight">{{$klijent->helper_name.' '.$klijent->helper_surname}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Terrain")}}: <div class="highlight">@if($klijent->on_terrain == 1) DA @else NE @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Filed")}}: <div class="highlight">@if($klijent->filed == 1) DA @else NE @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__('Company')}}: <div class="highlight">{{$klijent->company}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
            <p>{{__("Devices")}}
                @foreach($montirani as $mont)
                    <div class="highlight">{{'('.strtoupper($mont->uredjaj).') '.$mont->serijski_broj.' ('.date('d.m.Y. H:i:s', strtotime($mont->created_at)).')'}}</div>
                @endforeach
            </div>
            <div class="col-sm-4">
                <p>{{__("Equipment")}}
                @foreach($equipment as $equip)
                    <div class="highlight">{{$equip->naziv.' ('.__("quantity").': '.$equip->kol.') ('.date('d.m.Y. H:i:s', strtotime($equip->created_at)).')'}}</div>
                @endforeach
            </div>
            <div class="col-sm-4">
                <p>{{__("Returned")}}
                @foreach($vraceni as $vr)
                    <div class="highlight">{{'('.strtoupper($vr->uredjaj).') '.$vr->serijski_broj.' ('.date('d.m.Y. H:i:s', strtotime($vr->created_at)).') - '.$vr->razlog}}</div>
                @endforeach
            </div>
        </div>
        @if($isSuperAdmin)
            <div class="row">
                <div class="col-sm-4">
                    <p>{{__("Price")}}: <div class="highlight">{{$klijent->price}}</div></p>
                </div>
            </div>
        @endif
        <div class="row">
            <div class="col-sm-12">
                <p style="float: right">{{__("Last change")}} {{$klijent->kreirao_ime.' '.$klijent->kreirao_prezime.' ('.date('d.m.Y. H:i:s', strtotime($klijent->updated_at)).')'}}</p>
            </div>
        </div>
        <div clsss="row">
            <a href="#deviceLogModal" class="btn btn-sm btn-info btn-listing modal-basic" style="float:right" data-toggle="tooltip" data-placement="top"
               data-original-title="{{__('Device history')}}"><i class="fa fa-eye"></i></a>
        </div>
        @if(count($history) > 1)
          <div class="row">
              <a href="#listingModal" class="btn btn-sm btn-warning btn-listing modal-basic" style="float:right" data-toggle="tooltip" data-placement="top"
                 data-original-title="{{__('Client edit history')}}"><i class="fa fa-eye"></i></a>
          </div>
        @endif
    </div>
</section>
<div id="listingModal" class="modal-block modal-full-color modal-block-warning mfp-hide">
  <section class="panel">
    <header class="panel-heading">
      <h2 class="panel-title">{{__("Client edit history")}}</h2>
    </header>
    <div class="panel-body">
      <div class="modal-wrapper">
        <div class="modal-icon">
          <i class="fa fa-eye"></i>
        </div>
        <div class="modal-text">
          @foreach($history as $edit)
          <p @if($edit->data_transfer) style="color:black" @endif>{{$edit->user_ime.' '.$edit->user_prezime.' ('.date('d.m.Y. H:i:s', strtotime($edit->edit_time)).')'}} 
            @if($edit->data_transfer)({{__("Data transfer")}})@endif</p>
          @endforeach
        </div>
      </div>
    </div>
    <footer class="panel-footer">
      <div class="row">
        <div class="col-md-12 text-right">
          <button class="btn btn-default modal-dismiss">{{__("Close")}}</button>
        </div>
      </div>
    </footer>
  </section>
</div>
<div id="deviceLogModal" class="modal-block modal-full-color modal-block-info mfp-hide">
    <section class="panel">
      <header class="panel-heading">
        <h2 class="panel-title">{{__("Device logs")}}</h2>
      </header>
      <div class="panel-body">
        <div class="modal-wrapper">
          <div class="modal-icon">
            <i class="fa fa-eye"></i>
          </div>
          <div class="modal-text">
            @foreach($deviceLog as $log)
              <p @if($log->vraceni || $log->deleted) style="color:#ff6666" @endif>{{$log->serijski_broj.' ('.$log->uredjaj.')'.' ('.date('d.m.Y. H:i:s', strtotime($log->adjusted_date?$log->adjusted_date:$log->created_at)).' - '.$log->ime.' '.$log->prezime.')'}}
              @if($log->vraceni){{' '.__('returned').' '.($log->adjusted_return_date?date('d.m.Y. H:i:s', strtotime($log->adjusted_return_date)):date('d.m.Y. H:i:s', strtotime($log->created_at)))}}
                  @if($log->return_user){{' - '.$log->return_name.' '.$log->return_surname}}@endif @endif @If($log->deleted) - {{__('deleted')}}@endif</p>
            @endforeach
          </div>
        </div>
      </div>
      <footer class="panel-footer">
        <div class="row">
          <div class="col-md-12 text-right">
            <button class="btn btn-default modal-dismiss">{{__("Close")}}</button>
          </div>
        </div>
      </footer>
    </section>
</div>
@if(!empty($napomene[0]))
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Notes")}} </h2>
        </header>
        <div class="panel-body">
            @foreach($napomene as $br=>$nap)
                <code>{{__("Note")}} {{$br+1}}</code>
                <blockquote class="success">
                    <p>{{$nap->napomena}}</p>
                    <small>@if($nap->complaint) {{'opis reklamacije'}} @else {{$nap->ime.' '.$nap->prezime}} @endif <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($nap->created_at))}}</cite></small>
                </blockquote>
            @endforeach
        </div>
    </section>
@endif
@if(!empty($images[0]))
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{__("Images")}}</h2>
        </header>
        <div class="panel-body">
            @foreach($images as $img)
                <div class="col-md-2">
                    <div class="popup-gallery">
                        <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" 
                            title="@if($img->type_id){{$img->type.' '}}@endif{{date('d.m.Y. H:i:s',strtotime($img->created_at))}}" 
                            rel="group1">
                            <div class="img-responsive">
                                <img src="{{$img->image_url}}" width="105">
                            </div>
                        </a>
                    </div>
                </div>
            @endforeach
        </div>
    </section>
@endif

@if(!$files->isEmpty())
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{__("Files")}}</h2>
        </header>
        <div class="panel-body">
            @foreach($files as $file)
                <div class="col-md-2" style="overflow: auto;">
                    <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                </div>
            @endforeach
        </div>
    </section>
@endif

@if(!empty($imgDocs[0]))
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{__("Documents")}}</h2>
        </header>
        <div class="panel-body">
            @foreach($imgDocs as $doc)
                <div class="col-md-2">
                    <div class="popup-gallery">
                        <a class="pull-left mb-xs mr-xs" href="{{$doc->image_url}}" title="{{date('d.m.Y. H:i:s',strtotime($doc->created_at))}}" rel="group2">
                            <div class="img-responsive">
                                <img src="{{$doc->image_url}}" width="105">
                            </div>
                        </a>
                    </div>
                </div>
            @endforeach
        </div>
    </section>
@endif

@endsection
