@extends('layouts.app')

@section('content')

    <script type="text/javascript">
        $(document).ready(function(){
            document.getElementById('prodavac'). readOnly = true;
            @if(!$isAdmin)
                document.getElementById('br_ugovora'). readOnly = true;
                document.getElementById('tis_id'). readOnly = true;
                document.getElementById('broj_bodova'). readOnly = true;
            @endif
        });

    </script>

    <form id="form" method="post" action="{{route('klijentiProdaja.store')}}" class="form-horizontal">
        <input type="hidden" name="tip_klijenta" value="{{$tipKlijenta}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <div class="panel-actions">
                        <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                    </div>

                    <h2 class="panel-title">{{__('Add new client')}} @if($tipKlijenta == 1){{'(OPTIKA)'}}@endif
                        @if($tipKlijenta == 2){{'(SUPERNOVA)'}}@endif</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Contract number")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="br_ugovora" class="form-control" placeholder="" id="br_ugovora" spellcheck="false" value="{{old('br_ugovora')}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Name")}} <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('ime')){{'has-error'}} @endif">
                            <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false" value="{{old('ime')}}"/>
                            @if($errors->has('ime'))
                                <label for="ime" class="error">{{$errors->first('ime')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("Surname")}} <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('prezime')){{'has-error'}} @endif">
                            <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false" value="{{old('prezime')}}"/>
                            @if($errors->has('prezime'))
                                <label for="prezime" class="error">{{$errors->first('prezime')}}</label>
                            @endif
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("JMBG")}} <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('jmbg')){{'has-error'}} @endif">
                            <input type="text" name="jmbg" class="form-control" placeholder="" id="jmbg" spellcheck="false" value="{{old('jmbg')}}"/>
                            @if($errors->has('jmbg'))
                                <label for="jmbg" class="error">{{$errors->first('jmbg')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                        <div class="col-sm-3">
                            <select name="mrezna_grupa" id="mrezna_grupa" class="form-control populate">
                                <option value="">-- {{__("Network group")}} --</option>
                                @foreach($networkGroups as $network)
                                    <option value="{{$network->network}}" @if($network->network == old('mrezna_grupa')) selected @endif>{{$network->network}}</option>
                                @endforeach
                            </select>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                        <div class="col-sm-3">
                            <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{old('tel1')}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Phone")}} 2 <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('tel2')){{'has-error'}} @endif">
                            <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{old('tel2')}}"/>
                            @if($errors->has('tel2'))
                                <label for="tel2" class="error">{{$errors->first('tel2')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                        <div class="col-sm-3">
                            <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{old('tel3')}}"/>
                        </div>
                        <label class="col-sm-1 control-label">Tis ID</label>
                        <div class="col-sm-3">
                            <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false" value="{{old('tis_id')}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("ID no.")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="broj_lk" class="form-control" placeholder="" id="broj_lk" spellcheck="false" value="{{old('broj_lk')}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Date of issuance of ID card")}} <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('datum_izdavanja_lk')){{'has-error'}} @endif">
                            <div class="input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" name="datum_izdavanja_lk" class="form-control date-picker" placeholder="" id="datum_izdavanja_lk"  spellcheck="" value="{{old('datum_izdavanja_lk')}}"/>
                            </div>
                            @if($errors->has('datum_izdavanja_lk'))
                                <label for="jmbg" class="error">{{$errors->first('datum_izdavanja_lk')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("Place of issuance of ID card")}} <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('mesto_izdavanja_lk')){{'has-error'}} @endif">
                            <input type="text" name="mesto_izdavanja_lk" class="form-control" placeholder="" id="mesto_izdavanja_lk" spellcheck="false" value="{{old('mesto_izdavanja_lk')}}"/>
                            @if($errors->has('mesto_izdavanja_lk'))
                                <label for="jmbg" class="error">{{$errors->first('mesto_izdavanja_lk')}}</label>
                            @endif
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Address of residence")}} <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('adresa_prebivalista')){{'has-error'}} @endif">
                            <input type="text" name="adresa_prebivalista" class="form-control" placeholder="" id="adresa_prebivalista" spellcheck="false" value="{{old('adresa_prebivalista')}}"/>
                            @if($errors->has('adresa_prebivalista'))
                                <label for="jmbg" class="error">{{$errors->first('adresa_prebivalista')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("Installation address")}} <span class="required">*</span></label>
                        <div class="col-sm-3 @if($errors->has('adresa_instalacije')){{'has-error'}} @endif">
                            <input type="text" name="adresa_instalacije" class="form-control" placeholder="" id="adresa_instalacije" spellcheck="" value="{{old('adresa_instalacije')}}"/>
                            @if($errors->has('adresa_instalacije'))
                                <label for="jmbg" class="error">{{$errors->first('adresa_instalacije')}}</label>
                            @endif
                        </div>
                        <label class="col-sm-1 control-label">{{__("Packet")}} </label>
                        <div class="col-sm-3">
                            <select name="paket" id="paket" class="form-control populate" data-plugin-selectTwo>
                                <option value="">-- {{__("Packet")}} --</option>
                                @foreach($paketi as $paket)
                                    <option value="{{$paket->id}}" @if($paket->id == old('paket')) selected @endif>{{$paket->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Packet type")}} </label>
                        <div class="col-sm-3">
                            <select name="vrsta_paketa" id="vrsta_paketa" class="form-control populate">
                                <option value="">-- {{__("Packet type")}} --</option>
                                @foreach($vrste_paketa as $vpak)
                                    <option value="{{$vpak->id}}" @if($vpak->id == old('vrsta_paketa')) selected @endif>{{$vpak->vrsta}}</option>
                                @endforeach
                            </select>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Nov service")}} </label>
                        <div class="col-sm-3">
                            <select name="nov_servis" id="nov_servis" class="form-control populate">
                                <option value="">-- {{__("Nov service")}} --</option>
                                @foreach($nov_servisi as $nov)
                                    <option value="{{$nov->id}}" @if($nov->id == old('nov_servis')) selected @endif>{{$nov->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Extra STB")}} </label>
                        <div class="col-sm-3">
                            <?php $options = array(1,2,3,4,5);?>
                            <select name="dodatni_stb" id="dodatni_stb" class="form-control">
                                <option value="">-- {{__("Extra STB")}} --</option>
                                @foreach($options as $option)
                                    <option value="{{$option}}" @if($option == old('dodatni_stb')) selected @endif>{{$option}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Points")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="broj_bodova" class="form-control" placeholder="" id="broj_bodova" spellcheck="false" value="{{old('broj_bodova')}}"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Contractor")}} {{__("seller")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="izvodjac_prodavac" class="form-control" placeholder="" id="izvodjac_prodavac" spellcheck="false" value="Biz-pronet Leskovac"/>
                        </div>
                        <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                        <div class="col-sm-3">
                            <input type="text" name="prodavac" class="form-control" placeholder="" id="prodavac" spellcheck="false" value="{{$username}}"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Note")}}</label>
                        <div class="col-sm-3">
                            <textarea name="napomena" rows="5" class="form-control" placeholder="" id="napomena" spellcheck="false">{{old('napomena')}}</textarea>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-sm-12 btn-confirmation">
                            <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                            <a href="{{route('klijentiProdaja.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                        </div>
                    </div>
                </footer>
            </section>
    </form>

@endsection