@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.btn-delete-napomena').click(function () {
                var id = $(this).attr("napomenaId");
                $('#id_napomena').val(id);
            });

            @if(!$isAdmin)
                document.getElementById('br_ugovora'). readOnly = true;
                document.getElementById('tis_id'). readOnly = true;
                document.getElementById('broj_bodova'). readOnly = true;
                document.getElementById('prodavac'). readOnly = true;
            @endif
        });

    </script>
    @if(!in_array($klijent->id_prodavac, $sellersIds) && !$isAdmin)
        <section class="body-error error-inside">
            <div class="center-error">
                <div class="row">
                    <div class="col-md-8">
                        <div class="main-error mb-xlg">
                            <h2 class="error-code text-dark text-center text-semibold m-none">404 <i class="fa fa-file"></i></h2>
                            <p class="error-explanation text-center">{{__("Page does not exist")}}.</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    @else
    <form id="form" method="post" action="{{route('klijentiProdaja.update', [$klijent->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Save")}} <i class="fa fa-save"></i></button>
                </div>

                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contract number")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="br_ugovora" class="form-control" placeholder="" id="br_ugovora" spellcheck="false" value="{{$klijent->br_ugovora}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false" value="{{$klijent->ime}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false" value="{{$klijent->prezime}}"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("JMBG")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="jmbg" class="form-control" placeholder="" id="jmbg" spellcheck="false" value="{{$klijent->jmbg}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                    <div class="col-sm-3">
                        <select name="mrezna_grupa" id="mrezna_grupa" class="form-control populate">
                            @if($klijent->mrezna_grupa)
                                 <option value="{{$klijent->mrezna_grupa}}">{{$klijent->mrezna_grupa}}</option>
                            @endif
                            <option value="">-- {{__("Network group")}} --</option>
                            @foreach($networkGroups as $network)
                                <option value="{{$network->network}}">{{$network->network}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value="{{$klijent->tel1}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value="{{$klijent->tel2}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="" value="{{$klijent->tel3}}"/>
                    </div>
                    <label class="col-sm-1 control-label">Tis ID</label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false" value="{{$klijent->tis_id}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("ID no.")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="broj_lk" class="form-control" placeholder="" id="broj_lk" spellcheck="false" value="{{$klijent->broj_lk}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Date of issuance of ID card")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_izdavanja_lk" class="form-control date-picker" placeholder="" id="datum_izdavanja_lk"
                                   spellcheck="" value="@if($klijent->datum_izdavanja_lk){{date('d.m.Y.', strtotime($klijent->datum_izdavanja_lk))}} @endif"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Place of issuance")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="mesto_izdavanja_lk" class="form-control" placeholder="" id="mesto_izdavanja_lk" spellcheck="false" value="{{$klijent->mesto_izdavanja_lk}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Address of residence")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="adresa_prebivalista" class="form-control" placeholder="" id="adresa_prebivalista" spellcheck="false" value="{{$klijent->adresa_prebivalista}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Installation address")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="adresa_instalacije" class="form-control" placeholder="" id="adresa_instalacije" spellcheck="" value="{{$klijent->adresa_instalacije}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Packet")}} </label>
                    <div class="col-sm-3">
                        <select name="paket" id="paket" class="form-control populate" data-plugin-selectTwo>
                            <option value="">-- {{__("Packet")}} --</option>
                            @foreach($paketi as $paket)
                                <option value="{{$paket->id}}" <?php if ($paket->id == $klijent->id_paket) echo 'selected = "selected"' ?>>{{$paket->naziv}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Packet type")}} </label>
                    <div class="col-sm-3">
                        <select name="vrsta_paketa" id="vrsta_paketa" class="form-control populate">
                            <option value="">-- {{__("Packet type")}} --</option>
                            @foreach($vrste_paketa as $vpak)
                                <option value="{{$vpak->id}}" <?php if ($vpak->id == $klijent->id_vrsta_paketa) echo 'selected = "selected"' ?>>{{$vpak->vrsta}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Nov service")}} </label>
                    <div class="col-sm-3">
                        <select name="nov_servis" id="nov_servis" class="form-control populate">
                            <option value="">-- {{__("Nov service")}} --</option>
                            @foreach($nov_servisi as $nov)
                                <option value="{{$nov->id}}" <?php if ($nov->id == $klijent->id_nov_servis) echo 'selected = "selected"' ?>>{{$nov->naziv}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Extra STB")}} </label>
                    <div class="col-sm-3">
                        <select name="dodatni_stb" id="dodatni_stb" class="form-control">
                            <?php $options = array(1,2,3,4,5);?>
                            @if($klijent->dodatni_stb)
                                <option value="{{$klijent->dodatni_stb}}">{{$klijent->dodatni_stb}}</option>
                            @endif
                            <option value="">-- {{__("Extra STB")}} --</option>
                            @foreach($options as $option)
                                <option value="{{$option}}">{{$option}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Points")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="broj_bodova" class="form-control" placeholder="" id="broj_bodova" spellcheck="false" value="{{$klijent->broj_bodova}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Contractor")}} {{__("seller")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="izvodjac_prodavac" class="form-control" placeholder="" id="izvodjac_prodavac" spellcheck="false" value="{{$klijent->izvodjac_prodavac}}"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <input type="text" readonly name="prodavac" class="form-control" placeholder="" id="prodavac" spellcheck="false" value="{{$prodavac}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Note")}}</label>
                    <div class="col-sm-3">
                        <textarea name="napomena" rows="5" class="form-control" placeholder="" id="napomena" spellcheck="false">{{$klijent->napomena}}</textarea>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('klijentiProdaja.index')}}"><button id="icon-without-border-success" type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

    @if(!empty($napomene[0]))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($napomene as $br=>$nap)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$nap->napomena}}</p>
                        <small>{{$nap->ime.' '.$nap->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($nap->created_at))}}</cite></small>
                        @if($isSuperAdmin)
                            <a href="#deleteNapomenaModal" class="modal-basic btn btn-delete-napomena" napomenaId="{{$nap->id}}"><i class="fa fa-eraser" style="color: #b80000"></i></a>
                        @endif
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    <div id="deleteNapomenaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_napomena', 'prodaja')}}">
            <input type="hidden" name="id_napomena" id="id_napomena">
            <input type="hidden" name="id_klijent" id="id_klijent" value="{{$klijent->id}}">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endif
@endsection