@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("klijentProdajaId");
                $('#id_klijent').val(id);
            });
            $('.btn-expedicija').click(function () {
                var id = $(this).attr("expedicijaId");
                $('#id_expedicija').val(id);
            });
            $('.btn-change').click(function () {
                var id = $(this).attr("klijentProdajaId");
                var tip = $(this).attr("tipKlijenta");
                $('#id_klijent').val(id);
                $('#tip_klijenta').val(tip);
            });
            $('.btn-edit-points').click(function () {
                var id = $(this).attr("klijentProdajaId");
                $('#id_client').val(id);
            });
        });
    </script>


    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Clients")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Client")}}</th>
                        <th>{{__("Network group")}}</th>
                        <th>{{__("Installation address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Packet")}}</th>
                        @if($isAdmin || $isLider)
                            <th>{{__("Seller")}}</th>
                        @endif
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($klijenti as $k)
                        <?php
                            if($k->vraceno == 1) $pulse = 'alarm-pulse-red'; else $pulse = '';
                            $marker = '';
                            $mounted = false;
                            if($k->prihvaceno == 1) $marker = 'marker-gray';
                            if(in_array($k->id_status, [3,4]) || in_array($k->id_optika_status, [3,4]) || in_array($k->id_supernova_status, [3,4]) || in_array($k->id_bakar_status, [3,4])) $marker = 'marker-red';
                            if(in_array(5, [$k->id_status, $k->id_optika_status, $k->id_supernova_status, $k->id_bakar_status])) {
                                $marker = 'marker-green';
                                $mounted = true;
                            }
                        ?>
                        <tr class="gradeX {{$marker}} {{$pulse}}">
                            <td>{{$k->ime.' '.$k->prezime}}</td>
                            <td>{{$k->mrezna_grupa}}</td>
                            <td>{{$k->adresa_instalacije}}</td>
                            <td>@if($k->tel1) {!! nl2br('Fiksni: '.$k->tel1." \n")!!} @endif
                                @if($k->tel2) {!! 'Mob: '.nl2br($k->tel2." \n") !!} @endif @if($k->tel3) {!! 'Mob2: '.nl2br($k->tel3) !!} @endif</td>
                            <td>{{$k->paket}}</td>
                            @if($isAdmin || $isLider)
                                <td>{{$k->prodavac_ime.' '.$k->prodavac_prezime}}</td>
                            @endif
                            <td class="btn-center">
                                @if($k->ekspedovano != 1)
                                     <a href="/klijentiProdaja/{{$k->id}}/edit"/><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"
                                     data-toggle="tooltip" data-placement="top"
                                     data-original-title="{{__("Edit")}}"><i class="fa fa-pencil"></i></button></a>
                                @endif
                                @if($isSuperAdmin)
                                    <a href="#changeTypeModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-default btn-change btn-sm" klijentProdajaId="{{$k->id}}"
                                       tipKlijenta="{{$k->tip_klijenta}}"
                                       data-toggle="tooltip" data-placement="top"
                                       data-original-title="{{__('Change client type')}}"><i class="fa fa-retweet"></i></a>
                                @endif
                                    <a href="{{route('klijentiProdaja.index').'/'.$k->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"
                                        data-toggle="tooltip" data-placement="top"
                                        data-original-title="Info"><i class="fa fa-info-circle"></i></button></a>
                                @if($k->ekspedovano != 1)
                                    <a href="#expedicijaModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-warning btn-expedicija btn-sm" expedicijaId="{{$k->id}}"
                                       data-toggle="tooltip" data-placement="top"
                                       data-original-title="{{__("Send request")}}"><i class="fa fa-envelope"></i></a>
                                @endif
                                @if($isSuperAdmin && !$mounted)
                                    <a href="#deleteKlijentProdajaModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" klijentProdajaId="{{$k->id}}"
                                       data-toggle="tooltip" data-placement="top"
                                       data-original-title="{{__("Delete")}}"><i class="fa fa-trash-o"></i></a>
                                @endif
                                @if($isSuperAdmin && $mounted)
                                    <a href="#editPointsModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-primary btn-edit-points btn-sm" klijentProdajaId="{{$k->id}}"
                                        data-toggle="tooltip" data-placement="top"
                                        data-original-title="{{__('Edit points')}}"><i class="fa fa-edit"></i></a>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    @if(is_object($klijenti))
                        {{$klijenti->links()}}
                    @endif
                </div>
            </div>
        </div>
    </section>


    <div id="deleteKlijentProdajaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('klijentiProdaja.destroy', 'test')}}">
            <input type="hidden" name="id_klijent" id="id_klijent">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Request")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="changeTypeModal" class="modal-block modal-block-primary mfp-hide">
        <form name="change-type-form" method="post" action="{{route('change_type')}}">
            <input type="hidden" name="id_klijent" id="id_klijent">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Change client type')}}</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__('Client type')}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="tip_klijenta" id="tip_klijenta">
                                @foreach(config('app.tipovi_klijenata') as $id=>$tip)
                                    <option value="{{$id}}">{{$tip}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-12"><p>*{{__("Before modifying, delete the incorrectly entered client from the 'Clients' section to avoid duplication of data")}}</p></div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="editPointsModal" class="modal-block modal-block-primary mfp-hide">
        <form name="change-type-form" method="post" action="{{route('edit_points')}}">
            <input type="hidden" name="id_client" id="id_client">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Change points on imported client")}}</h2>
                </header>
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Points")}}</label>
                        <div class="col-sm-9">
                            <input type="text" id="points" name="points" class="form-control">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-12"><p>*{{__("Points can be edited only by Super Admin")}}.</p></div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("NO")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="expedicijaModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="expedicija" method="post" action="{{route('expedicija')}}">
            <input type="hidden" name="id_expedicija" id="id_expedicija">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-envelope"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Expedition")}}</h4>
                            <p>{{__("Are you sure you want to send this request?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
