@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $(".date-picker").datepicker({
            format: '{{config('app.date_format_js')}}'
        });
    });

</script>

<form id="form" method="get" action="{{route('prodaja_pretraga_result')}}" class="form-horizontal">
    {{ csrf_field() }}
    <section class="panel">
        <header class="panel-heading">
            <div class="panel-actions">
                <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
            </div>
            <h2 class="panel-title">{{__("Filters")}} </h2>
        </header>
        <div class="panel-body">
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Contract number")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="br_ugovora" class="form-control" placeholder="" id="br_ugovora" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Name")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Surname")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false"/>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("JMBG")}} <span class="required">*</span></label>
                <div class="col-sm-3">
                    <input type="text" name="jmbg" class="form-control" placeholder="" id="jmbg" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Network group")}} </label>
                <div class="col-sm-3">
                    <select name="mrezna_grupa" id="mrezna_grupa" class="form-control populate">
                        <option value="">-- {{__("Network group")}} --</option>
                        <option value="012">012</option>
                        <option value="016">016</option>
                        <option value="017">017</option>
                        <option value="018">018</option>
                        <option value="019">019</option>
                        <option value="027">027</option>
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Landline phone")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                <div class="col-sm-3">
                    <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Tis ID")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("ID no.")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="broj_lk" class="form-control" placeholder="" id="broj_lk" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Date of issuance of ID card")}} </label>
                <div class="col-sm-3">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" name="datum_izdavanja_lk" class="form-control date-picker" placeholder="" id="datum_izdavanja_lk"  spellcheck=""/>
                    </div>
                </div>
                <label class="col-sm-1 control-label">{{__("Place of issuance of ID card")}}</label>
                <div class="col-sm-3">
                    <input type="text" name="mesto_izdavanja_lk" class="form-control" placeholder="" id="mesto_izdavanja_lk" spellcheck="false"/>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Address of residence")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="adresa_prebivalista" class="form-control" placeholder="" id="adresa_prebivalista" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Installation address")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="adresa_instalacije" class="form-control" placeholder="" id="adresa_instalacije" spellcheck=""/>
                </div>
                <label class="col-sm-1 control-label">{{__("Packet")}} </label>
                <div class="col-sm-3">
                    <select name="paket" id="paket" class="form-control populate">
                        <option value="">-- {{__("Packet")}} --</option>
                        @foreach($paketi as $paket)
                            <option value="{{$paket->id}}">{{$paket->naziv}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Packet type")}} </label>
                <div class="col-sm-3">
                    <select name="vrsta_paketa" id="vrsta_paketa" class="form-control populate">
                        <option value="">-- {{__("Packet type")}} --</option>
                        @foreach($vrste_paketa as $vpak)
                            <option value="{{$vpak->id}}">{{$vpak->vrsta}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Nov service")}} </label>
                <div class="col-sm-3">
                    <select name="nov_servis" id="nov_servis" class="form-control populate">
                        <option value="">-- {{__("Nov service")}} --</option>
                        @foreach($nov_servisi as $nov)
                            <option value="{{$nov->id}}">{{$nov->naziv}}</option>
                        @endforeach
                    </select>
                </div>
                <label class="col-sm-1 control-label">{{__("Extra STB")}} </label>
                <div class="col-sm-3">
                    <select name="dodatni_stb" id="dodatni_stb" class="form-control">
                        <option value="">-- {{__("Extra STB")}} --</option>
                        <option value="DA">DA</option>
                        <option value="NE">NE</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Points")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="broj_bodova" class="form-control" placeholder="" id="broj_bodova" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Contractor")}} {{__("seller")}} </label>
                <div class="col-sm-3">
                    <input type="text" name="izvodjac_prodavac" class="form-control" placeholder="" id="izvodjac_prodavac" spellcheck="false"/>
                </div>
                <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                <div class="col-sm-3">
                    <select name="prodavac" id="prodavac" class="form-control populate">
                        <option value="">-- {{__("Seller")}} --</option>
                        @foreach($prodavci as $prodavac)
                            <option value="{{$prodavac->id}}">{{$prodavac->ime.' '.$prodavac->prezime}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            {{-- <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Paid")}}</label>
                <div class="col-sm-3">
                    <select class="form-control" name="month_paid">
                        @foreach($months as $num=>$month)
                            <option value="{{$num}}">{{$month}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="col-sm-2">
                    <input type="text" name="year_paid" class="form-control" placeholder="{{__("Year")}}" id="year_paid" spellcheck="false">
                </div>
                <label class="col-sm-1 control-label">{{__("Refused")}}</label>
                <div class="col-sm-3">
                    <select class="form-control" name="month_refused">
                        @foreach($months as $num=>$month)
                            <option value="{{$num}}">{{$month}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="col-sm-2">
                    <input type="text" name="year_refused" class="form-control" placeholder="{{__("Year")}}" id="year_refused" spellcheck="false">
                </div>
            </div> --}}
            <div class="form-group">
                <label class="col-md-1 control-label">{{__("Request date")}} {{__("range")}}</label>
                <div class="col-md-4">
                    <div class="input-daterange input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" class="form-control date-picker" name="start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="end">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-1 control-label">{{__("Final status")}} {{__("range")}}</label>
                <div class="col-md-4">
                    <div class="input-daterange input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                        <input type="text" class="form-control date-picker" name="final_start">
                        <span class="input-group-addon">{{__("to")}}</span>
                        <input type="text" class="form-control date-picker" name="final_end">
                    </div>
                </div>
            </div>
            {{--
            <div class="form-group">
                <label class="col-sm-1 control-label">{{__("Sales channel")}} </label>
                <div class="col-sm-3">
					
                    <select class="form-control populate"  name="channel" id="channel">
			            <option value="">-- {{__("Sales channel")}} --</option>
                        @foreach($channels as $channel)
                            <option value="{{$channel->id}}">{{$channel->channel}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            --}}
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <button class="btn btn-primary" type="submit">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>
            </div>
        </footer>
    </section>
</form>
@endsection