@extends('layouts.app')

@section('content')
    @if(!in_array($klijent->id_prodavac, $sellersIds) && !$isAdmin)
        <section class="body-error error-inside">
            <div class="center-error">

                <div class="row">
                    <div class="col-md-8">
                        <div class="main-error mb-xlg">
                            <h2 class="error-code text-dark text-center text-semibold m-none">404 <i class="fa fa-file"></i></h2>
                            <p class="error-explanation text-center">{{__("Page does not exist")}}.</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    @else
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$klijent->ime.' '.$klijent->prezime}}<small> (ID: {{$klijent->id}})</small></h2>
            @if($klijent->ekspedovano != 1)
            <div class="panel-actions">
                @if(session('search_route'))
                    <a href="{{route('redirector')}}"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__('Return to search page')}}"><button class="btn btn-danger"><i class="fa fa-backward"></i></button></a>
                @endif
                <a href="/klijentiProdaja/{{$klijent->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
            @endif
        </header>
        <div class="panel-body">
            @if($isAdmin)
                <div class="row">
                    <div class="col-sm-12" style="text-align: right">
                        <a href="{{route('sale_pdf', ['client' => $klijent])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success">Zahtev <i class="fa fa-print"></i></button></a>
                    </div>
                </div>
            @endif
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Contract number")}}: <div class="highlight">{{$klijent->br_ugovora}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Full name")}}: <div class="highlight">{{$klijent->ime.' '.$klijent->prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("JMBG")}}: <div class="highlight">{{$klijent->jmbg}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Network group")}}: <div class="highlight">{{$klijent->mrezna_grupa}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Landline phone")}}: <div class="highlight">{{$klijent->tel1}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Phone")}}2: <div class="highlight">{{$klijent->tel2}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Phone")}}3: <div class="highlight">{{$klijent->tel3}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Tis ID: <div class="highlight">{{$klijent->tis_id}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("ID card number")}}: <div class="highlight">{{$klijent->broj_lk}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Date of issuance of ID card")}}: <div class="highlight">@if($klijent->datum_izdavanja_lk){{date('d.m.Y.', strtotime($klijent->datum_izdavanja_lk))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Place of issuance of ID card")}}: <div class="highlight">{{$klijent->mesto_izdavanja_lk}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Address of residence")}}: <div class="highlight">{{$klijent->adresa_prebivalista}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Instalation address")}}: <div class="highlight">{{$klijent->adresa_instalacije}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Packet")}}: <div class="highlight">{{$klijent->paket}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Packet type")}}: <div class="highlight">{{$klijent->vrsta_paketa}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Nov service")}}: <div class="highlight">{{$klijent->nov_servis}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Extra STB")}}: <div class="highlight">{{$klijent->dodatni_stb}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Points")}}: <div class="highlight">{{$klijent->broj_bodova}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Contractor seller")}}: <div class="highlight">{{$klijent->izvodjac_prodavac}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Seller")}}: <div class="highlight">{{$klijent->prodavac_ime.' '.$klijent->prodavac_prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Status")}}: <div class="highlight">
                        {{$klijent->status}}
                        {{$klijent->status_optika}}
                        {{$klijent->status_supernova}}
                        {{$klijent->status_bakar}}
                    </div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Created at")}}: <div class="highlight">@if($klijent->created_at){{date('d.m.Y. H:i:s', strtotime($klijent->created_at))}} @endif</div></p>
                </div>
                @if($isSuperAdmin)
                <div class="col-md-4">
                    <p>{{__("Commission")}}: <div class="highlight">{{$klijent->commission}}</div></p>
                </div>
                @endif
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <p style="float: right">{{__("Last change")}} {{$klijent->promenio_ime.' '.$klijent->promenio_prezime.' ('.date('d.m.Y. H:i:s', strtotime($klijent->updated_at)).')'}}</p>
                </div>
            </div>
        </div>
    </section>
    @if(!empty($napomene[0]))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($napomene as $br=>$nap)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$nap->napomena}}</p>
                        <small>{{$nap->ime.' '.$nap->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($nap->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @endif
@endsection