@extends('layouts.app')

@section('content')
    <?php if ($id_user != $klijent->id_user && !$isAdmin && $id_user != $klijent->id_user_reklamacije){ return view('missing_page');}?>
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$klijent->klijent_ime.' '.$klijent->klijent_prezime}}<small> &nbsp&nbsp&nbsp(ID: {{$klijent->id}})</small></h2>
            <div class="panel-actions">
                @if(session('search_route'))
                    <a href="{{route('redirector')}}"
                       data-toggle="tooltip" data-placement="top"
                       data-original-title="{{__('Return to search page')}}"><button class="btn btn-danger"><i class="fa fa-backward"></i></button></a>
                @endif
                <a href="/klijentiSupernova/{{$klijent->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Full name")}}: <div class="highlight">{{$klijent->klijent_ime.' '.$klijent->klijent_prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Contract number")}}: <div class="highlight">{{$klijent->broj_ugovora}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Regional center")}}: <div class="highlight">{{$klijent->regionalni_centar}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <<p>{{__("Address")}}: <div class="highlight">{{$klijent->ulica.' '.$klijent->kucni_broj}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__('Phones')}}: <div class="highlight">@if($klijent->tel1) {!! nl2br('Fiksni: '.$klijent->tel1." \n")!!} @endif
                        @if($klijent->tel2) {!! 'Mob: '.nl2br($klijent->tel2." \n") !!} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Points")}}: <div class="highlight">{{$klijent->br_bodova}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>Agent: <div class="highlight">{{$klijent->agent_ime.' '.$klijent->agent_prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Agency")}}: <div class="highlight">{{$klijent->agencija}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Month of signing the general offer")}}: <div class="highlight">{{$klijent->mesec}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Provider")}}: <div class="highlight">{{$klijent->provajder}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Date of tour")}}: <div class="highlight">@if($klijent->datum_obilaska){{date('d.m.Y.', strtotime($klijent->datum_obilaska))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>Email: <div class="highlight">{{$klijent->email}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Contract type")}}: <div class="highlight">{{$klijent->tip_ugovora}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Packet")}}: <div class="highlight">{{$klijent->paket}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("City")}}: <div class="highlight">{{$klijent->mesto}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Montage date")}}: <div class="highlight">@if($klijent->datum_montaze){{date('d.m.Y.', strtotime($klijent->datum_montaze))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Withdrawal date")}}: <div class="highlight">@if($klijent->datum_odustajanja){{date('d.m.Y.', strtotime($klijent->datum_odustajanja))}} @endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Delay date")}}: <div class="highlight">@if($klijent->datum_odlaganja){{date('d.m.Y.', strtotime($klijent->datum_odlaganja))}} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Status")}}: <div class="highlight">{{$klijent->status}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Assigned to fitter")}}: <div class="highlight">{{$klijent->user_ime.' '.$klijent->user_prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Appointment date")}}: <div class="highlight">@if($klijent->datum_zakazivanja){{date('d.m.Y. H:i', strtotime($klijent->datum_zakazivanja))}} @endif</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <p>{{__("Devices")}}
                    @foreach($montirani as $mont)
                        <div class="highlight">{{'('.strtoupper($mont->uredjaj).') '.$mont->serijski_broj}}</div>
                    @endforeach
                </div>
                <div class="col-sm-4">
                    <p>{{__("Equipment")}}
                    @foreach($equipment as $equip)
                        <div class="highlight">{{$equip->naziv.' ('.__("quantity").': '.$equip->kol.') ('.date('d.m.Y. H:i:s', strtotime($equip->created_at)).')'}}</div>
                    @endforeach
                </div>
                <div class="col-sm-4">
                    <p>{{__("Returned")}}
                    @foreach($vraceni as $vr)
                        <div class="highlight">{{'('.strtoupper($vr->uredjaj).') '.$vr->serijski_broj.' ('.date('d.m.Y. H:i:s', strtotime($vr->created_at)).') - '.$vr->razlog}}</div>
                    @endforeach
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <p style="float: right">{{__("Last change")}} {{$klijent->updated_ime.' '.$klijent->updated_prezime.' ('.date('d.m.Y. H:i:s', strtotime($klijent->updated_at)).')'}}</p>
                </div>
            </div>
            <div clsss="row">
                <a href="#deviceLogModal" class="btn btn-sm btn-info btn-listing modal-basic" style="float:right" data-toggle="tooltip" data-placement="top"
                   data-original-title="{{__('Device history')}}"><i class="fa fa-eye"></i></a>
            </div>
            @if(count($history) > 1)
              <div clsss="row">
                  <a href="#listingModal" class="btn btn-sm btn-warning btn-listing modal-basic" style="float:right"
                     data-toggle="tooltip" data-placement="top"
                     data-original-title="{{__('Client edit history')}}"><i class="fa fa-eye"></i></a>
              </div>
            @endif
        </div>
    </section>

    <div id="listingModal" class="modal-block modal-full-color modal-block-warning mfp-hide">
      <section class="panel">
        <header class="panel-heading">
          <h2 class="panel-title">{{__("Client edit history")}}</h2>
        </header>
        <div class="panel-body">
          <div class="modal-wrapper">
            <div class="modal-icon">
              <i class="fa fa-eye"></i>
            </div>
            <div class="modal-text">
              @foreach($history as $edit)
              <p @if($edit->data_transfer) style="color:black" @endif>{{$edit->user_ime.' '.$edit->user_prezime.' ('.date('d.m.Y. H:i:s', strtotime($edit->edit_time)).')'}} 
                @if($edit->data_transfer)({{__("Data transfer")}})@endif</p>
              @endforeach
            </div>
          </div>
        </div>
        <footer class="panel-footer">
          <div class="row">
            <div class="col-md-12 text-right">
              <button class="btn btn-default modal-dismiss">{{__("Close")}}</button>
            </div>
          </div>
        </footer>
      </section>
    </div>
    <div id="deviceLogModal" class="modal-block modal-full-color modal-block-info mfp-hide">
        <section class="panel">
          <header class="panel-heading">
            <h2 class="panel-title">{{__("Device logs")}}</h2>
          </header>
          <div class="panel-body">
            <div class="modal-wrapper">
              <div class="modal-icon">
                <i class="fa fa-eye"></i>
              </div>
              <div class="modal-text">
                  @foreach($deviceLog as $log)
                      <p @if($log->vraceni || $log->deleted) style="color:#ff6666" @endif>{{$log->serijski_broj.' ('.$log->uredjaj.')'.' ('.date('d.m.Y. H:i:s', strtotime($log->adjusted_date?$log->adjusted_date:$log->created_at)).' - '.$log->ime.' '.$log->prezime.')'}}
                          @if($log->vraceni){{' '.__('returned').' '.($log->adjusted_return_date?date('d.m.Y. H:i:s', strtotime($log->adjusted_return_date)):date('d.m.Y. H:i:s', strtotime($log->created_at)))}}
                          @if($log->return_user){{' - '.$log->return_name.' '.$log->return_surname}}@endif @endif  @If($log->deleted) - {{__('deleted')}}@endif</p>
                  @endforeach
              </div>
            </div>
          </div>
          <footer class="panel-footer">
            <div class="row">
              <div class="col-md-12 text-right">
                <button class="btn btn-default modal-dismiss">{{__("Close")}}</button>
              </div>
            </div>
          </footer>
        </section>
    </div>
    @if(!empty($napomene[0]))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($napomene as $br=>$nap)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$nap->napomena}}</p>
                        <small>{{$nap->ime.' '.$nap->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($nap->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    @if(!empty($images[0]))
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Images")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                    <div class="col-md-2">
                        <div class="popup-gallery">
                            <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" title="Slike" rel="group1">
                                <div class="img-responsive">
                                    <img src="{{$img->image_url}}" width="105">
                                </div>
                            </a>
                        </div>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Files")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!empty($imgDocs[0]))
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Documents")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($imgDocs as $doc)
                    <div class="col-md-2">
                        <div class="popup-gallery">
                            <a class="pull-left mb-xs mr-xs" href="{{$doc->image_url}}" title="Dokumenti" rel="group2">
                                <div class="img-responsive">
                                    <img src="{{$doc->image_url}}" width="105">
                                </div>
                            </a>
                        </div>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!empty($videos[0]))
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Video")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($videos as $video)
                    <div class="col-lg-6 col-md-12 col-sm-12">
                        <video width="320" controls>
                            <source src="{{$video->video_url}}" typ="video/mp4">
                        </video>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

@endsection
