<!DOCTYPE html>
<?php $server = env('SERVER_ID');?>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" @if(request()->segment(1) != 'login')class="fixed"@endif>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="callisto, orange, cube, program, mts, dejan, nesic">
    <meta name="description" content="Program je prvenstveno namenjen za vođenje gradilišta, montažu internet opreme, praćenje utroška materijala, za vođenje evidencije o klijentima,
    vršenje pretrage klijenata po svim kriterijumima, za uvoz i izvoz podataka, štampanje ugovora i radnih naloga i druge usluge.">
    <meta name="author" content="Dejan Nesic">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Callisto') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>
    <script src="{{asset('assets/vendor/jquery/jquery.min.js')}}"></script>
    <script src="{{asset('assets/vendor/jquery-browser-mobile/jquery.browser.mobile.js')}}"></script>
    <script src="{{asset('assets/vendor/bootstrap-datepicker/js/bootstrap-datepicker.js')}}"></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet" type="text/css">

    <!-- Styles -->
    {{--<link href="{{ asset('css/app.css') }}" rel="stylesheet">--}}

<!-- ******************** Theme styles *********************** -->

    <!-- Vendor CSS -->
    <link rel="stylesheet" href="{{asset('assets/vendor/bootstrap/css/bootstrap.css') }}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/font-awesome/css/font-awesome.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/magnific-popup/magnific-popup.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/bootstrap-datepicker/css/datepicker3.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/select2/select2.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/morris/morris.css')}}" />
    @if(request()->routeIs('vehicle_rent') || request()->routeIs('vehicle_rent_edit'))
    <link rel="stylesheet" href="{{asset('assets/vendor/bootstrap-colorpicker/css/bootstrap-colorpicker.css')}}" />
    @endif

    <!-- Specific Page Vendor CSS -->
    <link rel="stylesheet" href="{{asset('assets/vendor/bootstrap-fileupload/bootstrap-fileupload.min.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/pnotify/pnotify.custom.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/bootstrap-timepicker/css/bootstrap-timepicker.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/jquery-datatables-bs3/assets/css/datatables.css')}}" />
    <link rel="stylesheet" href="{{asset('assets/vendor/jstree/themes/default/style.css')}}" />

    <!-- Theme CSS -->
    <link rel="stylesheet" href="{{asset('assets/stylesheets/theme.css')}}" />

    <!-- Skin CSS -->
    <link rel="stylesheet" href="{{asset('assets/stylesheets/skins/default.css')}}" />

    <!-- Theme Custom CSS -->
    <link rel="stylesheet" href="{{asset('assets/stylesheets/theme-custom.css?v=3')}}">

    <!-- Head Libs -->
    <script src="{{asset('assets/vendor/modernizr/modernizr.js')}}"></script>

    <link rel="icon" href="{{asset('assets/images/favicon.ico')}}">

</head>
<body>
<section class="body">
    <!-- start: header -->
    @guest

    @else
        <header class="header">
            <div class="logo-container">
                <a href="/" class="logo">
                    <img src="/assets/images/callisto_logo2.png" height="35" alt="Logo" />
                </a>
                <div class="visible-xs toggle-sidebar-left" data-toggle-class="sidebar-left-opened" data-target="html" data-fire-event="sidebar-left-opened">
                    <i class="fa fa-bars" aria-label="Toggle sidebar"></i>
                </div>
            </div>

            <!-- start: search & user box -->
            <div class="header-right">
                <?php
                $counter = 0;
                $badge = false;
                $notifikacije = array();
                if(session('odlozen')){
                    $badge = true;
                    $counter ++;
                    $notifikacije[0]['text'] = __('Clients delayed for today!');
                    $notifikacije[0]['route'] = 'klijent_odlozeni';
                }
                if (session('vraceno')){
                    $badge = true;
                    $counter ++;
                    $notifikacije[1]['text'] = __('Returned requests!');
                    $notifikacije[1]['route'] = 'vraceni_zahtevi';
                }
                if (session('zahtevi')){
                    $badge = true;
                    $counter ++;
                    $notifikacije[2]['text'] = __('Received requests!');
                    $notifikacije[2]['route'] = 'zahtevi';
                }
                if (session('expire_list')){
                    $badge = true;
                    $counter ++;
                    $notifikacije[3]['text'] = __('Contractual obligation expires soon!');
                    $notifikacije[3]['route'] = 'expire_list';
                }
                if (session('unpayed_bill')){
                    $badge = true;
                    $counter ++;
                    $notifikacije[4]['text'] = __('You are currently using unlicensed software. Please make your payment by the end of the month.');
                    $notifikacije[4]['route'] = 'callisto_bills';
                }
                if (session('construction_unresolved_tickets') || session('construction_personal_unresolved_tickets')){
                    $badge = true;
                    $counter ++;
                    $notifikacije[6]['text'] = __('You have unresolved tickets in CONSTRUCTION section.');
                    $notifikacije[6]['route'] = 'construction_tickets';
                }
                if (session('material_alarm')){
                    $badge = true;
                    $mcount = 7;
                    if(is_array(session('material_alarm'))){
                        foreach (session('material_alarm') as $mat) {
                            $counter ++;
                            $notifikacije[$mcount]['text'] = __('Material on minimum').' ('.$mat['material_name'].' - '.$mat['material_storage']. ' / min '.$mat['min_qnt'];
                            $notifikacije[$mcount]['route'] = 'storages_materials';
                            $mcount++;
                        }
                    }
                }
                ?>
                <ul class="notifications">
                    <li>
                        <a href="#" class="dropdown-toggle notification-icon" data-toggle="dropdown">
                            <i class="fa fa-bell"></i>
                            @if($badge)
                                <span class="badge">{{$counter}}</span>
                            @endif
                        </a>

                        <div class="dropdown-menu notification-menu">
                            <div class="notification-title">
                                <span class="pull-right label label-default">{{$counter}}</span>
                                {{__('notifications')}}
                            </div>

                            <div class="content">
                                <ul>
                                    <li>

                                        @if(!empty($notifikacije))
                                            @foreach($notifikacije as $notif)
                                                <a href="#" class="clearfix">
                                                    <span class="title"><a href="{{route($notif['route'])}}">{{$notif['text']}}</a></span>
                                                    <hr />
                                                </a>
                                            @endforeach
                                        @else
                                            <a href="#" class="clearfix">
                                                <span class="title"><a>{{__('No new notifications...')}}</a></span>
                                                <hr />
                                            </a>
                                        @endif
                                    </li>
                                </ul>
                                <div class="text-right">
                                    <a href="#" class="view-more">{{__('Close')}}</a>
                                </div>
                            </div>
                        </div>
                    </li>
                </ul>

                <span class="separator"></span>

                <div id="userbox" class="userbox">
                    <a href="#" data-toggle="collapse" data-target="#dropdown-menu">
                        <div class="profile-info">
                            <span class="name">{{Auth::user()->ime.' '.Auth::user()->prezime}}</span>
                        </div>

                        <i class="fa custom-caret"></i>
                    </a>

                    <div class="collapse user-dropdown" id="dropdown-menu">
                        <ul class="list-unstyled">
                            <li>
                                <a href="{{ route('logout') }}" class="logout-link"><i class="fa fa-power-off"></i> Logout</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <!-- end: search & user box -->
        </header>
        @endguest
    <!-- end: header -->

        @if (!Auth::guest())
        <!-- start: sidebar -->
            <div class="inner-wrapper">
                <aside id="sidebar-left" class="sidebar-left">
                    <div class="sidebar-header">
                        <div class="sidebar-toggle hidden-xs" data-toggle-class="sidebar-left-collapsed" data-target="html" data-fire-event="sidebar-left-toggle">
							<i class="fa fa-bars" aria-label="Toggle sidebar"></i>
						</div>
                    </div>

                    <div class="nano">
                        <div class="nano-content">
                            <nav id="menu" class="nav-main" role="navigation">
                                <ul class="nav nav-main">
                                    @if(Auth::user()->role_id == 3)
                                        <li class="{{(request()->segment(1) == 'home') ? 'nav-active' : ''}}">
                                            <a href="{{route('home')}}">
                                                <i class="fa fa-home" aria-hidden="true"></i>
                                                <span>{{__('Dashboard')}}</span>
                                            </a>
                                        </li>
                                        <li class="{{(request()->segment(1) == 'demand') ? 'nav-active' : ''}}">
                                            <a href="{{route('demand_index')}}">
                                                <i class="fa fa-list-ul" aria-hidden="true"></i>
                                                <span>{{__('Demand')}}</span>
                                            </a>
                                        </li>
                                        <li class="{{(request()->segment(1) == 'fitter') ? 'nav-active' : ''}}">
                                            <a href="{{route('fitter_inventory')}}">
                                                <i class="fa fa-cube" aria-hidden="true"></i>
                                                <span>{{__('Inventory')}}</span>
                                            </a>
                                        </li>
                                        <li class="{{(request()->segment(1) == 'const_ticket') ? 'nav-active' : ''}}">
                                            <a href="{{route('construction_tickets')}}">
                                                <i class="fa fa-wrench" aria-hidden="true"></i>
                                                <span>{{__('Tickets')}} {{__('Construction')}}</span>
                                            </a>
                                        </li>
                                    @endif
                                    @if(Auth::user()->role_id == 1)
                                        <li class="{{(request()->segment(1) == 'scoreboard') ? 'nav-active' : ''}}">
                                            <a href="{{route('scoreboard')}}">
                                                <i class="fa fa-tachometer" aria-hidden="true"></i>
                                                <span>{{__('Scoreboard')}}</span>
                                            </a>
                                        </li>
                                    @endif
                                    @if(in_array(Auth::user()->role_id, [1,2,5,6,15]))
                                        <li class="{{(request()->segment(1) == 'home') ? 'nav-active' : ''}}">
                                            <a href="{{route('home')}}">
                                                <i class="fa fa-home" aria-hidden="true"></i>
                                                <span>{{__('Dashboard')}}</span>
                                            </a>
                                        </li>
                                        <li class="nav-parent {{(request()->segment(1) == 'fobos' || request()->segment(1) == 'fobos_copper'
                                            || request()->segment(1) == 'fobos_rune') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="fa fa-database" aria-hidden="true"></i>
                                                <span>{{__('Database')}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                @if($server != 3)
                                                <li class="nav-parent {{(request()->segment(1) == 'fobos') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <span>{{__('Optics')}} </span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('fobos.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos.index')}}">
                                                                {{__('Index')}} <i class="fa fa-users nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos.create')}}">
                                                                {{__('Add new')}} <i class="fa fa-plus nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_search')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_search')}}">
                                                                {{__('Filters')}} <i class="fa fa-search nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_claims')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_claims')}}">
                                                                {{__('Requests')}} <i class="fa fa-file nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('expire_list')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('expire_list')}}">
                                                                {{__('CO expire')}} <i class="fa fa-clock-o nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_import_index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_import_index')}}">
                                                                {{__('Import')}} <i class="fa fa-upload nav-floater"></i>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'fobos_copper') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <span>{{__('Copper')}} </span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('fobos_copper.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_copper.index')}}">
                                                                {{__('Index')}} <i class="fa fa-users nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_copper.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_copper.create')}}">
                                                                {{__('Add new')}} <i class="fa fa-plus nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_copper_search')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_copper_search')}}">
                                                                {{__('Filters')}} <i class="fa fa-search nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_copper_claims')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_copper_claims')}}">
                                                                {{__('Requests')}} <i class="fa fa-file nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('copper_expire_list')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('copper_expire_list')}}">
                                                                {{__('CO expire')}} <i class="fa fa-clock-o nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_copper_import_index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_copper_import_index')}}">
                                                                {{__('Import')}} <i class="fa fa-upload nav-floater"></i>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                @endif <!-- endif za server --> 
                                                <li class="nav-parent {{(request()->segment(1) == 'fobos_rune') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <span>RUNE</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('fobos_rune.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_rune.index')}}">
                                                                {{__('Index')}} <i class="fa fa-users nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_rune.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_rune.create')}}">
                                                                {{__('Add new')}} <i class="fa fa-plus nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_rune_search')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_rune_search')}}">
                                                                {{__('Filters')}} <i class="fa fa-search nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_rune_claims')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_rune_claims')}}">
                                                                {{__('Requests')}} <i class="fa fa-file nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('rune_expire_list')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('rune_expire_list')}}">
                                                                {{__('CO expire')}} <i class="fa fa-clock-o nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        @if(in_array(Auth::user()->role_id, [1,2,6,15]))
                                                        <li class="{{(request()->routeIs('fobos_rune_import_index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_rune_import_index')}}">
                                                                {{__('Import')}} <i class="fa fa-upload nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_rune_group_entry')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_rune_group_entry')}}">
                                                                {{__('Group entry')}} <i class="fa fa-upload nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('fobos_rune_statistic')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('fobos_rune_statistic')}}">
                                                                {{__('Statistic')}} <i class="fa fa-bar-chart-o nav-floater"></i>
                                                            </a>
                                                        </li>
                                                        @endif
                                                    </ul>
                                                </li>
                                            </ul>
                                        </li>
                                        <li class="nav-parent {{(request()->segment(1) == 'klijentiProdaja' || request()->segment(1) == 'zahtevi') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="fa fa-eur" aria-hidden="true"></i>
                                                <span>{{__('Sale')}} </span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('klijentiProdaja.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('klijentiProdaja.index')}}">
                                                        {{__('Index')}} <i class="fa fa-users nav-floater"></i>
                                                    </a>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('klijentiProdaja.create') ||
                                                request()->routeIs('klijentiProdaja.create_optika') || request()->routeIs('klijentiProdaja.create_supernova')
                                                || request()->routeIs('klijentiProdaja.create_bakar')) {{'nav-expanded'}} @endif">
                                                    <a>
                                                        {{__('Add new client')}}
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('klijentiProdaja.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('klijentiProdaja.create')}}">
                                                                M:SAT DTH
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('klijentiProdaja.create_optika')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('klijentiProdaja.create_optika')}}">
                                                                {{__('Optics')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('klijentiProdaja.create_supernova')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('klijentiProdaja.create_supernova')}}">
                                                                SUPERNOVA
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('klijentiProdaja.create_bakar')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('klijentiProdaja.create_bakar')}}">
                                                                {{__('Copper')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="{{(request()->routeIs('vraceni_zahtevi')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('vraceni_zahtevi')}}">
                                                        {{__('Returned requests')}} <i class="fa fa-envelope nav-floater"></i>
                                                    </a>
                                                </li>
                                                @if(Auth::user()->role_id == 1)
                                                <li class="nav-parent @if(request()->segment(2) == 'commissions')) {{'nav-expanded'}} @endif">
                                                    <a>
                                                        {{__('Commissions')}}
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('commissions')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('commissions')}}">
                                                                {{__('Coefficients')}}</i>
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('commission.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('commission.create')}}">
                                                                {{__('Add new')}}</i>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="{{(request()->routeIs('commission.statistic')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('commission.statistic')}}">
                                                        {{__('Statistic')}} <i class="fa fa-bar-chart-o nav-floater"></i>
                                                    </a>
                                                </li>
                                                @endif
                                                <li class="{{(request()->routeIs('prodaja_search')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('prodaja_search')}}">
                                                        {{__('Filters')}} <i class="fa fa-search nav-floater"></i>
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('zahtevi')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('zahtevi')}}">
                                                        {{__('Index')}} {{__('Requests')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('cekanje_index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('cekanje_index')}}">
                                                        {{__('Pending requests')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('zahtevi_search')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('zahtevi_search')}}">
                                                        {{__('Filters')}}  {{__('Requests')}}<i class="fa fa-search nav-floater"></i>
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('klijent_odlozeni')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('klijent_odlozeni')}}">
                                                        {{__('Delayed')}}
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                        {{--//endif super admin, admin prodavac, team leader--}}
                                        @endif

                                        @if (in_array(Auth::user()->role_id, [1,2,10,11,12,15]))
                                        <li class="nav-parent @if(request()->segment(1) == 'runeOptics' || request()->segment(1) == 'rune_search') {{'nav-active nav-expanded'}} @endif">
                                            <a>
                                                <i class="fa fa-users" aria-hidden="true"></i>
                                                {{__('Montage').' '.__('RUNE')}}
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('runeOptics.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('runeOptics.index')}}">
                                                        {{__('Index')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('runeOptics.create')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('runeOptics.create')}}">
                                                        {{__('Add new')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('rune_search')) ? 'nav-active' : ''}}">
                                                    <i class="fa fa-search nav-floater"></i>
                                                    <a href="{{route('rune_search')}}">
                                                        {{__('Filters')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('rune_advanced_search')) ? 'nav-active' : ''}}">
                                                    <i class="fa fa-search nav-floater"></i>
                                                    <a href="{{route('rune_advanced_search')}}">
                                                        {{__('Advanced filters')}}
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                        @endif

                                        @if(in_array(Auth::user()->role_id, [1,2,7,9,10,11,12,13]))
                                        <li class="nav-parent @if(in_array(request()->segment(1), ['kir', 'kir_works', 'doc_work', 'hw_works', 'hw_status'])
                                                        || in_array(request()->segment(2), ['construction_tickets', 'construction_create_ticket']))
                                                {{'nav-active nav-expanded'}} @endif">
                                            <a>
                                                <i class="fa fa-wrench"></i>
                                                <span>KIR</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('kir.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('kir.index')}}">
                                                        {{__('Index')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('kir.create')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('kir.create')}}">
                                                        {{__('Add new')}}
                                                    </a>
                                                </li>
                                                @if(in_array(Auth::user()->role_id, [1,9]))
                                                <li class="{{(request()->routeIs('kir_import_index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('kir_import_index')}}">
                                                        {{__('Import')}}
                                                    </a>
                                                </li>
                                                @endif
                                                <li class="nav-parent @if(request()->segment(2) == 'demand')
                                                    {{'nav-active nav-expanded'}} @endif">
                                                        <a>
                                                            <i class="fa fa-list-ul" aria-hidden="true"></i>
                                                            <span>{{__('Demand')}}</span>
                                                        </a>
                                                        <ul class="nav nav-children">
                                                            <li class="{{(request()->routeIs('kir_demand_list')) ? 'nav-active' : ''}}">
                                                                <a href="{{route('kir_demand_list')}}">
                                                                    <span>{{__('Demand list')}}</span>
                                                                </a>
                                                            </li>
                                                        </ul>
                                                        <ul class="nav nav-children">
                                                            <li class="{{(request()->routeIs('kir_demand_create')) ? 'nav-active' : ''}}">
                                                                <a href="{{route('kir_demand_create')}}">
                                                                    <span>{{__('Create demand')}}</span>
                                                                </a>
                                                            </li>
                                                        </ul>
                                                    </li>
                                                <li class="nav-parent @if(request()->segment(2) == 'construction_tickets' || request()->segment(2) == 'construction_create_ticket')
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-ticket" aria-hidden="true"></i>
                                                        <span>{{__('Tickets')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('construction_tickets')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('construction_tickets')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('construction_create_ticket')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('construction_create_ticket')}}">
                                                                {{__('Create ticket')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(2) == 'kir_search' || request()->segment(2) == 'kir_advanced_search')
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-search" aria-hidden="true"></i>
                                                        <span>{{__('Filters')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('kir_search')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('kir_search')}}">
                                                                {{__('Filters')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('kir_advanced_search')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('kir_advanced_search')}}">
                                                                {{__('Advanced filters')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'hw_status')
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="glyphicon glyphicon-list" aria-hidden="true"></i>
                                                        <span>{{__('Statuses')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="nav-parent @if(request()->segment(2) == 'hw_access_status')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Access')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_access_status.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_access_status.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_access_status.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_access_status.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->segment(2) == 'hw_vertical_status')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Vertical')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_vertical_status.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_vertical_status.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_vertical_status.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_vertical_status.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->segment(2) == 'hw_final_status')
                                                        {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Final status')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_final_status.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_final_status.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_final_status.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_final_status.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'hw_works' || request()->segment(1) == 'doc_work' || request()->segment(1) == 'kir_works')
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="glyphicon glyphicon-wrench" aria-hidden="true"></i>
                                                        <span>{{__('Works')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="nav-parent @if(request()->segment(2) == 'kir_access_work' || request()->segment(2) == 'kir_work_category')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Construction')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('kir_work_category.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('kir_work_category.index')}}">
                                                                        {{__('Category index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('kir_work_category.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('kir_work_category.create')}}">
                                                                        {{__('Add new category')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('kir_access_work.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('kir_access_work.index')}}">
                                                                        {{__('Works index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('kir_access_work.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('kir_access_work.create')}}">
                                                                        {{__('Add new work')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->segment(2) == 'hw_vertical_work')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Splicing')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_vertical_work.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_vertical_work.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_vertical_work.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_vertical_work.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->segment(1) == 'doc_work')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Documentation')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('doc_work.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('doc_work.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('doc_work.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('doc_work.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                    </ul>
                                                </li>
                                                {{--<li class="nav-parent @if(request()->segment(2) == 'hw_documentation' || request()->segment(2) == 'hw_documentation_create' || request()->segment(1) == "folder")--}}
                                                {{--{{'nav-active nav-expanded'}} @endif">--}}
                                                    {{--<a>--}}
                                                        {{--<i class="fa fa-archive" aria-hidden="true"></i>--}}
                                                        {{--<span>{{__('Documentation')}}</span>--}}
                                                    {{--</a>--}}
                                                    {{--<ul class="nav nav-children">--}}
                                                        {{--<li class="{{(request()->routeIs('hw_documentation')) ? 'nav-active' : ''}}">--}}
                                                            {{--<a href="{{route('hw_documentation')}}">--}}
                                                                {{--{{__('Documentation')}}--}}
                                                            {{--</a>--}}
                                                        {{--</li>--}}
                                                        {{--<li class="{{(request()->routeIs('hw_documentation_create')) ? 'nav-active' : ''}}">--}}
                                                            {{--<a href="{{route('hw_documentation_create')}}">--}}
                                                                {{--{{__('Add new document')}}--}}
                                                            {{--</a>--}}
                                                        {{--</li>--}}
                                                        {{--<li class="{{(request()->routeIs('folder.index')) ? 'nav-active' : ''}}">--}}
                                                            {{--<a href="{{route('folder.index')}}">--}}
                                                                {{--{{__('Folders')}}--}}
                                                            {{--</a>--}}
                                                        {{--</li>--}}
                                                        {{--<li class="{{(request()->routeIs('folder.create')) ? 'nav-active' : ''}}">--}}
                                                            {{--<a href="{{route('folder.create')}}">--}}
                                                                {{--{{__('Add new folder')}}--}}
                                                            {{--</a>--}}
                                                        {{--</li>--}}
                                                    {{--</ul>--}}
                                                {{--</li>--}}
                                            </ul>
                                        </li>
                                        {{--//super admin, admin, worker, construction worker--}}
                                        @endif
                                        @if(in_array(Auth::user()->role_id, [1,2,7,9,10,11,12,14]) && $server != 3)
                                        <li class="nav-parent @if(in_array(request()->segment(1), ['huawei', 'const_equipment_type', 'const_equipment', 'hw_works', 'hw_status', 'folder']))
                                                {{'nav-active nav-expanded'}} @endif">
                                            <a>
                                                <i class="custom-icon i-huawei"></i>
                                                <span>HUAWEI</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('huawei.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('huawei.index')}}">
                                                        {{__('Index')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('huawei.create')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('huawei.create')}}">
                                                        {{__('Add new')}}
                                                    </a>
                                                </li>
                                                @if(in_array(Auth::user()->role_id, [1,9]))
                                                <li class="{{(request()->routeIs('huawei_import_index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('huawei_import_index')}}">
                                                        {{__('Import')}}
                                                    </a>
                                                </li>
                                                @endif
                                                <li class="nav-parent @if(request()->segment(2) == 'huawei_search' || request()->segment(2) == 'huawei_advanced_search')
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-search" aria-hidden="true"></i>
                                                        <span>{{__('Filters')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('huawei_search')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('huawei_search')}}">
                                                                {{__('Filters')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('huawei_advanced_search')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('huawei_advanced_search')}}">
                                                                {{__('Advanced filters')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'hw_status')
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="glyphicon glyphicon-list" aria-hidden="true"></i>
                                                        <span>{{__('Statuses')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="nav-parent @if(request()->segment(2) == 'hw_access_status')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Access')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_access_status.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_access_status.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_access_status.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_access_status.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->segment(2) == 'hw_vertical_status')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Vertical')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_vertical_status.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_vertical_status.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_vertical_status.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_vertical_status.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->segment(2) == 'hw_final_status')
                                                        {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Final status')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_final_status.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_final_status.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_final_status.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_final_status.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                    </ul>
                                                </li>
                                                @if($server != 3)
                                                <li class="nav-parent @if(request()->segment(1) == 'const_equipment_type' || request()->segment(1) == 'const_equipment') 
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-sitemap" aria-hidden="true"></i>
                                                        <span>{{__('Equipment')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('const_equipment_type.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('const_equipment_type.index')}}">
                                                                {{__('Category index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('const_equipment_type.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('const_equipment_type.create')}}">
                                                                {{__('Add new category')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('const_equipment.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('const_equipment.index')}}">
                                                                {{__('Equipment index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('const_equipment.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('const_equipment.create')}}">
                                                                {{__('Add new equipment')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                @endif
                                                <li class="nav-parent @if(request()->segment(1) == 'hw_works')
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="glyphicon glyphicon-wrench" aria-hidden="true"></i>
                                                        <span>{{__('Works')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="nav-parent @if(request()->segment(2) == 'hw_access_work' || request()->segment(2) == 'hw_work_category')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Construction')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_work_category.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_work_category.index')}}">
                                                                        {{__('Category index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_work_category.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_work_category.create')}}">
                                                                        {{__('Add new category')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_access_work.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_access_work.index')}}">
                                                                        {{__('Works index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_access_work.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_access_work.create')}}">
                                                                        {{__('Add new work')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->segment(2) == 'hw_vertical_work')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Splicing')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_vertical_work.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_vertical_work.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('hw_vertical_work.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_vertical_work.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->segment(2) == 'doc_work')
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__('Documentation')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('doc_work.index')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('doc_work.index')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('doc_work.create')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('doc_work.create')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(2) == 'hw_documentation' || request()->segment(2) == 'hw_documentation_create' || request()->segment(1) == "folder")
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-archive" aria-hidden="true"></i>
                                                        <span>{{__('Documentation')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('hw_documentation')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('hw_documentation')}}">
                                                                {{__('Documentation')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('hw_documentation_create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('hw_documentation_create')}}">
                                                                {{__('Add new document')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('folder.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('folder.index')}}">
                                                                {{__('Folders')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('folder.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('folder.create')}}">
                                                                {{__('Add new folder')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                            </ul>
                                        </li>
                                        {{--//super admin, admin, worker, construction worker--}}
                                        @endif
                                        @if(in_array(Auth::user()->role_id, [1,2,3,10,13]))
                                        <li class="nav-parent @if(request()->segment(1) == 'de_construction_sites')
                                            {{'nav-active nav-expanded'}} @endif">
                                            <a>
                                                <i class="fa fa-file-text-o" aria-hidden="true"></i>
                                                <span>{{__("Construction log")}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('de_construction_sites.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_construction_sites.index')}}">
                                                        {{__('Index')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('de_construction_sites.create')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_construction_sites.create')}}">
                                                        {{__('Add new')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('de_search')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_search')}}">
                                                        {{__('Filters')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('de_advanced_search')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_advanced_search')}}">
                                                        {{__('Advanced filters')}}
                                                    </a>
                                                </li>
                                                @if(in_array(Auth::user()->role_id, [1,2]))
                                                <li class="{{(request()->routeIs('de_group_entry')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_group_entry')}}">
                                                        {{__('Group entry')}} <i class="fa fa-upload nav-floater"></i>
                                                    </a>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(2) == 'de_works')
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-wrench" aria-hidden="true"></i>
                                                        <span>{{__("Works")}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('de_works.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('de_works.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('de_works.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('de_works.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                @endif
                                                <li class="{{(request()->routeIs('de_statistic')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_statistic')}}">
                                                        {{__('Calculation')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('de_synt_form')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_synt_form')}}">
                                                        {{__('Calculation')}} {{__('Synthetics')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('de_work_form')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_work_form')}}">
                                                        {{__('Calculation')}} {{__('Works')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('de_equipment_form')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_equipment_form')}}">
                                                        {{__('Calculation')}} {{__('Equipment')}}
                                                    </a>
                                                </li>
                                                @if(Auth::user()->role_id == 1)
                                                <li class="{{(request()->routeIs('de_target')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('de_target')}}">
                                                        {{__('Target')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('create_target')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('create_target')}}">
                                                        {{__('Set target')}}
                                                    </a>
                                                </li>
                                                @endif
                                            </ul>
                                        </li>
                                        {{-- <li class="nav-parent @if(request()->segment(1) == 'ger_construction_sites')
                                            {{'nav-active nav-expanded'}} @endif">
                                            <a>
                                                <i class="custom-icon i-de" aria-hidden="true"></i>
                                                <span>DEUTCHLAND </span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('ger_construction_sites.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('ger_construction_sites.index')}}">
                                                        {{__('Index')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('ger_construction_sites.create')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('ger_construction_sites.create')}}">
                                                        {{__('Add new')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('ger_search')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('ger_search')}}">
                                                        {{__('Filters')}}
                                                    </a>
                                                </li>
                                                @if(in_array(Auth::user()->role_id, [1,2]))
                                                <li class="nav-parent @if(request()->segment(2) == 'ger_works')
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-wrench" aria-hidden="true"></i>
                                                        <span>{{__("Works")}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('ger_works.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('ger_works.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('ger_works.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('ger_works.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                @endif
                                                <li class="{{(request()->routeIs('ger_statistic')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('ger_statistic')}}">
                                                        {{__('Statistic')}}
                                                    </a>
                                                </li>
                                            </ul>
                                        </li> --}}
                                        @endif
                                        @if(in_array(Auth::user()->id, explode(',',env('ALLOWED_USERS_SHAREPOINT'))))
                                        <li class="nav-parent @if(request()->segment(2) == 'hw_documentation' || request()->segment(2) == 'hw_documentation_create' || request()->segment(1) == "folder")
                                            {{'nav-active nav-expanded'}} @endif">
                                                <a>
                                                    <i class="fa fa-archive" aria-hidden="true"></i>
                                                    <span>{{__('Documentation')}}</span>
                                                </a>
                                                <ul class="nav nav-children">
                                                    <li class="{{(request()->routeIs('hw_documentation')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('hw_documentation')}}">
                                                            {{__('Documentation')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('hw_documentation_create')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('hw_documentation_create')}}">
                                                            {{__('Add new document')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('folder.index')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('folder.index')}}">
                                                            {{__('Folders')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('folder.create')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('folder.create')}}">
                                                            {{__('Add new folder')}}
                                                        </a>
                                                    </li>
                                                </ul>
                                            </li>
                                        @endif
                                        @if(!in_array(Auth::user()->role_id, [5,6,15]))
                                        <li class="nav-parent {{(request()->segment(1) == 'workflow') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="fa fa-arrows-v" aria-hidden="true"></i>
                                                <span>{{__('Work flow')}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('project.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('project.index')}}">
                                                        {{__('Projects')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('project.create')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('project.create')}}">
                                                        {{__('Add new project')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('project_search')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('project_search')}}">
                                                        {{__('Filters')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('task.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('task.index')}}">
                                                        {{__('Tasks')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('task.create')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('task.create')}}">
                                                        {{__('Add new task')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('wf_work.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('wf_work.index')}}">
                                                        {{__('Works')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('wf_work.create')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('wf_work.create')}}">
                                                        {{__('Add new work')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('wf_status.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('wf_status.index')}}">
                                                        {{__('Statuses')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('wf_status.create')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('wf_status.create')}}">
                                                        {{__('Add new status')}}
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                        @endif
                                        @if(in_array(Auth::user()->role_id, [1]))
                                        <?php $segments = ['status', 'paketi', 'razlog_intervencije', 'oprema', 'statusi_uredjaja', 'stanje_uredjaja', 
                                                            'nov_servis', 'vrste_paketa', 'currency', 'network_group', 'device', 'city', 'state', 
                                                            'device_type', 'unit', 'magz', 'base_management', 'tool', 'uniform', 'area', 'material', 
                                                            'vehicleEquipment', 'provider', 'cluster', 'origin', 'const_equipment_type','const_equipment',
                                                            'mont_equipment_category', 'pan', 'distributive_knot'];?>
                                                            
                                        <li class="nav-parent @if(in_array(request()->segment(1), $segments)) {{'nav-active nav-expanded'}} @endif">
                                            <a>
                                                <i class="fa fa-sliders" aria-hidden="true"></i>
                                                <span>{{__('Settings')}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="nav-parent {{(request()->segment(1) == 'base_management') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-database" aria-hidden="true"></i>
                                                        <span>{{__('Database')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('postpaid_tariff.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('postpaid_tariff.index')}}">
                                                                {{__('Postpaid tariffs')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('postpaid_tariff.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('postpaid_tariff.create')}}">
                                                                {{__('Add new tariff')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('campain.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('campain.index')}}">
                                                                {{__('Campaigns')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('campain.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('campain.create')}}">
                                                                {{__('Add new campaign')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'status') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-list-alt" aria-hidden="true"></i>
                                                        <span>{{__('Statuses')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('status.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('status.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('status.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('status.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'paketi') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-cube" aria-hidden="true"></i>
                                                        <span>{{__('Packets')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('paketi.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('paketi.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('paketi.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('paketi.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'vrste_paketa') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-codepen" aria-hidden="true"></i>
                                                        <span>{{__('Packet types')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('vrste_paketa.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vrste_paketa.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('vrste_paketa.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vrste_paketa.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'nov_servis') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-rss" aria-hidden="true"></i>
                                                        <span>{{__('Nov services')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('nov_servis.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('nov_servis.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('nov_servis.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('nov_servis.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'razlog_intervencije') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-list" aria-hidden="true"></i>
                                                        <span>{{__('Reasons of intervention')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('razlog_intervencije.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('razlog_intervencije.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('razlog_intervencije.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('razlog_intervencije.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'currency') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-eur" aria-hidden="true"></i>
                                                        <span>{{__('Currencies')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('currency.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('currency.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('currency.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('currency.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'network_group') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-phone" aria-hidden="true"></i>
                                                        <span>{{__('Network groups')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('network_group.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('network_group.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('network_group.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('network_group.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'device') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-barcode" aria-hidden="true"></i>
                                                        <span>{{__('Devices')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('device.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('device.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('device.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('device.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'device_type') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-dedent" aria-hidden="true"></i>
                                                        <span>{{__('Device categories')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('device_type.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('device_type.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('device_type.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('device_type.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'origin') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-dedent" aria-hidden="true"></i>
                                                        <span>{{__('Device origin')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('origin.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('origin.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('origin.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('origin.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'city') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-map-marker" aria-hidden="true"></i>
                                                        <span>{{__('Cities')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('city.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('city.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('city.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('city.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'area') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-institution" aria-hidden="true"></i>
                                                        <span>{{__('Areas')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('area.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('area.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('area.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('area.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'provider') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-upload" aria-hidden="true"></i>
                                                        <span>{{__('Providers')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('provider.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('provider.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('provider.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('provider.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'state') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-globe" aria-hidden="true"></i>
                                                        <span>{{__('States')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('state.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('state.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('state.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('state.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'unit') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-superscript" aria-hidden="true"></i>
                                                        <span>{{__('Units')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('unit.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('unit.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('unit.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('unit.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                 <li class="nav-parent @if(request()->segment(1) == 'magz') {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-cubes" aria-hidden="true"></i>
                                                        <span>{{__('Warehouses')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('magz.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('magz.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('magz.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('magz.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'oprema' || request()->segment(1) == 'statusi_uredjaja'
                                                || request()->segment(1) == 'stanje_uredjaja' || request()->segment(1) == 'mont_equipment_category') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-sitemap" aria-hidden="true"></i>
                                                        <span>{{__('Equipment')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('oprema.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('oprema.index')}}">
                                                                {{__('Equipment index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('equipment_filter')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('equipment_filter')}}">
                                                                {{__('Equipment').' '.__('filter')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('oprema.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('oprema.create')}}">
                                                                {{__('Add new equipment')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('mont_equipment_category.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('mont_equipment_category.index')}}">
                                                                {{__('Category index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('mont_equipment_category.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('mont_equipment_category.create')}}">
                                                                {{__('Add new category')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('statusi_uredjaja.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('statusi_uredjaja.index')}}">
                                                                {{__('Equipment statuses')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('statusi_uredjaja.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('statusi_uredjaja.create')}}">
                                                                {{__('Add new equipment status')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('stanje_uredjaja.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('stanje_uredjaja.index')}}">
                                                                {{__('Equipment states')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('stanje_uredjaja.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('stanje_uredjaja.create')}}">
                                                                {{__('Add new equipment state')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'material') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-codepen" aria-hidden="true"></i>
                                                        <span>{{__('Materials')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('material.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('material.index')}}">
                                                                {{__('Materials')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('material.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('material.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'tool') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-wrench" aria-hidden="true"></i>
                                                        <span>{{__('Tools')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{request()->routeIs('tool_type.index') ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool_type.index')}}">
                                                                {{__('Tool types')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('tool_type.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool_type.create')}}">
                                                                {{__('Add new tool type')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('tool.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool.index')}}">
                                                                {{__('Tools')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('tool.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool.create')}}">
                                                                {{__('Add new tool')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'uniform') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-male" aria-hidden="true"></i>
                                                        <span>{{__('Uniforms')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{request()->routeIs('uniform_type.index') ? 'nav-active' : ''}}">
                                                            <a href="{{route('uniform_type.index')}}">
                                                                {{__('Uniform types')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('uniform_type.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('uniform_type.create')}}">
                                                                {{__('Add new uniform type')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('uniform.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('uniform.index')}}">
                                                                {{__('Uniforms')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('uniform.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('uniform.create')}}">
                                                                {{__('Add new uniform')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'vehicleEquipment') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-truck" aria-hidden="true"></i>
                                                        <span>{{__('Vehicle equipment')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('vehicleEquipment.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vehicleEquipment.index')}}">
                                                                {{__('Equipment')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('vehicleEquipment.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vehicleEquipment.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'cluster') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-list" aria-hidden="true"></i>
                                                        <span>{{__('Clusters')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('cluster.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('cluster.index')}}">
                                                                {{__('Clusters')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('cluster.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('cluster.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'pan') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-list" aria-hidden="true"></i>
                                                        <span>{{__('Pans')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('pan.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('pan.index')}}">
                                                                {{__('Pans')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('pan.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('pan.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'distributive_knot') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-list" aria-hidden="true"></i>
                                                        <span>{{__('Distributive knot')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('distributive_knot.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('distributive_knot.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('distributive_knot.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('distributive_knot.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                @if($server != 3)
                                                <li class="nav-parent @if(request()->segment(1) == 'const_equipment_type' || request()->segment(1) == 'const_equipment') 
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-sitemap" aria-hidden="true"></i>
                                                        <span>{{__('Equipment').' '.__('Construction sites')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('const_equipment_type.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('const_equipment_type.index')}}">
                                                                {{__('Category index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('const_equipment_type.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('const_equipment_type.create')}}">
                                                                {{__('Add new category')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('const_equipment.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('const_equipment.index')}}">
                                                                {{__('Equipment index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('const_equipment.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('const_equipment.create')}}">
                                                                {{__('Add new equipment')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                @endif
                                            </ul>
                                        </li>
                                        {{--//endif super admin--}}
                                        @endif
                                        @if(in_array(Auth::user()->role_id, [1,2]))
                                        <li class="nav-parent {{(request()->segment(1) == 'groupEntry') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="fa fa-copy" aria-hidden="true"></i>
                                                <span>{{__('Group entry')}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                @if($server != 3)
                                                <li class="{{(request()->routeIs('group_index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('group_index')}}">
                                                        {{__('Group entry M:SAT')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('group_entry_optics')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('group_entry_optics')}}">
                                                        {{__('Group entry OPTICS')}}
                                                    </a>
                                                </li>
                                                @endif
                                                <li class="{{(request()->routeIs('data_transfer')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('data_transfer')}}">
                                                        {{__('Data transfer')}} {{--<i class="fa fa-exchange"></i>--}}
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                        @if($server != 3)
                                        <li class="nav-parent {{(request()->segment(1) == 'import') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="fa fa-upload" aria-hidden="true"></i>
                                                <span>{{__('Import')}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('import.index')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('import.index')}}">
                                                        {{__('Import M:SAT')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('optika')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('optika')}}">
                                                        {{__('Import OPTICS')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('supernova')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('supernova')}}">
                                                        {{__('Import SUPERNOVA')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('bakar')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('bakar')}}">
                                                        {{__('Import COPPER')}}
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                        @endif {{-- server endif --}}
                                        
                                        @endif{{--//endif super admin, admin--}}
                                        @if(in_array(Auth::user()->role_id, [1]))
                                        <li class="nav-parent {{(request()->segment(1) == 'administracija' || request()->segment(1) == 'team'
                                         || request()->segment(1) == 'price' || request()->segment(1) == 'vehicle_owners' || request()->segment(1) == 'storage_vehicle_equipment'
                                         || request()->segment(1) == 'constTeam') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="fa fa-folder-open" aria-hidden="true"></i>
                                                <span>{{__('Administration')}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="nav-parent @if(request()->routeIs('administracija.index') || request()->routeIs('obracun_zarada') || request()->routeIs('zarada_unos')
                                                    || request()->segment(2) == 'settings')
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-qq" aria-hidden="true"></i>
                                                        <span>{{__('Employees')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('administracija.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('administracija.index')}}">
                                                                {{__('Employees index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('obracun_zarada')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('obracun_zarada')}}">
                                                                {{__('Payroll')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('zarada_unos')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('zarada_unos')}}">
                                                                {{__('Earnings input')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('settings_index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('settings_index')}}">
                                                                {{__('Settings')}}
                                                                <i class="fa fa-cogs" aria-hidden="true"></i>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('vozila_pregled') || request()->routeIs('administracija.create')
                                                || request()->routeIs('vehicle_rent') || request()->routeIs('vehicle_rent_list') || request()->routeIs('vehicle_owners.index')
                                                || request()->routeIs('vehicle_owners.create') || request()->routeIs('vehicle_cards.index') || request()->routeIs('vehicle_cards.create')
                                                || request()->routeIs('vehicle_search') || request()->segment(1) == 'storage_vehicle_equipment') 
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-car" aria-hidden="true"></i>
                                                        <span>{{__('Vehicles')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('vozila_pregled')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vozila_pregled')}}">
                                                                {{__('Vehicles')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('administracija.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('administracija.create')}}">
                                                                {{__('Add new vehicle')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('vehicle_search')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vehicle_search')}}">
                                                                {{__('Vehicles').' '.__('filters')}} 
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('vehicle_rent_list')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vehicle_rent_list')}}">
                                                                {{__('Rent list')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('vehicle_rent')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vehicle_rent')}}">
                                                                {{__('Rent a vehicle')}}
                                                            </a>
                                                        </li>
                                                        <li class="nav-parent {{(request()->segment(1) == 'storage_vehicle_equipment') ? 'nav-active nav-expanded' : ''}}">
                                                            <a>
                                                                <i class="fa fa-truck"></i>
                                                                <span>{{__('Warehouse')}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('stockpile_vehicle_equipment')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('stockpile_vehicle_equipment')}}">
                                                                        {{__('Inventory')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('worker_vehicle_equipment')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('worker_vehicle_equipment')}}">
                                                                        {{__('Worker equipment inventory')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('storages_vehicle_equipment')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('storages_vehicle_equipment')}}">
                                                                        {{__('Warehouse')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="{{(request()->routeIs('vehicle_owners.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vehicle_owners.index')}}">
                                                                {{__('Owners')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('vehicle_owners.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vehicle_owners.create')}}">
                                                                {{__('Add new owner')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('vehicle_cards.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vehicle_cards.index')}}">
                                                                {{__('Cards')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('vehicle_cards.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('vehicle_cards.create')}}">
                                                                {{__('Add new card')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('pomocnici_index') || request()->routeIs('pomocnik_create'))
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-h-square" aria-hidden="true"></i>
                                                        <span>{{__('Helpers')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('pomocnici_index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('pomocnici_index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('pomocnik_create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('pomocnik_create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('team.index') || request()->routeIs('team.create'))
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-group" aria-hidden="true"></i>
                                                        <span>{{__('Teams')}} ({{__('Sale')}})</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('team.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('team.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('team.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('team.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('constTeam.index') || request()->routeIs('constTeam.create'))
                                                    {{'nav-active nav-expanded'}} @endif">
                                                        <a>
                                                            <i class="fa fa-group" aria-hidden="true"></i>
                                                            <span>{{__('Teams')}} ({{__('Construction')}})</span>
                                                        </a>
                                                        <ul class="nav nav-children">
                                                            <li class="{{(request()->routeIs('constTeam.index')) ? 'nav-active' : ''}}">
                                                                <a href="{{route('constTeam.index')}}">
                                                                    {{__('Index')}}
                                                                </a>
                                                            </li>
                                                            <li class="{{(request()->routeIs('constTeam.create')) ? 'nav-active' : ''}}">
                                                                <a href="{{route('constTeam.create')}}">
                                                                    {{__('Add new')}}
                                                                </a>
                                                            </li>
                                                        </ul>
                                                    </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'price')
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-dollar" aria-hidden="true"></i>
                                                        <span>{{__('Prices')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="nav-parent @if(request()->routeIs('hw_prices') || request()->routeIs('create_hw_price'))
                                                            {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>HUAWEI</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('hw_prices')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('hw_prices')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('create_hw_price')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('create_hw_price')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->routeIs('dth_prices') || request()->routeIs('create_dth_price'))
                                                        {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>DTH</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('dth_prices')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('dth_prices')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('create_dth_price')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('create_dth_price')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                        <li class="nav-parent @if(request()->routeIs('optics_prices') || request()->routeIs('create_optics_price'))
                                                        {{'nav-active nav-expanded'}} @endif">
                                                            <a>
                                                                <span>{{__("OPTICS")}}</span>
                                                            </a>
                                                            <ul class="nav nav-children">
                                                                <li class="{{(request()->routeIs('optics_prices')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('optics_prices')}}">
                                                                        {{__('Index')}}
                                                                    </a>
                                                                </li>
                                                                <li class="{{(request()->routeIs('create_optics_price')) ? 'nav-active' : ''}}">
                                                                    <a href="{{route('create_optics_price')}}">
                                                                        {{__('Add new')}}
                                                                    </a>
                                                                </li>
                                                            </ul>
                                                        </li>
                                                    </ul>
                                                </li>
                                            </ul>
                                        </li>
                                        {{--//endif super admin--}}
                                        @endif
                                        @if(in_array(Auth::user()->role_id, [1,2]))
                                        <li class="nav-parent {{(request()->segment(1) == 'statistika') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="fa fa-bar-chart-o" aria-hidden="true"></i>
                                                <span>{{__('Statistic')}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="nav-parent @if(request()->routeIs('montaza_sintetika') || request()->routeIs('montaza_analitika')
                                                || request()->routeIs('zakazan_montiran') || request()->routeIs('work_days'))
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <span>{{__('Montage')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('montaza_sintetika')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('montaza_sintetika')}}">
                                                                {{__('Synthetics')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('montaza_analitika')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('montaza_analitika')}}">
                                                                {{__('Analytics')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('zakazan_montiran')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('zakazan_montiran')}}">
                                                                {{__('Scheduled - mounted')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('work_days')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('work_days')}}">
                                                                {{__('Work days')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('intervention_sintetika') || request()->routeIs('intervention_analitika'))
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <span>{{__('Interventions')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('intervention_sintetika')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('intervention_sintetika')}}">
                                                                {{__('Synthetics')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('intervention_analitika')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('intervention_analitika')}}">
                                                                {{__('Analytics')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('prodaja_sintetika') || request()->routeIs('prodaja_analitika'))
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <span>{{__('Sale')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('prodaja_sintetika')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('prodaja_sintetika')}}">
                                                                {{__('Synthetics')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('prodaja_analitika')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('prodaja_analitika')}}">
                                                                {{__('Analytics')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('upotreba_opreme'))
                                                {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <span>{{__('Equipment')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('upotreba_opreme')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('upotreba_opreme')}}">
                                                                {{__('Use of equipment')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="{{(request()->routeIs('monter_marks')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('monter_marks')}}">
                                                        {{__('Fitter marks')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('seller_points')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('seller_points')}}">
                                                        {{__('Points (sale)')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('used_equipment_statistic')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('used_equipment_statistic')}}">
                                                        {{__('Used equipment')}}
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                    {{--//endif superadmin, admin--}}
                                    @endif
                                    @if(Auth::user()->role_id == 1)
                                    <li class="nav-parent {{(request()->segment(1) == 'callisto_bills') ? 'nav-active nav-expanded' : ''}}">
                                        <a>
                                            <i class="fa fa-envelope-o" aria-hidden="true"></i>
                                            <span>{{__('Bills')}}</span>
                                        </a>
                                        <ul class="nav nav-children">
                                            <li class="{{(request()->routeIs('callisto_bills')) ? 'nav-active' : ''}}">
                                                <a href="{{route('callisto_bills')}}">
                                                    {{__('Bills (Callisto)')}}
                                                </a>
                                            </li>
                                            @if(Auth::user()->id == 1001)
                                            <li class="{{(request()->routeIs('callisto_bills_create')) ? 'nav-active' : ''}}">
                                                <a href="{{route('callisto_bills_create')}}">
                                                    Create
                                                </a>
                                            </li>
                                            @endif
                                        </ul>
                                    </li>
                                    {{--endif superadmin--}}
                                    @endif
                                    @if(in_array(Auth::user()->role_id, [1,2,4,9,10]))
                                    <li class="nav-parent {{(in_array(request()->segment(1), ['magacin', 'demand', 'storage'])) ? 'nav-active nav-expanded' : ''}}">
                                        <a>
                                            <i class="fa fa-cubes" aria-hidden="true"></i>
                                            <span></span>{{__('Warehouse')}}</span>
                                        </a>
                                        <ul class="nav nav-children">
                                            <li class="nav-parent @if(request()->routeIs('magacin.index') || request()->routeIs('magacin_dodavanje') || request()->routeIs('fitter_stock') || request()->routeIs('worker_device_search'))
                                                {{'nav-active nav-expanded'}} @endif">
                                                <a>
                                                    <i class="fa fa-barcode" aria-hidden="true"></i>
                                                    <span>{{__('Devices')}}</span>
                                                </a>
                                                <ul class="nav nav-children">
                                                    <li class="{{(request()->routeIs('magacin.index')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('magacin.index')}}">
                                                            {{__('Inventory')}} <i class="fa fa-cubes nav-floater"></i>
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('fitter_stock')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('fitter_stock')}}">
                                                            {{__('Worker device inventory')}} <i class="fa fa-user nav-floater"></i>
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('worker_device_search')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('worker_device_search')}}">
                                                            {{__('Worker device search')}} <i class="fa fa-search nav-floater"></i>
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('magacin_dodavanje')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('magacin_dodavanje')}}">
                                                            {{__('Add device to warehouse')}} <i class="fa fa-plus nav-floater"></i>
                                                        </a>
                                                    </li>
                                                    {{-- <li class="{{(request()->routeIs('irregularities')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('irregularities')}}">
                                                            {{__('Irregularities')}} <i class="fa fa-danger nav-floater"></i>
                                                        </a>
                                                    </li> --}}
                                                </ul>
                                            </li>
                                            <li class="nav-parent @if(request()->routeIs('mont_stockpile') || request()->routeIs('mont_storage') ||
                                                request()->routeIs('mont_storages') || request()->routeIs('package_storage')))
                                                {{'nav-active nav-expanded'}} @endif">
                                                <a>
                                                    <i class="fa fa-sitemap" aria-hidden="true"></i>
                                                    <span>{{__('Equipment')}}</span>
                                                </a>
                                                <ul class="nav nav-children">
                                                    <li class="{{(request()->routeIs('mont_stockpile')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('mont_stockpile')}}">
                                                            {{__('Inventory')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('package_storage')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('package_storage')}}">
                                                            {{__('Inventory')}} {{__('Packages')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('package_search')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('package_search')}}">
                                                            {{__('Inventory')}} {{__('Search')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('mont_storage')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('mont_storage')}}">
                                                            {{__('Worker equipment inventory')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('mont_storages')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('mont_storages')}}">
                                                            {{__('Warehouse')}}
                                                        </a>
                                                    </li>
                                                </ul>
                                            </li>
                                            <li class="nav-parent @if(request()->routeIs('otpremnice') || request()->routeIs('otpremnica_search'))
                                            {{'nav-active nav-expanded'}} @endif">
                                                <a>
                                                    <i class="fa fa-send" aria-hidden="true"></i>
                                                    <span>{{__('Delivery notes')}}</span>
                                                </a>
                                                <ul class="nav nav-children">
                                                    <li class="{{(request()->routeIs('otpremnice')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('otpremnice')}}">
                                                            {{__('Delivery notes')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('otpremnica_search')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('otpremnica_search')}}">
                                                            {{__('Filters')}}
                                                        </a>
                                                    </li>
                                                </ul>
                                            </li>
                                            <li class="nav-parent @if(request()->routeIs('povratnice') || request()->routeIs('povratnica_search')
                                                    || request()->routeIs('return_devices_search'))
                                            {{'nav-active nav-expanded'}} @endif">
                                                <a>
                                                    <i class="fa fa-backward" aria-hidden="true"></i>
                                                    <span>{{__('Return notes')}}</span>
                                                </a>
                                                <ul class="nav nav-children">
                                                    <li class="{{(request()->routeIs('povratnice')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('povratnice')}}">
                                                            {{__('Return notes')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('povratnica_search')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('povratnica_search')}}">
                                                            {{__('Filters')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('return_devices_search')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('return_devices_search')}}">
                                                            {{__('Device search')}}
                                                        </a>
                                                    </li>
                                                </ul>
                                            </li>
                                            <li class="nav-parent @if(request()->routeIs('revers') || request()->routeIs('revers_pretraga') ||
                                                request()->routeIs('revers_montaza'))
                                                {{'nav-active nav-expanded'}} @endif">
                                                <a>
                                                    <i class="fa fa-exchange" aria-hidden="true"></i>
                                                    <span>{{__('Reverse')}} </span>
                                                </a>
                                                <ul class="nav nav-children">
                                                    <li class="{{(request()->routeIs('revers')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('revers')}}">
                                                            {{__('Reverse')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('revers_pretraga')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('revers_pretraga')}}">
                                                            {{__('Filters')}}
                                                        </a>
                                                    </li>
                                                    <li class="{{(request()->routeIs('revers_montaza')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('revers_montaza')}}">
                                                            {{__('Reverse discharge')}}
                                                        </a>
                                                    </li>
                                                </ul>
                                            </li>
                                            <li class="{{(request()->routeIs('magacin_group_entry')) ? 'nav-active' : ''}}">
                                                <a href="{{route('magacin_group_entry')}}">
                                                    {{__('Group entry')}}
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('oprema_razduzenje')) ? 'nav-active' : ''}}">
                                                <a href="{{route('oprema_razduzenje')}}">
                                                    {{__('Equipment discharge')}}
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('vraceni')) ? 'nav-active' : ''}}">
                                                <a href="{{route('vraceni')}}">
                                                    {{__('Returned goods')}}
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('demand_warehouse')) ? 'nav-active' : ''}}">
                                                <a href="{{route('demand_warehouse')}}">
                                                    {{__('Requirement list')}}
                                                </a>
                                            </li>
                                            <li class="{{(request()->segment(1) == 'demand') ? 'nav-active' : ''}}">
                                                <a href="{{route('demand_index')}}">
                                                    <i class="fa fa-list-ul" aria-hidden="true"></i>
                                                    <span>{{__('Demand')}}</span>
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('equipment_requirement_list_kir')) ? 'nav-active' : ''}}">
                                                <a href="{{route('equipment_requirement_list_kir')}}">
                                                    <i class="fa fa-list-ul" aria-hidden="true"></i>
                                                    {{__('Requirement list')}} KIR
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('magacin_pretraga')) ? 'nav-active' : ''}}">
                                                <a href="{{route('magacin_pretraga')}}">
                                                    {{__('Warehouse search')}} <i class="fa fa-search nav-floater"></i>
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('serial_checker')) ? 'nav-active' : ''}}">
                                                <a href="{{route('serial_checker')}}">
                                                    {{__('Check serials')}} <i class="fa fa-search nav-floater"></i>
                                                </a>
                                            </li>
                                        </ul>
                                    </li>
                                    @endif
                                    @if(in_array(Auth::user()->role_id, [1,2,4,8,9,10]) && $server != 3)
                                    <li class="nav-parent {{(request()->segment(1) == 'storage') ? 'nav-active nav-expanded' : ''}}">
                                        <a>
                                            <i class="fa fa-cube" aria-hidden="true"></i>
                                            <span>{{__('Warehouse (construction)')}}</span>
                                        </a>
                                        <ul class="nav nav-children">
                                            <li class="{{(request()->routeIs('stockpile')) ? 'nav-active' : ''}}">
                                                <a href="{{route('stockpile')}}">
                                                    {{__('Inventory')}}
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('construction_storage')) ? 'nav-active' : ''}}">
                                                <a href="{{route('construction_storage')}}">
                                                    {{__('Worker equipment inventory')}}
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('storages')) ? 'nav-active' : ''}}">
                                                <a href="{{route('storages')}}">
                                                    {{__('Warehouse')}}
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('equipment_requirement_list')) ? 'nav-active' : ''}}">
                                                <a href="{{route('equipment_requirement_list')}}">
                                                    {{__('Requirement list')}} HUAWEI
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('equipment_requirement_list_kir')) ? 'nav-active' : ''}}">
                                                <a href="{{route('equipment_requirement_list_kir')}}">
                                                    {{__('Requirement list')}} KIR
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('requirement_search')) ? 'nav-active' : ''}}">
                                                <a href="{{route('requirement_search')}}">
                                                    {{__('Requirement search')}} HUAWEI
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('requirement_search_kir')) ? 'nav-active' : ''}}">
                                                <a href="{{route('requirement_search_kir')}}">
                                                    {{__('Requirement search')}} KIR
                                                </a>
                                            </li>
                                            <li class="nav-parent @if(request()->routeIs('delivery_notes') || request()->routeIs('delivery_search'))
                                            {{'nav-active nav-expanded'}} @endif">
                                                <a>
                                                    <i class="fa fa-send" aria-hidden="true"></i>
                                                    <span>{{__('Delivery notes')}}</span>
                                                </a>
                                                <ul class="nav nav-children">
                                                    <li class="{{(request()->routeIs('delivery_notes')) ? 'nav-active' : ''}}">
                                                        <a href="{{route('delivery_notes')}}">
                                                            {{__('Delivery notes')}}
                                                        </a>
                                                    </li>
                                                    {{--<li class="{{(request()->routeIs('delivery_search')) ? 'nav-active' : ''}}">--}}
                                                        {{--<a href="{{route('delivery_search')}}">--}}
                                                            {{--Otpremnice pretraga--}}
                                                        {{--</a>--}}
                                                    {{--</li>--}}
                                                </ul>
                                            </li>
                                        </ul>
                                    </li>
                                    {{--endif superadmin, admin, magacioner, construction area admin, huawei admin--}}
                                    @endif
                                    @if(in_array(Auth::user()->role_id, [1,2,4,9]))
                                        <li class="nav-parent {{(request()->segment(1) == 'storage_materials') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="fa fa-codepen"></i>
                                                <span>{{__('Warehouse')}} ({{__('MATERIALS')}})</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('stockpile_materials')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('stockpile_materials')}}">
                                                        {{__('Inventory')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('worker_materials')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('worker_materials')}}">
                                                        {{__('Worker materials inventory')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('storages_materials')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('storages_materials')}}">
                                                        {{__('Warehouse')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('dispatch_notes')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('dispatch_notes')}}">
                                                        {{__('Delivery notes')}}
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                        <li class="nav-parent {{(request()->segment(1) == 'storage_tools' || request()->segment(1) == 'toolDevice') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="custom-icon i-tools"></i>
                                                <span>{{__('Warehouse (TOOLS)')}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('tool_devices_inventory')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('tool_devices_inventory')}}">
                                                        {{__('Inventory').' ('.__('Devices').')'}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('stockpile_tools')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('stockpile_tools')}}">
                                                        {{__('Inventory').' ('.__('Equipment').')'}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('tool_device')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('tool_device')}}">
                                                        {{__('Add device to warehouse').' ('.__('Devices').')'}} <i class="fa fa-plus nav-floater"></i>
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('tool_device_search')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('tool_device_search')}}">
                                                        {{__('Filters').' ('.__('Devices').')'}} <i class="fa fa-search nav-floater"></i>
                                                    </a>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('tool_reverse') || request()->routeIs('tool_reverse_search'))
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <i class="fa fa-exchange" aria-hidden="true"></i>
                                                        <span>{{__('Reverse')}} </span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('tool_reverse')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool_reverse')}}">
                                                                {{__('Reverse')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('tool_reverse_search')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool_reverse_search')}}">
                                                                {{__('Filters')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->routeIs('tool_delivery_notes') || request()->routeIs('tool_delivery_notes_search'))
                                                    {{'nav-active nav-expanded'}} @endif">
                                                        <a>
                                                            <i class="fa fa-send" aria-hidden="true"></i>
                                                            <span>{{__('Delivery notes')}}</span>
                                                        </a>
                                                        <ul class="nav nav-children">
                                                            <li class="{{(request()->routeIs('tool_delivery_notes')) ? 'nav-active' : ''}}">
                                                                <a href="{{route('tool_delivery_notes')}}">
                                                                    {{__('Delivery notes')}}
                                                                </a>
                                                            </li>
                                                            <li class="{{(request()->routeIs('tool_delivery_notes_search')) ? 'nav-active' : ''}}">
                                                                <a href="{{route('tool_delivery_notes_search')}}">
                                                                    {{__('Filters')}}
                                                                </a>
                                                            </li>
                                                        </ul>
                                                    </li>
                                                <li class="{{(request()->routeIs('worker_tool_devices')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('worker_tool_devices')}}">
                                                        {{__('Worker tools inventory').' ('.__('Devices').')'}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('worker_tools')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('worker_tools')}}">
                                                        {{__('Worker tools inventory').' ('.__('Equipment').')'}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('storages_tools')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('storages_tools')}}">
                                                        {{__('Warehouse').' ('.__('Equipment').')'}}
                                                    </a>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(2) == 'tool_provider')
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <span>{{__('Providers')}} </span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('toolProvider.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool_provider.index')}}">
                                                                {{__('Providers')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('toolProvider.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool_provider.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent @if(request()->segment(1) == 'toolDevice')
                                                    {{'nav-active nav-expanded'}} @endif">
                                                    <a>
                                                        <span>{{__('Devices')}} </span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('toolDevice.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('toolDevice.index')}}">
                                                                {{__('Index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('toolDevice.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('toolDevice.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                            </ul>
                                        </li>
                                    @endif
                                    @if(in_array(Auth::user()->role_id, [1,2,4]))
                                        <li class="nav-parent {{(request()->segment(1) == 'storage_uniforms') ? 'nav-active nav-expanded' : ''}}">
                                            <a>
                                                <i class="fa fa-male"></i>
                                                <span>{{__('Warehouse (UNIFORMS)')}}</span>
                                            </a>
                                            <ul class="nav nav-children">
                                                <li class="{{(request()->routeIs('stockpile_uniforms')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('stockpile_uniforms')}}">
                                                        {{__('Inventory')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('worker_uniforms')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('worker_uniforms')}}">
                                                        {{__('Worker uniforms inventory')}}
                                                    </a>
                                                </li>
                                                <li class="{{(request()->routeIs('storages_uniforms')) ? 'nav-active' : ''}}">
                                                    <a href="{{route('storages_uniforms')}}">
                                                        {{__('Warehouse')}}
                                                    </a>
                                                </li>
                                            </ul>
                                        </li>
                                    @endif
                                        @if(in_array(Auth::user()->role_id, [4,9]))
                                            <?php $segments = ['oprema', 'statusi_uredjaja', 'stanje_uredjaja', 'tool', 'uniform', 'material'];?>
                                            <li class="nav-parent @if(in_array(request()->segment(1), $segments)) {{'nav-active nav-expanded'}} @endif">
                                                <a>
                                                    <i class="fa fa-sliders" aria-hidden="true"></i>
                                                    <span>{{__('Settings')}}</span>
                                                </a>
                                                <ul class="nav nav-children">
                                                <li class="nav-parent {{(request()->segment(1) == 'oprema' || request()->segment(1) == 'statusi_uredjaja'
                                                || request()->segment(1) == 'stanje_uredjaja') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-sitemap" aria-hidden="true"></i>
                                                        <span>{{__('Equipment')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('oprema.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('oprema.index')}}">
                                                                {{__('Equipment index')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('oprema.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('oprema.create')}}">
                                                                {{__('Add new equipment')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('statusi_uredjaja.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('statusi_uredjaja.index')}}">
                                                                {{__('Equipment statuses')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('statusi_uredjaja.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('statusi_uredjaja.create')}}">
                                                                {{__('Add new equipment status')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('stanje_uredjaja.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('stanje_uredjaja.index')}}">
                                                                {{__('Equipment states')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('stanje_uredjaja.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('stanje_uredjaja.create')}}">
                                                                {{__('Add new equipment state')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'material') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-codepen" aria-hidden="true"></i>
                                                        <span>{{__('Materials')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{(request()->routeIs('material.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('material.index')}}">
                                                                {{__('Materials')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('material.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('material.create')}}">
                                                                {{__('Add new')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'tool') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-wrench" aria-hidden="true"></i>
                                                        <span>{{__('Tools')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{request()->routeIs('tool_type.index') ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool_type.index')}}">
                                                                {{__('Tool types')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('tool_type.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool_type.create')}}">
                                                                {{__('Add new tool type')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('tool.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool.index')}}">
                                                                {{__('Tools')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('tool.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('tool.create')}}">
                                                                {{__('Add new tool')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                                <li class="nav-parent {{(request()->segment(1) == 'uniform') ? 'nav-active nav-expanded' : ''}}">
                                                    <a>
                                                        <i class="fa fa-male" aria-hidden="true"></i>
                                                        <span>{{__('Uniforms')}}</span>
                                                    </a>
                                                    <ul class="nav nav-children">
                                                        <li class="{{request()->routeIs('uniform_type.index') ? 'nav-active' : ''}}">
                                                            <a href="{{route('uniform_type.index')}}">
                                                                {{__("Uniform types")}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('uniform_type.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('uniform_type.create')}}">
                                                                {{__('Add new uniform type')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('uniform.index')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('uniform.index')}}">
                                                                {{__('Uniforms')}}
                                                            </a>
                                                        </li>
                                                        <li class="{{(request()->routeIs('uniform.create')) ? 'nav-active' : ''}}">
                                                            <a href="{{route('uniform.create')}}">
                                                                {{__('Add new uniform')}}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </li>
                                            </ul>
                                    @endif
                                    @if(in_array(Auth::user()->id, explode(',',env('GMs'))))
                                    <li class="nav-parent {{(request()->segment(1) == 'gm_area') ? 'nav-active nav-expanded' : ''}}">
                                        <a>
                                            <i class="fa fa-terminal" aria-hidden="true"></i>
                                            <span>GM area</span>
                                        </a>
                                        <ul class="nav nav-children">
                                            <li class="{{(request()->routeIs('gm_users')) ? 'nav-active' : ''}}">
                                                <a href="{{route('gm_users')}}">
                                                    {{__("Users")}}
                                                </a>
                                            </li>
                                            <li class="{{(request()->routeIs('gm_user_create')) ? 'nav-active' : ''}}">
                                                <a href="{{route('gm_user_create')}}">
                                                    {{__("Add new user")}}
                                                </a>
                                            </li>
                                        </ul>
                                    </li>
                                    @endif
                                </ul>
                            </nav>
                            <hr class="separator" />
                        </div>
                    </div>
                </aside>

                <!-- end: sidebar -->
                @endif
                <section class="content-body" role="main">
                    <div class="containter">
                        <div id="loading">
                            <img id="loading-image" src="/assets/images/loader.gif" alt="Loading..." />
                        </div>
                        @include('partials.error')
                        @include('partials.errors')
                        @include('partials.success')

                        @yield('content')
                    </div>
                </section>

                @if(!Auth::guest())
            </div>
        @endif
    </section>
    @if(session('unpayed_bill'))
        <div class="footer">
            <p>{{__('You are currently using unlicensed software.')}}</p>
        </div>
    @endif
    
    
<script src="{{asset('assets/vendor/bootstrap/js/bootstrap.js')}}"></script>
<script src="{{asset('assets/vendor/nanoscroller/nanoscroller.js')}}"></script>

<script src="{{asset('assets/vendor/magnific-popup/magnific-popup.js')}}"></script>
<script src="{{asset('assets/vendor/jquery-placeholder/jquery.placeholder.js')}}"></script>
<script src="{{asset('assets/vendor/select2/select2.js')}}"></script>

<!-- Specific Page Vendor -->
<script src="{{asset('assets/vendor/jquery-autosize/jquery.autosize.js')}}"></script>
<script src="{{asset('assets/vendor/bootstrap-fileupload/bootstrap-fileupload.min.js')}}"></script>
<script src="{{asset('assets/vendor/pnotify/pnotify.custom.js')}}"></script>
<script src="{{asset('assets/javascripts/ui-elements/examples.modals.js')}}"></script>
<script src="{{asset('assets/vendor/bootstrap-timepicker/js/bootstrap-timepicker.js')}}"></script>
<script src="{{asset('assets/vendor/jquery-datatables/media/js/jquery.dataTables.js')}}"></script>
<script src="{{asset('assets/vendor/jquery-datatables/extras/TableTools/js/dataTables.tableTools.min.js')}}"></script>
<script src="{{asset('assets/vendor/jquery-datatables-bs3/assets/js/datatables.js')}}"></script>
<script src="{{asset('assets/javascripts/ui-elements/examples.lightbox.js')}}"></script>
<script src="{{asset('assets/vendor/ios7-switch/ios7-switch.js')}}"></script>
<script src="{{asset('assets/vendor/jquery-validation/jquery.validate.js')}}"></script>

<!-- charts -->
@if(request()->segment(1) == 'statistika')
    <script src="{{asset('assets/vendor/jquery-appear/jquery.appear.js')}}"></script>
    <script src="{{asset('assets/vendor/jquery-easypiechart/jquery.easypiechart.js')}}"></script>
    <script src="{{asset('assets/vendor/flot/jquery.flot.js')}}"></script>
    <script src="{{asset('assets/vendor/flot-tooltip/jquery.flot.tooltip.js')}}"></script>
    <script src="{{asset('assets/vendor/flot/jquery.flot.pie.js')}}"></script>
    <script src="{{asset('assets/vendor/flot/jquery.flot.categories.js')}}"></script>
    <script src="{{asset('assets/vendor/flot/jquery.flot.resize.js')}}"></script>
    <script src="{{asset('assets/vendor/jquery-sparkline/jquery.sparkline.js')}}"></script>
    <script src="{{asset('assets/vendor/raphael/raphael.js')}}"></script>
    <script src="{{asset('assets/vendor/morris/morris.js')}}"></script>
    <script src="{{asset('assets/vendor/gauge/gauge.js')}}"></script>
    <script src="{{asset('assets/vendor/snap-svg/snap.svg.js')}}"></script>
    <script src="{{asset('assets/vendor/liquid-meter/liquid.meter.js')}}"></script>
    @if(request()->routeIs('montaza_analitika'))
        <script src="{{asset('assets/javascripts/donut.js')}}"></script>
    @endif
    @if(request()->routeIs('zakazan_montiran'))
        <script src="{{asset('assets/javascripts/donut.mont.js')}}"></script>
    @endif
@endif

@if(request()->routeIs('project.show'))
    <script src="{{asset('assets/vendor/jquery-appear/jquery.appear.js')}}"></script>
@endif

@if(request()->routeIs('klijent.edit') || request()->routeIs('klijentiOptika.edit') || request()->routeIs('klijentiBakar.edit') ||
    request()->routeIs('klijentiSupernova.edit') || request()->routeIs('construction_sites.edit') || request()->routeIs('huawei.edit') 
    || request()->routeIs('de_construction_sites.edit') || request()->routeIs('runeOptics.edit') || request()->routeIs('ger_construction_sites.edit') 
    || request()->routeIs('fobos_rune.edit'))
    <script src="{{asset('assets/javascripts/image.rotation.js')}}"></script>
@endif

@if(request()->routeIs('vehicle_rent') || request()->routeIs('vehicle_rent_edit'))
     <script src="{{asset('assets/vendor/bootstrap-colorpicker/js/bootstrap-colorpicker.js')}}"></script>
@endif

<!-- Theme Base, Components and Settings -->
<script src="{{asset('assets/javascripts/theme.js')}}"></script>

<!-- Theme Custom -->
<script src="{{asset('assets/javascripts/theme.custom.js')}}"></script>

<!-- Theme Initialization Files -->
<script src="{{asset('assets/javascripts/theme.init.js')}}"></script>
@if(request()->routeIs('hw_documentation'))
    <script src="{{asset('assets/vendor/jstree/jstree.js')}}"></script>
    <script src="{{asset('assets/javascripts/ui-elements/examples.treeview.js')}}"></script>
@endif
</body>
</html>
