@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete-artikl').click(function () {
                var id = $(this).attr("artiklId");
                $('#id_artikl').val(id);
            });
        });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Add new")}} </h2>
        </header>
        <div class="panel-body">
            @foreach($devices as $br=>$dev)
                <div class="col-sm-4">
                    <a href="{{route('dodavanje_uredjaja', ['tip' => $dev->id])}}" class="btn btn-primary btn-magacin">{{strtoupper($dev->uredjaj)}}</a>
                </div>
            @endforeach
        </div>
    </section>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Goods")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("Serial")}}</th>
                        <th class="text-center">{{__("Goods")}}</th>
                        <th class="text-center">{{__("Warehouse")}}</th>
                        <th class="text-center">{{__("Created at")}}</th>
                    </tr>
                    </thead>
                    @foreach($roba_magacin as $roba)
                        <tr>
                            <td class="text-center">{{$roba->serijski_broj}}</td>
                            <td class="text-center">{{$roba->uredjaj}}</td>
                            <td class="text-center">{{$roba->magacin}}</td>
                            <td class="text-center">@if($roba->created_at){{date('d.m.Y.', strtotime($roba->created_at))}}@endif</td>
                            <td class="btn-center">
                                <a href="#deleteArtiklModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-artikl btn-sm" artiklId="{{$roba->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$roba_magacin->links()}}
                </div>
            </div>
        </div>
    </section>

    <div id="deleteArtiklModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_artikl', 'test')}}">
            <input type="hidden" name="id_artikl" id="id_artikl">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
