@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete-otpremnica').click(function () {
                var id = $(this).attr("otpremnicaId");
                $('#id_otpremnica').val(id);
            });
            $('.btn-edit').click(function () {
                $('#e_otpremnica_id').val($(this).attr("otpId"));
                $('#e_robu_preuzeo').val($(this).attr("robuPreuzeo"));
                $('#e_firma').val($(this).attr("firma"));
                $('#e_reg_br').val($(this).attr("regBr"));
                $('#e_br_lk').val($(this).attr("brLk"));
            });
        });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Delivery notes")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Storekeeper")}}</th>
                        <th class="text-center">{{__("Goods taken by")}}</th>
                        <th class="text-center">{{__("Created at")}}</th>
                        <th class="text-center">{{__("Add goods")}}</th>
                    </tr>
                    </thead>
                    @foreach($otpremnice as $otp)
                        <tr>
                            <td class="text-center">{{$otp->id.'.'}}</td>
                            <td class="text-center">{{$otp->magacioner_ime.' '.$otp->magacioner_prezime}}</td>
                            @if($otp->monter_ime)
                                <td class="text-center">{{$otp->monter_ime.' '.$otp->monter_prezime}}</td>
                            @else
                                <td class="text-center">{{$otp->robu_preuzeo}}</td>
                            @endif
                            <td class="text-center">@if($otp->created_at){{date('d.m.Y.', strtotime($otp->created_at))}}@endif</td>
                            <td class="btn-center">
                                <a href="{{route('otpremnica_uredjaj',['id_otpremnica' => $otp->id, 'robu_preuzeo' => $otp->robu_preuzeo])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-plus"></i></button></a>
                                <a href="#otpremnicaEditModal" class="modal-with-form mb-xs mt-xs mr-xs btn btn-success btn-edit btn-sm"
                                   otpId="{{$otp->id}}" regBr="{{$otp->reg_br}}" robuPreuzeo="{{$otp->robu_preuzeo}}" brLk="{{$otp->br_lk}}"
                                   firma="{{$otp->naziv_firme}}"><i class="fa fa-edit"></i>
                                </a>
                                <a href="#deleteOtpremnicaModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-otpremnica btn-sm" otpremnicaId="{{$otp->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
    </section>

    <div id="deleteOtpremnicaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_otpremnica', 'test')}}">
            <input type="hidden" name="id_otpremnica" id="id_otpremnica">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="deleteOtpremnicaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_otpremnica', 'test')}}">
            <input type="hidden" name="id_otpremnica" id="id_otpremnica">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="otpremnicaEditModal" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit delivery note")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('warehouse_edit', ['param' => 'otpremnica'])}}">
                <input type="hidden" id="e_otpremnica_id" name="e_otpremnica_id">
                @csrf
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Company")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_firma" id="e_firma" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Goods taken by")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_robu_preuzeo" id="e_robu_preuzeo" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("ID card number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_br_lk" id="e_br_lk" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Plate number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_reg_br" id="e_reg_br" class="form-control"/>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Save")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
@endsection

