@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            document.getElementById("serijski_broj").focus();
            $('.btn-delete-roba-povratnica').click(function () {
                var id = $(this).attr("robaPovratnicaId");
                $('#id_roba_povratnica').val(id);
            });
            $('.btn-delete-oprema-povratnica').click(function () {
                var idOprema = $(this).attr("opremaId");
                var idPov = $(this).attr("povId");
                var idStanje = $(this).attr('stanjeId');
                $('#id_oprema').val(idOprema);
                $('#id_oprema_povratnica').val(idPov);
                $('#id_stanje_opreme').val(idStanje);
            });
            $('.btn-edit').click(function () {
                $('#ware_id').val($(this).attr("robaId"));
                $('#ware_serijski_broj').val($(this).attr("serijskiBroj"));
                $('#ware_uredjaj').val($(this).attr("idUredjaj"));
                $('#ware_status_uredjaja').val($(this).attr("idStatusUredjaja"));
                $('#ware_stanje_uredjaja').val($(this).attr("idStanjeUredjaja"));
                $('#ware_jmbg').val($(this).attr("jmbg"));
                $('#ware_tis').val($(this).attr("tis"));
            });
        });
    </script>
    <form id="form" method="get" action="{{route('povratnica_skeniranje')}}" class="form-horizontal">
        <input type="hidden" name="id_povratnice" value="{{$id_povratnice}}" id="id_povratnice">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                    <a class="modal-with-form" href="#modalOprema"><button class="btn btn-success" type="button">{{__("Add equipment")}} <i class="fa fa-sitemap"></i></button></a>
                </div>

                <h2 class="panel-title">{{__("Add device")}} ({{__("Return note number")}} {{$id_povratnice}})</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Device status")}}</label>
                    <div class="col-sm-4">
                        <select type="select" name="status_uredjaja" class="form-control" id="status_uredjaja" spellcheck="false">
                            <option value="0">-- {{__("Status")}} --</option>
                            @foreach($statusi as $stat)
                                <option value="{{$stat->id}}">{{$stat->status}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Device")}}</label>
                    <div class="col-sm-4">
                        <select type="select" name="uredjaj" class="form-control" id="uredjaj" spellcheck="false">
                            <option value="0">-- {{__("Device")}} --</option>
                            @foreach($uredjaji as $ur)
                                <option value="{{$ur->id}}">{{$ur->uredjaj}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Device state")}}</label>
                    <div class="col-sm-4">
                        <select type="select" name="stanje_uredjaja" class="form-control" id="stanje_uredjaja" spellcheck="false">
                            <option value="0">-- {{__("Device state")}} --</option>
                            @foreach($stanja as $stanje)
                                <option value="{{$stanje->id}}">{{$stanje->stanje}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Serial")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="serijski_broj" class="form-control" placeholder="" id="serijski_broj" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Replacement")}} </label>
                    <div class="col-sm-4">
                        <div class="switch switch-sm switch-info">
                            <input type="checkbox" name="zamena" data-plugin-ios-switch autocomplete="off" />
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("JMBG")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="jmbg" class="form-control" placeholder="" id="jmbg" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("TIS ID")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false"/>
                    </div>
                </div>
            </div>
        </section>
    </form>

    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Return note")}} {{__("for")}} {{$robu_preuzeo}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Serial")}}</th>
                        <th class="text-center">{{__("Device")}}</th>
                        <th class="text-center">{{__("Delivery notes")}}</th>
                        <th class="text-center">{{__("Device state")}}</th>
                        <th class="text-center">TIS ID</th>
                        <th class="text-center">{{__("JMBG")}} {{__("Client")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    @foreach($povratna_roba as $br=>$pov)
                        <tr>
                            <td class="text-center">{{($br+1).'.'}}</td>
                            <td class="text-center">{{$pov->serijski_broj}}</td>
                            <td class="text-center">{{$pov->uredjaj}}</td>
                            <td class="text-center">{{$pov->status}}</td>
                            <td class="text-center">{{$pov->stanje}}</td>
                            <?php 
                                $deviceLog = $logModel->logSearch($pov->serijski_broj, false);
                            ?>
                            <td class="text-center">
                                @if(!$deviceLog->isEmpty() && !$pov->tis_id)
                                    {{$deviceLog[0]->tis_id}}
                                @else
                                    {{$pov->tis_id}}
                                @endif
                            </td>
                            <td class="text-center">
                                @if(!$deviceLog->isEmpty())
                                    {{$deviceLog[0]->jmbg}}
                                @else
                                    {{$pov->jmbg}}
                                @endif
                            </td>
                            <td class="btn-center">
                                <a href="#robaEditModal" class="modal-with-form mb-xs mt-xs mr-xs btn btn-success btn-edit btn-sm"
                                   robaId="{{$pov->id}}" idUredjaj="{{$pov->id_uredjaj}}" idStatusUredjaja="{{$pov->id_status_uredjaja}}"
                                   idStanjeUredjaja="{{$pov->id_stanje_uredjaja}}" serijskiBroj="{{$pov->serijski_broj}}", jmbg="{{$pov->jmbg}}" tis="{{$pov->tis_id}}">
                                    <i class="fa fa-edit"></i>
                                </a>
                                <a href="#deleteRobaPovratnicaModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-roba-povratnica btn-sm" robaPovratnicaId="{{$pov->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-sm-12 btn-confirmation">
                    <a href="{{route('povratnice')}}" class="btn btn-primary"><i class="fa fa-backward"></i> {{__("Back")}}</a>
                    <a href="{{route('povratnica_pdf', ['id_povratnice' => $id_povratnice])}}" class="btn btn-warning">Pdf export <i class="fa fa-file-pdf-o"></i></a>
                </div>
            </div>
        </footer>
    </section>

    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Equipment")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Equipment")}}</th>
                        <th class="text-center">{{__("Quantity")}}</th>
                        <th class="text-center">{{__("Device state")}}</th>
                        <th class="text-center">{{__("Package number")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    @foreach($opremaPov as $br=>$oprem)
                        <tr>
                            <td class="text-center">{{($br+1).'.'}}</td>
                            <td class="text-center">{{$oprem->naziv}}</td>
                            <td class="text-center">{{$oprem->kol}}</td>
                            <td class="text-center">{{$oprem->stanje}}</td>
                            <td class="text-center">{{$oprem->package_number}}</td>
                            <td class="btn-center">
                                <a href="#deleteOpremaPovratnicaModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-oprema-povratnica btn-sm" povId="{{$oprem->id_povratnica}}"
                                    opremaId="{{$oprem->id_oprema}}" stanjeId="{{$oprem->id_stanje}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
    </section>

    <div id="deleteRobaPovratnicaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_roba_povratnica', 'test')}}">
            <input type="hidden" name="id_roba_povratnica" id="id_roba_povratnica">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete goods?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="deleteOpremaPovratnicaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_oprema_povratnica', 'test')}}">
            <input type="hidden" name="id_oprema_povratnica" id="id_oprema_povratnica">
            <input type="hidden" name="id_stanje_opreme" id="id_stanje_opreme">
            <input type="hidden" name="id_oprema" id="id_oprema">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                            <p><strong>{{__("You have to manualy make corrections in storage and worker inventory after deletion")}}.</strong></p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="modalOprema" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add equipment")}}</h2>
            </header>
            <form id="dodaj_opremu" method="post" class="form-horizontal mb-lg" action="{{route('dodaj_opremu')}}">
                @csrf
                <input type="hidden" value="{{$id_povratnice}}" name="id_povratnice" id="id_povratnice">
                <input type="hidden" value="{{$fitterId}}" name="fitter_id" id="fitter_id">
                 <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Warehouse")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="storage">
                                <option value="0"> -- {{__("Warehouse")}} --</option>
                                @foreach($magz as $mag)
                                    <option value="{{$mag->id}}">{{$mag->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Equipment")}}</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="oprema">
                               <option value="0">-- {{__("Equipment")}} --</option>
                                @foreach($oprema as $oprem)
                                    <option value="{{$oprem->id}}">{{$oprem->naziv}} <strong>({{$oprem->quantity}})</strong></option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                         <label class="col-sm-3 control-label">{{__("Equipment state")}}</label>
                         <div class="col-sm-9">
                             <select class="form-control" name="stanje_opreme">
                                 <option value="0"> -- {{__("Equipment state")}} --</option>
                                 @foreach($stanja as $stanje)
                                     <option value="{{$stanje->id}}">{{$stanje->stanje}}</option>
                                 @endforeach
                             </select>
                         </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="kol" class="form-control" placeholder="{{__("Quantity")}}..." required/>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
    <div id="robaEditModal" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('return_device_update')}}">
                <input type="hidden" id="ware_id" name="ware_id">
                @csrf
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Serial number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="ware_serijski_broj" id="ware_serijski_broj" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Device status")}}</label>
                        <div class="col-sm-9">
                            <select type="select" name="ware_status_uredjaja" class="form-control" id="ware_status_uredjaja" spellcheck="false">
                                <option value="0">-- {{__("Status")}} --</option>
                                @foreach($statusi as $stat)
                                    <option value="{{$stat->id}}">{{$stat->status}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Device")}} </label>
                        <div class="col-sm-9">
                            <select type="select" name="ware_uredjaj" class="form-control" id="ware_uredjaj" spellcheck="false">
                                <option value="0">-- {{__("Device")}} --</option>
                                @foreach($uredjaji as $ur)
                                    <option value="{{$ur->id}}">{{$ur->uredjaj}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Device state")}}</label>
                        <div class="col-sm-9">
                            <select type="select" name="ware_stanje_uredjaja" class="form-control" id="ware_stanje_uredjaja" spellcheck="false">
                                <option value="0">-- {{__("Device state")}} --</option>
                                @foreach($stanja as $stanje)
                                    <option value="{{$stanje->id}}">{{$stanje->stanje}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">JMBG</label>
                        <div class="col-sm-9">
                            <input type="text" name="ware_jmbg" id="ware_jmbg" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">TIS ID</label>
                        <div class="col-sm-9">
                            <input type="text" name="ware_tis" id="ware_tis" class="form-control"/>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Save")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
@endsection
