@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete-povratnica').click(function () {
                var id = $(this).attr("povratnicaId");
                $('#id_povratnica').val(id);
            });
            $('.btn-edit').click(function () {
                $('#e_povratnica_id').val($(this).attr("povId"));
                $('#e_robu_preuzeo').val($(this).attr("robuPreuzeo"));
                $('#e_firma').val($(this).attr("firma"));
                $('#e_reg_br').val($(this).attr("regBr"));
                $('#e_br_lk').val($(this).attr("brLk"));
                $('#ware_send_date').val($(this).attr("sendDate"));
                if($(this).attr("sent") == 1){
                    $('#ware_sent').attr('checked', 'checked');
                    $('.ios-switch').addClass('on');
                }
                else{
                    $('#ware_sent').removeAttr('checked');
                    $('.ios-switch').removeClass('on');
                }
                if($(this).attr("printed") == 1){
                    $('#ware_printed').val(1);
                }
                else {
                    $('#ware_printed').val(2);
                }
            });
        });
    </script>
    <form id="form" method="get" action="{{route('povratnica_dodavanje')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                </div>

                <h2 class="panel-title">{{__("Add new")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Storekeeper")}} </label>
                    <div class="col-sm-4">
                        <input type="text" readonly name="robu_preuzeo" value="{{$magacioner}}" class="form-control" placeholder="" id="robu_preuzeo" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("User")}}</label>
                    <div class="col-sm-4">
                        <select name="worker" id="worker" class="form-control populate" data-plugin-selectTwo>
                            <option value="">-- {{__("Worker")}} --</option>
                            @foreach($workers as $worker)
                                <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Goods taken by")}}<span class="required">*</span></label>
                    <div class="col-sm-4">
                        <input type="text" name="robu_preuzeo" class="form-control" placeholder="" id="robu_preuzeo" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("ID card number")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="br_lk" class="form-control" placeholder="" id="br_lk" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Plate number")}}</label>
                    <div class="col-sm-4">
                        <input type="text" name="reg_br" class="form-control" placeholder="" id="reg_br" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Warehouse")}}</label>
                    <div class="col-sm-4">
                        <select name="storage" id="storage" class="form-control">
                            @foreach($magz as $mag)
                                <option value="{{$mag->id}}">{{$mag->naziv}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

            </div>
        </section>
    </form>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Return notes")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Storekeeper")}}</th>
                        <th class="text-center">{{__("Goods taken by")}}</th>
                        <th class="text-center">{{__("Warehouse")}}</th>
                        <th class="text-center">{{__("Created at")}}</th>
                        <th class="text-center">{{__("Status")}}</th>
                        <th class="text-center">{{__("Printed")}}</th>
                        <th class="text-center">{{__("Add goods")}}</th>
                    </tr>
                    </thead>
                    @foreach($povratnice as $pov)
                        <tr @if($pov->sent_to_warehouse == 1) class="marker-gray" @endif>
                            <td class="text-center">{{$pov->id.'.'}}</td>
                            <td class="text-center">{{$pov->magacioner_ime.' '.$pov->magacioner_prezime}}</td>
                            @if($pov->monter_ime)
                                <td class="text-center">{{$pov->monter_ime.' '.$pov->monter_prezime}}</td>
                            @else
                                <td class="text-center">{{$pov->robu_preuzeo}}</td>
                            @endif
                            <td class="text-center">{{$pov->storage}}</td>
                            <td class="text-center">@if($pov->created_at){{date('d.m.Y.', strtotime($pov->created_at))}}@endif</td>
                            <td class="text-center">
                                @if($pov->sent_to_warehouse) {{__('Sent')}} @endif
                                @if($pov->send_date)({{date('d.m.Y.', strtotime($pov->send_date))}})@endif
                            </td>
                            <td class="text-center">
                                @if($pov->printed == 1) <i class="fa fa-check"></i> @endif
                            </td>
                            <td class="btn-center">
                                <a href="{{route('povratnica_uredjaj',[$pov->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-plus"></i></button></a>
                                <a href="#povratnicaEditModal" class="modal-with-form mb-xs mt-xs mr-xs btn btn-success btn-edit btn-sm"
                                   povId="{{$pov->id}}" regBr="{{$pov->reg_br}}" robuPreuzeo="{{$pov->robu_preuzeo}}" brLk="{{$pov->br_lk}}"
                                   firma="{{$pov->naziv_firme}}" sent="{{$pov->sent_to_warehouse}}"
                                   @if($pov->send_date) sendDate="{{date('d.m.Y.', strtotime($pov->send_date))}}" @endif printed="{{$pov->printed}}"
                                ><i class="fa fa-edit"></i>
                                </a>
                                <a href="#deletePovratnicaModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-povratnica btn-sm" povratnicaId="{{$pov->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$povratnice->links()}}
                </div>
            </div>
        </div>
    </section>

    <div id="deletePovratnicaModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_povratnica', 'test')}}">
            <input type="hidden" name="id_povratnica" id="id_povratnica">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
    <div id="povratnicaEditModal" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit return note")}}</h2>
            </header>
            <form id="add_device" method="post" class="form-horizontal mb-lg" action="{{route('warehouse_edit', ['param' => 'povratnica'])}}">
                <input type="hidden" id="e_povratnica_id" name="e_povratnica_id">
                @csrf
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("User")}}</label>
                        <div class="col-sm-9">
                            <select name="e_worker" id="e_worker" class="form-control populate" data-plugin-selectTwo>
                                <option value="">-- {{__("Worker")}} --</option>
                                @foreach($workers as $worker)
                                    <option value="{{$worker->id}}">{{$worker->ime.' '.$worker->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Goods taken by")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_robu_preuzeo" id="e_robu_preuzeo" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("ID card number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_br_lk" id="e_br_lk" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Plate number")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="e_reg_br" id="e_reg_br" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Warehouse")}}</label>
                        <div class="col-sm-9">
                            <select name="warehouse" id="warehouse" class="form-control">
                                @foreach($magz as $mag)
                                    <option value="{{$mag->id}}">{{$mag->naziv}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Sent")}} ({{__("Warehouse")}})</label>
                        <div class="col-sm-4 w-sent">
                            <div class="switch switch-sm switch-info">
                                <input type="checkbox" name="ware_sent" id="ware_sent" data-plugin-ios-switch/>
                            </div>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Sending date")}}</label>
                        <div class="col-sm-9">
                            <input type="text" name="ware_send_date" id="ware_send_date" class="form-control date-picker"/>
                        </div>
                    </div>
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Printed")}}</label>
                        <div class="col-sm-4">
                            <select name="ware_printed" id="ware_printed" class="form-control">
                                <option value="1">{{__("YES")}}</option>
                                <option value="2">{{__("NO")}}</option>
                            </select>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="submit">{{__("Save")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
@endsection

