@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('.btn-equipment').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var idEquipment = $('#equipment').val();
            var quantity = $('#equipment_quantity').val();
            var magId = $('#storage').val();
            var packageNumber = $('#package_number').val();
            var operation = $(this).data('operation');
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'equipmentId' : idEquipment,
                    'quantity' : quantity,
                    'userId' : '{{$user->id}}',
                    '_token' : _token,
                    'magId' : magId,
                    'package_number' : packageNumber,
                    'operation' : operation
                },
                success	: function(data){
                    alert(data);
                    document.location.reload();
                }

            });
        });
    });
</script>

<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__('Inventory')}} {{$user->ime.' '.$user->prezime}} </h2>
        <div class="panel-actions">
            <a href="{{route('worker_storage_logs', ['worker_id' => $user->id, 'param' => 'montage'])}}"><button type="button" class="btn btn-info">{{__('History')}} <i class="fa fa-history"></i></button></a>
        </div>
    </header>
    @csrf
    @if(0>1)
    <div class="panel-body">
        <div class='form-group'>
            <label class="col-sm-1 control-label">{{__("Equipment")}} </label>
            <div class="col-sm-4">
                <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                    <option value="">-- {{__("Equipment")}} --</option>
                    @foreach($equipmentList as $equip)
                        <option value="{{$equip->id}}">{{$equip->naziv}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__('Quantity')}}</label>
            <div class="col-sm-2">
                <input type="text" class="form-control" name="equipment_quantity" id="equipment_quantity">
            </div>
            <div class="col-sm-2 btn-group">
                <button type="button" class="btn btn-sm btn-success btn-equipment" route="{{route('mont_fill_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="plus"
                        data-original-title="{{__('Add')}}">
                    <i class="fa fa-plus"></i>
                </button>
                <button type="button" class="btn btn-sm btn-danger btn-equipment" route="{{route('mont_fill_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="minus"
                        data-original-title="{{__('Remove')}}">
                    <i class="fa fa-minus"></i>
                </button>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__("Warehouse")}} </label>
            <div class="col-sm-4">
                <select class="form-control populate dynamic" data-plugin-selectTwo name="storage" id="storage">
                    @foreach($storages as $storage)
                        <option value="{{$storage->id}}">{{$storage->naziv}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__("Package number")}} </label>
            <div class="col-sm-4">
                <input type="text" class="form-control" name="package_number" id="package_number">
            </div>
        </div>
    </div>
    @endif
</section>

@if(!$equipment->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Equipment")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th></th>
                        <th>{{__("Equipment")}}</th>
                        <th style="max-width: 50px">{{__("Quantity")}}</th>
                        <th style="max-width: 50px">{{__("Price")}}</th>
                        <th style="max-width: 50px">{{__("Amount")}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $totalCategory=0; ?>
                    @foreach($equipment as $key=>$equip)
                    <?php $totalCategory+=$equip->price*$equip->quantity; ?>
                        <tr class="gradeX">
                            <td>{{$equip->code}}</td>
                            <td>{{$equip->equipment}}</td>
                            <td>{{$equip->quantity}}</td>
                            <td>{{$equip->price}}</td>
                            <td>{{$equip->price*$equip->quantity}}</td>
                        </tr>
                        @if(isset($equipment[$key+1]))
                        @if($equip->id_category != $equipment[$key+1]->id_category)
                        <tr class="gradeX" style="background-color:beige">
                            <td colspan="4" style="text-align: right"><strong>{{__('Total')}} @if($equip->id_category) {{' ('.$equip->category.')'}} @endif:</strong></td>
                            <td><strong>{{$totalCategory}}</strong></td>
                        </tr>
                        <?php $totalCategory = 0; ?>
                        @endif
                        @else
                        <tr class="gradeX" style="background-color:beige">
                            <td colspan="4" style="text-align: right"><strong>{{__('Total')}} @if($equip->id_category) {{' ('.$equip->category.')'}} @endif:</strong></td>
                            <td><strong>{{$totalCategory}}</strong></td>
                        </tr>
                        @endif
                        <?php $total += $equip->price*$equip->quantity; ?>
                    @endforeach
                    <tr class="gradeX" style="background-color:rgb(0, 138, 202); color:white">
                        <td colspan="4" style="text-align: right"><strong>{{__('Total')}}:</strong></td>
                        <td><strong>{{$total}}</strong></td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@endsection