@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('material.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add new")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Code")}} </label>
                    <div class="col-lg-3">
                        <input type="text" name="code" class="form-control" placeholder="" id="code" spellcheck="false" value="{{old('code')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Material")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('unit')){{'has-error'}} @endif">
                    <input type="text" name="material" class="form-control" placeholder="" id="material" spellcheck="false" value="{{old('material')}}"/>
                        @if($errors->has('material'))
                            <label for="material" class="error">{{$errors->first('material')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Minimal quantity")}} <span class="required"></span></label>
                    <div class="col-lg-3">
                        <input type="text" name="min_qnt" class="form-control" placeholder="" id="min_qnt" spellcheck="false" value="{{old('min_qnt')}}"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-1 control-label">{{__("Price")}}: </label>
                    <div class="col-lg-3 @if($errors->has('price')){{'has-error'}} @endif">
                        <input type="text" name="price" class="form-control" placeholder="" id="price" spellcheck="false" value="{{old('price')}}"/>
                        @if($errors->has('price'))
                            <label for="price" class="error">{{$errors->first('price')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('material.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection