@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('oprema.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add equipment")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Code')}} <span class="required"></span></label>
                    <div class="col-lg-3 @if($errors->has('code')){{'has-error'}} @endif">
                        <input type="text" name="code" class="form-control" placeholder="" id="code" spellcheck="false"/>
                        @if($errors->has('code'))
                            <label for="code" class="error">{{$errors->first('code')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Equipment')}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('oprema')){{'has-error'}} @endif">
                        <input type="text" name="oprema" class="form-control" placeholder="" id="oprema" spellcheck="false"/>
                        @if($errors->has('oprema'))
                            <label for="oprema" class="error">{{$errors->first('oprema')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Equipment type")}} </label>
                    <div class="col-lg-3">
                        <select name="tip_opreme" class="form-control">
                            <option value="">-- {{__("Equipment type")}} --</option>
                            @foreach($tipOpreme as $tip)
                                <option value="{{$tip->id}}">{{$tip->tip}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Category")}} </label>
                    <div class="col-lg-3">
                        <select name="category" class="form-control">
                            <option value="">-- {{__("Category")}} --</option>
                            @foreach($categories as $category)
                                <option value="{{$category->id}}">{{$category->category}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Package")}} </label>
                    <div class="col-lg-3">
                        <select name="package" class="form-control">
                            <option value="">-- {{__("Package")}} --</option>
                            @foreach($packages as $pack)
                                <option value="{{$pack->id}}">{{$pack->package}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Price")}}: </label>
                    <div class="col-lg-3 @if($errors->has('price')){{'has-error'}} @endif">
                        <input type="text" name="price" class="form-control" placeholder="" id="price" spellcheck="false"/>
                        @if($errors->has('price'))
                            <label for="price" class="error">{{$errors->first('price')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('oprema.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection