@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('provider.update', [$provider->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Edit')}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Provider')}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('provider')){{'has-error'}} @endif">
                        <input type="text" name="provider" class="form-control" placeholder="" id="provider"
                               spellcheck="false" value="{{$provider->provider}}"/>
                        @if($errors->has('provider'))
                            <label for="provider" class="error">{{$errors->first('provider')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__('Save')}} <i class="fa fa-save"></i></button>
                        <a href="{{route('provider.index')}}"><button type="button" class="btn btn-default">{{__('Cancel')}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection