@extends('layouts.app')

@section('content')

<section class="panel">
    <header class="panel-heading panel-align">
        <h2 class="panel-title">{{$client->cluster.' '.$client->street}}</h2>
        <div class="panel-actions">
            @if(session('search_route'))
                <a href="{{route('redirector')}}"
                    data-toggle="tooltip" data-placement="top"
                    data-original-title="{{__('Return to search page')}}"><button class="btn btn-danger"><i class="fa fa-backward"></i></button></a>
            @endif
            <!-- <a href="/runeOptics/rune_kir_import"><button type="button" class="mb-xs mt-xs mr-xs btn btn-danger">{{__('Import').' '.__('KIR')}} <i class="fa fa-cogs"></i></button></a> -->
            <a href="/runeOptics/{{$client->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
        </div>
    </header>
    <div class="panel-body">
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Cluster")}}: <div class="highlight">{{$client->cluster}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Street")}}: <div class="highlight">{{$client->street}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("PAN")}}: <div class="highlight">{{$client->pan}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Home number")}}: <div class="highlight">{{$client->home_no}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Entrance")}}: <div class="highlight">{{$client->enterance}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Floor")}}: <div class="highlight">{{$client->floor}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Flat")}}: <div class="highlight">{{$client->apartment}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Statement type")}} <div class="highlight">{{$client->eta}}</div></p>
            </div>
            <div class="col-md-4">
                <p>ID: <div class="highlight">{{$client->fobos_id}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Network group")}}: <div class="highlight">{{$client->network_group}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Packet")}}: <div class="highlight">{{$client->packet}}</div></p>
            </div>
            <div class="col-md-4">
                <p>BL: <div class="highlight">@if($client->black_list==1){{__("YES")}}@else{{__("NO")}}@endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Landline phone")}}: <div class="highlight">{{$client->tel1}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Tel")}}: 2<div class="highlight">{{$client->tel2}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Tel")}} 3<div class="highlight">{{$client->tel3}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("County")}}: <div class="highlight">{{$client->county}}</div></p>
                </div>
            <div class="col-md-4">
                <p>{{__("City")}}: <div class="highlight">{{$client->city}}</div></p>
                </div>
            <div class="col-md-4">
                <p>{{__("Settlement")}}: <div class="highlight">{{$client->settlement}}</div></p>
                </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Household")}}: <div class="highlight">{{$client->household}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Households")}}: <div class="highlight">{{$client->households}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("State")}}: <div class="highlight">{{$client->state}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("State services")}}: <div class="highlight">{{$client->state_services}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("State")}}: <div class="highlight">{{$client->state}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Recommended tariff")}}: <div class="highlight">{{$client->recomended_tariff}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("First offer")}}: <div class="highlight green-highlight">{{$client->first_offer}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Operator")}}: <div class="highlight green-highlight">{{$client->operator}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Month")}}: <div class="highlight green-highlight">{{$client->month}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Year")}}: <div class="highlight">{{$client->year}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Email")}}: <div class="highlight">{{$client->email}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Status")}}: <div class="highlight red-highlight">{{$client->status}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Withdrawal date")}}: <div class="highlight">@if($client->withdrawal_date){{date('d.m.Y.', strtotime($client->withdrawal_date))}}@endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Withdrawal reason")}}: <div class="highlight">{{$client->withdrawal_reason}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Contract expiration")}}: <div class="highlight">@if($client->contract_expire_date){{date('d.m.Y.', strtotime($client->contract_expire_date))}}@endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <p>{{__("Points")}}: <div class="highlight">{{$client->points}}</div></p>
            </div>
            <div class="col-sm-4">
                <p>{{__("Project manager")}}: <div class="highlight yellow-highlight">{{$client->pm_name.' '.$client->pm_surname}}</div></p>
            </div>
            <div class="col-sm-4">
                <p>{{__("Cable")}}: <div class="highlight yellow-highlight">{{$client->cable}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <p>{{__("Thread")}}: <div class="highlight yellow-highlight">{{$client->thread}}</div></p>
            </div>
            <div class="col-sm-4">
                <p>{{__("Tube")}}: <div class="highlight yellow-highlight">{{$client->tube}}</div></p>
            </div>
            <div class="col-sm-4">
                <p>{{__("Case")}}: <div class="highlight yellow-highlight">{{$client->case}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <p>{{__("X-coordinate")}}: <div class="highlight yellow-highlight">{{$client->x_coordinate}}</div></p>
            </div>
            <div class="col-sm-4">
                <p>{{__("Y-coordinate")}}: <div class="highlight yellow-highlight">{{$client->y_coordinate}}</div></p>
            </div>
            <div class="col-sm-4">
                <p>{{__("Construction manager")}}: <div class="highlight highlight">{{$client->cm_name.' '.$client->cm_surname}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Full name")}}: <div class="highlight">{{$client->name.' '.$client->surname}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Request created by")}}: <div class="highlight">{{$client->claim_created_by}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Team Leader")}}: <div class="highlight">{{$client->team_leader_name.' '.$client->team_leader_surname}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Address")}}: <div class="highlight">{{$client->address}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__('Phones')}}: <div class="highlight">@if($client->tel1) {!! nl2br('Fiksni: '.$client->tel1." \n")!!} @endif
                    @if($client->tel2) {!! 'Mob: '.nl2br($client->tel2." \n") !!} @endif @if($client->tel3) {!! 'Mob2: '.nl2br($client->tel3) !!} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Request")}}: <div class="highlight">{{$client->claim}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Seller")}}: <div class="highlight">{{$client->seller_name.' '.$client->seller_surname}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Request date")}}: <div class="highlight">@if($client->claim_date){{date('d.m.Y.', strtotime($klijent->claim_date))}}@endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Points")}}: <div class="highlight">{{$client->points}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Montage date")}}: <div class="highlight">@if($client->montage_date){{date('d.m.Y.', strtotime($client->montage_date))}} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Withdrawal date")}}: <div class="highlight">@if($client->withdrawal_date){{date('d.m.Y.', strtotime($client->withdrawal_date))}} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Delay date")}}: <div class="highlight">@if($client->delay_date){{date('d.m.Y. H:i', strtotime($client->delay_date))}} @endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Assigned to fitter")}}: <div class="highlight">{{$client->fitter_name.' '.$client->fitter_surname}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Appointment date")}}: <div class="highlight">@if($client->appointment_date){{date('d.m.Y. H:i', strtotime($client->appointment_date))}} @endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Withdrawal reason")}}: <div class="highlight">{{$client->withdrawal_reason}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Intervention status")}} <div class="highlight">{{$client->intervention_status}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Intervention date")}}: <div class="highlight">@if($client->intervention_date){{date('d.m.Y.', strtotime($client->intervention_date))}} @endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__("Reclamation fitter")}}: <div class="highlight">{{$client->reclamation_name.' '.$client->reclamation_surname}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Reclamation date")}}: <div class="highlight">@if($client->reclamation_date){{date('d.m.Y.', strtotime($client->reclamation_date))}} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Montage type")}}: <div class="highlight">{{$client->tip}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <p>{{__("Devices")}}
                @foreach($montirani as $mont)
                    <div class="highlight">{{'('.strtoupper($mont->uredjaj).') '.$mont->serijski_broj}}</div>
                @endforeach
            </div>
            <div class="col-sm-4">
                <p>{{__("Equipment")}}
                    @foreach($equipment as $equip)
                        <div class="highlight">{{$equip->naziv.' ('.__("quantity").': '.$equip->kol.') ('.date('d.m.Y. H:i:s', strtotime($equip->created_at)).')'}}</div>
                    @endforeach
            </div>
            <div class="col-sm-4">
                <p>{{__("Returned")}}
                @foreach($vraceni as $vr)
                    <div class="highlight">{{'('.strtoupper($vr->uredjaj).') '.$vr->serijski_broj.' ('.date('d.m.Y. H:i:s', strtotime($vr->created_at)).') - '.$vr->razlog}}</div>
                @endforeach
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__('Origin')}}: <div class="highlight">{{$client->origin}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Helper")}}: <div class="highlight">{{$client->helper_name.' '.$client->helper_surname}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__("Terrain")}}: <div class="highlight">@if($client->on_terrain == 1) DA @else NE @endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__('Area')}}: <div class="highlight">{{$client->area}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__('Provider')}}: <div class="highlight">{{$client->provider}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__('Extra STB')}}: <div class="highlight">{{$client->extra_stb}}</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__('Confirmed in RUNE APP').' '.__('Date')}}: <div class="highlight">@if($client->rune_app_date){{date('d.m.Y', strtotime($client->rune_app_date))}}@endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__('Drawn into QGIS').' '.__('Date')}}: <div class="highlight">@if($client->qgis_date){{date('d.m.Y', strtotime($client->qgis_date))}}@endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__('Additional work')}}: <div class="highlight">@if($client->additional_work == 1) {{__('YES')}} @else {{__('NO')}} @endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <p>{{__('Additional splicing')}}: <div class="highlight">{{$client->additional_splicing}}</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__('Client contacted')}}: <div class="highlight">@if($client->contacted == 1) {{__('YES')}} @else {{__('NO')}} @endif</div></p>
            </div>
            <div class="col-md-4">
                <p>{{__('Contact date')}}: <div class="highlight">@if($client->contact_date){{date('d.m.Y', strtotime($client->contact_date))}}@endif</div></p>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <p style="float: right">{{__("Last change")}} {{$client->created_name.' '.$client->created_surname.' ('.date('d.m.Y. H:i:s', strtotime($client->updated_at)).')'}}</p>
            </div>
        </div>
        <div clsss="row">
            <a href="#deviceLogModal" class="btn btn-sm btn-info btn-listing modal-basic" style="float:right" data-toggle="tooltip" data-placement="top"
                data-original-title="{{__('Device history')}}"><i class="fa fa-eye"></i></a>
        </div>
        @if(count($history) > 1)
            <div clsss="row">
                <a href="#listingModal" class="btn btn-sm btn-warning btn-listing modal-basic" style="float:right"
                    data-toggle="tooltip" data-placement="top"
                    data-original-title="{{__('Client edit history')}}"><i class="fa fa-eye"></i></a>
            </div>
        @endif
    </div>
</section>

@if(!$spentMaterial->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Material')}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Code')}}</th>
                        <th>{{__('Material')}}</th>
                        <th>{{__('Quantity')}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($spentMaterial as $mat)
                        <tr class="gradeX">
                            <td>{{$mat->code}}</td>
                            <td>{{$mat->material}}</td>
                            <td>{{$mat->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@if(!$comments->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Notes")}} </h2>
        </header>
        <div class="panel-body">
            @foreach($comments as $br=>$com)
                <code>{{__("Note")}} {{$br+1}}</code>
                <blockquote class="success">
                    <p>{{$com->comment}}</p>
                    <small>{{$com->ime.' '.$com->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($com->created_at))}}</cite></small>
                </blockquote>
            @endforeach
        </div>
    </section>
@endif
@if(!empty($images[0]))
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Images")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($images as $img)
                    <div class="col-md-2">
                        <div class="popup-gallery">
                            <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" 
                                title="{{date('d.m.Y. H:i:s', strtotime($img->created_at))}}" rel="group1">
                                <div class="img-responsive">
                                    <img src="{{$img->image_url}}" width="105">
                                </div>
                            </a>
                        </div>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    @if(!$files->isEmpty())
        <section class="panel">
            <header class="panel-heading panel-align">
                <h2 class="panel-title">{{__("Files")}}</h2>
            </header>
            <div class="panel-body">
                @foreach($files as $file)
                    <div class="col-md-2" style="overflow: auto;">
                        <a class="pull-left mb-xs mr-xs" href="{{$file->file_url}}" download>{{$file->filename}}</a>
                    </div>
                @endforeach
            </div>
        </section>
    @endif

    <div id="listingModal" class="modal-block modal-full-color modal-block-warning mfp-hide">
        <section class="panel">
          <header class="panel-heading">
            <h2 class="panel-title">{{__("Client edit history")}}</h2>
          </header>
          <div class="panel-body">
            <div class="modal-wrapper">
              <div class="modal-icon">
                <i class="fa fa-eye"></i>
              </div>
              <div class="modal-text">
                @foreach($history as $edit)
                  <p>{{$edit->user_ime.' '.$edit->user_prezime.' ('.date('d.m.Y. H:i:s', strtotime($edit->edit_time)).')'}} </p>
                @endforeach
              </div>
            </div>
          </div>
          <footer class="panel-footer">
            <div class="row">
              <div class="col-md-12 text-right">
                <button class="btn btn-default modal-dismiss">{{__("Close")}}</button>
              </div>
            </div>
          </footer>
        </section>
      </div>
      <div id="deviceLogModal" class="modal-block modal-full-color modal-block-info mfp-hide">
          <section class="panel">
            <header class="panel-heading">
              <h2 class="panel-title">{{__("Device logs")}}</h2>
            </header>
            <div class="panel-body">
              <div class="modal-wrapper">
                <div class="modal-icon">
                  <i class="fa fa-eye"></i>
                </div>
                <div class="modal-text">
                    @foreach($deviceLog as $log)
                        <p @if($log->vraceni || $log->deleted) style="color:#ff6666" @endif>{{$log->serijski_broj.' ('.$log->uredjaj.')'.' ('.date('d.m.Y. H:i:s', strtotime($log->adjusted_date?$log->adjusted_date:$log->created_at)).' - '.$log->ime.' '.$log->prezime.')'}}
                            @if($log->vraceni){{' (vraćen) '.($log->adjusted_return_date?date('d.m.Y. H:i:s', strtotime($log->adjusted_return_date)):date('d.m.Y. H:i:s', strtotime($log->created_at)))}}
                            @if($log->return_user){{' - '.$log->return_name.' '.$log->return_surname}}@endif @endif  @If($log->deleted) - {{__('deleted')}}@endif</p>
                    @endforeach
                </div>
              </div>
            </div>
            <footer class="panel-footer">
              <div class="row">
                <div class="col-md-12 text-right">
                  <button class="btn btn-default modal-dismiss">{{__("Close")}}</button>
                </div>
              </div>
            </footer>
          </section>
      </div>
@endsection