@extends('layouts.app')

@section('content')
    <div class="form-group">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Device entry logs")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <div class="table-mobile">
                        <table class="table table-bordered table-striped mb-none" id="datatable-default">
                            <thead>
                            <tr>
                                <th>{{__("Serial")}}</th>
                                <th>{{__("Full name")}}</th>
                                <th>{{__("Device")}}</th>
                                <th>TIS ID</th>
                                <th>{{__("JMBG")}}</th>
                                <th>{{__("Returned")}}</th>
                                <th>{{__("Created_at")}}</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($logs as $log)
                                <tr class="gradeX">
                                    <td>{{$log->serijski_broj}}</td>
                                    <td>{{$log->ime.' '.$log->prezime}}</td>
                                    <td>{{$log->uredjaj}}</td>
                                    <td>{{$log->tis_id}}</td>
                                    <td>{{$log->jmbg}}</td>
                                    @if($log->vraceni == 1)
                                        <td>{{__("YES")}}</td>
                                    @else
                                        <td>{{__("NO")}}</td>
                                    @endif
                                    <td>{{date('d.m.Y H:i:s', strtotime($log->created_at))}}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection