@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
        });

    </script>

    <form id="form" method="get" action="{{route('optika_advanced_search_result')}}" class="form-horizontal" enctype="multipart/form-data">
            {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>

                <h2 class="panel-title">{{__('Advanced filters')}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Name")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Request created by")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="zahtev_uneo" class="form-control" placeholder="" id="zahtev_uneo" spellcheck="false"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Project")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="project" class="form-control" placeholder="" id="project" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Address")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="adresa" class="form-control" placeholder="" id="adresa" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 1</label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Phone")}} 2 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Phone")}} 3 </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel3" class="form-control" placeholder="" id="tel3" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">Tis ID</label>
                    <div class="col-sm-3">
                        <input type="text" name="tis_id" class="form-control" placeholder="" id="tis_id" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Direction")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="direction" class="form-control" placeholder="" id="direction" spellcheck=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Request date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="datum_zahteva" class="form-control date-picker" placeholder="" id="datum_zahteva"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="prodavac" class="form-control" placeholder="" id="prodavac" spellcheck=""/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Withdrawal reason")}}</label>
                    <div class="col-sm-3">
                        <textarea name="razlog_odustajanja" rows="5" class="form-control" placeholder="" id="razlog_odustajanja" spellcheck="false"></textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Note")}}</label>
                    <div class="col-sm-3">
                        <textarea name="napomena" rows="5" class="form-control" placeholder="" id="napomena" spellcheck="false"></textarea>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Assigned to fitter")}} </label>
                    <div class="col-sm-3">
                        <select name="user" id="user" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $user)
                                <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}} </label>
                    <div class="col-sm-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="status[]" id="status">
                            <optgroup label="{{__('Status')}}">
                                @foreach($statusi as $s)
                                    <option value="{{$s->id}}">{{$s->status}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                    <div class="status-zakazan">
                        <label class="col-sm-1 control-label">{{__("Appointment date")}}</label>
                        <div class="col-sm-3">
                            <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                                <input type="text" name="datum_zakazivanja" class="form-control date-picker" placeholder="" id="datum_zakazivanja" spellcheck=""/>
                            </div>
                        </div>
                    </div>
                    <div class="status-odlozen">
                        <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                        <div class="col-sm-3">
                            <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                                <input type="text" name="datum_odlaganja" class="form-control date-picker" placeholder="" id="datum_odlaganja" spellcheck=""/>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Without status")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="bez_statusa" data-plugin-ios-switch />
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Device")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="serijski_broj" class="form-control" />
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__('Montage date')}} {{__('range')}}</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Created at')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="created_at" class="form-control date-picker" placeholder="" id="created_at"  spellcheck="false"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Montage date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="datum_montaze" class="form-control date-picker" placeholder="" id="datum_montaze"/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Montage type")}} </label>
                    <div class="col-sm-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="tip_montaze" id="tip_montaze">
                            <optgroup label="{{__('Montage type')}}">
                                @foreach($tipoviMontaze as $tip)
                                    <option value="{{$tip->id}}">{{$tip->tip}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Intervention status")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="status_intervencije" id="status_intervencije">
                            <option value="">-- {{__("Status")}} --</option>
                            @foreach($statusiIntervencije as $stinv)
                                <option value="{{$stinv->id}}">{{$stinv->status}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Intervention date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_intervencije" class="form-control date-picker" placeholder="" id="datum_intervencije" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="datum_odustajanja" class="form-control date-picker" placeholder="" id="datum_odustajanja"  spellcheck="false"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Reclamation")}} - {{__("fitter")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="monter_reklamacije" id="monter_reklamacije">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $monter)
                                <option value="{{$monter->id}}">{{$monter->ime.' '.$monter->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Reclamation date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="datum_reklamacije" class="form-control date-picker" placeholder="" id="datum_reklamacije" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Report creation date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="report_date" class="form-control date-picker" placeholder="" id="report_date" spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <select name="seller" id="seller" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Seller")}} --</option>
                            @foreach($sellers as $seler)
                                <option value="{{$seler->id}}">{{$seler->ime.' '.$seler->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">Callisto ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="callisto_id" class="form-control" placeholder="" id="callisto_id" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Origin')}}: </label>
                    <div class="col-sm-3">
                        <select name="origin" id="origin" class="form-control">
                            <option value="">-- {{__("Origin")}} --</option>
                            @foreach($origin as $o)
                                <option value="{{$o->id}}">{{$o->origin}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Device duplicates")}}: </label>
                    <div class="col-sm-3">
                        <select name="device" id="device" class="form-control">
                            <option value="">-- {{__("Device")}} --</option>
                            @foreach($devices as $device)
                                <option value="{{$device->id}}">{{$device->uredjaj}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Company")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="company" id="company">
                            <option value="">-- {{__("Company")}} --</option>
                            @foreach($companies as $company)
                                <option value="{{$company->id}}">{{$company->company}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Helper")}} </label>
                    <div class="col-sm-3">
                        <select class="form-control populate status-select"  name="helper" id="helper" data-plugin-selectTwo>
                            <option value="">-- {{__("Helper")}} --</option>
                            @foreach($helpers as $helper)
                                <option value="{{$helper->id}}">{{$helper->ime.' '.$helper->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Has helper")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-info">
                            <input type="checkbox" name="has_helper" data-plugin-ios-switch/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Terrain")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="terrain" data-plugin-ios-switch/>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
@endsection