@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
        });
    </script>
    <form id="form" method="get" action="{{route('optika_result')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>

                <h2 class="panel-title">{{__("Filters")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Name")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Status")}} </label>
                    <div class="col-sm-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="status[]" id="status">
                            <optgroup label="{{__('Status')}}">
                                @foreach($statusi as $s)
                                    <option value="{{$s->id}}">{{$s->status}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Appointment date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="datum_zakazivanja" class="form-control date-picker" placeholder="" id="datum_zakazivanja" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Delay date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="datum_odlaganja" class="form-control date-picker" placeholder="" id="datum_odlaganja" spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="datum_odustajanja" class="form-control date-picker" placeholder="" id="datum_odustajanja"
                                   spellcheck=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Montage date')}}</label>
                    <div class="col-sm-3">
                        <div class="input-group">
                        <span class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </span>
                            <input type="text" name="datum_montaze" class="form-control date-picker" placeholder="" id="datum_montaze"
                                   spellcheck=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Fitter")}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="user[]" id="user">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Without status")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-success">
                            <input type="checkbox" name="bez_statusa" data-plugin-ios-switch />
                        </div>
                        <div class="switch switch-warning" data-toggle="tooltip" data-placement="top"
                             data-original-title="{{__('Append clients without status')}}">
                            <input type="checkbox" name="append" data-plugin-ios-switch />
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </form>
@endsection