@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
        });

    </script>

    <form id="form" method="get" action="{{route('supernova_result', ['searchType'=>'advanced'])}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>

                <h2 class="panel-title">{{__('Advanced filters')}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Contract number")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="broj_ugovora" class="form-control" placeholder="" id="broj_ugovora" spellcheck="false" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Name")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="ime" class="form-control" placeholder="" id="ime" spellcheck="false" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Surname")}} <span class="required">*</span></label>
                    <div class="col-sm-3">
                        <input type="text" name="prezime" class="form-control" placeholder="" id="prezime" spellcheck="false" value=""/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Street")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="ulica" class="form-control" placeholder="" id="ulica" spellcheck="" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Home number")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="kucni_broj" class="form-control" placeholder="" id="kucni_broj" spellcheck="" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Landline phone")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel1" class="form-control" placeholder="" id="tel1" spellcheck="false" value=""/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Mobile phone")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="tel2" class="form-control" placeholder="" id="tel2" spellcheck="false" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Points")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="broj_bodova" class="form-control" placeholder="" id="broj_bodova" spellcheck="" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Month of signing the general offer")}}</label>
                    <div class="col-sm-3">
                        <input type="text" name="mesec" class="form-control" placeholder="" id="mesec" spellcheck="false" value=""/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__('Agent')}} {{__('Name')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="agent_ime" class="form-control" placeholder="" id="agent_ime" spellcheck="false" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__('Agent')}} {{__('Surname')}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="agent_prezime" class="form-control" placeholder="" id="agent_prezime" spellcheck="false" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Agency")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="agencija" class="form-control" placeholder="" id="agencija" spellcheck="false" value=""/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Regional center")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="regionalni_centar" class="form-control" placeholder="" id="regionalni_centar" spellcheck="false" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Packet")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="paket" class="form-control" placeholder="" id="paket" spellcheck="false" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("City")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="mesto" class="form-control" placeholder="" id="mesto" spellcheck="false" value=""/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Date of tour")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="datum_obilaska" class="form-control date-picker" placeholder="" id="datum_obilaska"  spellcheck="" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">Email </label>
                    <div class="col-sm-3">
                        <input type="text" name="email" class="form-control" placeholder="" id="email" spellcheck="false" value=""/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Contract type")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="tip_ugovora" class="form-control" placeholder="" id="tip_ugovora" spellcheck="false" value=""/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Montage date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                    <span class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                    </span>
                            <input type="text" name="datum_montaze" class="form-control date-picker" placeholder="" id="datum_montaze"  spellcheck="" value=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Withdrawal date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                    <span class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                    </span>
                            <input type="text" name="datum_odustajanja" class="form-control date-picker" placeholder="" id="datum_odustajanja"  spellcheck="" value=""/>
                        </div>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Delay date")}} </label>
                    <div class="col-sm-3">
                        <div class="input-group">
                    <span class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                    </span>
                            <input type="text" name="datum_odlaganja" class="form-control date-picker" placeholder="" id="datum_odlaganja"  spellcheck="" value=""/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__('Montage date')}} {{__('range')}}</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Status")}} </label>
                    <div class="col-sm-3">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="status[]" id="status">
                            <optgroup label="{{__('Status')}}">
                                @foreach($statusi as $s)
                                    <option value="{{$s->id}}">{{$s->status}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                    <div class="status-zakazan">
                        <label class="col-sm-1 control-label">{{__("Appointment date")}}</label>
                        <div class="col-sm-3">
                            <div class="input-group">
                    <span class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                    </span>
                                <input type="text" name="datum_zakazivanja" class="form-control date-picker" placeholder="" id="datum_zakazivanja" value="" spellcheck=""/>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-1 control-label">{{__("Assigned to fitter")}} </label>
                        <div class="col-sm-3">
                            <select name="user[]" id="user" data-plugin-selectTwo class="form-control populate">
                                <option value="">-- {{__("Fitter")}} --</option>
                                @foreach($monteri as $user)
                                    <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Seller")}} </label>
                    <div class="col-sm-3">
                        <select name="seller" id="seller" data-plugin-selectTwo class="form-control populate">
                            <option value="">-- {{__("Seller")}} --</option>
                            @foreach($sellers as $seler)
                                <option value="{{$seler->id}}">{{$seler->ime.' '.$seler->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">ID </label>
                    <div class="col-sm-3">
                        <input type="text" name="callisto_id" class="form-control" placeholder="" id="callisto_id" spellcheck="false"/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
@endsection