@extends('layouts.app')
@section('content')
    <script type="text/javascript">
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Mark statistic")}} </h2>
            <div class="panel-actions">
                <button type="button" class="btn btn-info btn-sm m-xs"  id="info-button" data-toggle="popover" data-container="body" data-placement="bottom"
                        data-content="{{__('If date range is not entered, application checks statistic for current month.
                        If a fitter is selected, the average grade analysis for a given fitter is displayed, otherwise, synthetics for all fitters are displayed.')}}">
                    <i class="fa fa-info-circle"></i></button>
            </div>
        </header>
        <div class="panel-body">
            <form id="frmOprema" method="get" class="form-horizontal mb-lg">
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__("Montage date")}} {{__("range")}}</label>
                    <div class="col-md-4">
                        <div class="input-daterange input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Fitter')}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="monter" id="monter">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $mont)
                                <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-2">
                        <button type="submit" class="btn btn-primary" id="btn-pie" route="{{route('monter_marks')}}">{{__('Show')}}</button>
                    </div>
                </div>
            </form>
        </div>
    </section>

    @if(!$statistic->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Fitter average mark")}}: </h2>
        </header>
        <div class="panel-body">
            <table class="table table-bordered table-striped table-condensed mb-none">
                <th>{{__("Fitter")}}: </th>
                <th>{{__("Facility entrance")}}: </th>
                <th>{{__("Internal cabling")}}: </th>
                <th>{{__("Signal level")}}: </th>
                <th>{{__("Coupling condition")}}: </th>
                <th>{{__("Fitter behavior")}}: </th>
                <th>{{__("Customer satisfaction")}}: </th>
                <th>{{__("Final mark")}}: </th>
                @foreach($statistic as $stat)
                    <tr>
                        <td>{{$stat->user}}</td>
                        <td>{{round($stat->facility_enterance, 2)}}</td>
                        <td>{{round($stat->internal_cabling, 2)}}</td>
                        <td>{{round($stat->signal_level, 2)}}</td>
                        <td>{{round($stat->coupling_condition, 2)}}</td>
                        <td>{{round($stat->behavior, 2)}}</td>
                        <td>{{round($stat->customer_satisfaction, 2)}}</td>
                        <td><strong>{{round($stat->final_mark, 2)}}</strong></td>
                    </tr>
                @endforeach
            </table>
        </div>
    </section>
    @endif

@endsection