@extends('layouts.app')
@section('content')
    <script type="text/javascript">
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Points')}} ({{__('Seller')}}) </h2>
            <div class="panel-actions">
                <button type="button" class="btn btn-info btn-sm m-xs"  id="info-button" data-toggle="popover" data-container="body" data-placement="bottom"
                        data-content="{{__('If no date range is entered, the program checks the balance for the current month. If a seller is selected, the total number of points is displayed only for the selected seller in the current period, otherwise, synthetics are displayed for all sellers.')}}">
                    <i class="fa fa-info-circle"></i></button>
            </div>
        </header>
        <div class="panel-body">
            <form id="frmPoints" method="get" class="form-horizontal mb-lg">
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__('Montage date')}} {{__('range')}}</label>
                    <div class="col-md-4">
                        <div class="input-daterange input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__('Seller')}}</label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="seller" id="seller">
                            <option value="">-- {{__("Seller")}} --</option>
                            @foreach($sellers as $seller)
                                <option value="{{$seller->id}}">{{$seller->ime.' '.$seller->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-2">
                        <button type="submit" class="btn btn-primary" id="btn-pie" route="{{route('seller_points')}}">{{__('Show')}}</button>
                    </div>
                </div>
            </form>
        </div>
    </section>

    @if(!empty($statistic))
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Points')}}: </h2>
        </header>
        <div class="panel-body">
            <table class="table table-bordered table-striped table-condensed mb-none">
                <th>{{__('Seller')}}: </th>
                <th>{{__('Number of points')}}: </th>
                @foreach($statistic as $seller=>$points)
                    <tr>
                        <td>{{$seller}}</td>
                        <td>{{$points}}</td>
                    </tr>
                @endforeach
            </table>
        </div>
    </section>
    @endif

@endsection