@extends('layouts.app')
@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
        });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Average equipment consumption')}}</h2>
            <div class="panel-actions">
                <button type="button" class="btn btn-info btn-sm m-xs"  id="info-button" data-toggle="popover" data-container="body" data-placement="bottom"
                        data-content="{{__("If date range is not entered, application checks statistic for current month. If a fitter is selected, an analysis of the average equipment consumption for a given fitter is displayed, otherwise, synthetics are displayed.")}}">
                    <i class="fa fa-info-circle"></i></button>
            </div>
        </header>
        <div class="panel-body">
            <form id="frmOprema" method="get" class="form-horizontal mb-lg">
                <div class="form-group">
                    <label class="col-md-2 control-label">{{__('Montage date')}} {{__('range')}}</label>
                    <div class="col-md-4">
                        <div class="input-daterange input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-calendar"></i>
                                        </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__('Fitter')}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate"  name="monter" id="monter">
                            <option value="">-- {{__("Fitter")}} --</option>
                            @foreach($monteri as $mont)
                                <option value="{{$mont->id}}">{{$mont->ime.' '.$mont->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-2">
                        <button type="submit" class="btn btn-primary" id="btn-pie" route="{{route('upotreba_opreme')}}">{{__('Show')}}</button>
                    </div>
                </div>
            </form>
        </div>
    </section>

    <div class="row">
        @foreach($statistic as $cli=>$stat)
            @if(empty($stat))
                @continue
            @endif
            <section class="panel col-md-6">
                <header class="panel-heading">
                    @if($cli == 'klijent')
                        <h2 class="panel-title">M:SAT DTH <small>{{$from.' - '.$to}}</small></h2>
                    @endif
                    @if($cli == 'klijenti_optika')
                        <h2 class="panel-title">{{__("OPTICS")}}" <small>{{$from.' - '.$to}}</small></h2>
                    @endif
                    @if($cli == 'klijenti_bakar')
                        <h2 class="panel-title">{{__("COPPER")}}" <small>{{$from.' - '.$to}}</small></h2>
                    @endif
                    <p>{{$monter}}</p>
                </header>
                <div class="panel-body">
                    <table class="table table-bordered table-striped table-condensed mb-none">
                        @foreach($stat as $nmb)
                            <tr>
                                <td>{{$nmb->naziv}}</td>
                                <td>{{number_format($nmb->kol_prosek, 2)}}</td>
                            </tr>
                        @endforeach
                    </table>
                </div>
            </section>
        @endforeach
    </div>
@endsection