@extends('layouts.app')
@section('content')

    @if(!$logs->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Logs")}}</h2>
            </header>
            <div class="panel-body">
                <div class="table-mobile">
                    <table class="table mb-none">
                        <thead>
                        <tr>
                            <th>{{__("Equipment")}}</th>
                            <th>{{__("Quantity")}}</th>
                            <th>{{__("Package")}}</th>
                            <th>{{__("From warehouse")}}</th>
                            <th>{{__("Client")}}</th>
                            <th>{{__("Client type")}}</th>
                            <th>{{__("Created_at")}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $minus='color:red'; ?>
                        @foreach($logs as $log)
                            <tr class="gradeX" style="text-align: center">
                                <td @if($log->quantity < 0) style="color:red" @endif>{{$log->equipment}}</td>
                                <td @if($log->quantity < 0) style="color:red" @endif>{{$log->quantity}}</td>
                                <td @if($log->quantity < 0) style="color:red" @endif>{{$log->package_number}}</td>
                                <td @if($log->quantity < 0) style="color:red" @endif>{{$log->storage}}</td>
                                @switch($log->client_type)
                                    @case(5)
                                        <td style="color:rgb(0, 205, 219)" @if($log->quantity < 0) @endif><a href="/runeOptics/{{$log->client_id}}">{{$log->client_id}}</a></td>
                                        @break
                                    @case(6)
                                        <td style="color:rgb(0, 205, 219)" @if($log->quantity < 0) @endif><a href="/de_construction_sites/{{$log->client_id}}">{{$log->client_id}}</a></td>
                                        @break
                                
                                    @default
                                        <td>{{$log->client_id}}</td>
                                        
                                @endswitch
                
                                <td @if($log->quantity < 0) style="color:red" @endif>{{$log->client_type_name}}</td>
                                <td @if($log->quantity < 0) style="color:red" @endif>{{date('d.m.Y. H:i:s', strtotime($log->created_at))}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="row datatables-footer">
                    <div class="col-sm-12 col-md-6">
                        {{$logs->appends(request()->query())->links()}}
                    </div>
                </div>
            </div>
        </section>
    @endif

@endsection