@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('.btn-material').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var materialId = $('#material').val();
            var quantity = $('#quantity').val();
            var operation = $(this).data('operation');
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'materialId' : materialId,
                    'quantity' : quantity,
                    'storageId' : '{{$storage->id}}',
                    '_token' : _token,
                    'param' : 'storage',
                    'operation' : operation
                },
                success	: function(result){
                    alert(result);
                    document.location.reload();
                }
            });
        });
        $('#btn_enable_log_search').click(function(){
            $('#log_search').fadeIn(1000);
        });

        $('#btn_disable_log_search').click(function(){
            $('#log_search').fadeOut(1000);
        });
    });
</script>

<section class="panel">
    <header class="panel-heading">
        <div class="panel-actions">
            <a href="{{route('material_logs', ['storage_id' => $storage->id])}}"><button type="button" class="btn btn-info">{{__('History')}} <i class="fa fa-history"></i></button></a>
        </div>
        <h2 class="panel-title">{{__("Inventory")}} ({{$storage->naziv}})</h2>
    </header>
    @csrf
    <div class="panel-body">
        <div class='form-group'>
            <label class="col-sm-1 control-label">{{__('Materials')}} </label>
            <div class="col-sm-3">
                <select class="form-control populate" data-plugin-selectTwo name="material" id="material">
                    <option value="">-- {{__('Materials')}} --</option>
                    @foreach($mats as $mat)
                        <option value="{{$mat->id}}">{{$mat->material}}</option>
                    @endforeach
                </select>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__('Quantity')}}</label>
            <div class="col-sm-2">
                <input type="text" class="form-control" name="quantity" id="quantity">
            </div>
            <div class="col-sm-2 btn-group">
                <button type="button" class="btn btn-sm btn-success btn-material" route="{{route('fill_material_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="plus"
                        data-original-title="{{__('Add')}}">
                    <i class="fa fa-plus"></i>
                </button>
                <button type="button" class="btn btn-sm btn-danger btn-material" route="{{route('fill_material_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="minus"
                        data-original-title="{{__('Remove')}}">
                    <i class="fa fa-minus"></i>
                </button>
            </div>
        </div>
    </div>
</section>

@if(!$materials->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__('Inventory')}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Material')}}</th>
                        <th>{{__('Quantity')}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($materials as $mat)
                        <tr class="gradeX">
                            <td>{{$mat->material}}</td>
                            <td>{{$mat->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@endsection