@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
        });
    </script>
    <form id="form" method="get" action="{{route('tool_device_search_result')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                </div>

                <h2 class="panel-title">{{__("Warehouse filters")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Serial")}} </label>
                    <div class="col-sm-3">
                        <input type="text" name="serial" class="form-control" placeholder="" id="serial" spellcheck="false"/>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Device")}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate" name="device" id="device">
                            <option value="">-- {{__("Device")}} --</option>
                            @foreach($uredjaji as $uredjaj)
                                <option value="{{$uredjaj->id}}">{{$uredjaj->uredjaj}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Not on reverse")}} </label>
                    <div class="col-sm-3">
                        <div class="switch switch-info">
                            <input type="checkbox" name="not_on_reverse" data-plugin-ios-switch/>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-sm-1 control-label">{{__("Warehouse")}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate" name="storage" id="storage">
                            <option value="">-- {{__("Warehouse")}} --</option>
                            @foreach($magacini as $mg)
                                <option value="{{$mg->id}}">{{$mg->naziv}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Storekeeper")}} </label>
                    <div class="col-sm-3">
                        <select data-plugin-selectTwo class="form-control populate" name="storekeeper" id="storekeeper">
                            <option value="">-- {{__("Storekeeper")}} --</option>
                            @foreach($magacioneri as $mag)
                                <option value="{{$mag->id}}">{{$mag->ime.' '.$mag->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                    <label class="col-sm-1 control-label">{{__("Device state")}} </label>
                    <div class="col-sm-3">
                        <select name="device_state" id="device_state" class="form-control">
                            <option value="">-- {{__("Device state")}} --</option>
                            @foreach($states as $state)
                                <option value={{$state->id}}>{{$state->state}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-1 control-label">{{__("Created at")}} {{__("range")}}</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                                                <span class="input-group-addon">
                                                    <i class="fa fa-calendar"></i>
                                                </span>
                            <input type="text" class="form-control date-picker" name="start">
                            <span class="input-group-addon">{{__("to")}}</span>
                            <input type="text" class="form-control date-picker" name="end">
                        </div>
                    </div>
                    <div class="col-md-5">
                        <a href="#historyModal" class="btn btn-sm btn-info btn-listing modal-with-form" style="float:right"
                           data-toggle="tooltip" data-placement="top"
                           data-original-title="{{__('Warehouse history')}}"><i class="fa fa-eye"></i></a>
                    </div>
                </div>
            </div>
        </section>
    </form>

        <!-- Modal Form -->
    <div id="historyModal" class="modal-block modal-block-primary mfp-hide">
        <form id="istorija" class="form-horizontal mb-lg" novalidate="novalidate" action="{{route('tool_storage_history')}}"  method="post">
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Warehouse history")}}</h2>
                </header>
                <div class="panel-body">
                        @csrf
                        <div class="form-group mt-lg">
                            <label class="col-sm-3 control-label">{{__("Serial number")}}</label>
                            <div class="col-sm-9">
                                <input type="text" name="serijski_broj" class="form-control" placeholder="{{__("Serial")}}..." required/>
                            </div>
                        </div>
                        <div class="form-group mt-lg">
                            <label class="col-sm-3 control-label">{{__("Date")}}</label>
                            <div class="col-sm-9">
                                <input type="text" name="history_date" class="form-control date-picker" placeholder="{{__("Date")}}..." required/>
                            </div>
                        </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-info" type="submit">{{__("Check out")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection