@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
        });
    </script>
    <div class="form-group">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Warehouse logs")}}</h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("Serial")}}</th>
                            <th>{{__("Device")}}</th>
                            <th>{{__("Full name")}}</th>
                            <th>{{__("Date of entry")}}</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($history as $h)
                            <tr class="gradeX">
                                <td>{{$h->serijski_broj}}</td>
                                <td>{{$h->device}}</td>
                                <td>{{$h->ime.' '.$h->prezime}}</td>
                                <td>{{date('d.m.Y H:i:s', strtotime($h->created_at))}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    <div class="row datatables-footer">
                        <div class="col-sm-12 col-md-6">
                            {{$history->appends(request()->query())->links()}}
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
@endsection