@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete-revers').click(function () {
                var id = $(this).attr("reversId");
                $('#reverse_id').val(id);
            });
        });
    </script>
    <form id="form" method="get" action="{{route('add_tool_reverse')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <div class="panel-actions">
                    <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                </div>
                <h2 class="panel-title">{{__("Add new")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Storekeeper")}}</label>
                    <div class="col-sm-4">
                        <input type="text" readonly name="robu_preuzeo" value="{{$magacioner}}" class="form-control" placeholder="" id="robu_preuzeo" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Fitter")}} </label>
                    <div class="col-sm-4">
                        <select class="form-control populate" data-plugin-selectTwo name="monter" id="monter">
                            <option value="">--{{__("Fitter")}}--</option>
                            @foreach($monteri as $monter)
                                <option value="{{$monter->id}}">{{$monter->ime.' '.$monter->prezime}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Goods taken by")}}: </label>
                    <div class="col-sm-4">
                        <input type="text" name="text" class="form-control" placeholder="" id="text" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">{{__("Warehouse")}} </label>
                    <div class="col-sm-4">
                        <select class="form-control populate" data-plugin-selectTwo name="warehouse" id="warehouse">
                            <option value="">--{{__("Warehouse")}}--</option>
                            @foreach($magz as $mag)
                                <option value="{{$mag->id}}">{{$mag->naziv}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
        </section>
    </form>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Reverses")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Storekeeper")}}</th>
                        <th class="text-center">{{__("Goods taken by")}}</th>
                        <th class="text-center">{{__("Warehouses")}}</th>
                        <th class="text-center">{{__("Created at")}}</th>
                        <th class="text-center">{{__("Add goods")}}</th>
                    </tr>
                    </thead>
                    @foreach($reversi as $rev)
                        <tr>
                            <td class="text-center">{{$rev->id.'.'}}</td>
                            <td class="text-center">{{$rev->magacioner_ime.' '.$rev->magacioner_prezime}}</td>
                            @if($rev->text)
                                <td class="text-center">{{$rev->text}}</td>
                            @else
                                <td class="text-center">{{$rev->monter_ime.' '.$rev->monter_prezime}}</td>
                            @endif
                            <td class="text-center">{{$rev->storage}}</td>
                            <td class="text-center">@if($rev->created_at){{date('d.m.Y.', strtotime($rev->created_at))}}@endif</td>
                            <td class="btn-center">
                                <a href="{{route('tool_reverse_device',['reverse_id' => $rev->id, 'worker_id' => $rev->worker_id, 'text' => $rev->text])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-plus"></i></button></a>
                                <a href="#deleteReversModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-revers btn-sm" reversId="{{$rev->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$reversi->links()}}
                </div>
            </div>
        </div>
    </section>

    <div id="deleteReversModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_tool_reverse', 'test')}}">
            <input type="hidden" name="reverse_id" id="reverse_id">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection

