@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });

            $('.btn-delete-revers').click(function () {
                var id = $(this).attr("reversId");
                $('#reverse_id').val(id);
            });
        });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Reverses")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("No.")}}</th>
                        <th class="text-center">{{__("Storekeeper")}}</th>
                        <th class="text-center">{{__("Goods taken by")}}</th>
                        <th class="text-center">{{__("Warehouse")}}</th>
                        <th class="text-center">{{__("Created at")}}</th>
                        <th class="text-center">{{__("Add goods")}}</th>
                    </tr>
                    </thead>
                    @foreach($reversi as $rev)
                        <tr>
                            <td class="text-center">{{$rev->id.'.'}}</td>
                            <td class="text-center">{{$rev->magacioner_ime.' '.$rev->magacioner_prezime}}</td>
                            <td class="text-center">{{$rev->monter_ime.' '.$rev->monter_prezime}} @if($rev->text){{$rev->text}} @endif</td>
                            <td class="text-center">{{$rev->storage}}</td>
                            <td class="text-center">@if($rev->created_at){{date('d.m.Y.', strtotime($rev->created_at))}}@endif</td>
                            <td class="btn-center">
                                <a href="{{route('tool_reverse_device',['reverse_id' => $rev->id, 'worker_id' => $rev->worker_id, 'text' => $rev->text])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-plus"></i></button></a>
                                <a href="#deleteReversModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-revers btn-sm" reversId="{{$rev->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
    </section>

    <div id="deleteReversModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_tool_reverse', 'test')}}">
            <input type="hidden" name="reverse_id" id="reverse_id">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection