@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            @if(session('mag'))
                $('#mag').val({{session('mag')}});
            @endif
            document.getElementById("serijski_broj").focus();
            $('.btn-delete-artikl').click(function () {
                var id = $(this).attr("artiklId");
                $('#id_artikl').val(id);
            });
        });
    </script>
    <form id="form" method="get" action="{{route('tool_device_scan')}}" class="form-horizontal">
        <input type="hidden" name="tip" value="{{$tip}}" id="tip">
        <div class="form-group">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <div class="panel-actions">
                        <button type="submit" class="btn btn-primary">{{__("Add")}} <i class="fa fa-plus"></i></button>
                    </div>

                    <h2 class="panel-title">{{__("Add new")}} {{strtoupper($uredjaj)}} </h2>
                </header>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("Serial")}}</label>
                        <div class="col-sm-4">
                            <input type="text" name="serijski_broj" class="form-control" placeholder="" id="serijski_broj" spellcheck="false"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">QR {{__("code")}}</label>
                        <div class="col-sm-4">
                            <textarea class="form-control" id="qr_code" rows="6" name="qr_code" spellcheck="false"></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("Warehouse")}} </label>
                        <div class="col-sm-4">
                            <select class="form-control populate" name="mag[]" id="mag">
                                    @foreach($magz as $m)
                                        <option value="{{$m->id}}">{{$m->naziv}}</option>
                                    @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("Provider")}} </label>
                        <div class="col-sm-4">
                            <select name="provider" class="form-control" placeholder="" id="provider">
                                @foreach($providers as $provider)
                                    <option value="{{$provider->id}}">{{$provider->provider}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("Invoice number")}} </label>
                        <div class="col-sm-4">
                            <input type="text" name="invoice_number" class="form-control" placeholder="" id="invoice_number" spellcheck="false"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("Origin")}} </label>
                        <div class="col-sm-4">
                            <select name="origin" class="form-control" placeholder="" id="origin">
                                @foreach($origins as $origin)
                                    <option value="{{$origin->id}}">{{$origin->origin}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </form>
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Goods")}} </h2>
        </header>
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    <thead>
                    <tr>
                        <th class="text-center">{{__("Serial")}}</th>
                        <th class="text-center">{{__("Device")}}</th>
                        <th class="text-center">{{__("Provider")}}</th>
                        <th class="text-center">{{__("Invoice number")}}</th>
                        <th class="text-center">{{__("Origin")}}</th>
                        <th class="text-center">{{__("Warehouse")}}</th>
                        <th class="text-center">{{__("Created at")}}</th>
                    </tr>
                    </thead>
                    @foreach($roba_magacin as $roba)
                        <tr>
                            <td class="text-center">{{$roba->serijski_broj}}</td>
                            <td class="text-center">{{$roba->uredjaj}}</td>
                            <td class="text-center">{{$roba->provider}}</td>
                            <td class="text-center">{{$roba->invoice_number}}</td>
                            <td class="text-center">{{$roba->origin}}</td>
                            <td class="text-center">{{$roba->magacin}}</td>
                            <td class="text-center">@if($roba->created_at){{date('d.m.Y.', strtotime($roba->created_at))}}@endif</td>
                            <td class="btn-center">
                                <a href="#deleteArtiklModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-artikl btn-sm" artiklId="{{$roba->id}}"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
            {{--<div class="row datatables-footer">--}}
                {{--<div class="col-sm-12 col-md-6">--}}
                    {{--{{$roba_magacin->links()}}--}}
                {{--</div>--}}
            {{--</div>--}}
        </div>
    </section>

    <div id="deleteArtiklModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('delete_artikl', 'test')}}">
            <input type="hidden" name="id_artikl" id="id_artikl">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}l?</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection