@extends('layouts.app')

@section('content')
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Inventory")}} </h2>
                </header>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table table-bordered table-striped table-condensed mb-none">
                            @foreach($devices as $desc => $dev)
                                <tr>
                                    <td class="text-left">{{strtoupper($desc)}}:</td>
                                    <td class="text-left">{{$dev->count}}</td>
                                </tr>
                            @endforeach
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="panel">
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    @foreach($magz as $key1=>$storages)
                        <thead>
                            <tr>
                                <th class="text-center">{{$key1}}</th>
                                <th></th>
                            </tr>
                        </thead>
                            @foreach($storages as $key2=>$mag)
                        <tr>
                            <td class="text-left">{{$key2}}</td>
                            <td class="text-left">{{$mag->count}}</td>
                        </tr>
                            @endforeach
                    @endforeach
                </table>
            </div>
        </div>
    </section>
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Inventory without goods on reverse")}} ({{__("Total")}}) </h2>
                </header>
                <div class="panel-body">
                    <div class="table-responsive">
                        <table class="table table-bordered table-striped table-condensed mb-none">
                            @foreach($devicesInStorage as $desc => $count)
                                <tr>
                                    <td class="text-left">{{strtoupper($desc)}}:</td>
                                    <td class="text-left">{{$count}}</td>
                                </tr>
                            @endforeach
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="panel">
        <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-bordered table-striped table-condensed mb-none">
                    @foreach($magzRev as $key1=>$mag)
                        <thead>
                        <tr>
                            <th class="text-center">{{$key1}} ({{__("Inventory without goods on reverse")}})</th>
                            <th></th>
                        </tr>
                        </thead>
                        @foreach($mag as $device=>$count)
                            <tr>
                                <td class="text-left">{{$device}}</td>
                                <td class="text-left">{{$count}}</td>
                            </tr>
                        @endforeach
                    @endforeach
                </table>
            </div>
        </div>
    </section>

    <div id="modalOperation" class="modal-block modal-block-primary mfp-hide">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title" id="operation-title">{{__("Equipment")}} </h2>
            </header>
            <form id="frmOperation" method="post" class="form-horizontal mb-lg" action="">
                <input type="hidden" name="id_oprema" id="id_oprema">
                <input type="hidden" name="operation" id="operation">
                @csrf
                <div class="panel-body">
                    <div class="form-group mt-lg">
                        <label class="col-sm-3 control-label">{{__("Number")}} </label>
                        <div class="col-sm-9">
                            <input type="text" name="broj" id="broj" class="form-control" placeholder="{{__('Number')}}..." required/>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-primary" type="button" id="operation-btn" route="{{route('operation')}}">{{__("Continue")}}</button>
                            <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                        </div>
                    </div>
                </footer>
            </form>
        </section>
    </div>
@endsection
