@extends('layouts.app')
@section('content')

@if(!$logs->isEmpty())
<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Logs")}}</h2>
    </header>
    <div class="panel-body">
        <div class="table-mobile">
            <table class="table mb-none">
                <thead>
                    <tr>
                        <th>{{__("Uniform")}}</th>
                        <th>{{__("Color")}}</th>
                        <th>{{__("Size")}}</th>
                        <th>{{__("Created by")}}</th>
                        <th>{{__("Issued to worker")}}</th>
                        <th>{{__("Quantity")}}</th>
                        <th>{{__("Created_at")}}</th>
                    </tr>
                </thead>
                <tbody>
                <?php $minus='color:red'; ?>
                @foreach($logs as $log)
                    <tr class="gradeX" style="text-align: center">
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->uniform}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->color}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->size}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->storekeeper_name.' '.$log->storekeeper_surname}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->worker_name.' '.$log->worker_surname}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{$log->quantity}}</td>
                        <td @if($log->quantity < 0) style="color:red" @endif>{{date('d.m.Y. H:i:s', strtotime($log->created_at))}}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
        <div class="row datatables-footer">
            <div class="col-sm-12 col-md-6">
                {{$logs->appends(request()->query())->links()}}
            </div>
        </div>
    </div>
</section>
@endif

@endsection