@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('#uniform_type').val(0);
        $('#uniform_type').change(function(){
            $('#uniform').empty();
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id,
                        'dependent' : dependent
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });

        $('.btn-uniform').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var uniformId = $('#uniform').val();
            var quantity = $('#quantity').val();
            var storageId = $('#storage').val();
            var operation = $(this).data('operation');
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'uniformId' : uniformId,
                    'quantity' : quantity,
                    'userId' : '{{$user->id}}',
                    '_token' : _token,
                    'storageId' : storageId,
                    'operation' : operation
                },
                success	: function(data){
                    alert(data);
                    document.location.reload();
                }
            });
        });
    });
</script>

<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Inventory")}} {{$user->ime.' '.$user->prezime}} </h2>
    </header>
    @csrf
    <div class="panel-body">
        <div class='form-group'>
            <label class="col-sm-1 control-label">T{{__("Type")}} </label>
            <div class="col-sm-3">
                <select class="form-control populate dynamic" data-plugin-selectTwo name="uniform_type" id="uniform_type"
                        route="{{route('uniform_populate')}}" data-dependent="uniform">
                    <option value="0">-- {{__("Type")}} --</option>
                    @foreach($uniformTypes as $type)
                        <option value="{{$type->id}}">{{$type->type}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__("Uniform")}} </label>
            <div class="col-sm-3">
                <select class="form-control populate" data-plugin-selectTwo name="uniform" id="uniform">
                    <option value="">-- {{__("Uniform")}} --</option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__("Warehouse")}} </label>
            <div class="col-sm-3">
                <select class="form-control populate dynamic" data-plugin-selectTwo name="storage" id="storage">
                    @foreach($storages as $storage)
                        <option value="{{$storage->id}}">{{$storage->naziv}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__("Quantity")}}</label>
            <div class="col-sm-2">
                <input type="text" class="form-control" name="quantity" id="quantity">
            </div>
            <div class="col-sm-2 btn-group">
                <button type="button" class="btn btn-sm btn-success btn-uniform" route="{{route('fill_uniform_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="plus"
                        data-original-title="{{__("Add")}}">
                    <i class="fa fa-plus"></i>
                </button>
                <button type="button" class="btn btn-sm btn-danger btn-uniform" route="{{route('fill_uniform_storage')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="minus"
                        data-original-title="{{__("Remove")}}">
                    <i class="fa fa-minus"></i>
                </button>
            </div>
        </div>
    </div>
</section>

@if(!$uniforms->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Uniform")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Type')}}</th>
                        <th>{{__('Uniform')}}</th>
                        <th>{{__('Color')}}</th>
                        <th>{{__('Size')}}</th>
                        <th>{{__('Quantity')}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($uniforms as $uni)
                        <tr class="gradeX">
                            <td>{{$uni->type}}</td>
                            <td>{{$uni->uniform}}</td>
                            <td>{{$uni->color}}</td>
                            <td>{{$uni->size}}</td>
                            <td>{{$uni->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@endsection