@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('.btn-equipment').click(function(){
            var route = $(this).attr('route');
            var _token = $('input[name="_token"]').val();
            var equipmentId = $('#equipment').val();
            var quantity = $('#quantity').val();
            var storageId = $('#storage').val();
            var operation = $(this).data('operation');
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	route,
                data    :   {
                    'equipmentId' : equipmentId,
                    'quantity' : quantity,
                    'userId' : '{{$user->id}}',
                    '_token' : _token,
                    'storageId' : storageId,
                    'operation' : operation
                },
                success	: function(data){
                    alert(data);
                    document.location.reload();
                }
            });
        });
    });
</script>

<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title">{{__("Inventory")}} {{$user->ime.' '.$user->prezime}} </h2>
    </header>
    @csrf
    <div class="panel-body">
        <div class='form-group'>
            <label class="col-sm-1 control-label">{{__("Equipment")}} </label>
            <div class="col-sm-3">
                <select class="form-control populate" data-plugin-selectTwo name="equipment" id="equipment">
                    <option value="">-- {{__("Equipment")}} --</option>
                    @foreach($equipmentList as $eq)
                        <option value="{{$eq->id}}">{{$eq->equipment}}</option>
                    @endforeach
                </select>
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-1 control-label">{{__("Warehouse")}} </label>
            <div class="col-sm-3">
                <select class="form-control populate dynamic" data-plugin-selectTwo name="storage" id="storage">
                    @foreach($storages as $storage)
                        <option value="{{$storage->id}}">{{$storage->naziv}}</option>
                    @endforeach
                </select>
            </div>
            <label class="col-sm-1 control-label">{{__("Quantity")}}</label>
            <div class="col-sm-2">
                <input type="text" class="form-control" name="quantity" id="quantity">
            </div>
            <div class="col-sm-2 btn-group">
                <button type="button" class="btn btn-sm btn-success btn-equipment" route="{{route('fill_vehicle_equipment')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="plus"
                        data-original-title="{{__("Add")}}">
                    <i class="fa fa-plus"></i>
                </button>
                <button type="button" class="btn btn-sm btn-danger btn-equipment" route="{{route('fill_vehicle_equipment')}}"
                        data-toggle="tooltip" data-placement="top" data-operation="minus"
                        data-original-title="{{__("Remove")}}">
                    <i class="fa fa-minus"></i>
                </button>
            </div>
        </div>
    </div>
</section>

@if(!$equipment->isEmpty())
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Equipment")}}</h2>
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__('Equipment')}}</th>
                        <th>{{__('Quantity')}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($equipment as $eq)
                        <tr class="gradeX">
                            <td>{{$eq->equipment}}</td>
                            <td>{{$eq->quantity}}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </section>
@endif

@endsection