@extends('layouts.app')
@section('content')
    <section class="panel">
        <form id="form" method="post" action="{{ route('create_ticket_comment', $ticket_id) }}" class="form-horizontal">
            @csrf
            <header class="panel-heading">
                <h2 class="panel-title">{{(__('Write a comment'))}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <div class="col-sm-12 @if($errors->has('comment')){{'has-error'}} @endif">
                        <textarea name="comment" rows="5" class="form-control" placeholder="" id="comment" spellcheck="false"></textarea>
                        @if($errors->has('comment'))
                            <label for="comment" class="error">{{$errors->first('comment')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        @if(session('ticket_type') == 0)
                            <a href="{{route('construction_tickets')}}"><button class="btn btn-success" type="button">{{__('Back')}} <i class="fa fa-backward"></i></button></a>
                        @elseif(session('ticket_type') == 1)
                            <a href="{{route('hw_tickets')}}"><button class="btn btn-success" type="button">{{__('Back')}} <i class="fa fa-backward"></i></button></a>
                        @endif
                        <button class="btn btn-primary" type="submit">{{__('Create')}} <i class="fa fa-comment"></i></button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
    @if(!$comments->isEmpty())
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{(__('Comments'))}} </h2>
            </header>
            <div class="panel-body">
                @foreach($comments as $br=>$comment)
                    <blockquote class="success">
                        <p>{{$comment->comment}}</p>
                        <small>{{$comment->name.' '.$comment->surname}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif
    <div class="row datatables-footer">
        <div class="col-sm-12 col-md-6">
            {{$comments->links()}}
        </div>
    </div>
@endsection