@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function(){
        $('.btn-resolve').click(function(){
            $('#resolve_id').val($(this).data('id'));
            $('#action').val('resolve');
            var text = '{{__('Are you sure you want to resolve')}} {{__('ticket')}}?';
            document.getElementById('resolve-paragraph').innerHTML = text;
        });
        $('.btn-unresolved').click(function(){
            $('#resolve_id').val($(this).data('id'));
            $('#action').val('unresolved');
            var text = '{{__('Are you sure you want to mark ticket as unresolved')}}?';
            document.getElementById('resolve-paragraph').innerHTML = text;
        });
        $('.btn-delete').click(function(){
            $('#delete_id').val($(this).data('id'));
        });
        $('#resolve').click(function(){
            $.ajax({
                type	:	"POST",
                cache	: 	false,
                url		:	"{{route('resolve')}}",
                data    :   $('#resolve-form').serialize(),
                success	: function(){
                    document.location.reload();
                }
            });
        });
    });
</script>
@foreach($tickets as $ticket)
    <?php $recentComments = $cMod->recentComments($ticket->id); ?>
<section class="panel">
    <header class="panel-heading">
        <h2 class="panel-title" @if($ticket->resolved == 1)style="color: green"@endif>{{$ticket->title}} <small>({{__('Assigned to')}} <strong>{{$ticket->assigned_name.' '.$ticket->assigned_surname}}</strong> {{__('at')}}
                @if($ticket->created_at){{date('d.m.Y. H:i:s', strtotime($ticket->created_at))}}@endif{{')'}}</small></h2>
        <div class="panel-actions">
            @if($ticket->resolved == 0)
                <a href="#resolveModal" class="modal-basic">
                    <button class="btn btn-primary btn-resolve" data-id="{{$ticket->id}}" data-toggle="tooltip"  data-placement="top" data-original-title="{{__('Resolve')}}"><i class="fa fa-check"></i></button>
                </a>
            @elseif($isAdmin)
                <a href="#resolveModal" class="modal-basic">
                    <button class="btn btn-warning btn-unresolved" data-id="{{$ticket->id}}" data-toggle="tooltip"  data-placement="top" data-original-title="{{__('Mark as unresolved')}}"><i class="fa fa-backward"></i></button>
                </a>
            @endif
            <a href="{{route('ticket_comments', $ticket->id)}}">
                <button class="btn btn-success" data-toggle="tooltip" data-placement="top" data-original-title="{{__('Comments')}}"><i class="fa fa-comment"></i></button>
            </a>
            @if($isAdmin)
                <a href="#deleteModal" class="modal-basic">
                    <button class="btn btn-danger btn-delete" data-id="{{$ticket->id}}" data-toggle="tooltip" data-placement="top" data-original-title="{{__('Delete')}}"><i class="fa fa-trash-o"></i></button>
                </a>
            @endif
        </div>
    </header>
    <div class="panel-body" @if($ticket->resolved == 1)style="color: green"@endif>
        <p>{{$ticket->issue}}</p>
        @if($ticket->resolved_name)
        <h5 @if($ticket->resolved == 1)style="color: red"@endif>({{__('Resolved by')}} <strong>{{$ticket->resolved_name.' '.$ticket->resolved_surname}}</strong>
                @if($ticket->resolved_at){{__('at')}} {{date('d.m.Y. H:i:s', strtotime($ticket->resolved_at))}}@endif{{')'}}</h5>
        @endif
        @if(!$recentComments->isEmpty())
            <p style="font-style:italic">{{__('Latest comments')}}:</p>
            @foreach($recentComments as $br=>$comment)
                <blockquote class="warning">
                    <p>{{$comment->comment}}</p>
                    <small>{{$comment->name.' '.$comment->surname}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($comment->created_at))}}</cite></small>
                </blockquote>
            @endforeach
        @endif
        <p style="text-align:right"><small>({{__('Created by')}} {{$ticket->created_name.' '.$ticket->created_surname}} {{__('at')}}
                @if($ticket->created_at){{date('d.m.Y. H:i:s', strtotime($ticket->created_at))}}@endif{{')'}}</small></p>
    </div>
</section>
@endforeach
<div class="row datatables-footer">
    <div class="col-sm-12 col-md-6">
        {{$tickets->links()}}
    </div>
</div>
<div id="resolveModal" class="modal-block modal-header-color modal-block-primary mfp-hide">
    <form name="resolve-form" id="resolve-form" method="post" action="{{route('resolve')}}">
        <input type="hidden" name="resolve_id" id="resolve_id">
        <input type="hidden" name="action" id="action">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Notice')}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-check"></i>
                    </div>
                    <div class="modal-text">
                        <p id="resolve-paragraph"></p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="button" id="resolve">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
<div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" id="delete-form" method="post" action="{{route('delete_ticket')}}">
        <input type="hidden" name="delete_id" id="delete_id">
        @csrf
        {{ method_field('delete') }}
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__('Notice')}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-trash-o"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__('Deletion')}}</h4>
                        <p>{{__('Are you sure you want to delete ')}}{{__('ticket')}}?</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
@endsection

