@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('uniform.update', [$uniform->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit uniform")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Uniform")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('uniform')){{'has-error'}} @endif">
                    <input type="text" name="uniform" class="form-control" placeholder="" id="uniform" spellcheck="false" value="{{$uniform->uniform}}"/>
                        @if($errors->has('uniform'))
                            <label for="uniform" class="error">{{$errors->first('uniform')}}</label>
                        @endif
                    </div>
                    <label class="col-lg-2 control-label">{{__("Type")}}</label>
                    <div class="col-lg-3">
                        <select name="type" class="form-control">
                            <option value="">-- {{__("Type")}} --</option>
                            @foreach($uniformTypes as $type)
                                <option value="{{$type->id}}" @if($type->id == $uniform->type_id) selected @endif>{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Size")}} </label>
                    <div class="col-lg-3">
                        <input type="text" name="size" class="form-control" placeholder="" id="size" spellcheck="false" value="{{$uniform->size}}"/>
                    </div>
                    <label class="col-lg-2 control-label">{{__("Color")}}</label>
                    <div class="col-lg-3">
                        <input type="text" name="color" class="form-control" placeholder="" id="color" spellcheck="false" value="{{$uniform->color}}"/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('uniform.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection