@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btn-delete').click(function () {
                var id = $(this).attr("uniformId");
                $('#id_uniform').val(id);
            });
        });
    </script>
    <section class="panel">
        <div class="row">
            <div class="col-sm-12">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Uniforms")}}</h2>
                </header>
                <div class="panel-body">
                    <table class="table table-bordered table-striped mb-none" id="datatable-default">
                        <thead>
                        <tr>
                            <th>{{__("No.")}}</th>
                            <th>{{__("Uniforms")}}</th>
                            <th>{{__("Color")}}</th>
                            <th>{{__("Size")}}</th>
                            <th>{{__("Type")}}</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($uniforms as $rbr => $uni)
                            <tr class="gradeX">
                                <td>{{($rbr+1).'.'}}</td>
                                <td>{{$uni->uniform}}</td>
                                <td>{{$uni->color}}</td>
                                <td>{{$uni->size}}</td>
                                <td>{{$uni->type}}</td>
                                <td class="btn-center">
                                    <a href="/uniform/{{$uni->id}}/edit"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <a href="{{route('uniform.index').'/'.$uni->id}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                    <a href="#deleteUniformModal" class="modal-basic"><button type="button" class="mb-xs mt-xs mr-xs btn btn-danger btn-delete btn-sm" uniformId="{{$uni->id}}"><i class="fa fa-trash-o"></i></button></a>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>

    <div id="deleteUniformModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('uniform.destroy', 'test')}}">
            <input type="hidden" name="_method" value="delete">
            <input type="hidden" name="id_uniform" value="" id="id_uniform">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-trash-o"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Deletion")}}</h4>
                            <p>{{__("Are you sure you want to delete data?")}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection
