@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('vehicle_cards.store')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add new card")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Card number")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('card_number')){{'has-error'}} @endif">
                        <input type="text" name="card_number" class="form-control" placeholder="" id="card_number" spellcheck="false"/>
                        @if($errors->has('card_number'))
                            <label for="card_number" class="error">{{$errors->first('card_number')}}</label>
                        @endif
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Company")}}</label>
                    <div class="col-lg-3">
                        <select name="company" id="company" class="form-control">
                            <option value="">{{__("Company")}}</option>
                            @foreach ($companies as $company)
                                <option value="{{$company->id}}">{{$company->company}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Type")}}</label>
                    <div class="col-lg-3">
                        <select name="type" id="type" class="form-control">
                            <option value="">{{__("Type")}}</option>
                            @foreach ($types as $type)
                                <option value="{{$type->id}}">{{$type->type}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('vehicle_cards.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection