@extends('layouts.app')

@section('content')

    <form id="form_final" method="post" action="{{route('vehicle_owners.update', [$owner->id])}}" class="form-horizontal">
        {{ csrf_field() }}
        <input type="hidden" name="_method" value="put">
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Edit")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__("Owner")}} <span class="required">*</span></label>
                    <div class="col-lg-3 @if($errors->has('owner')){{'has-error'}} @endif">
                        <input type="text" name="name" class="form-control" placeholder="" id="name" spellcheck="false" value="{{$owner->name}}"/>
                        @if($errors->has('owner'))
                            <label for="owner" class="error">{{$errors->first('owner')}}</label>
                        @endif
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Save")}} <i class="fa fa-save"></i></button>
                        <a href="{{route('vehicle_owners.index')}}"><button type="button" class="btn btn-default">{{__("Cancel")}}</button></a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection