@extends('layouts.app')

@section('content')

    <form id="form" method="post" action="{{route('add_task')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Add new")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Task')}} <span class="required">*</span></label>
                    <div class="col-lg-6">
                        <select multiple data-plugin-selectTwo class="form-control populate" id="task[]" name="task">
                            <optgroup label="-- {{__('Task')}} --">
                                @foreach($tasks as $task)
                                    <option value="{{$task->id}}">{{$task->task}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('User')}} <span class="required">*</span></label>
                    <div class="col-lg-6">
                        <select data-plugin-selectTwo class="form-control populate" name="user[]" id="user">
                            <option>-- {{__('User')}} --</option>
                                @foreach($users as $user)
                                    <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                                @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Add")}} <i class="fa fa-plus"></i></button>
                        <a id="icon-without-border-success" href="{{route('project.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection