@extends('layouts.app')
@section('content')
    <script type="text/javascript">
    $(document).ready(function () {
        $('.btn-delete-file').click(function () {
            var id = $(this).attr("fileId");
            $('#id_file').val(id);
        });
    });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <div class="panel-actions">
                <a href="#" class="fa fa-caret-down"></a>
                <a href="#" class="fa fa-times"></a>
            </div>

            <h2 class="panel-title">{{__('Files')}}</h2>
        </header>
        <div class="panel-body">
            @foreach($files as $num=>$f)
                    <a class="pull-left mb-xs mr-xs" href="{{$f->file_url}}" title="{{__('File')}}">
                        <p>{{$f->file_name}} <a href="#deleteModal" class="modal-basic btn-delete-file" fileId="{{$f->id}}"><i class="fa fa-trash-o" style="color:red"></i></a></p>
                    </a>
            @endforeach
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    @if($isAdmin)
                        <a href="{{route('project.show', $projectId)}}"><button class="btn btn-primary" type="button">{{__('Project')}} <i class="fa fa-backward"></i></button></a>
                    @else
                        <a href="{{route('home')}}"><button class="btn btn-primary" type="button">{{__('Project')}} <i class="fa fa-backward"></i></button></a>
                    @endif
                </div>
            </div>
        </footer>
    </section>
    <div id="deleteModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('wf_delete_file')}}">
            <input type="hidden" name="id_file" id="id_file">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete file?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection