@extends('layouts.app')
@section('content')
    <script type="text/javascript">
    $(document).ready(function () {
        $('.btn-delete-image').click(function () {
            var id = $(this).attr("imageId");
            $('#id_image').val(id);
        });
    });
    </script>
    <section class="panel">
        <header class="panel-heading">
            <div class="panel-actions">
                <a href="#" class="fa fa-caret-down"></a>
                <a href="#" class="fa fa-times"></a>
            </div>

            <h2 class="panel-title">{{__('Images')}}</h2>
        </header>
        <div class="panel-body">
            @foreach($images as $num=>$img)
                <div class="col-sm-2" style="overflow: auto;">
                    <div class="popup-gallery">
                        <a class="pull-left mb-xs mr-xs" href="{{$img->image_url}}" title="{{__('Image').' '.($num+1)}}">
                            <div class="img-responsive">
                                <img src="{{$img->image_url}}" width="105">
                            </div>
                        </a>
                    </div>
                    <div class="btn-group">
                        <a href="#deleteImageModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-delete-image" imageId="{{$img->id}}"><i class="fa fa-trash-o"></i></a>
                    </div>
                </div>
            @endforeach
        </div>
        <footer class="panel-footer">
            <div class="row">
                <div class="col-md-12 text-right">
                    @if($isAdmin)
                        <a href="{{route('project.show', $projectId)}}"><button class="btn btn-primary" type="button">{{__('Project')}} <i class="fa fa-backward"></i></button></a>
                    @else
                        <a href="{{route('home')}}"><button class="btn btn-primary" type="button">{{__('Project')}} <i class="fa fa-backward"></i></button></a>
                    @endif
                </div>
            </div>
        </footer>
    </section>
    <div id="deleteImageModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="delete-form" method="post" action="{{route('wf_delete_image')}}">
            <input type="hidden" name="id_image" id="id_image">
            {{ method_field('delete') }}
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__('Notice')}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-times-circle"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__('Deletion')}}</h4>
                            <p>{{__('Are you sure you want to delete image?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection