@extends('layouts.app')

@section('content')

    <form id="form" method="get" action="{{route('project_search_result')}}" class="form-horizontal">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Filters")}} </h2>
            </header>
            <div class="panel-body">
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Project')}} </label>
                    <div class="col-lg-6">
                        <input type="text" name="project" class="form-control" placeholder="" id="project" spellcheck="false"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Start of the project')}}</label>
                    <div class="col-lg-6">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="start_date" class="form-control date-picker" placeholder="" id="start_date" spellcheck="false"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('End of the project')}} </label>
                    <div class="col-lg-6">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="end_date" class="form-control date-picker" placeholder="" id="end_date" spellcheck="false"/>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Worker')}} </label>
                    <div class="col-lg-6">
                        <select data-plugin-selectTwo class="form-control populate" name="user" id="user">
                            <option value="">-- {{__('Worker')}} --</option>
                                @foreach($users as $user)
                                    <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                                @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-lg-2 control-label">{{__('Total progress')}} {{__("range")}}</label>
                    <div class="col-md-6">
                        <div class="input-daterange input-group">
                            <input type="text" name="percentage_start" class="form-control" placeholder="" id="percentage_start" spellcheck="false"/>
                            <span class="input-group-addon">%</span>
                            <input type="text" name="percentage_end" class="form-control" placeholder="" id="percentage_end" spellcheck="false"/>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-sm-12 btn-confirmation">
                        <button class="btn btn-primary" type="submit">{{__("Apply filters")}} <i class="fa fa-search"></i></button>
                        <a id="icon-without-border-success" href="{{route('project.index')}}" class="btn btn-default">{{__("Cancel")}}</a>
                    </div>
                </div>
            </footer>
        </section>
    </form>

@endsection