@extends('layouts.app')
@section('content')
<script type="text/javascript">
    $(document).ready(function () {
        $('.btn-delete').click(function () {
            var projectId = $(this).attr("projectId");
            var taskId = $(this).attr('taskId');
            $('#project_id').val(projectId);
            $('#task_id').val(taskId);
        });
        $('.btn-add-work').click(function(){
            var wtaskId = $(this).attr('wtaskId');
            var ptId = $(this).attr('ptId');
            $('#w_task_id').val(wtaskId);
            $('#pt_id').val(ptId);
        });
        $('.delete-work').click(function(){
            var dptId = $(this).attr('dptId');
            var dworkId = $(this).attr('dworkId');
            var dtaskId = $(this).attr('dtaskId');
            $('#d_pt_id').val(dptId);
            $('#d_task_id').val(dtaskId);
            $('#d_work_id').val(dworkId);
        });
        $('.mark-done').click(function(){
            var dptId = $(this).attr('dptId');
            var dworkId = $(this).attr('dworkId');
            var dtaskId = $(this).attr('dtaskId');
            $('#m_pt_id').val(dptId);
            $('#m_task_id').val(dtaskId);
            $('#m_work_id').val(dworkId);
            $('#done').val(1);
        });
        $('.mark-undone').click(function(){
            var dptId = $(this).attr('dptId');
            var dworkId = $(this).attr('dworkId');
            var dtaskId = $(this).attr('dtaskId');
            $('#m_pt_id').val(dptId);
            $('#m_task_id').val(dtaskId);
            $('#m_work_id').val(dworkId);
            $('#done').val(0);
        });
        $('.add-worker').click(function(){
            var uptId = $(this).attr('uptId');
            $('#u_pt_id').val(uptId);
        });
        $('.add-date').click(function(){
            var tptId = $(this).attr('tptId');
            $('#t_pt_id').val(tptId);
        });
        $('.add-status').click(function(){
            var sptId = $(this).attr('sptId');
            $('#s_pt_id').val(sptId);
        });
        $('.add-equipment').click(function(){
            var ptId = $(this).attr('ptId');
            $('#e_pt_id').val(ptId);
        });
        $('.add-image').click(function(){
            var ptId = $(this).attr('ptId');
            var workId = $(this).attr('workId');
            var projectId = $(this).attr("projectId");
            var url = '/workflow/images/'+ptId+'/'+workId+'/'+projectId;
            document.getElementById('btn_show_images').href = url;
            $('#i_pt_id').val(ptId);
            $('#i_work_id').val(workId);
        });
        $('.add-file').click(function(){
            var ptId = $(this).attr('ptId');
            var workId = $(this).attr('workId');
            var projectId = $(this).attr("projectId");
            var url = '/workflow/files/'+ptId+'/'+workId+'/'+projectId;
            document.getElementById('btn_show_files').href = url;
            $('#f_pt_id').val(ptId);
            $('#f_work_id').val(workId);
        });
        $('#equipment_category').val(0);
        $('#equipment_category').change(function(){
            $('#equipment').val(0);
            if($(this).val() != ''){
                var route = $(this).attr('route');
                var id = $(this).val();
                var dependent = $(this).data('dependent');
                var _token = $('input[name="_token"]').val();
                $.ajax({
                    type	:	"POST",
                    cache	: 	false,
                    url		:	route,
                    data    :   {
                        "_token" : _token,
                        'id'  : id
                    },
                    success	: function(result){
                        $('#'+dependent).html(result);
                    }

                });
            }
        });
    });
</script>
<header class="page-header">
    <h2>{{$project->project_name.' ('.$duration.')'}}</h2>
</header>
<div class="timeline">
    <div class="tm-body">
        <div class="tm-title">
            <h3 class="h5 text-uppercase">{{$project->project_name}}</h3>
        </div>
        <ol class="tm-items">
            @foreach($tasks as $task)
            <li>
                <div class="tm-info">
                    <div class="tm-icon"><i class="fa @if($task->done == 1)fa-check @else fa-star @endif"></i></div>
                    <time class="tm-datetime" datetime="2013-11-23 19:13">
                        <div class="tm-datetime-date">@if($task->start_date && $task->end_date) {{timeDuration($task->start_date, $task->end_date)}} @endif</div>
                        <div class="tm-datetime-time">@if($task->done) {{__('DONE')}} @endif</div>
                    </time>
                </div>
                <div class="tm-box appear-animation" data-appear-animation="fadeInRight"data-appear-animation-delay="100">
                    <p>
                        {{strtoupper($task->task)}}
                    </p>
                    <?php 
                    $specificWorks = $wMod->works($task->id); 
                    $taskEquipment = $teMod->taskEquipment($task->id);
                    $doneWorks = 0;
                    $undoneWorks = 0;
                    ?>
                    
                    @if(!$specificWorks->isEmpty())
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table mb-none">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>{{__("Works")}}</th>
                                        <th>{{__("Quantity")}}</th>
                                        <th>{{__("Done")}}</th>
                                        <th>{{__("Actions")}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($specificWorks as $key=>$swork)
                                    <tr>
                                        <td>{{$key+1}}</td>
                                        <td>{{$swork->work}}</td>
                                        <td>@if($swork->quantity) {{$swork->quantity}} @else 1 @endif</td>
                                        <td>@if($swork->done == 1) <i class="fa fa-check" style="color:green"></i>@endif</td>
                                        <td class="actions">
                                            @if($swork->done == 0) 
                                            <?php $undoneWorks++; ?>
                                            <a href="#doneModal" class="mark-done modal-basic" dptId="{{$task->id}}" dworkId="{{$swork->work_id}}"
                                                dtaskId="{{$swork->task_id}}"><i class="fa fa-check-circle" data-toggle="tooltip" data-placement="top"
                                                data-original-title="{{__("Finished")}}"></i></a>
                                            @else
                                            <?php $doneWorks++; ?>
                                            <a href="#doneModal" class="mark-undone modal-basic" dptId="{{$task->id}}" dworkId="{{$swork->work_id}}"
                                                dtaskId="{{$swork->task_id}}"><i class="fa fa-times" data-toggle="tooltip" data-placement="top"
                                                data-original-title="{{__("Not finished")}}"></i></a>
                                            @endif
                                            <a href="#imageDialog" class="add-image mt-xs mb-xs popup-with-move-anim" dptId="{{$task->id}}" workId="{{$swork->work_id}}"
                                                   taskId="{{$swork->task_id}}" ptId="{{$swork->project_task_id}}", projectId="{{$project->id}}"><i class="fa fa-image"></i></a>
                                            <a href="#fileDialog" class="add-file mt-xs mb-xs popup-with-move-anim" dptId="{{$task->id}}" workId="{{$swork->work_id}}"
                                                    taskId="{{$swork->task_id}}" ptId="{{$swork->project_task_id}}", projectId="{{$project->id}}"><i class="fa fa-file"></i></a>
                                            <a href="#deleteWorkModal" class="delete-work modal-basic" dptId="{{$task->id}}" dworkId="{{$swork->work_id}}"
                                                dtaskId="{{$swork->task_id}}"><i class="fa fa-trash-o"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <?php 
                            $percentage = number_format($doneWorks*100/($doneWorks+$undoneWorks)); 
                        ?>
                        @if($percentage > 0)
                        <div class="progress progress-striped light active m-md">
                            <div class="progress-bar progress-bar-primary" role="progressbar" aria-valuenow="{{$percentage}}" aria-valuemin="0" aria-valuemax="100" style="width: {{$percentage}}%;">
                                {{$percentage}}%
                            </div>
                        </div>
                        @endif
                        @if(!$taskEquipment->isEmpty())
                        <div class="table-responsive">
                            <table class="table mb-none">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>{{__("Equipment")}}</th>
                                        <th>{{__("Code")}}</th>
                                        <th>{{__("Quantity")}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($taskEquipment as $key=>$equip)
                                    <tr>
                                        <td>{{$key+1}}</td>
                                        <td>{{$equip->equipment}}</td>
                                        <td>{{$equip->code}}</td>
                                        <td>{{$equip->quantity}}</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <br />
                        @endif
                    </div>
                    @endif
                    <div class="tm-meta">
                        <span>
                            <a href="#userModal" class="add-worker modal-basic" uptId="{{$task->id}}"><i class="fa fa-user"></i> @if($task->ime) {{$task->ime.' '.$task->prezime}} @else {{__("Add worker")}} @endif</a>
                        </span>
                        <span>
                            <a href="#statusModal" class="add-status modal-basic" sptId="{{$task->id}}"><i class="fa fa-pencil"></i> @if($task->status) {{$task->status}} @else {{__("Add status")}} @endif</a>
                        </span>
                        <span>
                            <a href="#dateModal" class="add-date modal-basic" tptId="{{$task->id}}"><i class="fa fa-calendar"></i> {{__("Set a date")}}</a>
                        </span>
                        <span>
                            <a href="#workModal" class="modal-with-form btn-add-work" wtaskId="{{$task->task_id}}" ptId="{{$task->id}}"><i class="fa fa-edit"></i> {{__("Add new work")}}</a>
                        </span>
                        <span>
                            <a href="#equipmentModal" class="add-equipment modal-basic" ptId="{{$task->id}}"><i class="fa fa-plus"></i>{{__("Add equipment")}}</a>
                        </span>
                        <span>
                            <a href="#deleteTaskModal" class="btn-delete modal-basic" projectId="{{$project->id}}" taskId="{{$task->task_id}}"><i class="fa fa-trash-o"></i> {{__("Task deletion")}}</a>
                        </span>
                        
                    </div>
                </div>
            </li>
            @endforeach
            <li>
                <div class="tm-info">
                    <div class="tm-icon"><i class="fa fa-truck"></i></div>
                    <time class="tm-datetime">
                        <div class="tm-datetime-time">{{__("TOTAL")}}</div>
                        <div class="tm-datetime-time">{{__("PROGRESS")}}</div>
                    </time>
                </div>
                <div class="tm-box appear-animation" data-appear-animation="fadeInRight"data-appear-animation-delay="100">
                    <div class="progress progress-striped light active m-md">
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="{{$taskPercentage}}" aria-valuemin="0" aria-valuemax="100" style="width: {{$taskPercentage}}%;">
                            {{$taskPercentage}}%
                        </div>
                    </div>
                </div>
            </li>
            <li>
                <div class="tm-info">
                    <div class="tm-icon"><a href="{{route('project.edit', ['project' => $project->id])}}"><i class="fa fa-pencil"></i></a></div>
                    <time class="tm-datetime">
                        <a href="{{route('project.edit', ['project' => $project->id])}}">
                            <div class="tm-datetime-time">PROJECT</div>
                            <div class="tm-datetime-time">EDIT</div>
                        </a>
                    </time>
                </div>
            </li>
        </ol>
    </div>
</div>
<div id="deleteTaskModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" method="post" action="{{route('delete_task')}}">
        <input type="hidden" name="_method" value="delete">
        <input type="hidden" name="project_id" value="" id="project_id">
        <input type="hidden" name="task_id" value="" id="task_id">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-trash-o"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Deletion")}}</h4>
                        <p>{{__("Are you sure you want to delete data?")}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
<div id="workModal" class="modal-block modal-block-primary mfp-hide">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Edit task")}}</h2>
        </header>
        <form id="add_work" method="post" class="form-horizontal mb-lg" action="{{route('add_work', ['param' => 'otpremnica'])}}">
            <input type="hidden" id="w_task_id" name="w_task_id">
            <input type="hidden" id="pt_id" name="pt_id">
            @csrf
            <div class="panel-body">
                <div class="form-group mt-lg">
                    <label class="col-sm-3 control-label">{{__("Works")}} </label>
                    <div class="col-sm-9">
                        <select multiple data-plugin-selectTwo class="form-control populate" name="work[]" id="work">
                            <optgroup label="-- {{__("Works")}} --">
                                @foreach($works as $work)
                                    <option value="{{$work->id}}">{{$work->work}}</option>
                                @endforeach
                            </optgroup>
                        </select>
                    </div>
                </div>
                <div class="form-group mt-lg">
                    <label class="col-sm-3 control-label">{{__("Quantity")}}</label>
                    <div class="col-sm-9">
                        <input type="text" name="quantity" id="quantity" class="form-control"/>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="submit">{{__("Save")}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
</div>
<div id="deleteWorkModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" method="post" action="{{route('delete_work')}}">
        <input type="hidden" name="_method" value="delete">
        <input type="hidden" name="d_pt_id" value="" id="d_pt_id">
        <input type="hidden" name="d_task_id" value="" id="d_task_id">
        <input type="hidden" name="d_work_id" value="" id="d_work_id">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-trash-o"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Deletion")}}</h4>
                        <p>{{__("Are you sure you want to delete data?")}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
<div id="doneModal" class="modal-block modal-header-color modal-block-success mfp-hide">
    <form name="delete-form" method="post" action="{{route('mark_done')}}">
        <input type="hidden" name="m_pt_id" value="" id="m_pt_id">
        <input type="hidden" name="m_task_id" value="" id="m_task_id">
        <input type="hidden" name="m_work_id" value="" id="m_work_id">
        <input type="hidden" name="done" value="" id="done">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-check"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Finish work")}}</h4>
                        <p>{{__("Are you sure you want to mark this work as finished?")}}?</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-success" type="submit">{{__("YES")}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
<div id="imageDialog" class="dialog dialog-sm zoom-anim-dialog mfp-hide">
    <form method="GET" action="{{route('wf_images_form')}}">
        <input type="hidden" id="i_pt_id" name="i_pt_id">
        <input type="hidden" id="i_work_id" name="i_work_id">
        <input type="hidden" id="i_project_id" name="i_project_id" value="{{$project->id}}">
        <h1 style="text-align:center">{{__("Images")}}</h1>
        <br/>
        <button type="submit" style="float:left" class="btn btn-success">{{__("Add images")}} <i class="fa fa-plus"></i></button>
        <a href="" style="float:right" class="btn btn-info" id="btn_show_images">{{__("View images")}} <i class="fa fa-image"></i></a>
        <br/>
        <br/>
        <br/>
    </form>
</div>
<div id="fileDialog" class="dialog dialog-sm zoom-anim-dialog mfp-hide">
    <form method="GET" action="{{route('wf_files_form')}}">
        <input type="hidden" id="f_pt_id" name="f_pt_id">
        <input type="hidden" id="f_work_id" name="f_work_id">
        <input type="hidden" id="f_project_id" name="f_project_id" value="{{$project->id}}">
        <h1 style="text-align:center">{{__("Files")}}</h1>
        <br/>
        <button type="submit" style="float:left" class="btn btn-success">{{__("Add files")}} <i class="fa fa-plus"></i></button>
        <a href="" style="float:right" class="btn btn-info" id="btn_show_files">{{__("View files")}} <i class="fa fa-image"></i></a>
        <br/>
        <br/>
        <br/>
    </form>
</div>
<div id="userModal" class="modal-block modal-block-primary mfp-hide">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Add new user")}}</h2>
        </header>
        <form id="add_user" method="post" class="form-horizontal mb-lg" action="{{route('wf_add_user')}}">
            <input type="hidden" id="u_pt_id" name="u_pt_id">
            @csrf
            <div class="panel-body">
                <div class="form-group mt-lg">
                    <label class="col-sm-3 control-label">{{__("Worker")}} </label>
                    <div class="col-sm-9">
                        <select data-plugin-selectTwo class="form-control populate" name="worker" id="worker">
                            <option value="">-- {{__("Worker")}} --</option>
                                @foreach($users as $user)
                                    <option value="{{$user->id}}">{{$user->ime.' '.$user->prezime}}</option>
                                @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
</div>
<div id="dateModal" class="modal-block modal-block-primary mfp-hide">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Task time")}}</h2>
        </header>
        <form id="add_task_time" method="post" class="form-horizontal mb-lg" action="{{route('add_task_time')}}">
            <input type="hidden" id="t_pt_id" name="t_pt_id">
            @csrf
            <div class="panel-body">
                <div class="form-group mt-lg">
                    <label class="col-lg-1 control-label">{{__("From")}} </label>
                    <div class="col-lg-6">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="start_date" class="form-control date-picker" placeholder="" id="start_date" spellcheck="false"/>
                        </div>
                    </div>
                    <div class="col-lg-5">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </span>
                            <input type="text" data-plugin-timepicker="" class="form-control" data-plugin-options="{ &quot;showMeridian&quot;: false }" 
                            name="start_time" id="start_time">
                        </div>
                    </div>
                </div>
                <div class="form-group mt-lg">
                    <label class="col-lg-1 control-label">{{__("To")}} </label>
                    <div class="col-lg-6">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                            <input type="text" name="end_date" class="form-control date-picker" placeholder="" id="end_date" spellcheck="false"/>
                        </div>
                    </div>
                    <div class="col-lg-5">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-clock-o"></i>
                            </span>
                            <input type="text" data-plugin-timepicker="" class="form-control" data-plugin-options="{ &quot;showMeridian&quot;: false }" 
                            name="end_time" id="end_time">
                        </div>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
</div>
<div id="statusModal" class="modal-block modal-block-primary mfp-hide">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Add new status")}}</h2>
        </header>
        <form id="add_status" method="post" class="form-horizontal mb-lg" action="{{route('wf_add_status')}}">
            <input type="hidden" id="s_pt_id" name="s_pt_id">
            @csrf
            <div class="panel-body">
                <div class="form-group mt-lg">
                    <label class="col-sm-3 control-label">{{__("Status")}} </label>
                    <div class="col-sm-9">
                        <select data-plugin-selectTwo class="form-control populate" name="status" id="status">
                            <option value="">-- {{__("Without status")}} --</option>
                                @foreach($statuses as $status)
                                    <option value="{{$status->id}}">{{$status->status}}</option>
                                @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
</div>
<div id="equipmentModal" class="modal-block modal-block-primary mfp-hide">
    <section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">{{__("Add equipment")}}</h2>
        </header>
        <form id="add_equipment" method="post" class="form-horizontal mb-lg" action="{{route('wf_add_equipment', ['role' => 'admin'])}}">
            <input type="hidden" id="e_pt_id" name="e_pt_id">
            @csrf
            <div class="panel-body">
                <div class="form-group mt-lg">
                    <label class="col-sm-2 control-label">{{__("Category")}} </label>
                    <div class="col-sm-10">
                    <select class="form-control populate dynamic" data-plugin-selectTwo name="equipment_category" id="equipment_category" 
                        route="{{route('equipment_populate')}}" data-dependent="equipment">
                        <option value="0">-- {{__('Category')}} --</option>
                        @foreach($equipmentCategories as $cat)
                            <option value="{{$cat->id}}">{{$cat->category}}</option>
                        @endforeach
                    </select>
                    </div>
                </div>
                <div class="form-group mt-lg">
                    <label class="col-sm-2 control-label">{{__("Equipment")}} </label>
                    <div class="col-sm-10">
                        <select data-plugin-selectTwo class="form-control populate" name="equipment" id="equipment">
                            <option value="">-- {{__("Equipment")}} --</option>
                        </select>
                    </div>
                </div>
                <div class="form-group mt-lg">
                    <label class="col-sm-2 control-label">{{__("Quantity")}} </label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="quantity" name="quantity">
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-primary" type="submit">{{__("Add")}}</button>
                        <button class="btn btn-default modal-dismiss" type="button">{{__("Back")}}</button>
                    </div>
                </div>
            </footer>
        </form>
    </section>
</div>
@endsection