@extends('layouts.app')

@section('content')
    <section class="panel">
        <header class="panel-heading panel-align">
            <h2 class="panel-title">{{$klijent->ime.' '.$klijent->prezime}}</h2>
            <div class="panel-actions">
                @if($klijent->prihvaceno != 1)
                    <a href="#vratiModal" class="modal-basic"><button type="button" class="btn btn-danger">{{__("Return")}} <i class="fa fa-backward"></i></button></a>
                    <a href="#prihvatiModal" class="modal-basic"><button type="button" class="btn btn-warning">{{__("Import")}} <i class="fa fa-database modal-basic"></i></button></a>
                    <a href="{{route('zahtevi.edit', ['id' => $klijent->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-primary">{{__('Save')}} <i class="fa fa-cogs"></i></button></a>
                @endif
            </div>
        </header>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Contract number")}}: <div class="highlight">{{$klijent->br_ugovora}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Full name")}}: <div class="highlight">{{$klijent->ime.' '.$klijent->prezime}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("JMBG")}}: <div class="highlight">{{$klijent->jmbg}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Network group")}}: <div class="highlight">{{$klijent->mrezna_grupa}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Landline phone")}}: <div class="highlight">{{$klijent->tel1}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Phone")}}2: <div class="highlight">{{$klijent->tel2}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Phone")}}3: <div class="highlight">{{$klijent->tel3}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>Tis ID: <div class="highlight">{{$klijent->tis_id}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("ID card number")}}: <div class="highlight">{{$klijent->broj_lk}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Date of issuance of ID card")}}: <div class="highlight">@if($klijent->datum_izdavanja_lk){{date('d.m.Y.', strtotime($klijent->datum_izdavanja_lk))}}@endif</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Place of issuance of ID card")}}: <div class="highlight">{{$klijent->mesto_izdavanja_lk}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Address of residence")}}: <div class="highlight">{{$klijent->adresa_prebivalista}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Instalation address")}}: <div class="highlight">{{$klijent->adresa_instalacije}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Packet")}}: <div class="highlight">{{$klijent->paket}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Packet type")}}: <div class="highlight">{{$klijent->vrsta_paketa}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Nov service")}}: <div class="highlight">{{$klijent->nov_servis}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Extra STB")}}: <div class="highlight">{{$klijent->dodatni_stb}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Points")}}: <div class="highlight">{{$klijent->broj_bodova}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <p>{{__("Contractor seller")}}: <div class="highlight">{{$klijent->izvodjac_prodavac}}</div></p>
                </div>
                <div class="col-md-4">
                    <p>{{__("Seller")}}: <div class="highlight">{{$klijent->prodavac_ime.' '.$klijent->prodavac_prezime}}</div></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <p style="float: right">{{__("Last change")}} {{$klijent->promenio_ime.' '.$klijent->promenio_prezime.' ('.date('d.m.Y. H:i:s', strtotime($klijent->updated_at)).')'}}</p>
                </div>
            </div>
        </div>
    </section>
    @if(!empty($napomene[0]))
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notes")}} </h2>
            </header>
            <div class="panel-body">
                @foreach($napomene as $br=>$nap)
                    <code>{{__("Note")}} {{$br+1}}</code>
                    <blockquote class="success">
                        <p>{{$nap->napomena}}</p>
                        <small>{{$nap->ime.' '.$nap->prezime}} <cite title="Magazine X">{{date('d.m.Y. H:i:s', strtotime($nap->created_at))}}</cite></small>
                    </blockquote>
                @endforeach
            </div>
        </section>
    @endif

    <div id="vratiModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
        <form name="vrati-form" method="post" action="{{route('vrati')}}">
            <input type="hidden" name="id_vrati" id="id_vrati" value="{{$klijent->id}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-backward"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Return request")}}</h4>
                            <p>{{__('Are you sure you want to return request?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>

    <div id="prihvatiModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
        <form name="prihvati-form" method="post" action="{{route('prihvati', ['tip_klijenta' => $klijent->tip_klijenta])}}">
            <input type="hidden" name="id_prihvati" id="id_prihvati" value="{{$klijent->id}}">
            <input type="hidden" name="points" id="points" value="{{$klijent->broj_bodova}}">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <h2 class="panel-title">{{__("Notice")}}!</h2>
                </header>
                <div class="panel-body">
                    <div class="modal-wrapper">
                        <div class="modal-icon">
                            <i class="fa fa-database"></i>
                        </div>
                        <div class="modal-text">
                            <h4>{{__("Request")}}</h4>
                            <p>{{__('The request will be imported into the customer base for installations. Are you sure you want to accept this request?')}}</p>
                        </div>
                    </div>
                </div>
                <footer class="panel-footer">
                    <div class="row">
                        <div class="col-md-12 text-right">
                            <button class="btn btn-warning" type="submit">{{__("YES")}}</button>
                            <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                        </div>
                    </div>
                </footer>
            </section>
        </form>
    </div>
@endsection