@extends('layouts.app')

@section('content')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".date-picker").datepicker({
                format: '{{config('app.date_format_js')}}'
            });
        });
    </script>
    <form id="form" method="get" action="{{route('zahtevi_search_result')}}" class="form-horizontal">
        <div class="form-group">
            {{ csrf_field() }}
            <section class="panel">
                <header class="panel-heading">
                    <div class="panel-actions">
                        <button type="submit" class="btn btn-primary">{{__("Apply filter")}} <i class="fa fa-search"></i></button>
                    </div>

                    <h2 class="panel-title">{{__("Filters")}} </h2>
                </header>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("Request date")}}</label>
                        <div class="col-sm-4">
                            <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </span>
                                <input type="text" name="datum_zahteva" class="form-control date-picker" placeholder="" id="datum_zahteva" spellcheck="" autocomplete="off"/>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">M:SAT DTH </label>
                        <div class="col-sm-2">
                            <div class="switch switch-sm switch-success">
                                <input type="checkbox" name="dth" data-plugin-ios-switch autocomplete="off" />
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("OPTICS")}} </label>
                        <div class="col-sm-2">
                            <div class="switch switch-sm switch-info">
                                <input type="checkbox" name="optika" data-plugin-ios-switch autocomplete="off" />
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">SUPERNOVA </label>
                        <div class="col-sm-2">
                            <div class="switch switch-sm switch-warning">
                                <input type="checkbox" name="supernova" data-plugin-ios-switch autocomplete="off" />
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">{{__("COPPER")}} </label>
                        <div class="col-sm-2">
                            <div class="switch switch-sm switch-danger">
                                <input type="checkbox" name="bakar" data-plugin-ios-switch autocomplete="off" />
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">{{__("Request date")}} {{__("range")}}</label>
                        <div class="col-md-4">
                            <div class="input-daterange input-group">
                                <span class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </span>
                                <input type="text" class="form-control date-picker" name="start">
                                <span class="input-group-addon">{{__("to")}}</span>
                                <input type="text" class="form-control date-picker" name="end">
                            </div>
                        </div>
                        <label class="col-sm-2 control-label">{{__("In progress")}} </label>
                        <div class="col-sm-2">
                            <div class="switch switch-sm switch-primary">
                                <input type="checkbox" name="uradu" data-plugin-ios-switch autocomplete="off" />
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </form>
@endsection