@extends('layouts.app')

@section('content')
<script type="text/javascript">
    $(document).ready(function () {
        $('.btn-vrati').click(function () {
            var id = $(this).attr("vratiId");
            $('#id_vrati').val(id);
        });
        $('.btn-prihvati').click(function () {
            var id = $(this).attr("prihvatiId");
            var tip = $(this).attr("tipKlijenta");
            $('#id_prihvati').val(id);
            $('#tip_klijenta').val(tip);
        });
        $('.btn-cekanje').click(function () {
            var id = $(this).attr("cekanjeId");
            $('#id_cekanje').val(id);
        });

    });
</script>
<section class="panel">
        <header class="panel-heading">
            <h2 class="panel-title">Zahtevi ({{$count}})</h2>
                @if(!$zahtevi->isEmpty())
                <form action="{{route('zahtevi_export')}}" name="zahtevi_search">
                    <div class="panel-actions">
                        <button type="submit" class="btn btn-warning">{{__("Export")}} <i class="fa fa-file-excel-o"></i></button>
                    </div>
                </form>
                @endif
        </header>
        <div class="panel-body">
            <div class="table-mobile">
                <table class="table table-bordered table-striped mb-none" id="datatable-default">
                    <thead>
                    <tr>
                        <th>{{__("Client")}}</th>
                        <th>{{__("Network group")}}</th>
                        <th>{{__("Installation address")}}</th>
                        <th>{{__("Contact")}}</th>
                        <th>{{__("Packet")}}</th>
                        <th>{{__("Seller")}}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($zahtevi as $zah)
                        <tr class="gradeX">
                            <td>{{$zah->ime.' '.$zah->prezime}}</td>
                            <td>{{$zah->mrezna_grupa}}</td>
                            <td>{{$zah->adresa_instalacije}}</td>
                            <td>@if($zah->tel1) {!! nl2br('Fiksni: '.$zah->tel1." \n")!!} @endif
                                @if($zah->tel2) {!! 'Mob: '.nl2br($zah->tel2." \n") !!} @endif @if($zah->tel3) {!! 'Mob2: '.nl2br($zah->tel3) !!} @endif</td>
                            <td>{{$zah->paket}}</td>
                            <td>{{$zah->prodavac_ime.' '.$zah->prodavac_prezime}}</td>
                            <td class="btn-center">
                                @if($zah->prihvaceno != 1)
                                    <a href="{{route('zahtevi.edit', ['id' => $zah->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-success btn-sm"><i class="fa fa-pencil"></i></button></a>
                                @endif
                                <a href="{{route('zahtevi.show', ['id' => $zah->id])}}"><button type="button" class="mb-xs mt-xs mr-xs btn btn-info btn-sm"><i class="fa fa-info-circle"></i></button></a>
                                @if($zah->prihvaceno != 1)
                                    <a href="#prihvatiModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-warning btn-sm btn-prihvati" prihvatiId="{{$zah->id}}" tipKlijenta="{{$zah->tip_klijenta}}"><i class="fa fa-database"></i></a>
                                    <a href="#vratiModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-danger btn-sm btn-vrati" vratiId="{{$zah->id}}"><i class="fa fa-backward"></i></a>
                                    <a href="#naCekanjuModal" class="modal-basic mb-xs mt-xs mr-xs btn btn-default btn-sm btn-cekanje" cekanjeId="{{$zah->id}}"><i class="fa fa-clock-o"></i></a>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <div class="row datatables-footer">
                <div class="col-sm-12 col-md-6">
                    {{$zahtevi->links()}}
                </div>
            </div>
        </div>
</section>


<div id="vratiModal" class="modal-block modal-header-color modal-block-danger mfp-hide">
    <form name="delete-form" method="post" action="{{route('vrati')}}">
        <input type="hidden" name="id_vrati" id="id_vrati">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-backward"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Return request")}}</h4>
                        <p>{{__('Are you sure you want to return request?')}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-danger" type="submit">{{__('YES')}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>

<div id="prihvatiModal" class="modal-block modal-header-color modal-block-warning mfp-hide">
    <form name="expedicija" method="post" action="{{route('prihvati')}}">
        <input type="hidden" name="id_prihvati" id="id_prihvati">
        <input type="hidden" name="tip_klijenta" id="tip_klijenta">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-database"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("Request")}}</h4>
                        <p>{{__('The request will be imported into the customer base for installations. Are you sure you want to accept this request?')}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-warning" type="submit">{{__("YES")}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
<div id="naCekanjuModal" class="modal-block modal-header-color modal-block-default mfp-hide">
    <form name="na_cekanju" method="post" action="{{route('na_cekanju')}}">
        <input type="hidden" name="id_cekanje" id="id_cekanje">
        {{ csrf_field() }}
        <section class="panel">
            <header class="panel-heading">
                <h2 class="panel-title" style="color:inherit">{{__("Notice")}}!</h2>
            </header>
            <div class="panel-body">
                <div class="modal-wrapper">
                    <div class="modal-icon">
                        <i class="fa fa-clock-o"></i>
                    </div>
                    <div class="modal-text">
                        <h4>{{__("On hold")}}</h4>
                        <p>{{__('The request will be sent on hold. Are you sure you want to submit a pending request?')}}</p>
                    </div>
                </div>
            </div>
            <footer class="panel-footer">
                <div class="row">
                    <div class="col-md-12 text-right">
                        <button class="btn btn-default" type="submit">{{__("YES")}}</button>
                        <button class="btn btn-default modal-dismiss">{{__('NO')}}</button>
                    </div>
                </div>
            </footer>
        </section>
    </form>
</div>
@endsection
